import { jsx as s, jsxs as _, Fragment as ut } from "react/jsx-runtime";
import bs, { useState as W, useMemo as Mn, useEffect as ae, useRef as At, forwardRef as ws, Children as vt, cloneElement as uo, memo as po, Component as Cs } from "react";
import { ArDndItemTypes as Ut, ArSlotViewMode as Lt, ArPopoverSlots as lt, ArThemes as Ke, ArPlacement as St, ArPopoverPositions as Vt, ArPopoverTriggers as $t, ArAnimations as en, ArWebPageLayout as Zt, ArLayoutSlots as cn, ArButtonVariants as st, ArWizardNavigationTypes as zt, ArAccordionVariants as Hi, ArVisualizationTypes as fs, ArSizes as mt, ArButtonTypes as Gi, ArMonthSelectorViews as Tt, ArCalViews as Nt, ArBadgeType as zi, ArEventStates as rs, ArEventTypes as Fs, ArDropdownVariants as $s, ArIconTileTypes as Bn, ArLabelValueVariants as eo, ArListVariants as Wi, ArListStyles as os, ArLoaderTypes as kn, ArPageTriggers as Vi, ArAlertType as Hs, ArTableLayouts as io, ArDefaultLoginPage as Xs, ArHeaderSlots as wn, ArPillSizes as Js, ArTabType as ji, ArLoginProviders as Ki } from "./types/enums.js";
import "./contexts/slotterContext.js";
import { useAppSelector as jt, useAppDispatch as Rn } from "./hooks.js";
import { getCurrentTheme as tn, getIconByKey as Ui, saveIconToFactory as qi, notify as ms, getDrawerState as Yi, setDrawerState as Gs, setTheme as Xi, setRightPanelContent as or, getLoggedIn as Ji, getUser as Qi, setLoggedIn as Zi } from "./store.js";
import Qs from "./config/api-config.js";
import "./config/components.js";
import { WebPageLayout as ea, ICON_ROOT as Kt, MONTH_INDEX as Zs, ENDPOINTS as lo } from "./config/constants.js";
import ss from "./config/navigator.js";
import zs from "./utils/dateformat.js";
import yt from "./utils/domHelper.js";
import ta from "./utils/adapters.js";
import Rt from "./utils/helper.js";
import "./transform-df96e507.js";
import "react-redux";
import On from "./config/web-config.js";
import na, { findDOMNode as ei } from "react-dom";
import ra from "./AboutUs.js";
import oa from "./AlertStackManager.js";
import sa from "./Application.js";
import { useNavigate as cr } from "react-router-dom";
import ia from "./Banner.js";
import aa from "./Benefits.js";
import la from "./Blog.js";
import ca from "./Brands.js";
import ua from "./Breadcrumbs.js";
import da from "./Card.js";
import pa from "./Careers.js";
import Ot from "./cssClasses.js";
import fa from "./Contact.js";
import ma from "./Content.js";
import ha from "./Cookies.js";
import ga from "./Cta.js";
import va from "./Dashboard.js";
import ya from "./Download.js";
import ba from "./EcommOrders.js";
import wa from "./EcommProducts.js";
import Ca from "./Empty.js";
import Sa from "./Faq.js";
import Ra from "./Features.js";
import xa from "./Form.js";
import Pa from "./Gallery.js";
import Aa from "./Graph.js";
import Ea from "./GraphTiles.js";
import { C as Ia, A as Ta, a as Na } from "./Stubble Component Lib Snap-1ade07c9.js";
import La from "./HowItWorks.js";
import _a from "./HttpCode.js";
import ka from "./InstaPhotos.js";
import Ba from "./Integrations.js";
import Oa from "./LogoClouds.js";
import Ma from "./Newsletter.js";
import Da from "./Notifications.js";
import Fa from "./Portfolio.js";
import $a from "./Pricing.js";
import Ha from "./ProductInfo.js";
import Ga from "./Projects.js";
import za from "./Reviews.js";
import Wa from "./RichText.js";
import Va from "./Services.js";
import ja from "./SignInUp.js";
import Ka from "./Snackbar.js";
import Ua from "./Stats.js";
import qa from "./Steps.js";
import Ss from "./Swiper.js";
import Ya from "./Team.js";
import Xa from "./Testimonials.js";
import Ja from "./Toast.js";
import fo from "./utils/network.js";
import Qa from "./Users.js";
import Za from "./RepeatRenderer.js";
import el from "./Anchor.js";
import ti from "./ListItem.js";
import tl from "./Label.js";
import nl from "./Input.js";
import ni from "./ReleaseSlot.js";
import rl from "./Resizable.js";
import { useDrop as ol, useDrag as sl } from "react-dnd";
import { H as il, B as ri } from "./BubbleChart-24aead4f.js";
import { c as Rs, g as al } from "./_commonjsHelpers-10dfc225.js";
import ll from "./Image.js";
import cl from "./config/ColorPicker.js";
import { g as ul, s as dl } from "./chartGenerators-7de4f29c.js";
import pl from "./BubbleViz.js";
import Jt, { sub as fl, toDate as ln, isWithinSchedule as ml } from "./utils/dateHelper.js";
import hl from "./DateInput.js";
import gl from "./DetailsPanel.js";
import vl from "./Dialog.js";
import yl from "./FacetedFilter.js";
import bl from "./FontTile.js";
import wl from "./LearnLink.js";
import oi from "./Link.js";
import Cl from "./LottieTile.js";
import Sl from "./Mask.js";
import Rl from "./Notification.js";
import xl from "./NumericStepper.js";
import Pl from "./PickerRange.js";
import Al from "./Picklist.js";
import si from "./ProgressIndicator.js";
import El from "./ProgressStepper.js";
import Il from "./Radio.js";
import Tl from "./SecondaryNavigation.js";
import Cn from "./SelectionPill.js";
import sr from "./Slider.js";
import Nl from "./Splitter.js";
import Ll from "./Tag.js";
import ii from "./TextArea.js";
import mo from "./Toggle.js";
import _l from "./Toolbar.js";
import kl from "./Uploader.js";
import nn from "./hooks/useSlotted.js";
import { v as Wt } from "./v4-333bbb31.js";
import Ct from "./utils/gridHelper.js";
import Bl from "./hooks/useStateWithHistory.js";
const ai = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  get Accordion() {
    return yc;
  },
  get AdvancedColorPicker() {
    return wc;
  },
  get Alert() {
    return yi;
  },
  get Anchor() {
    return el;
  },
  get ArViz() {
    return bi;
  },
  get Badge() {
    return Is;
  },
  get Breadcrumb() {
    return Ac;
  },
  get BrowserIncompatibility() {
    return Ic;
  },
  get BubbleChart() {
    return ri;
  },
  get BubbleViz() {
    return pl;
  },
  get BuilderLayout() {
    return pi;
  },
  get BuilderSlot() {
    return ci;
  },
  get Button() {
    return it;
  },
  get Calendar() {
    return Ts;
  },
  get Checkbox() {
    return Yc;
  },
  get ColorPicker() {
    return Jc;
  },
  get ColorSelector() {
    return Zc;
  },
  get ContextMenu() {
    return tu;
  },
  get CronTab() {
    return ru;
  },
  get DateInput() {
    return hl;
  },
  get DatePicker() {
    return su;
  },
  get DateRangePicker() {
    return au;
  },
  get DetailsPanel() {
    return gl;
  },
  get Dialog() {
    return vl;
  },
  get Draggable() {
    return ho;
  },
  get Dropdown() {
    return go;
  },
  get Droppable() {
    return Ps;
  },
  get DroppableContainer() {
    return Ol;
  },
  get FacetedFilter() {
    return yl;
  },
  get FontTile() {
    return bl;
  },
  get Icon() {
    return qt;
  },
  get IconTile() {
    return fu;
  },
  get Image() {
    return ll;
  },
  get InlineMenu() {
    return Ci;
  },
  get Input() {
    return nl;
  },
  get Label() {
    return tl;
  },
  get LabelValue() {
    return vu;
  },
  get Layout() {
    return xs;
  },
  get LayoutControlPanel() {
    return fi;
  },
  get LayoutCreator() {
    return Wl;
  },
  get LayoutGenerator() {
    return vi;
  },
  get LearnLink() {
    return wl;
  },
  get Link() {
    return oi;
  },
  get List() {
    return un;
  },
  get ListContainer() {
    return Ml;
  },
  get ListItem() {
    return ti;
  },
  get LoadableIcon() {
    return Le;
  },
  get Loader() {
    return Si;
  },
  get LottieTile() {
    return Cl;
  },
  get Mask() {
    return Sl;
  },
  get Modal() {
    return Ri;
  },
  get Notification() {
    return Rl;
  },
  get NumericStepper() {
    return xl;
  },
  get Pagination() {
    return Iu;
  },
  get Password() {
    return Nu;
  },
  get PickerRange() {
    return Pl;
  },
  get Picklist() {
    return Al;
  },
  get Pill() {
    return Ns;
  },
  get Pillbox() {
    return vo;
  },
  get Popover() {
    return Qt;
  },
  get PopoverV1() {
    return gi;
  },
  get PopoverV2() {
    return As;
  },
  get ProgressIndicator() {
    return si;
  },
  get ProgressStepper() {
    return El;
  },
  get ProgressiveBarChart() {
    return Jl;
  },
  get Radio() {
    return Il;
  },
  get ReleaseLayout() {
    return di;
  },
  get ReleaseSlot() {
    return ni;
  },
  get RepeatRenderer() {
    return Za;
  },
  get Resizable() {
    return rl;
  },
  get ScrollPagination() {
    return mi;
  },
  get SearchField() {
    return co;
  },
  get SecondaryNavigation() {
    return Tl;
  },
  get Segment() {
    return xi;
  },
  get SegmentedControl() {
    return Ls;
  },
  get Select() {
    return lr;
  },
  get SelectionPill() {
    return Cn;
  },
  get Slider() {
    return sr;
  },
  get Slot() {
    return ir;
  },
  get SlotTools() {
    return ui;
  },
  get Splitter() {
    return Nl;
  },
  get Tab() {
    return Pi;
  },
  get TabBar() {
    return Ai;
  },
  get Table() {
    return Ju;
  },
  get Tag() {
    return Ll;
  },
  get Tags() {
    return Ei;
  },
  get Text() {
    return Dl;
  },
  get TextArea() {
    return ii;
  },
  get TextInput() {
    return dn;
  },
  get TimeEntry() {
    return vs;
  },
  get Toggle() {
    return mo;
  },
  get Toolbar() {
    return _l;
  },
  get Tooltip() {
    return Sn;
  },
  get TreeList() {
    return sd;
  },
  get TypeAhead() {
    return _s;
  },
  get Uploader() {
    return kl;
  },
  get Widget() {
    return ys;
  },
  get Wizard() {
    return Es;
  },
  get WizardModal() {
    return pc;
  }
}, Symbol.toStringTag, { value: "Module" })), li = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  get AboutUs() {
    return ra;
  },
  get AlertStackManager() {
    return oa;
  },
  get AlphabetFilter() {
    return _i;
  },
  get AppAndToolsSelector() {
    return ki;
  },
  get Application() {
    return sa;
  },
  get ArIconsViewer() {
    return dd;
  },
  get ArmcoIamProvider() {
    return Ni;
  },
  get Banner() {
    return ia;
  },
  get Benefits() {
    return aa;
  },
  get Blog() {
    return la;
  },
  get Brands() {
    return ca;
  },
  get Breadcrumbs() {
    return ua;
  },
  get Card() {
    return da;
  },
  get Careers() {
    return pa;
  },
  get Carousel() {
    return Os;
  },
  get CategoryFilter() {
    return Bi;
  },
  get Component_404() {
    return Hd;
  },
  get Contact() {
    return fa;
  },
  get Content() {
    return ma;
  },
  get Cookies() {
    return ha;
  },
  get Cta() {
    return ga;
  },
  get Dashboard() {
    return va;
  },
  get Download() {
    return ya;
  },
  get Drawer() {
    return gd;
  },
  get EcommOrders() {
    return ba;
  },
  get EcommProducts() {
    return wa;
  },
  get Empty() {
    return Ca;
  },
  get ErrorBoundary() {
    return zd;
  },
  get Faq() {
    return Sa;
  },
  get Features() {
    return Ra;
  },
  get Filters() {
    return Vd;
  },
  get FlexTools() {
    return Oi;
  },
  get Footer() {
    return bd;
  },
  get Form() {
    return xa;
  },
  get Gallery() {
    return Pa;
  },
  get Graph() {
    return Aa;
  },
  get GraphTiles() {
    return Ea;
  },
  get Header() {
    return Id;
  },
  get Hero() {
    return qd;
  },
  get HowItWorks() {
    return La;
  },
  get HttpCode() {
    return _a;
  },
  get InstaPhotos() {
    return ka;
  },
  get Integrations() {
    return Ba;
  },
  get LoginProvider() {
    return yo;
  },
  get LogoClouds() {
    return Oa;
  },
  get Newsletter() {
    return Ma;
  },
  get Notifications() {
    return Da;
  },
  get Portal() {
    return ks;
  },
  get Portfolio() {
    return Fa;
  },
  get Pricing() {
    return $a;
  },
  get ProductDescriptionTile() {
    return Mi;
  },
  get ProductInfo() {
    return Ha;
  },
  get Projects() {
    return Ga;
  },
  get Reviews() {
    return za;
  },
  get RichText() {
    return Wa;
  },
  get Services() {
    return Va;
  },
  get SidePanel() {
    return Pd;
  },
  get SignInUp() {
    return ja;
  },
  get Snackbar() {
    return Ka;
  },
  get Stats() {
    return Ua;
  },
  get Steps() {
    return qa;
  },
  get StuffleIamProvider() {
    return Li;
  },
  get Suggestions() {
    return Qd;
  },
  get Swiper() {
    return Ss;
  },
  get Team() {
    return Ya;
  },
  get Testimonials() {
    return Xa;
  },
  get Tiles() {
    return ep;
  },
  get Toast() {
    return Ja;
  },
  get TransferShuttle() {
    return md;
  },
  get UserOptions() {
    return Di;
  },
  get Users() {
    return Qa;
  }
}, Symbol.toStringTag, { value: "Module" }));
const Ol = (h) => {
  const { dropHandler: a } = h, [i, r] = W(), d = Mn(() => ({ ...ai, ...li }), []), g = (n) => {
    let v = n.label;
    if (v || (v = n.componentName), v) {
      const w = d[v];
      if (w) {
        const l = n.props ? /* @__PURE__ */ s(w, { ...n.props }) : /* @__PURE__ */ s(w, {});
        r(l);
      }
    }
    a && a(n);
  };
  return /* @__PURE__ */ s(
    Ps,
    {
      acceptTypes: [
        Ut.COMPONENTSLOT,
        Ut.TREELISTITEM,
        Ut.ICON
      ],
      dropHandler: g,
      children: /* @__PURE__ */ s(
        "div",
        {
          className: `ar-DroppableContainer${i ? "" : " bg border"}`,
          style: {
            minWidth: i ? "auto" : "10rem",
            minHeight: i ? "auto" : "10rem"
          },
          children: i
        }
      )
    }
  );
};
const Ml = (h) => {
  const { items: a, classes: i, style: r } = h;
  return /* @__PURE__ */ s(
    "ul",
    {
      className: `ar-ListContainer${i ? " " + i : ""}`,
      style: r,
      children: a == null ? void 0 : a.map((d) => /* @__PURE__ */ s(ti, { ...d }))
    }
  );
};
const Dl = (h) => {
  const { classes: a, mode: i, onCommit: r, textStyle: d, text: g, ...n } = h, [v, w] = W(), [l, C] = W();
  return ae(() => {
    C(g);
  }, [g]), /* @__PURE__ */ s(
    "div",
    {
      className: `ar-Text${d ? " " + d : ""}${a ? " " + a : ""}`,
      contentEditable: v,
      tabIndex: -1,
      onFocus: () => {
        i === Lt.BUILD && w(!0);
      },
      onBlur: () => {
        i === Lt.BUILD && (w(!1), r && r(l));
      },
      onInput: (f) => C(f.target.innerText),
      ...n,
      children: l
    }
  );
};
const ci = (h) => {
  const {
    acceptDropTypes: a,
    content: i,
    dropHandler: r,
    lastSelected: d,
    onClick: g,
    selectionOnlyModeEnabled: n,
    style: v,
    ...w
  } = h, [l, C] = W(), [f, S] = W(), A = At(null), { mode: P, config: O } = h, { slot: M, props: B } = O, { classes: I, style: k, ...F } = B || {};
  return ae(() => {
    C(O.isSelected);
  }, [O.isSelected]), /* @__PURE__ */ s(
    ho,
    {
      canDrag: !!O.content && h.mode === Lt.BUILD,
      demo: h.demo,
      itemData: O,
      itemType: Ut.COMPONENTSLOT,
      children: /* @__PURE__ */ s(
        Ps,
        {
          acceptTypes: [
            Ut.COMPONENTSLOT,
            Ut.TREELISTITEM,
            Ut.ICON,
            ...a || []
          ],
          dropHandler: ($) => r && r($, O),
          children: /* @__PURE__ */ _(
            "div",
            {
              className: `ar-Slot position-relative${I ? " " + I : ""} ${P === "build" ? "border" : ""}${l ? " selected" : ""} ${d && d.slot === O.slot ? " last-selected" : ""} ${P}${O.isSelectedForInlineDelete ? " selected-for-delete" : ""}`,
              style: { gridArea: O.gridArea, ...k, ...v || {} },
              onClick: () => {
                C(!l), g && g(O);
              },
              onMouseEnter: () => S(!0),
              onMouseLeave: () => S(!1),
              ref: A,
              ...F,
              children: [
                i,
                f && h.controlsEnabled && !n && /* @__PURE__ */ s(ui, { ...w })
              ]
            },
            M
          )
        }
      )
    }
  );
};
const Fl = [
  { class: "ar-Slot__overlay-btn" },
  {
    class: "ar-Slot__overlay-btn slot split-up d-flex cursor-pointer",
    tooltip: "Insert Cell Above"
  },
  { class: "ar-Slot__overlay-btn" },
  { class: "ar-Slot__overlay-btn cursor-pointer delete", isToolSlotOnly: !0 },
  {
    class: "ar-Slot__overlay-btn slot split-left d-flex cursor-pointer",
    tooltip: "Insert Cell Before",
    isGridOnly: !0
  },
  {
    class: "ar-Slot__overlay-btn slot merge d-flex cursor-pointer",
    tooltip: "Merge at this cell",
    isGridOnly: !0
  },
  {
    class: "ar-Slot__overlay-btn slot split-right d-flex cursor-pointer",
    tooltip: "Insert Cell After",
    isGridOnly: !0
  },
  { class: "ar-Slot__overlay-btn", isGridOnly: !0 },
  {
    class: "ar-Slot__overlay-btn slot split-down d-flex cursor-pointer",
    tooltip: "Insert Cell Below",
    isGridOnly: !0
  },
  { class: "ar-Slot__overlay-btn", isGridOnly: !0 }
], ui = (h) => {
  const {
    config: a,
    controlsEnabled: i,
    demo: r,
    mode: d = Lt.PREVIEW,
    horizontalSplitHandler: g,
    mergeHandler: n,
    rowInsertHandler: v,
    columnInsertHandler: w,
    rowDeleteHandler: l,
    columnDeleteHandler: C,
    verticalSplitHandler: f,
    rowSelectHandler: S,
    columnSelectHandler: A
  } = h, [P, O] = W(Fl);
  return ae(() => {
    const M = JSON.parse(
      JSON.stringify(P)
    );
    if (d === Lt.ROWCONTROLLER || d === Lt.COLCONTROLLER) {
      const B = d === Lt.ROWCONTROLLER, I = B ? v : w;
      M[0].onClick = () => i && I && I("before"), M[0].tooltip = B ? "Insert Row Above" : "Insert Column Before", M[0].class.indexOf("slot") === -1 && (M[0].class += " slot cursor-pointer"), M[1].tooltip = "", M[2].onClick = () => i && I && I("after"), M[2].tooltip = B ? "Insert Row Below" : "Insert Column After", M[2].class.indexOf("slot") === -1 && (M[2].class += " slot cursor-pointer"), M[3].tooltip = B ? "Delete Row" : "Delete Column", M[3].onClick = B ? l : C, M[3].onMouseEnter = B ? () => S && S(!0) : () => A && A(!0), M[3].onMouseLeave = B ? () => S && S(!1) : () => A && A(!1);
    } else
      M[1].onClick = () => i && g && g("before"), M[4].onClick = () => i && f && f("before"), M[5].onClick = () => i && n && n(), M[6].onClick = () => i && f && f("after"), M[8].onClick = () => i && g && g("after");
    O([...M]);
  }, [
    i,
    a,
    g,
    f,
    n
  ]), /* @__PURE__ */ s(
    "div",
    {
      className: `ar-SlotTools position-absolute d-flex h-100 w-100 flex-wrap top-0 start-0 ${d === Lt.ROWCONTROLLER ? "flex-column" : ""}`,
      children: P.map(
        (M) => (!M.isGridOnly || d === Lt.BUILD) && (!M.isToolSlotOnly || [
          Lt.ROWCONTROLLER,
          Lt.COLCONTROLLER
        ].indexOf(d) > -1) && /* @__PURE__ */ s(
          "span",
          {
            className: M.class,
            onClick: (B) => {
              M.tooltip && B.stopPropagation(), M.onClick && M.onClick();
            },
            onMouseEnter: M.onMouseEnter,
            onMouseLeave: M.onMouseLeave,
            children: M.tooltip ? /* @__PURE__ */ _(Sn, { classes: "w-100", demo: r, children: [
              /* @__PURE__ */ s(
                "span",
                {
                  slot: lt.ANCHOR,
                  className: "d-flex h-100 w-100"
                }
              ),
              /* @__PURE__ */ s("span", { slot: lt.POPOVER, children: M.tooltip })
            ] }) : /* @__PURE__ */ s("span", { className: `${M.class}` })
          }
        )
      ).filter((M) => M)
    }
  );
};
const di = (h) => {
  const { gridTemplate: a, slots: i, slotRenderer: r } = h;
  return /* @__PURE__ */ s(
    "div",
    {
      className: "ar-ReleaseLayout__grid d-grid",
      style: a ? { gridTemplate: a } : {},
      children: i == null ? void 0 : i.map((d) => {
        const g = {
          key: d.slot,
          config: d,
          mode: Lt.RELEASE
        };
        return r ? r(g) : /* @__PURE__ */ s(ir, { ...g });
      })
    }
  );
};
const pi = ({
  classes: h,
  colWidths: a,
  demo: i,
  isChild: r,
  lastSelected: d,
  mode: g,
  slotDropHandler: n,
  onLayoutChange: v,
  onSlotSelect: w,
  gridSpecs: l,
  gridTemplate: C,
  rowHeights: f,
  showControls: S,
  showPanels: A,
  slots: P,
  slotRenderer: O
}) => {
  const M = At(null), B = At(null), I = At(null), [k, F] = W(), [$, D] = W(), [K, ce] = W(), [V, Q] = W(), [Z, we] = W(), [et, Ne] = W(), [ue, He] = W(), [re, Se, rt, Te, Ge, de] = Bl(), [Ye, ht] = W(), [ot, pt] = W(), [ze, ct] = W(), [bt, Mt] = W(), [Ft, pn] = W(), Ht = jt(tn), Bt = Mn(
    () => /* @__PURE__ */ _(ut, { children: [
      /* @__PURE__ */ s(Le, { icon: "ai.AiFillMacCommand", size: "0.8rem" }),
      " /",
      /* @__PURE__ */ s(Le, { icon: "md.MdOutlineKeyboardControlKey", size: "0.8rem" })
    ] }),
    []
  );
  ae(() => {
    const Re = yt.getDocumentElement(i), tt = (_e) => {
      V && ((_e.ctrlKey || _e.metaKey) && _e.key === "z" ? (_e.preventDefault(), rt()) : (_e.ctrlKey || _e.metaKey) && _e.key === "y" ? (_e.preventDefault(), Te()) : (_e.ctrlKey || _e.metaKey) && _e.key === "m" ? ot && re && Ft && Ct.mergeHandler(Se, re, Ft) : (_e.ctrlKey || _e.metaKey) && _e.key === "h" ? ze && re && Ct.splitHandler(Se, re, "horizontal", "after") : (_e.ctrlKey || _e.metaKey) && _e.key === "v" ? ze && re && Ct.splitHandler(Se, re, "vertical", "after") : (_e.ctrlKey || _e.metaKey) && _e.key === "r" ? ze && re && ue && Ct.insertDimension(
        "row",
        ue,
        re,
        Se,
        "after"
      ) : (_e.ctrlKey || _e.metaKey) && _e.key === "c" && ze && re && ue && Ct.insertDimension(
        "column",
        ue,
        re,
        Se,
        "after"
      ));
    };
    return Re == null || Re.addEventListener("keydown", tt), () => {
      Re == null || Re.removeEventListener("keydown", tt);
    };
  }, [
    i,
    ue,
    ot,
    Ft,
    Te,
    V,
    re,
    ze,
    rt
  ]), ae(() => {
    D(f), ce(a || "1fr");
  }, [f, a]), ae(() => {
    F(A);
  }, [A]), ae(() => {
    Q(S);
  }, [S]), ae(() => {
    if (P)
      JSON.stringify(P) !== JSON.stringify(re) && Se(P);
    else if (C) {
      const { slotConfigs: Re } = Ct.generateSlotConfigs(C);
      Se(Re);
    } else if (l != null && l.rows && (l != null && l.columns)) {
      const Re = [];
      for (let tt = 0; tt < l.rows; tt++)
        for (let _e = 0; _e < l.columns; _e++) {
          const dt = Wt(), Yt = `ga-${dt}`;
          Re.push({
            slot: dt,
            row: tt,
            column: _e,
            rowSpan: 1,
            colSpan: 1,
            gridArea: Yt
          });
        }
      Se(Re);
    }
  }, [l, C, P]), ae(() => {
    if (re) {
      if (re.length !== Ye) {
        const { gridArea: _e, rowHeights: dt } = Ct.generateGridAreaAndSizes(
          re,
          f
        );
        we(_e), D(dt), ht(re.length);
      }
      const { areAdjacent: Re, ...tt } = Ct.checkIfAdjacent(re);
      pn(tt), ct(re.filter((_e) => _e.isSelected).length >= 1), pt(Re);
    }
  }, [re, Ye]), ae(() => {
    if (Z) {
      const Re = Ct.generateGridTemplate(
        Z,
        $,
        K
      );
      Ne(Re), v && v(Re, re), V && He(
        Ct.generateGridToolbarSpecs(Z, $, K)
      );
    }
  }, [Z, V, $, K]), ae(() => {
    var Re;
    if (k) {
      const tt = (Re = M.current) == null ? void 0 : Re.getBoundingClientRect();
      if (tt && (I.current && (I.current.style.top = tt.bottom + "px", I.current.style.left = tt.left + "px", I.current.style.width = tt.width + "px"), B.current)) {
        const _e = yt.getWindowElement(i);
        B.current.style.bottom = (_e ? _e.innerHeight - tt.top : 0) + "px", B.current.style.left = tt.left + "px";
      }
      setTimeout(() => {
        var dt;
        const _e = (dt = B.current) == null ? void 0 : dt.getBoundingClientRect();
        tt && B.current && I.current && _e && _e.width > tt.width && (B.current.style.width = tt.width + "px", B.current.style.overflow = "auto");
      }, 500);
    }
  }, [k, V, i]);
  const fn = (Re) => {
    const tt = [...re || []], _e = re == null ? void 0 : re.find((dt) => dt.slot === Re.slot);
    _e && (_e.isSelected = !_e.isSelected), Se(tt, !0), w && w(Re);
  }, xn = (Re, tt) => {
    if (ue) {
      const dt = ue.rowTools.slots.find((Yt) => Yt.slot === Re.slot);
      dt && (tt !== void 0 ? dt.isSelectedForInlineDelete = tt : dt.isSelected = !dt.isSelected), He({ ...ue }), re && Se(
        Ct.selectCellsInSelectedRowCol(
          ue,
          re,
          tt
        ),
        !0
      );
    }
  }, Pn = (Re, tt) => {
    if (ue) {
      const dt = ue.colTools.slots.find(
        (Yt) => Yt.slot === Re.slot
      );
      dt && (tt !== void 0 ? dt.isSelectedForInlineDelete = tt : dt.isSelected = !dt.isSelected), He({ ...ue }), re && Se(
        Ct.selectCellsInSelectedRowCol(
          ue,
          re,
          tt
        ),
        !0
      );
    }
  }, An = (Re) => {
    re && ue && Se(
      Ct.removeHandler(
        re,
        ue,
        "row",
        Re
      )
    );
  }, En = (Re) => {
    re && ue && Se(
      Ct.removeHandler(
        re,
        ue,
        "column",
        Re
      )
    );
  }, In = ue == null ? void 0 : ue.rowTools.slots, Tn = ue == null ? void 0 : ue.colTools.slots;
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-BuilderLayout mh-100 w-100 d-flex flex-column overflow-auto${h ? " " + h : ""}${V ? "" : " hide-controls"}`,
      ref: M,
      onMouseOver: (Re) => {
        Re.stopPropagation(), !r && F(!0);
      },
      onMouseLeave: (Re) => {
        Re.stopPropagation(), !r && F(!1);
      },
      children: [
        !r && /* @__PURE__ */ s(
          fi,
          {
            classes: "position-fixed",
            demo: i,
            ref: B,
            setShowControls: Q,
            showControls: V,
            slots: re,
            show: k,
            splitEnabled: ze,
            mergeEnabled: ot,
            undoEnabled: Ge,
            redoEnabled: de,
            selectionOnlyModeEnabled: bt,
            rowDeleteEnabled: In && In.findIndex((Re) => Re.isSelected) > -1,
            columnDeleteEnabled: Tn && Tn.findIndex((Re) => Re.isSelected) > -1,
            horizontalSplitHandler: () => re && Ct.splitHandler(Se, re, "horizontal", "after"),
            verticalSplitHandler: () => re && Ct.splitHandler(Se, re, "vertical", "after"),
            mergeHandler: () => {
              re && Ft && Ct.mergeHandler(Se, re, Ft), pt(!1);
            },
            rowInsertHandler: (Re) => re && ue && Ct.insertDimension(
              "row",
              ue,
              re,
              Se,
              Re
            ),
            columnInsertHandler: (Re) => re && ue && Ct.insertDimension(
              "column",
              ue,
              re,
              Se,
              Re
            ),
            rowDeleteHandler: () => An(),
            columnDeleteHandler: () => En(),
            undoHandler: rt,
            redoHandler: Te,
            enableSelectionOnlyMode: Mt
          }
        ),
        /* @__PURE__ */ s("div", { className: `ar-Layout__canvas flex-1${r ? " p-2" : ""}`, children: re && /* @__PURE__ */ _("div", { className: "ar-Layout__grid-tools d-grid h-100", children: [
          V && !r && /* @__PURE__ */ _(ut, { children: [
            /* @__PURE__ */ s("div", { className: "ar-Layout__grid-tools__main border" }),
            /* @__PURE__ */ s(
              "div",
              {
                className: "ar-Layout__row-tools d-grid",
                style: {
                  gridTemplate: ue == null ? void 0 : ue.rowTools.gridTemplate
                },
                children: ue == null ? void 0 : ue.rowTools.slots.map(
                  (Re, tt, _e) => /* @__PURE__ */ s(
                    "span",
                    {
                      className: `row-controller-cell position-relative border${Re.isSelected ? " selected" : ""}`,
                      style: { gridArea: Re.gridArea },
                      children: /* @__PURE__ */ s(
                        ir,
                        {
                          demo: i,
                          mode: Lt.ROWCONTROLLER,
                          config: {
                            ...Re,
                            props: {
                              ...Re.props || {},
                              classes: "h-100"
                            }
                          },
                          onClick: xn,
                          controlsEnabled: V,
                          selectionOnlyModeEnabled: bt,
                          isLast: tt === _e.length - 1,
                          rowDeleteHandler: () => An(!0),
                          rowInsertHandler: (dt) => re && ue && Ct.insertDimension(
                            "row",
                            ue,
                            re,
                            Se,
                            dt
                          ),
                          rowSelectHandler: (dt) => xn(Re, dt)
                        },
                        "controller-" + Re.slot
                      )
                    }
                  )
                )
              }
            ),
            /* @__PURE__ */ s(
              "div",
              {
                className: "ar-Layout__col-tools d-grid",
                style: {
                  gridTemplate: ue == null ? void 0 : ue.colTools.gridTemplate
                },
                children: ue == null ? void 0 : ue.colTools.slots.map(
                  (Re, tt, _e) => /* @__PURE__ */ s(
                    "span",
                    {
                      className: `column-controller-cell position-relative border${Re.isSelected ? " selected" : ""}`,
                      style: { gridArea: Re.gridArea },
                      children: /* @__PURE__ */ s(
                        ir,
                        {
                          demo: i,
                          mode: Lt.COLCONTROLLER,
                          config: {
                            ...Re,
                            props: {
                              ...Re.props || {},
                              classes: "h-100"
                            }
                          },
                          onClick: Pn,
                          controlsEnabled: V,
                          selectionOnlyModeEnabled: bt,
                          isLast: tt === _e.length - 1,
                          columnDeleteHandler: () => En(!0),
                          columnInsertHandler: (dt) => re && ue && Ct.insertDimension(
                            "column",
                            ue,
                            re,
                            Se,
                            dt
                          ),
                          columnSelectHandler: (dt) => Pn(Re, dt)
                        },
                        "controller-" + Re.slot
                      )
                    }
                  )
                )
              }
            )
          ] }),
          /* @__PURE__ */ s(
            "div",
            {
              className: "ar-Layout__grid d-grid border",
              style: et ? { gridTemplate: et } : {},
              children: re.map((Re) => {
                const tt = {
                  demo: i,
                  config: Re,
                  lastSelected: d,
                  mode: Lt.BUILD,
                  onClick: fn,
                  controlsEnabled: V,
                  selectionOnlyModeEnabled: bt,
                  horizontalSplitHandler: (_e) => re && Ct.splitHandler(
                    Se,
                    re,
                    "horizontal",
                    _e,
                    Re
                  ),
                  verticalSplitHandler: (_e) => re && Ct.splitHandler(
                    Se,
                    re,
                    "vertical",
                    _e,
                    Re
                  ),
                  mergeHandler: () => {
                    re && Ft && ot && Ct.mergeHandler(
                      Se,
                      re,
                      Ft,
                      Re
                    ), pt(!1);
                  },
                  dropHandler: n,
                  layoutMode: g
                };
                return O ? O(tt) : /* @__PURE__ */ s(ir, { ...tt }, Re.slot);
              })
            }
          )
        ] }) }),
        !r && /* @__PURE__ */ _(
          "div",
          {
            className: `ar-Layout__help-panel position-fixed overflow-hidden d-flex px-2 justify-content-between py-1${k ? " show" : ""}`,
            ref: I,
            children: [
              /* @__PURE__ */ s(
                "span",
                {
                  className: "small fw-bold",
                  style: { color: Ht === Ke.DARK1 ? "black" : "white" },
                  children: "Undo: Ctrl/Cmd + z, Redo: Ctrl/Cmd + y"
                }
              ),
              /* @__PURE__ */ _("span", { children: [
                /* @__PURE__ */ _(Sn, { demo: i, children: [
                  /* @__PURE__ */ s(
                    Le,
                    {
                      classes: "me-3",
                      color: "white",
                      slot: lt.ANCHOR,
                      icon: "fa.FaKeyboard"
                    }
                  ),
                  /* @__PURE__ */ _("span", { slot: lt.POPOVER, className: "z-2", children: [
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + h"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Split Horizontally" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + v"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Split Vertically" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + m"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Merge Rectangle" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + r"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Insert Row" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + c"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Insert Column" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + d"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Delete" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + z"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Undo" })
                    ] }),
                    /* @__PURE__ */ _("div", { className: "row", children: [
                      /* @__PURE__ */ _("div", { className: "col-5 fw-bold", children: [
                        Bt,
                        " + y"
                      ] }),
                      /* @__PURE__ */ s("div", { className: "col-7 fw-bold", children: "Redo" })
                    ] })
                  ] })
                ] }),
                /* @__PURE__ */ _(Sn, { demo: i, children: [
                  /* @__PURE__ */ s(
                    Le,
                    {
                      slot: lt.ANCHOR,
                      icon: "md.MdInfoOutline",
                      color: Ht === Ke.DARK1 ? "black" : "white"
                    }
                  ),
                  /* @__PURE__ */ _(
                    "span",
                    {
                      className: "ar-Layout__help-panel__help-content small z-2",
                      slot: lt.POPOVER,
                      style: { whiteSpace: "normal" },
                      children: [
                        /* @__PURE__ */ s("div", { children: "Hover on grid to reveal control panel." }),
                        /* @__PURE__ */ s("div", { children: "Click a cell to select it." }),
                        /* @__PURE__ */ s("div", { children: "You may select multiple cells by clicking on them." }),
                        /* @__PURE__ */ s("div", { children: "Click a row header to select all cells in that row, and column header to select all cells in that column" }),
                        /* @__PURE__ */ s("div", { children: "You may hover on any selected cells on specific sections within cell to split vertical or horizontal." }),
                        /* @__PURE__ */ s("div", { children: "For Horizontal: Hover on top center or bottom center region and click" }),
                        /* @__PURE__ */ s("div", { children: "For Vertical: Hover on left center or right center region and click" }),
                        /* @__PURE__ */ s("div", { children: "You may merge cells too, at least 2 cells should be selected to merge and the selected cells shouls form a rectangle." }),
                        /* @__PURE__ */ s("div", { children: "To delete a row or column, hover on it's corresponding row or column header to reveal delete button and click on it." }),
                        /* @__PURE__ */ s("div", { children: "Undo/Redo layout changes is supported. Use Undo/Redo buttons in the control panel on top of grid, or use Ctrl/Cmd + z to undo, Ctrl/Cmd + y to redo" }),
                        /* @__PURE__ */ s("div", { children: "Edit Mode should be enabled to use any shortcuts" })
                      ]
                    }
                  )
                ] })
              ] })
            ]
          }
        )
      ]
    }
  );
};
const tr = (h, a, i, r, d, g, n, v, w) => {
  const l = h === Ke.DARK1 ? n ? "#7a7aa7" : g || "black" : n ? "#cfcfcf" : g || "white";
  return /* @__PURE__ */ _(
    Sn,
    {
      classes: w === void 0 || w ? "" : " w-0",
      demo: d,
      children: [
        /* @__PURE__ */ s(
          "span",
          {
            className: `p-1 border-radius-l2 d-inline-block${n ? "" : " cursor-pointer hover-border hover-bg dark2"}`,
            slot: lt.ANCHOR,
            onClick: n ? () => {
            } : i,
            style: { backgroundColor: v },
            children: /* @__PURE__ */ s(Le, { icon: a, color: l })
          }
        ),
        /* @__PURE__ */ s("span", { slot: lt.POPOVER, style: { whiteSpace: "normal" }, children: /* @__PURE__ */ s("div", { children: r }) })
      ]
    }
  );
}, fi = ws(
  (h, a) => {
    const {
      classes: i,
      demo: r,
      showControls: d,
      setShowControls: g,
      slots: n,
      splitEnabled: v,
      mergeEnabled: w,
      rowDeleteEnabled: l,
      columnDeleteEnabled: C,
      undoEnabled: f,
      redoEnabled: S,
      selectionOnlyModeEnabled: A,
      show: P,
      enableSelectionOnlyMode: O,
      horizontalSplitHandler: M,
      verticalSplitHandler: B,
      mergeHandler: I,
      rowInsertHandler: k,
      columnInsertHandler: F,
      rowDeleteHandler: $,
      columnDeleteHandler: D,
      undoHandler: K,
      redoHandler: ce
    } = h, V = jt(tn), Q = [
      [
        d ? "md.MdEditOff" : "md.MdEdit",
        () => g(!d),
        "Edit Layout",
        "#ffa500"
      ],
      [
        "ri.RiSplitCellsVertical",
        M,
        v ? "Split Horizontal" : "Select a cell to split",
        V === Ke.DARK1 ? "green" : "#17dc81",
        !v
      ],
      [
        "ri.RiSplitCellsHorizontal",
        B,
        v ? "Split Vertical" : "Select a cell to split",
        V === Ke.DARK1 ? "green" : "#17dc81",
        !v
      ],
      [
        "fa.FaCompressArrowsAlt",
        I,
        w ? "Merge Selection" : "Selected at least two adjacent cells to merge",
        V === Ke.DARK1 ? "green" : "#17dc81",
        !w
      ],
      [
        "ri.RiInsertRowTop",
        () => k("before"),
        "Insert Row Before",
        V === Ke.DARK1 ? "#0299e7" : "#0299ff"
      ],
      [
        "ri.RiInsertRowBottom",
        () => k("after"),
        "Insert Row After",
        V === Ke.DARK1 ? "#0299e7" : "#0299ff"
      ],
      [
        "ri.RiInsertColumnLeft",
        () => F("before"),
        "Insert Column Before",
        V === Ke.DARK1 ? "#0299e7" : "#0299ff"
      ],
      [
        "ri.RiInsertColumnRight",
        () => F("after"),
        "Insert Column After",
        V === Ke.DARK1 ? "#0299e7" : "#0299ff"
      ],
      [
        "ri.RiDeleteRow",
        $,
        l ? "Delete Row" : "Select a row to delete",
        "#ff6666",
        !l
      ],
      [
        "ri.RiDeleteColumn",
        D,
        C ? "Delete Column" : "Select a column to delete",
        "#ff6666",
        !C
      ],
      [
        "fc.FcUndo",
        K,
        f ? "Undo Last" : "Nothing to undo",
        "",
        !f
      ],
      [
        "fc.FcRedo",
        ce,
        S ? "Redo Last Undone" : "Nothing to redo",
        "",
        !S
      ],
      [
        "gr.GrSelect",
        () => O(!A),
        A ? "Disable Selection Only Mode" : "Enable Selection Only Mode",
        A ? "" : "#17dc81",
        !1,
        A ? "#17dc81" : ""
      ]
    ];
    return /* @__PURE__ */ _(
      "div",
      {
        className: `ar-LayoutControlPanel p-1${P ? " show" : ""}${i ? " " + i : ""}${d ? " show-all-controls" : ""}`,
        style: { overflow: "hidden" },
        ref: a,
        children: [
          tr(
            V,
            Q[0][0],
            Q[0][1],
            Q[0][2],
            r,
            Q[0][3]
          ),
          d && /* @__PURE__ */ _(ut, { children: [
            n && /* @__PURE__ */ _(ut, { children: [
              /* @__PURE__ */ s("span", { className: "border-right mx-2" }),
              Q.slice(1, 4).map(
                (Z) => tr(
                  V,
                  Z[0],
                  Z[1],
                  Z[2],
                  r,
                  Z[3],
                  Z[4],
                  Z[5],
                  d
                )
              )
            ] }),
            /* @__PURE__ */ s("span", { className: "border-right mx-2" }),
            Q.slice(4, 10).map(
              (Z) => tr(
                V,
                Z[0],
                Z[1],
                Z[2],
                r,
                Z[3],
                Z[4],
                Z[5],
                d
              )
            ),
            /* @__PURE__ */ s("span", { className: "border-right mx-2" }),
            Q.slice(10, 12).map(
              (Z) => tr(
                V,
                Z[0],
                Z[1],
                Z[2],
                r,
                Z[3],
                Z[4],
                Z[5],
                d
              )
            ),
            /* @__PURE__ */ s("span", { className: "border-right mx-2" }),
            Q.slice(12).map(
              (Z) => tr(
                V,
                Z[0],
                Z[1],
                Z[2],
                r,
                Z[3],
                Z[4],
                Z[5],
                d
              )
            )
          ] })
        ]
      },
      "layout-control-panel"
    );
  }
);
const $l = { rows: 5, columns: 5 }, xs = (h) => {
  const { mode: a, demo: i, gridSpecs: r } = h, d = { ...h };
  return d.gridSpecs = i ? r || $l : r, a === "build" || !a && i ? /* @__PURE__ */ s(pi, { ...d }) : /* @__PURE__ */ s(
    di,
    {
      slots: d.slots,
      gridTemplate: d.gridTemplate,
      slotRenderer: d.slotRenderer
    }
  );
};
const ir = (h) => {
  const { mode: a = Lt.PREVIEW, layoutMode: i = "preview" } = h, [r, d] = W(), g = h.config, n = Mn(() => ({ ...ai, ...li }), []);
  return ae(() => {
    var w, l, C, f;
    const v = g.content;
    if (v) {
      if (v.componentName && n[v.componentName]) {
        const S = n[v.componentName], A = v.props;
        d(
          /* @__PURE__ */ s(
            S,
            {
              demo: a === Lt.BUILD,
              ...A || {}
            }
          )
        );
      } else if ((w = v.descriptor) != null && w.content && Array.isArray(v.descriptor.content)) {
        const S = ((l = v == null ? void 0 : v.descriptor) == null ? void 0 : l.content) && Ct.generateGridAreaAndSizes(
          (C = v == null ? void 0 : v.descriptor) == null ? void 0 : C.content,
          "auto"
        ), A = S && Ct.generateGridTemplate(S.gridArea, "auto");
        d(
          /* @__PURE__ */ s(
            xs,
            {
              slots: (f = v == null ? void 0 : v.descriptor) == null ? void 0 : f.content,
              gridTemplate: A,
              mode: i,
              isChild: !0
            }
          )
        );
      }
    } else
      d(null);
  }, [g.content, i, a, n]), a !== Lt.PREVIEW && a !== Lt.RELEASE ? /* @__PURE__ */ s(ci, { ...h, content: r }) : /* @__PURE__ */ s(ni, { ...h, content: r });
};
const Hl = ({
  setActiveStage: h,
  setGridSpecs: a,
  gridSpecs: i
}) => /* @__PURE__ */ _("div", { className: "ar-LayoutCreator__row-col-specifier h-100 p-3 overflow-auto", children: [
  /* @__PURE__ */ _("div", { className: "row", children: [
    /* @__PURE__ */ s("div", { className: "col-6 text-center", children: /* @__PURE__ */ s(
      it,
      {
        content: "Start with a 1 x 1 grid and edit later",
        onClick: () => {
          a({ rows: 1, columns: 1 }), h(1);
        }
      }
    ) }),
    /* @__PURE__ */ s("div", { className: "col-6 flex-center", children: /* @__PURE__ */ s(
      go,
      {
        options: [
          { label: "2 x 2" },
          { label: "3 x 3" },
          { label: "4 x 4" },
          { label: "5 x 5" },
          { label: "10 x 10" }
        ],
        label: "Or Select from",
        labelPlacement: St.LEFT,
        onSelectionChanged: (r) => {
          const d = r.value.split(" x ");
          a({ rows: +d[0], columns: +d[1] }), h(1);
        }
      }
    ) })
  ] }),
  /* @__PURE__ */ s("div", { className: "text-center my-5 py-2 border-top border-bottom fw-bold", children: "OR Specify" }),
  /* @__PURE__ */ _("div", { className: "row", children: [
    /* @__PURE__ */ s("div", { className: "col", children: /* @__PURE__ */ s(
      dn,
      {
        containerClasses: "mb-3",
        label: "Number of rows",
        type: "number",
        onChange: (r) => {
          a({ ...i || {}, rows: r.target.value });
        },
        value: i == null ? void 0 : i.rows
      }
    ) }),
    /* @__PURE__ */ s("div", { className: "col", children: /* @__PURE__ */ s(
      dn,
      {
        label: "Number of columns",
        type: "number",
        onChange: (r) => {
          a({ ...i || {}, columns: r.target.value });
        },
        value: i == null ? void 0 : i.columns
      }
    ) })
  ] })
] }), Gl = ({
  setActiveStage: h,
  setGridSpecs: a,
  gridSpecs: i,
  demo: r
}) => [
  {
    id: Wt(),
    title: "Provide rows and columns to start with",
    content: /* @__PURE__ */ s(
      Hl,
      {
        setActiveStage: h,
        setGridSpecs: a,
        gridSpecs: i
      }
    )
  },
  {
    id: Wt(),
    title: "Modify & Verify structure",
    content: /* @__PURE__ */ s(xs, { gridSpecs: i, demo: r, showControls: !0 })
  }
], zl = (h) => {
  const { demo: a } = h, [i, r] = W(0), [d, g] = W(), [n, v] = W();
  return ae(() => {
    g(Gl({ setActiveStage: r, setGridSpecs: v, gridSpecs: n, demo: a }));
  }, [n]), d && /* @__PURE__ */ s(
    Es,
    {
      stages: d,
      activeStage: i,
      onStageChange: (w) => r(w.index),
      onComplete: () => {
      }
    }
  );
}, Wl = zl;
function Vl(h, a) {
  const i = h.getBoundingClientRect(), r = yt.getWindowElement(a), d = yt.getDocumentElement(a);
  return i.top >= 0 && i.left >= 0 && i.bottom <= ((r == null ? void 0 : r.innerHeight) || (d == null ? void 0 : d.documentElement.clientHeight) || 0) && i.right <= ((r == null ? void 0 : r.innerWidth) || (d == null ? void 0 : d.documentElement.clientWidth) || 0);
}
const jl = {
  gridTemplateColumns: "repeat(auto-fill, minmax(5rem, 1fr))",
  gridAutoRows: "minmax(7rem, auto)",
  justifyContent: "space-around",
  gap: "2rem"
};
let nr;
const Kl = (h, a, i, r, d, g, n, v, w, l, C) => {
  const f = h * a, S = { pageSize: a, from: f, ...l };
  w && setTimeout(() => {
    ar[r.current] < h && (d(!0), ar[r.current] = h, fo.get(w, S).then((A) => {
      var P;
      A && A.status === 200 && (((P = A.body) == null ? void 0 : P.length) > 0 ? (g([...i, ...A.body]), C && C([...i, ...A.body]), n(h + 1)) : v(!0)), d(!1);
    }).catch((A) => {
      console.error(A), d(!1);
    }));
  }, 100);
}, ar = {}, Ul = (h) => {
  const {
    apiEndpoint: a,
    component: i,
    data: r,
    dataSetter: d,
    demo: g,
    gridClasses: n,
    gridStyles: v,
    filters: w,
    limit: l = 50,
    threshold: C = 1
  } = h, [f, S] = W(0), [A, P] = W(!1), [O, M] = W(), [B, I] = W(r || []), k = At(null), F = At(Wt());
  return ae(() => {
    ar[F.current] = -1;
  }, []), ae(() => {
    S(0), M(!1), I([]), ar[F.current] = -1;
  }, [w]), ae(() => {
    k.current && (nr == null || nr.unobserve(k.current)), nr = new IntersectionObserver(
      () => {
        !r && k.current && Vl(k.current) && ar[F.current] < f && Kl(
          f,
          l,
          B,
          F,
          P,
          I,
          S,
          M,
          a,
          w,
          d
        );
      },
      { threshold: C }
    ), k.current && nr.observe(k.current);
  }, [f, A]), ae(() => {
    r && I(r);
  }, [r]), /* @__PURE__ */ _("div", { className: "ar-ScrollPagination w-100 h-100 overflow-auto", children: [
    /* @__PURE__ */ s(
      "div",
      {
        className: `ar-ScrollPagination__items-container d-grid${n ? " " + n : ""}`,
        style: { ...jl, ...v },
        children: B == null ? void 0 : B.map(
          ($, D) => i && /* @__PURE__ */ s(i, { icon: $, demo: g }, D)
        )
      }
    ),
    !O && /* @__PURE__ */ s("div", { className: "w-100 flex-center", ref: k, children: A ? /* @__PURE__ */ s("span", { className: "loader" }) : /* @__PURE__ */ _("div", { className: "flex-center p-3 flex-column", children: [
      /* @__PURE__ */ s(
        Le,
        {
          classes: "mb-3",
          icon: "fa.FaArrowAltCircleDown",
          size: "3rem",
          demo: g
        }
      ),
      "Load more..."
    ] }) })
  ] });
}, mi = Ul;
var hi = { exports: {} };
(function(h, a) {
  (function(i, r) {
    h.exports = r(bs);
  })(typeof self < "u" ? self : Rs, function(i) {
    return function(r) {
      function d(n) {
        if (g[n])
          return g[n].exports;
        var v = g[n] = { i: n, l: !1, exports: {} };
        return r[n].call(v.exports, v, v.exports, d), v.l = !0, v.exports;
      }
      var g = {};
      return d.m = r, d.c = g, d.d = function(n, v, w) {
        d.o(n, v) || Object.defineProperty(n, v, { configurable: !1, enumerable: !0, get: w });
      }, d.n = function(n) {
        var v = n && n.__esModule ? function() {
          return n.default;
        } : function() {
          return n;
        };
        return d.d(v, "a", v), v;
      }, d.o = function(n, v) {
        return Object.prototype.hasOwnProperty.call(n, v);
      }, d.p = "", d(d.s = 0);
    }([function(r, d, g) {
      function n() {
        return n = Object.assign ? Object.assign.bind() : function(I) {
          for (var k = 1; k < arguments.length; k++) {
            var F = arguments[k];
            for (var $ in F)
              Object.prototype.hasOwnProperty.call(F, $) && (I[$] = F[$]);
          }
          return I;
        }, n.apply(this, arguments);
      }
      function v(I) {
        return f(I) || C(I) || l(I) || w();
      }
      function w() {
        throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
      }
      function l(I, k) {
        if (I) {
          if (typeof I == "string")
            return S(I, k);
          var F = Object.prototype.toString.call(I).slice(8, -1);
          return F === "Object" && I.constructor && (F = I.constructor.name), F === "Map" || F === "Set" ? Array.from(I) : F === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(F) ? S(I, k) : void 0;
        }
      }
      function C(I) {
        if (typeof Symbol < "u" && I[Symbol.iterator] != null || I["@@iterator"] != null)
          return Array.from(I);
      }
      function f(I) {
        if (Array.isArray(I))
          return S(I);
      }
      function S(I, k) {
        (k == null || k > I.length) && (k = I.length);
        for (var F = 0, $ = new Array(k); F < k; F++)
          $[F] = I[F];
        return $;
      }
      function A(I) {
        "@babel/helpers - typeof";
        return (A = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(k) {
          return typeof k;
        } : function(k) {
          return k && typeof Symbol == "function" && k.constructor === Symbol && k !== Symbol.prototype ? "symbol" : typeof k;
        })(I);
      }
      Object.defineProperty(d, "__esModule", { value: !0 }), g.d(d, "HighchartsReact", function() {
        return B;
      });
      var P = g(1), O = g.n(P), M = typeof window < "u" ? P.useLayoutEffect : P.useEffect, B = Object(P.memo)(Object(P.forwardRef)(function(I, k) {
        var F = Object(P.useRef)(), $ = Object(P.useRef)(), D = Object(P.useRef)(I.constructorType), K = Object(P.useRef)(I.highcharts);
        return M(function() {
          function ce() {
            var Q = I.highcharts || (typeof window > "u" ? "undefined" : A(window)) === "object" && window.Highcharts, Z = I.constructorType || "chart";
            Q ? Q[Z] ? I.options ? $.current = Q[Z](F.current, I.options, I.callback) : console.warn('The "options" property was not passed.') : console.warn('The "constructorType" property is incorrect or some required module is not imported.') : console.warn('The "highcharts" property was not passed.');
          }
          if ($.current) {
            if (I.allowChartUpdate !== !1)
              if (I.constructorType !== D.current || I.highcharts !== K.current)
                D.current = I.constructorType, K.current = I.highcharts, ce();
              else if (!I.immutable && $.current) {
                var V;
                (V = $.current).update.apply(V, [I.options].concat(v(I.updateArgs || [!0, !0])));
              } else
                ce();
          } else
            ce();
        }, [I.options, I.allowChartUpdate, I.updateArgs, I.containerProps, I.highcharts, I.constructorType]), M(function() {
          return function() {
            $.current && ($.current.destroy(), $.current = null);
          };
        }, []), Object(P.useImperativeHandle)(k, function() {
          return { get chart() {
            return $.current;
          }, container: F };
        }, []), O.a.createElement("div", n({}, I.containerProps, { ref: F }));
      }));
      d.default = B;
    }, function(r, d) {
      r.exports = i;
    }]);
  });
})(hi);
var ql = hi.exports;
const Yl = /* @__PURE__ */ al(ql);
const Xl = (h) => {
  const {
    data: a,
    demo: i,
    interval: r,
    maxLabelCharLength: d,
    title: g,
    shouldSortX: n,
    theme: v
  } = h, w = ta.adaptToProgressiveChart(a, i), [l, C] = W(0), [f, S] = W(!1), [A, P] = W({
    chart: {
      type: "column"
    },
    title: {
      text: g || "Animated Bar Chart"
    },
    xAxis: {
      categories: l !== void 0 ? w[Object.keys(w)[l]].map(
        (O) => "" + O[0]
      ) : [],
      labels: {
        formatter: (O) => {
          const M = O.value;
          return !d || M.length <= d ? M : M.substring(0, d) + "...";
        }
      }
    },
    series: [
      {
        type: "column",
        name: "Data",
        data: l !== void 0 ? w[Object.keys(w)[l]].map(
          (O) => +O[1]
        ) : [],
        dataSorting: {
          enabled: !0
        },
        dataLabels: {
          inside: !0
        }
      }
    ]
  });
  return ae(() => {
    let O;
    if (!f) {
      const M = Object.keys(w).length;
      O = setInterval(() => {
        C((B) => {
          const I = (B + 1) % M;
          return I < M ? (P((k) => ({
            ...k,
            xAxis: {
              categories: w[Object.keys(w)[I]].map((F) => "" + F[0]),
              labels: {
                formatter: (F) => {
                  const $ = F.value;
                  return !d || $.length <= d ? $ : $.substring(0, d) + "...";
                }
              }
            },
            series: [
              {
                type: "column",
                name: "Data",
                data: w[Object.keys(w)[I]].map(
                  (F) => +F[1]
                )
              }
            ]
          })), I) : (clearInterval(O), B);
        });
      }, r || 1e3);
    }
    return () => clearInterval(O);
  }, [a, f, w, d, r]), /* @__PURE__ */ _("div", { className: "ar-ProgressiveBarChart w-100 h-100", children: [
    /* @__PURE__ */ _("div", { className: "border bg mb-3 p-2", children: [
      /* @__PURE__ */ s("strong", { children: Object.keys(w)[l] }),
      /* @__PURE__ */ s("div", { className: "float-end", children: /* @__PURE__ */ s(
        Le,
        {
          classes: "cursor-pointer",
          icon: f ? "md.MdPlayCircleOutline" : "md.MdPauseCircleOutline",
          color: v === Ke.DARK1 ? "white" : "black",
          onClick: () => S(!f)
        }
      ) })
    ] }),
    /* @__PURE__ */ s(Yl, { highcharts: il, options: A })
  ] });
}, Jl = Xl;
const Ql = ws(
  (h, a) => {
    var S, A;
    const {
      acceptTypes: i = [Ut.GENERIC],
      dropHandler: r,
      children: d,
      canDrop: g,
      style: n
    } = h, v = At(null);
    a = a || v;
    const w = vt.toArray(d), l = w[0];
    w.length > 1 && console.warn(
      "More than one child is passed to Droppable component. Only the first child will be used."
    );
    const [{ isOver: C }, f] = ol(
      () => ({
        accept: i,
        drop: r,
        collect: (P) => ({ isOver: !!P.isOver() }),
        canDrop: g
      }),
      [i, r]
    );
    return ae(() => {
      const P = ei(a.current);
      P && P.nodeType === Node.ELEMENT_NODE && f(P);
    }, [f]), l ? uo(l, {
      ref: a,
      style: {
        ...n || {},
        ...((S = l.props) == null ? void 0 : S.style) || {}
      },
      className: `${((A = l.props) == null ? void 0 : A.className) || ""} ${C ? "drag-over" : ""}`.trim(),
      ...l.props || {}
    }) : null;
  }
), Ps = Ql;
const Zl = /* @__PURE__ */ s(
  "div",
  {
    style: { width: "10rem", height: "10rem", backgroundColor: "white" }
  }
), ec = ws((h, a) => {
  var A;
  const {
    canDrag: i,
    children: r,
    demo: d,
    itemData: g,
    itemType: n = Ut.GENERIC,
    style: v
  } = h, w = At(null);
  a = a || w;
  const l = d ? r || Zl : r;
  let C;
  if (typeof l == "string")
    C = /* @__PURE__ */ s("span", { children: l });
  else {
    const P = vt.toArray(l);
    C = P[0], P.length > 1 && console.warn(
      "More than one child is passed to Draggable component. Only the first child will be made draggable."
    );
  }
  const [{ isDragging: f }, S] = sl(
    () => ({
      type: n,
      item: g,
      collect: (P) => ({
        isDragging: !!P.isDragging()
      }),
      canDrag: i !== !1
    }),
    [i, g]
  );
  return ae(() => {
    const P = ei(a.current);
    P && P.nodeType === Node.ELEMENT_NODE && S(P);
  }, [S]), uo(C, {
    ref: a,
    style: {
      cursor: "move",
      opacity: f ? 0.5 : 1,
      ...v || {},
      ...((A = C.props) == null ? void 0 : A.style) || {}
    },
    ...C.props || {}
  });
}), ho = ec;
let tc;
const nc = {
  left: "right",
  right: "left",
  top: "bottom",
  bottom: "top"
}, rc = {
  left: "135",
  right: "-45",
  top: "-135",
  bottom: "45"
}, oc = (h) => {
  const {
    classes: a,
    children: i,
    contentClasses: r,
    contentMatchAnchorWidth: d,
    demo: g,
    disabled: n,
    hideMarker: v,
    isOpen: w,
    onAnchorClick: l,
    popAtPointer: C,
    position: f = Vt.AUTO,
    preserveMarkerSpace: S,
    stretch: A,
    trigger: P = $t.CLICK,
    animation: O,
    updateTriggers: M,
    ...B
  } = h, I = O && !Array.isArray(O) ? [O] : O, k = At(null), F = At(null), [$, D] = W(), [K, ce] = W(), [V, Q] = W(), [Z, we] = W(), [et, Ne] = W(), [ue, He] = W(), re = () => {
    if (!k.current || !F.current)
      return;
    const Te = k.current.getBoundingClientRect();
    d && (F.current.style.width = Te.width + "px");
    const Ge = F.current.getBoundingClientRect();
    I && I.length > 0 && I.indexOf(en.EXPANDSHRINK) > -1 && (Ge.width = Math.floor(Ge.width * 1.25), Ge.height = Math.floor(Ge.height * 1.25));
    const { leftTop: de, position: Ye } = yt.calculatePopoverPosition(
      Te,
      Ge,
      f,
      v && !S,
      C && P === $t.CLICK ? et : null,
      g
    );
    Q(de), we(Ye);
  };
  let Se, rt;
  return vt.forEach(i, (Te) => {
    var Ge, de;
    ((Ge = Te == null ? void 0 : Te.props) == null ? void 0 : Ge.slot) === lt.ANCHOR && (rt = Te), ((de = Te == null ? void 0 : Te.props) == null ? void 0 : de.slot) === lt.POPOVER && (Se = Te);
  }), ae(() => {
    w !== void 0 && D(w);
  }, [w]), ae(() => {
    var Ge;
    let Te = (de) => {
      k.current && !k.current.contains(de.target) && F.current && !F.current.contains(de.target) && D(!1);
    };
    if (P === $t.CLICK && $) {
      document.addEventListener("click", Te);
      const de = document.querySelector("iframe");
      return de && ((Ge = de.contentWindow) == null || Ge.document.addEventListener("click", Te)), () => {
        var ht;
        document.removeEventListener("click", Te);
        const Ye = document.querySelector("iframe");
        Ye && ((ht = Ye.contentWindow) == null || ht.document.removeEventListener("click", Te));
      };
    }
  }, [P, $]), ae(() => {
    K && $ && setTimeout(() => {
      re(), He(!0);
    }, 10);
  }, [$, K, ...M || []]), ae(() => {
    if (!v && F.current && ue && Z) {
      const Te = F.current, de = k.current.getBoundingClientRect(), Ye = nc[Z], ht = Te.getBoundingClientRect();
      I && I.length > 0 && I.indexOf(en.EXPANDSHRINK) > -1 && (ht.width = Math.floor(ht.width * 1.25), ht.height = Math.floor(ht.height * 1.25));
      const ot = Z === "top" || Z === "bottom";
      let pt = de[ot ? "width" : "height"] / 2 - 7;
      const ze = de.left - ht.left + pt, ct = de.top - ht.top + pt;
      Te.style.setProperty(
        "--marker-transform",
        `rotate(${rc[Z]}deg)`
      ), Te.style.setProperty(
        `--marker-${Ye}`,
        "-0.35rem"
      ), Te.style.setProperty(
        `--marker-${Z}`,
        "initial"
      ), Te.style.setProperty(
        `--marker-${ot ? "left" : "top"}`,
        (ot ? ze : ct) + "px"
      ), He(!1);
    }
  }, [ue, F, v, Z]), /* @__PURE__ */ _(ut, { children: [
    /* @__PURE__ */ s(
      "span",
      {
        className: `ar-Popover__anchor${a ? " " + a : ""}${A ? " w-100" : ""}`,
        onClick: (Te) => {
          P === $t.CLICK && !tc && !n && (Ne([Te.clientX, Te.clientY]), ce(!0), setTimeout(() => D(!$), 10)), l && l(!$);
        },
        ref: k,
        onMouseEnter: () => {
          P === $t.HOVER && !n && (ce(!0), setTimeout(() => D(!0), 10));
        },
        onMouseLeave: () => {
          P === $t.HOVER && !n && setTimeout(() => D(!1), 10);
        },
        ...B,
        children: rt
      }
    ),
    Se && K && /* @__PURE__ */ s(
      ks,
      {
        classes: `position-fixed popover-container${$ ? " z-3000" : " invisible"}`,
        demo: g,
        styles: V || {},
        children: /* @__PURE__ */ s(
          "div",
          {
            className: `ar-Popover__content px-2 py-1 border-radius l2 f25${f ? " " + f : ""} ${r}${I && I.length > 0 ? " transition" : ""} ${I == null ? void 0 : I.join(" ")}${$ ? " show" : ""}${v ? " hide-marker" : ""}`,
            ref: F,
            children: Se
          }
        )
      }
    )
  ] });
}, As = oc;
let is, as;
const to = {
  left: "right",
  right: "left",
  top: "bottom",
  bottom: "top"
}, sc = {
  left: "135",
  right: "-45",
  top: "-135",
  bottom: "45"
}, ic = (h) => {
  var ce, V;
  const {
    classes: a,
    children: i,
    contentClasses: r,
    contentMatchAnchorWidth: d,
    hideMarker: g,
    isOpen: n,
    onAnchorClick: v,
    position: w,
    stretch: l,
    trigger: C = $t.CLICK,
    animation: f = [en.EXPANDSHRINK],
    ...S
  } = h, A = At(null), P = At(null), [O, M] = W(), [B, I] = W(), k = f && !Array.isArray(f) ? [f] : f;
  let F, $;
  vt.forEach(i, (Q) => {
    var Z, we;
    ((Z = Q == null ? void 0 : Q.props) == null ? void 0 : Z.slot) === lt.ANCHOR && ($ = Q), ((we = Q == null ? void 0 : Q.props) == null ? void 0 : we.slot) === lt.POPOVER && (F = Q);
  });
  const D = A.current && ((ce = A.current) == null ? void 0 : ce.getBoundingClientRect().width), K = A.current && ((V = A.current) == null ? void 0 : V.getBoundingClientRect().height);
  return ae(() => {
    n !== void 0 && M(n);
  }, [n]), ae(() => {
    requestAnimationFrame(() => {
      if (A.current && P.current && O) {
        const Q = w || Vt.BOTTOMLEFT, Z = A.current, we = P.current, et = Z.getBoundingClientRect(), Ne = we.getBoundingClientRect(), ue = Q.split("-"), He = ue[0], re = ue[1], Se = to[He], rt = to[re];
        we.style[Se] = g ? "100%" : "calc(100% + 0.5rem)", rt && (we.style[rt] = "0"), re === "center" && (He === "left" || He === "right" ? (we.style.top = -(Ne.height / 2) + et.height / 2 + "px", we.style.bottom = "unset") : (He === "top" || He === "bottom") && (we.style.right = -(Ne.width / 2) + et.width / 2 + "px", we.style.left = "unset")), we.style[He] = "unset", re !== "center" && (we.style[re] = "unset"), I(!0);
      }
    });
  }, [w, O, K, D]), ae(() => {
    if (A.current && P.current) {
      const Q = w || Vt.BOTTOMLEFT, Z = A.current, we = P.current, et = Z.getBoundingClientRect(), Ne = we.getBoundingClientRect(), ue = Q.split("-"), He = ue[0], re = to[He], Se = ue[1], rt = to[Se], Te = He === "top" || He === "bottom";
      let Ge = et[Te ? "width" : "height"] / 2 - 7;
      const de = Ne.width / 2 - 7, Ye = Ne.height / 2 - 7;
      if (we.style.setProperty(
        "--marker-transform",
        `rotate(${sc[He]}deg)`
      ), we.style.setProperty(`--marker-${re}`, "-0.35rem"), we.style.setProperty(`--marker-${He}`, "initial"), rt) {
        const ht = Ne[Te ? "width" : "height"];
        Ge > ht - 15 && (Ge = ht - 15), we.style.setProperty(`--marker-${rt}`, Ge + "px"), we.style.setProperty(`--marker-${Se}`, "initial");
      } else
        we.style.setProperty(
          `--marker-${Te ? "left" : "top"}`,
          (Te ? de : Ye) + "px"
        );
      I(!1);
    }
  }, [B, K, D, w]), ae(() => {
    if (P.current) {
      const Q = O ? "remove" : "add";
      P.current.classList[Q](
        "z-minus-1",
        "h-0",
        "overflow-hidden"
      ), O && P.current.focus();
    }
  }, [O, C]), /* @__PURE__ */ _(
    "div",
    {
      className: `ar-PopoverV1 position-relative d-inline-block${a ? " " + a : ""}`,
      onMouseEnter: () => {
        C === $t.HOVER && M(!0);
      },
      onMouseLeave: () => {
        C === $t.HOVER && M(!1);
      },
      ...S,
      children: [
        /* @__PURE__ */ s(
          "span",
          {
            className: `ar-Popover__anchor d-flex${l ? " w-100" : ""}`,
            onClick: (Q) => {
              C === $t.CLICK && !as && (M(!O), v && v(!O));
            },
            ref: A,
            children: $
          }
        ),
        F && /* @__PURE__ */ s(
          "div",
          {
            className: `ar-Popover__content position-absolute${g ? " hide-marker" : ""}${d && (!w || w != null && w.startsWith("top") || w != null && w.startsWith("bottom")) ? " min-width-100" : ""}${O ? " show p-1 border border-radius l2" : ""}${w ? " " + w : ""} ${k == null ? void 0 : k.join(" ")}${k && k.length > 0 ? " transition" : ""} ${r}`,
            ref: P,
            tabIndex: -1,
            onMouseDown: () => {
              is = !0, setTimeout(() => is = !1, 0);
            },
            onBlur: (Q) => {
              is || (as = !0, M(!1), setTimeout(() => as = !1, 100));
            },
            children: F
          }
        )
      ]
    }
  );
}, gi = ic;
const ac = (h) => Array(h).fill(null).map((a, i) => /* @__PURE__ */ s("div", {}, i)), no = (h, a, i, r, d) => h ? (i == null || i.splice(i.indexOf(h), 1), uo(h, {
  className: d ? `border border-radius l2 m-05 p-1 ${h.props.className || ""}${a === cn.HEADER || a === cn.FOOTER ? " mih-2" : ""}${a === cn.DRAWER || a === cn.SIDEPANEL ? " miw-2" : ""}` : h.props.className,
  style: r,
  slot: a
})) : null, lc = (h) => {
  const {
    children: a,
    demo: i,
    drawerLevel: r,
    hasDrawer: d,
    hasFooter: g,
    hasHeader: n,
    hasSidepanel: v,
    sidepanelLevel: w
  } = h, l = {
    header: null,
    footer: null,
    drawer: null,
    sidepanel: null
  };
  vt.forEach(a, (S) => {
    var A;
    (A = S == null ? void 0 : S.props) != null && A.slot && (l[S.props.slot] = S);
  }), !l.header && n && (l.header = a[0]), !l.footer && g && (l.footer = a[a.length - 1]), !l.drawer && d && (l.drawer = a[1]), !l.sidepanel && v && (l.sidepanel = a[a.length - 2]);
  let C = !1, f = !1;
  return (n || g) && (C = !0), (d || v) && (f = !0), l.header = no(
    l.header,
    cn.HEADER,
    a,
    { gridColumn: "1 / -1", gridRow: "1" },
    i
  ), l.footer = no(
    l.footer,
    cn.FOOTER,
    a,
    { gridColumn: "1 / -1", gridRow: "-1" },
    i
  ), l.drawer = no(
    l.drawer,
    cn.DRAWER,
    a,
    { gridColumn: "1", gridRow: "1 / -1" },
    i
  ), l.sidepanel = no(
    l.sidepanel,
    cn.SIDEPANEL,
    a,
    { gridColumn: "-1", gridRow: "1 / -1" },
    i
  ), {
    header: l.header,
    footer: l.footer,
    drawer: l.drawer,
    sidepanel: l.sidepanel,
    hasContainerGrid: C,
    hasSecondaryGrid: f
  };
}, cc = ({
  classes: h,
  demo: a,
  demoChildCount: i = 6,
  cardSize: r,
  children: d,
  hasHeader: g,
  hasFooter: n,
  hasDrawer: v,
  isFooterFixed: w,
  drawerLevel: l,
  sidepanelLevel: C,
  hasSidepanel: f,
  gridSize: S,
  selectable: A,
  variant: P,
  ...O
}) => {
  nn("LayoutGenerator");
  let M = +i;
  g && (M += 1), n && (M += 1), v && (M += 1), f && (M += 1);
  const B = ac(M), I = d && (Array.isArray(d) ? d : [d]), k = [
    ...(a ? I || B : I) || []
  ], F = {
    ...ea[P || Zt.FULL],
    ...O
  };
  let $ = g ? "auto " : "";
  $ += "1fr ", $ += n ? "auto" : "";
  let D = v ? "auto " : "";
  D += "1fr ", D += f ? "auto " : "";
  const {
    header: K,
    footer: ce,
    drawer: V,
    sidepanel: Q,
    hasContainerGrid: Z,
    hasSecondaryGrid: we
  } = lc({
    children: k,
    demo: a,
    drawerLevel: l,
    hasHeader: g,
    hasFooter: n,
    hasDrawer: v,
    hasSidepanel: f,
    sidepanelLevel: C
  });
  P === Zt.GRID && S && (F.gridTemplateColumns = `repeat(auto-fill, minmax(${S}, 1fr))`), P === Zt.CARD && r && (F.gridTemplateColumns = `repeat(auto-fill, minmax(${r}, 1fr))`);
  const et = vt.map(k, (Ne, ue) => {
    let He, re, Se;
    switch (P) {
      case Zt.HEROLINEARCONTENTBLOCKS:
        Se = { gridColumn: "2" };
        break;
      case Zt.HEROSTAGGEREDARCONTENTBLOCKS:
        He = ue % 4 === 0 || ue % 4 === 2 ? 2 : ue % 4 === 1 ? 5 : 4, re = ue % 4 === 0 ? 5 : ue % 4 === 2 ? 4 : 7, Se = { gridColumn: `${He} / ${re}` };
        break;
      case Zt.HEROSTAGGEREDREVERSEDARCONTENTBLOCKS:
        He = ue % 4 === 0 || ue % 4 === 2 ? 2 : ue % 4 === 1 ? 4 : 5, re = ue % 4 === 0 ? 4 : ue % 4 === 2 ? 5 : 7, Se = { gridColumn: `${He} / ${re}` };
        break;
      case Zt.FULL:
      default:
        Se = {};
    }
    return Ne && uo(Ne, {
      className: a ? `border ${K || ce || P !== Zt.FULL && P !== Zt.CAROUSEL ? "border-radius l2 m-05 p-1" : ""} ${Ne.props.className || ""}` : Ne.props.className,
      style: Se
    });
  });
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-LayoutGenerator d-grid${A ? "" : " h-100 w-100"}${Z ? " header-main-footer-layout" : ""}${a ? " bg" : ""}${h ? " " + h : ""}`,
      style: Z ? { gridTemplateRows: $ } : we ? { gridTemplateColumns: D } : F,
      children: Z ? /* @__PURE__ */ _(ut, { children: [
        K,
        /* @__PURE__ */ s(
          "div",
          {
            className: `d-grid ${w ? " overflow-auto" : ""}`,
            style: we ? { gridTemplateColumns: D } : F,
            children: we ? /* @__PURE__ */ _(ut, { children: [
              V,
              /* @__PURE__ */ s("div", { className: "d-grid overflow-auto", style: F, children: et }),
              Q
            ] }) : et
          }
        ),
        ce
      ] }) : we ? /* @__PURE__ */ _(ut, { children: [
        V,
        /* @__PURE__ */ s("div", { className: "d-grid", style: F, children: et }),
        Q
      ] }) : et
    }
  );
}, vi = cc;
const uc = [
  {
    id: "1",
    title: "Stage 1",
    content: /* @__PURE__ */ s("div", { className: "", style: { height: "70vh" }, children: "Stage 1 Content" })
  },
  {
    id: "2",
    title: "Stage 2",
    content: "Stage 2 Content"
  },
  {
    id: "3",
    title: "Stage 3",
    content: "Stage 3 Content"
  }
], dc = (h) => {
  const {
    activeStage: a,
    classes: i,
    demo: r,
    hideStatusBar: d,
    navigationType: g,
    onComplete: n,
    onCancel: v,
    onStageChange: w,
    stages: l,
    title: C,
    ...f
  } = h, S = {
    activeStage: a,
    classes: i,
    demo: r,
    hideStatusBar: d,
    navigationType: g,
    onComplete: n,
    onCancel: v,
    onStageChange: w,
    stages: l,
    title: C
  }, [A, P] = W([]), [O, M] = W(), B = r ? l || uc : l, [I, k] = W();
  ae(() => {
    k(f.show);
  }, [f.show]), ae(() => {
    if (B) {
      const K = [...B];
      if (K.map((ce, V) => ce.index = V), P(K), a) {
        const ce = K == null ? void 0 : K.find(
          (V) => V.index === a
        );
        ce && M(ce.index);
      } else
        M(0);
    }
  }, [a, B]);
  const F = (K) => {
    if (A) {
      K = typeof K == "number" ? K : K.index;
      const ce = A[K];
      M(K), w && w(ce, A[O || 0]);
    }
  }, $ = () => {
    M(void 0), k(!1), v && v();
  }, D = /* @__PURE__ */ s("footer", { className: "ar-Wizard__footer px-3 py-2 flex-v-center bg border-top", children: /* @__PURE__ */ _("div", { className: "d-flex justify-content-end w-100", children: [
    /* @__PURE__ */ s(
      it,
      {
        classes: "me-3",
        variant: st.TERTIARY,
        content: "Cancel",
        onClick: $
      }
    ),
    O !== void 0 && O > 0 && /* @__PURE__ */ s(
      it,
      {
        classes: "me-3",
        variant: st.PRIMARY,
        content: "Previous",
        preIcon: "ti.TiChevronLeft",
        onClick: () => F(O - 1)
      }
    ),
    /* @__PURE__ */ s(
      it,
      {
        variant: st.PRIMARY,
        content: O === (A == null ? void 0 : A.length) - 1 ? "Done" : "Next",
        postIcon: O === (A == null ? void 0 : A.length) - 1 ? "fa.FaCheck" : "ti.TiChevronRight",
        onClick: () => O === (A == null ? void 0 : A.length) - 1 ? n && n(A) : F((O || 0) + 1)
      }
    )
  ] }) });
  return /* @__PURE__ */ s("div", { className: "ar-WizardModal", children: /* @__PURE__ */ s(
    Ri,
    {
      ...f,
      demo: r,
      show: I,
      closeHandler: f.closeHandler || $,
      body: /* @__PURE__ */ s(
        Es,
        {
          ...S,
          activeStage: O,
          onStageChange: F,
          onCancel: $,
          stages: B,
          navigationType: zt.EXTERNAL,
          hideStatusBar: !0
        }
      ),
      footer: D
    }
  ) });
}, pc = dc;
const fc = [
  {
    id: "1",
    title: "Stage 1",
    content: /* @__PURE__ */ s("div", { className: "h-100", children: "Stage 1 Content" })
  },
  {
    id: "2",
    title: "Stage 2",
    content: "Stage 2 Content"
  },
  {
    id: "3",
    title: "Stage 3",
    content: "Stage 3 Content"
  }
], Ws = ({
  context: h,
  disabled: a,
  isLast: i,
  navigationType: r,
  onClick: d
}) => {
  const [g, n] = W();
  return /* @__PURE__ */ s(
    "span",
    {
      className: `${h === "prev" ? "ar-NavButton__previous" : "ar-NavButton__next"} ${a ? "" : `cursor-pointer${g ? " hovered" : ""}`}
      ${r === zt.OVERLAYPROMINENT ? ` position-absolute border-radius-50 overflow-hidden p-2 z-1${a ? "" : " hover-low-shadow"}` : ` overflow-hidden py-1 px-3${h === "prev" ? " border-left-radius" : " border-right-radius"}`}${" " + r}`,
      onMouseEnter: () => n(!0),
      onMouseLeave: () => n(!1),
      children: /* @__PURE__ */ s(
        Le,
        {
          onClick: () => d(h),
          icon: h === "prev" ? "fa.FaChevronLeft" : i ? "fa.FaCheck" : "fa.FaChevronRight",
          color: a ? "#d1d5db" : i ? "green" : g ? "#9b9b9b" : "#c0c4ca",
          size: r === zt.OVERLAYPROMINENT ? "2rem" : "1rem"
        }
      )
    }
  );
}, mc = (h) => {
  const {
    activeStage: a,
    classes: i,
    demo: r,
    hideStatusBar: d,
    navigationType: g = zt.STANDARD,
    onComplete: n,
    onCancel: v,
    onStageChange: w,
    stages: l,
    title: C
  } = h, [f, S] = W(), [A, P] = W([]);
  nn("Wizard");
  const O = r ? l || fc : l;
  ae(() => {
    const F = [...O || []];
    F.map(($, D) => $.index = D), P(F);
  }, [O]), ae(() => {
    S(a || 0);
  }, [a]);
  const M = (F) => {
    if (A) {
      const $ = A[F];
      S(F), w && w($, A[f || 0]);
    }
  }, B = A == null ? void 0 : A.map((F, $) => {
    const D = (K) => /* @__PURE__ */ _(
      "div",
      {
        className: `ar-Wizard__stage w-100 h-100 overflow-auto top-0 d-flex flex-column${f !== void 0 ? f === $ ? " active start-0" : $ < f ? " start-n100" : " start-100" : $ === 0 ? " start-0" : " start-100"}${K ? " position-relative invisible z-minus-1" : " position-absolute"}${g === zt.STANDARD ? " border border-radius l2 overflow-hidden" : ""}`,
        children: [
          g !== zt.EXTERNAL && F.title && /* @__PURE__ */ s(
            "header",
            {
              className: `ar-Wizard__stage-header flex-v-center mb-1 border-bottom${F.title ? " has-header" : ""}${g === zt.STANDARD ? " bg p-2" : " py-1 pb-2"}`,
              children: /* @__PURE__ */ s("h6", { className: "mb-0", children: F.title })
            }
          ),
          /* @__PURE__ */ s("main", { className: "ar-Wizard__body overflow-hidden flex-1", children: F.content })
        ]
      },
      `ar-Wizard__stage-${F.index}${K ? "-hidden" : ""}`
    );
    return /* @__PURE__ */ _(ut, { children: [
      D(),
      D(!0)
    ] });
  }), I = /* @__PURE__ */ s(
    Ws,
    {
      onClick: () => M((f || 1) - 1),
      context: "prev",
      disabled: f === 0,
      navigationType: g
    }
  ), k = /* @__PURE__ */ s(
    Ws,
    {
      onClick: f === (A == null ? void 0 : A.length) - 1 ? n : () => M((f || 0) + 1),
      context: "next",
      isLast: f === (A == null ? void 0 : A.length) - 1,
      navigationType: g
    }
  );
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-Wizard w-100 h-100 bg${i ? " " + i : ""}${g === zt.STANDARD ? " has-footer" : ""}${g !== zt.EXTERNAL ? ` border border-radius l2 overflow-hidden${C ? " has-header" : ""}` : ""}${d ? "" : " show-status-bar"}`,
      children: [
        g !== zt.EXTERNAL && C && /* @__PURE__ */ s("header", { className: "ar-Wizard__header flex-v-center px-3 bg border-bottom", children: /* @__PURE__ */ s("h6", { className: "mb-0", children: C }) }),
        /* @__PURE__ */ _(
          "div",
          {
            className: "ar-Wizard__stage-container w-100 p-1 flex-column flex-v-center",
            children: [
              /* @__PURE__ */ _("div", { className: "ar-Wizard__stage-container__stages position-relative overflow-hidden w-100", children: [
                g === zt.OVERLAYPROMINENT && /* @__PURE__ */ _(ut, { children: [
                  I,
                  k
                ] }),
                g === zt.OVERLAY && /* @__PURE__ */ _("span", { className: "position-absolute top-0 end-0 border-radius bg z-1 d-flex hover-low-shadow me-3", children: [
                  I,
                  k
                ] }),
                B
              ] }),
              !d && /* @__PURE__ */ s("div", { className: "ar-Wizard__stage-container__stage-selection-bar flex-center", children: A == null ? void 0 : A.map((F, $) => /* @__PURE__ */ s(
                "div",
                {
                  className: `ar-Wizard__stage-selection-item border mx-05${(f || 0) === $ ? " active" : ""}`,
                  onClick: () => M($)
                },
                `ar-Wizard__stage-selection-bar__bars${F.index}`
              )) })
            ]
          }
        ),
        g === zt.STANDARD && /* @__PURE__ */ s("footer", { className: "ar-Wizard__footer px-3 py-2 flex-v-center bg border-top", children: /* @__PURE__ */ _("div", { className: "d-flex justify-content-end w-100", children: [
          /* @__PURE__ */ s(
            it,
            {
              classes: "me-3",
              variant: st.TERTIARY,
              content: "Cancel",
              onClick: v
            }
          ),
          f !== void 0 && f > 0 && /* @__PURE__ */ s(
            it,
            {
              classes: "me-3",
              variant: st.PRIMARY,
              content: "Previous",
              preIcon: "ti.TiChevronLeft",
              onClick: () => M(f - 1)
            }
          ),
          /* @__PURE__ */ s(
            it,
            {
              variant: st.PRIMARY,
              content: f === (A == null ? void 0 : A.length) - 1 ? "Done" : "Next",
              postIcon: f === (A == null ? void 0 : A.length) - 1 ? "fa.FaCheck" : "ti.TiChevronRight",
              onClick: () => f === (A == null ? void 0 : A.length) - 1 ? n && n(A) : M((f || 0) + 1)
            }
          )
        ] }) })
      ]
    }
  );
}, Es = mc;
const hc = [
  {
    id: Wt(),
    title: "Slide In",
    content: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut laoreet tellus ante, et gravida massa egestas ac. Maecenas venenatis dui a eros maximus, vitae fringilla metus ultrices. Etiam at lacinia magna. Vestibulum sagittis felis sed diam ullamcorper, vel pharetra quam facilisis. Suspendisse bibendum ante id risus interdum, vel sodales felis egestas. Mauris vitae dui gravida, dictum sem id, accumsan tellus. Aliquam sodales quam efficitur, congue justo a, consectetur ante. Nunc euismod augue ac ante condimentum tincidunt. Quisque bibendum semper velit. Cras sit amet imperdiet dolor, ac aliquet mi. Morbi elementum magna eros, in venenatis nunc laoreet eget. Etiam at lorem suscipit, interdum augue id, scelerisque risus. Suspendisse at nisi lorem. Morbi libero erat, vestibulum at pulvinar at, ultrices ac turpis. Etiam ac leo gravida, semper quam in, tempus ipsum. Phasellus finibus rhoncus cursus. Maecenas dapibus ex ut congue eleifend. Sed luctus consectetur quam, at malesuada enim condimentum non."
  },
  {
    id: Wt(),
    title: "Slide Out",
    content: /* @__PURE__ */ s(
      "input",
      {
        type: "text",
        className: "p-3 m-3",
        title: "dummy",
        placeholder: "Accordion content..."
      }
    )
  },
  {
    id: Wt(),
    title: "Fade",
    content: "Donec varius lorem vel orci aliquam, nec venenatis turpis commodo. Ut ac diam nisi. Integer at lorem ac ligula vehicula porta. Proin tempor lorem a nunc auctor, rhoncus porta elit auctor. Duis imperdiet dictum luctus. Sed eget orci mattis, sagittis quam ac, congue arcu. Praesent blandit mattis sem, eget rutrum neque auctor id. Vestibulum eu augue ut nisl tempus iaculis. Nullam id tortor sed ante tincidunt consectetur et eu odio. Aliquam accumsan turpis ac dictum interdum."
  },
  {
    id: Wt(),
    title: "Rotate",
    content: "Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Donec metus augue, tempus vitae neque in, accumsan faucibus velit. Quisque felis lorem, tristique nec finibus consequat, viverra quis nibh. Donec arcu mi, placerat eget pretium non, molestie vitae leo. Nunc cursus id mi quis malesuada."
  },
  {
    id: Wt(),
    title: "Scale",
    content: "Integer dapibus aliquet bibendum. Quisque id lobortis dolor, in bibendum enim. Cras mollis iaculis metus et tincidunt. Maecenas fermentum porttitor faucibus. Suspendisse feugiat ac enim nec vulputate. Aliquam egestas ante ac tempor blandit. Etiam vehicula, dui sed facilisis rhoncus, quam tortor efficitur sapien, eu imperdiet nisi magna et dui. Nulla a justo odio."
  }
], gc = (h) => {
  const {
    classes: a,
    content: i,
    expanded: r,
    id: d,
    isRemovable: g,
    setExpandedId: n,
    theme: v,
    title: w
  } = h, l = At(null), [C, f] = W();
  return ae(() => {
    f(r);
  }, [r]), ae(() => {
    l.current && (l.current.style.maxHeight = (C ? l.current.scrollHeight + 5 : 0) + "px");
  }, [C]), /* @__PURE__ */ _(
    "div",
    {
      className: `ar-AccordionExpansionPanel${a ? " " + a : ""}${C ? " expanded" : ""}`,
      id: d,
      children: [
        /* @__PURE__ */ _(
          "div",
          {
            className: "ar-AccordionExpansionPanel__title flex-v-center px-2 py-1 cursor-pointer",
            onClick: () => {
              f(!C), n && n(d);
            },
            children: [
              /* @__PURE__ */ s("span", { className: "ar-AccordionExpansionPanel__title-expand-icon p-2", children: /* @__PURE__ */ s(
                Le,
                {
                  color: Ke.DARK1 === v ? "white" : "black",
                  icon: "md.MdKeyboardArrowRight"
                }
              ) }),
              w,
              g && /* @__PURE__ */ s(
                Le,
                {
                  color: Ke.DARK1 === v ? "white" : "black",
                  classes: "ms-auto",
                  icon: "md.MdClose"
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ s("div", { className: "ar-AccordionExpansionPanel__content", ref: l, children: typeof i == "string" ? /* @__PURE__ */ s("div", { className: "p-3", children: i }) : i })
      ]
    },
    d
  );
}, vc = (h) => {
  const {
    appearance: a,
    classes: i,
    data: r,
    demo: d,
    firstExpanded: g,
    isRemovable: n,
    theme: v,
    variant: w
  } = h, [l, C] = W(), [f, S] = W(), A = r || d && hc;
  return ae(() => {
    A && (g && (A[0] && (A[0].expanded = !0), C(A[0].id)), S(A));
  }, [A, g]), ae(() => {
    if (w === Hi.LIMITED) {
      const P = [...A];
      P.forEach((O) => O.expanded = l === O.id), S(P);
    }
  }, [l, w, A]), /* @__PURE__ */ s(
    "div",
    {
      className: `ar-Accordion${i ? " " + i : ""}${a ? " " + a : ""}`,
      children: f == null ? void 0 : f.map((P, O) => (P.setExpandedId = C, P.isRemovable = P.isRemovable !== void 0 ? P.isRemovable : !!n, /* @__PURE__ */ s(
        gc,
        {
          theme: v,
          ...P
        },
        "accordion-expansion-panel-" + O
      )))
    }
  );
}, yc = vc;
const bc = (h) => {
  const { demo: a, displaySample: i, id: r, onColorSelect: d, title: g } = h, [n, v] = W(), [w, l] = W(), [C, f] = W(), [S, A] = W();
  ae(() => {
    if (w !== void 0 && C !== void 0 && S !== void 0) {
      const O = yt.hslToHex(w, C, S);
      v(O), d && d(O);
    }
  }, [w, C, S]);
  const P = () => w !== void 0 && C !== void 0 && S !== void 0 ? "hsl(" + Math.round(w * 255) + ", " + Math.round(C * 100) + "%, " + Math.round(S * 100) + "%)" : "";
  return /* @__PURE__ */ _("div", { className: "ar-AdvancedColorPicker mb-4", children: [
    g && /* @__PURE__ */ s("strong", { className: "border-bottom mb-3 d-flex pb-2", children: g }),
    /* @__PURE__ */ s(
      "img",
      {
        className: "flex-h-center",
        src: Ia,
        useMap: `#colormap-${r}`,
        alt: `colormap-${r}`
      }
    ),
    /* @__PURE__ */ s("map", { id: `colormap-${r}`, name: `colormap-${r}`, children: cl.map((O, M) => /* @__PURE__ */ s(
      "area",
      {
        className: "cursor-pointer",
        shape: "poly",
        coords: O.coord,
        onClick: () => {
          v(O.color);
          const [B, I, k] = yt.hexToHsl(O.color, !0);
          l(B), f(I), A(k);
        },
        alt: O.color
      },
      r + "-area-item-" + M
    )) }),
    i && n && /* @__PURE__ */ _("div", { className: "my-4 row", children: [
      /* @__PURE__ */ s(
        "div",
        {
          className: "col-12 mb-3",
          style: { backgroundColor: P(), height: "1rem" },
          title: "Sample"
        }
      ),
      /* @__PURE__ */ s("strong", { className: "col-12", children: P() })
    ] }),
    /* @__PURE__ */ _("div", { className: "ar-AdvancedColorPicker__hsl-editor mt-4 mb-2", children: [
      /* @__PURE__ */ s(
        sr,
        {
          label: "Hue",
          min: 0,
          max: 255,
          onChange: (O) => l(parseInt(O.target.value) / 255),
          withManual: !0
        }
      ),
      /* @__PURE__ */ s(
        sr,
        {
          label: "Saturation",
          min: 0,
          max: 100,
          onChange: (O) => f(parseInt(O.target.value) / 100),
          withManual: !0
        }
      ),
      /* @__PURE__ */ s(
        sr,
        {
          label: "Lightness",
          min: 0,
          max: 100,
          onChange: (O) => A(parseInt(O.target.value) / 100),
          withManual: !0
        }
      )
    ] }),
    a && /* @__PURE__ */ s(
      "div",
      {
        className: "ar-AdvancedColorPicker__demo",
        style: { width: "5rem", height: "2rem", backgroundColor: n }
      }
    )
  ] });
}, wc = bc;
let Vs;
const Cc = (h) => {
  const {
    classes: a,
    closeable: i,
    demo: r,
    message: d,
    position: g,
    show: n,
    theme: v,
    type: w,
    timeout: l,
    uid: C
  } = h, [f, S] = W();
  ae(() => {
    (n || r) && (setTimeout(() => S("show"), 0), (!r || l) && (clearTimeout(Vs), Vs = setTimeout(() => {
      var P;
      S(""), (P = window.top) == null || P.postMessage({ ar: null }, "*");
    }, l || 5e3)));
  }, [r, n, l, C]);
  let A;
  switch (w) {
    case "success":
      A = "bs/BsCheckCircle";
      break;
    case "warning":
      A = "vsc/VscWarning";
      break;
    case "error":
      A = "vsc/VscError";
      break;
    case "information":
    default:
      A = "vsc/VscInfo";
  }
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-Alert position-fixed d-flex ${g || "top-center"}${a ? " " + a : ""} ${w || "information"}${f ? " " + f : ""}`,
      children: [
        /* @__PURE__ */ s("span", { className: "ar-Alert__icon d-inline-block p-2", children: /* @__PURE__ */ s(
          Le,
          {
            icon: A,
            color: v && v === Ke.DARK1 ? "white" : "black",
            theme: v,
            classes: "stroke-color"
          }
        ) }),
        /* @__PURE__ */ s("span", { className: "ar-Alert__text d-inline-block p-2 me-2", children: d || "This is a dummy alert" }),
        i && /* @__PURE__ */ s(
          "span",
          {
            className: "ar-Alert__close-icon position-absolute",
            onClick: () => {
              var P;
              S(""), (P = window.top) == null || P.postMessage({ ar: null }, "*");
            },
            children: /* @__PURE__ */ s(
              qt,
              {
                src: `${Kt}/io5/IoClose${w === "success" ? "/white" : ""}`
              }
            )
          }
        )
      ]
    }
  );
}, yi = Cc;
const Sc = [
  { source: "Item 1", val: 1350, color: "#C9D6DF" },
  { source: "Item 2", val: 2500, color: "#F7EECF" },
  { source: "Item 3", val: 5700, color: "#E3E1B2" },
  { source: "Item 4", val: 3e4, color: "#F9CAC8" },
  { source: "Item 5", val: 47500, color: "#D1C2E0" }
], Rc = (h) => {
  const { clickHandler: a, type: i, data: r, demo: d } = h, g = At(null);
  return ae(() => {
    if (r && g.current) {
      switch (i) {
        case fs.BUBBLE:
          ul(Sc);
      }
      const v = g.current.getBBox();
      dl("#ar-ArViz__chart-container").attr(
        "viewBox",
        `${v.x} ${v.y} ${v.width} ${v.height}`
      );
    }
  }, [g, r]), i === fs.BUBBLE ? /* @__PURE__ */ s(ri, { data: r, clickHandler: a }) : /* @__PURE__ */ s("div", { className: "ar-ArViz h-100 w-100 overflow-auto p-3", children: /* @__PURE__ */ s(
    "svg",
    {
      id: "ar-ArViz__chart-container",
      className: "h-100 w-100",
      ref: g,
      viewBox: ""
    }
  ) });
}, bi = Rc;
const xc = (h) => {
  const { classes: a, icon: i, size: r, shadow: d, style: g, text: n, type: v } = h;
  return (i == null ? void 0 : i.indexOf("/")) === -1 && console.warn(
    "Not sufficient information to render icon, needed format <icon_family>/<icon_name>"
  ), /* @__PURE__ */ _(
    "span",
    {
      className: `ar-Badge${r ? " " + r : " medium"}${v ? " " + v : " inprogress"}${d ? " shadow" : ""}${a ? " " + a : ""}`,
      style: g,
      children: [
        i && r !== "small" && /* @__PURE__ */ s(qt, { src: `${Kt}/${i}` }),
        r !== "small" && (n || "+2")
      ]
    }
  );
}, Is = xc;
const Pc = (h) => {
  const { classes: a, data: i, demo: r, separator: d, size: g, onClick: n } = h, v = cr(), l = i || r && [
    { label: "Home", route: "/home" },
    {
      label: "Categories"
    },
    { label: "Footwear" },
    {
      label: "LikeMyShoe"
    }
  ];
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-Breadcrumb flex-v-center${a ? " " + a : ""}`,
      children: l.map((C, f) => /* @__PURE__ */ _(ut, { children: [
        /* @__PURE__ */ s(
          it,
          {
            classes: "d-inline-block",
            content: C.label,
            size: g || mt.SMALL,
            variant: st.LINKNATIVE,
            onClick: "onClick" in C ? (S) => C.onClick(S, C.data) : n ? (S) => n(S, C.data) : () => v("route" in C ? C.route : "")
          },
          "breadcrumb-part-" + f
        ),
        f < l.length - 1 && (d || "/")
      ] }))
    }
  );
}, Ac = Pc;
const Ec = (h) => {
  const { applicationName: a, moreLink: i, theme: r } = h, d = "https://notabuck.com/armco-design-system/docs/devices", g = '"My Awesome App"', n = i || d, v = a || g;
  return /* @__PURE__ */ _("div", { className: "ar-BrowserIncompatibility p-3 flex-center flex-column", children: [
    /* @__PURE__ */ s(
      Le,
      {
        icon: "vsc.VscRunErrors",
        size: "8rem",
        color: r && r === Ke.DARK1 ? "white" : "black",
        classes: "mb-3",
        theme: r
      }
    ),
    /* @__PURE__ */ _("h5", { className: "mb-3", children: [
      v,
      " can not run on this browser"
    ] }),
    /* @__PURE__ */ s("p", { className: "mb-2", children: "Supported browsers are Google Chrome v51+ & Microsoft's Edge v32+" }),
    /* @__PURE__ */ s("p", { children: "For More details you can also check the below link" }),
    /* @__PURE__ */ s(
      oi,
      {
        to: n,
        label: n,
        classes: "ar-BrowserIncompatibility__help-link px-3 py-2",
        onClick: () => {
          var l;
          Rt.copyToClipboard(n), (l = window.top) == null || l.postMessage(
            {
              ar: {
                position: "bottom-left",
                type: "success",
                closeable: !0,
                message: "Link Copied!",
                show: !0
              }
            },
            "*"
          );
        },
        preemptNavigation: !0
      }
    ),
    /* @__PURE__ */ s(yi, { message: "Link Copied!", uid: Wt() })
  ] });
}, Ic = Ec;
const Tc = [
  { name: "Edit" },
  { name: "Preview" },
  { name: "Publish" }
], Nc = (h) => {
  const {
    classes: a,
    color: i,
    containerClasses: r,
    content: d,
    demo: g,
    preIcon: n,
    postIcon: v,
    onClick: w,
    onMouseEnter: l,
    onMouseLeave: C,
    size: f = mt.SMALL,
    splitButtonClasses: S,
    splitOptions: A,
    splitPopoverVersion: P,
    splitTrigger: O,
    type: M = Gi.BUTTON,
    theme: B,
    variant: I,
    ...k
  } = h, [F, $] = W(), D = g && typeof A == "string" && A === "true" ? Tc : A;
  let K = "";
  const ce = {};
  i ? (K = i, ce.color = i) : k.disabled ? K = B === Ke.DARK1 ? "#7a7aa7" : "#cfcfcf" : I === st.LINKNATIVE ? K = "#0d6efd" : I === st.LINK || I === st.LINKHOVEREFFECT ? K = "black" : I === st.SECONDARY ? K = F ? B === Ke.DARK1 ? "black" : "white" : "#3232d8" : K = "white";
  const V = d || n || v;
  return /* @__PURE__ */ _(
    "div",
    {
      className: `d-inline-flex${r ? " " + r : ""}`,
      children: [
        V && /* @__PURE__ */ _(
          "button",
          {
            type: M,
            className: `ar-Button ar-Button__main fw-bold flex-center${a ? " " + a : ""}${I ? " ar-" + I : ""}${f ? " ar-" + f : ""}${A ? " has-split-button" : ""}`,
            onClick: w,
            style: ce,
            onMouseEnter: (Q) => {
              $(!0), l && l(Q);
            },
            onMouseLeave: (Q) => {
              $(!1), C && C(Q);
            },
            ...k,
            children: [
              n && /* @__PURE__ */ s("span", { className: `ar-Button__icon${d ? " me-2" : ""}`, children: /* @__PURE__ */ s(Le, { icon: n, color: K }) }),
              d || (!n && !v ? "Button" : ""),
              v && /* @__PURE__ */ s("span", { className: `ar-Button__icon${d ? " ms-2" : ""}`, children: /* @__PURE__ */ s(
                Le,
                {
                  icon: v,
                  color: K,
                  skipPathColorFill: !0
                }
              ) })
            ]
          }
        ),
        D && /* @__PURE__ */ _(
          Qt,
          {
            trigger: O || $t.CLICK,
            demo: g,
            animation: [en.EXPANDSHRINK, en.FADEINOUT],
            version: P || "v1",
            position: P ? Vt.AUTO : V ? Vt.BOTTOMLEFT : Vt.BOTTOMCENTER,
            disabled: k.disabled,
            hideMarker: !0,
            children: [
              /* @__PURE__ */ s(
                "button",
                {
                  className: `ar-Button ar-Button__split px-1${S ? " " + S : ""}${I ? " ar-" + I : ""}${f ? " ar-" + f : ""}`,
                  type: "button",
                  title: "Extra Button Options",
                  slot: lt.ANCHOR,
                  disabled: k.disabled,
                  children: /* @__PURE__ */ s(Le, { icon: "io/IoIosArrowDown", color: K })
                }
              ),
              /* @__PURE__ */ s(
                un,
                {
                  data: D,
                  slot: lt.POPOVER,
                  theme: B
                }
              )
            ]
          }
        )
      ]
    }
  );
}, it = Nc;
const Lc = (h) => {
  let a = +(("" + h).substring(0, 2) + "00");
  const i = a + 100, r = [];
  for (; a < i; )
    r.push({ start: a + 1, end: a + 10 }), a += 10;
  return r;
}, _c = (h) => {
  let a = h + 1;
  const i = a + 10, r = [];
  for (; a < i; )
    r.push(a), a++;
  return r;
}, kc = (h) => {
  const {
    currentDecade: a,
    currentMonthNavView: i,
    currentYear: r,
    miniMode: d,
    onMonthSelect: g,
    setCurrentDecade: n,
    setCurrentMonthNavView: v,
    setCurrentView: w,
    setCurrentYear: l
  } = h;
  return /* @__PURE__ */ _("div", { className: "ar-MonthSelector position-absolute h-100 d-flex w-100 overflow-hidden", children: [
    /* @__PURE__ */ s(
      "div",
      {
        className: `ar-MonthSelector__decade-selector position-absolute h-100 w-100 d-flex flex-wrap${i === Tt.DECADE ? " start-0" : " start-100"}`,
        children: a && Lc(a).map((C) => /* @__PURE__ */ s(
          "div",
          {
            className: `ar-MonthSelector__decade-selector__decade-padder d-flex ${d ? "p-0" : "p-3"}`,
            onClick: () => {
              n(C.start - 1), v(Tt.YEAR);
            },
            children: /* @__PURE__ */ s(
              "div",
              {
                className: `ar-MonthSelector__decade-selector__decade flex-center flex-1 cursor-pointer${d ? "" : " border border-radius"}`,
                children: C.start + " - " + fl(C.end)
              }
            )
          }
        ))
      }
    ),
    /* @__PURE__ */ s(
      "div",
      {
        className: `ar-MonthSelector__year-selector position-absolute w-100 h-100 d-flex flex-wrap${i === Tt.YEAR ? " start-0" : i === Tt.MONTH ? " start-100" : " start-n100"}`,
        children: a && _c(a).map((C) => /* @__PURE__ */ s(
          "div",
          {
            className: `ar-MonthSelector__year-selector__year-padder d-flex ${d ? "p-0" : "p-3"}`,
            onClick: () => {
              l(C), v(Tt.MONTH);
            },
            children: /* @__PURE__ */ s(
              "div",
              {
                className: `ar-MonthSelector__year-selector__year flex-center flex-1 cursor-pointer${d ? "" : " border border-radius"}`,
                children: C
              }
            )
          }
        ))
      }
    ),
    /* @__PURE__ */ s(
      "div",
      {
        className: `ar-MonthSelector__month-selector position-absolute w-100 h-100 d-flex flex-wrap${i === Tt.MONTH ? " start-0" : " start-n100"}`,
        children: Zs.map((C, f) => /* @__PURE__ */ s(
          "div",
          {
            className: `ar-MonthSelector__month-selector__month-padder d-flex ${d ? "p-0" : "p-3"}`,
            onClick: () => {
              const S = /* @__PURE__ */ new Date();
              S.setMonth(f), S.setFullYear(+(r || S.getFullYear())), g(S), v(null), w(Nt.CALENDAR);
            },
            children: /* @__PURE__ */ s(
              "div",
              {
                className: `ar-MonthSelector__month-selector__month flex-center flex-1 cursor-pointer${d ? "" : " border border-radius"}`,
                children: C
              }
            )
          }
        ))
      }
    )
  ] });
}, Bc = [
  {
    name: "Monday",
    short: "Mo",
    index: 0
  },
  {
    name: "Tuesday",
    short: "Tu",
    index: 1
  },
  {
    name: "Wednesday",
    short: "We",
    index: 2
  },
  {
    name: "Thursday",
    short: "Th",
    index: 3
  },
  {
    name: "Friday",
    short: "Fr",
    index: 4
  },
  {
    name: "Saturday",
    short: "Sa",
    index: 5
  },
  {
    name: "Sunday",
    short: "Su",
    index: 6
  }
], Oc = (h, a) => "day" in h ? (h = h, a.day === h.day && a.month === h.month && a.year === h.year) : (h = h, a.day === h.getDate() && a.month === h.getMonth() && a.year === h.getFullYear()), Mc = (h) => {
  const {
    allowEventSetting: a,
    calHelper: i,
    date: r,
    hovered: d,
    isSingleSelect: g,
    isToday: n,
    miniMode: v,
    onDateSelected: w,
    setHovered: l
  } = h, [C, f] = W();
  return /* @__PURE__ */ _(
    "li",
    {
      className: `ar-JustCalendar__day flex-center cursor-pointer position-relative${r.siblingMonth ? " ar-JustCalendar__sibling-month" : ""}${i != null && i.isDateSelected(r) ? " selected" : ""}${n ? " today" : ""}${i != null && i.isDateSelected(r, d) ? " selectable" : ""}`,
      onClick: () => w(r),
      onMouseOver: () => {
        f(!0), i != null && i.startDate && !i.endDate && !g && l(r);
      },
      onMouseLeave: () => f(!1),
      children: [
        /* @__PURE__ */ _("span", { className: "ar-JustCalendar__day__date flex-center position-relative", children: [
          n && /* @__PURE__ */ s(
            Is,
            {
              type: zi.COMPLETE,
              size: mt.SMALL,
              classes: "ar-JustCalendar__day__badge position-absolute"
            }
          ),
          r.day
        ] }),
        a && /* @__PURE__ */ s(
          "span",
          {
            className: `ar-JustCalendar__day__event-btn position-absolute${C ? " show" : ""}`,
            onClick: () => w(r, a && C),
            children: /* @__PURE__ */ s(
              Le,
              {
                icon: "io.IoIosAddCircle",
                color: "#5cb85cb3",
                hoverColor: "#5cb85c",
                size: v ? "0.8rem" : "1.5rem"
              }
            )
          }
        )
      ]
    }
  );
}, Dc = (h) => {
  const {
    allowEventSetting: a,
    calendar: i,
    calHelper: r,
    endDate: d,
    hovered: g,
    isSingleSelect: n,
    miniMode: v,
    setHovered: w,
    onDateSelected: l,
    startDate: C
  } = h;
  return /* @__PURE__ */ _(
    "ul",
    {
      className: `ar-JustCalendar list-unstyled d-flex flex-wrap flex-1 position-relative mb-0 ${v ? "is-mini p-1" : "p-3"}`,
      onMouseLeave: () => w(null),
      children: [
        Bc.map((f) => /* @__PURE__ */ s("li", { className: "ar-JustCalendar__day ar-Calendar__weekday fw-bold flex-center", children: /* @__PURE__ */ s("span", { className: "ar-JustCalendar__day__short", children: f.short }) })),
        i == null ? void 0 : i.map((f) => {
          const S = f && Oc(/* @__PURE__ */ new Date(), f);
          return f ? /* @__PURE__ */ s(
            Mc,
            {
              allowEventSetting: a,
              calHelper: r,
              date: f,
              hovered: g,
              isSingleSelect: n,
              isToday: S,
              miniMode: v,
              onDateSelected: l,
              setHovered: w
            }
          ) : /* @__PURE__ */ s("li", {});
        })
      ]
    }
  );
}, Fc = /* @__PURE__ */ _("div", { className: "ar-EventManager__no-events fw-bold flex-center h-100 flex-column", children: [
  /* @__PURE__ */ s("span", { children: "No events on this date yet." }),
  /* @__PURE__ */ s("span", { children: "Use the form on the left to select type and add an event." })
] }), wi = ({
  classes: h,
  event: a,
  selectedEventType: i
}) => {
  var v, w, l, C, f, S;
  const r = a && /* @__PURE__ */ s("span", { children: a.title }), d = ((v = a == null ? void 0 : a.schedule) == null ? void 0 : v.starts) && /* @__PURE__ */ _("span", { children: [
    ". Starts:",
    " ",
    (w = a.schedule.starts) == null ? void 0 : w.toLocaleString("en-US", {
      year: "numeric",
      month: "short",
      day: "2-digit",
      hour: "2-digit",
      minute: "2-digit",
      hour12: !0
    })
  ] }), g = ((l = a == null ? void 0 : a.schedule) == null ? void 0 : l.ends) && /* @__PURE__ */ _("span", { children: [
    ", Ends:",
    " ",
    (C = a.schedule.ends) == null ? void 0 : C.toLocaleString("en-US", {
      year: "numeric",
      month: "short",
      day: "2-digit",
      hour: "2-digit",
      minute: "2-digit",
      hour12: !0
    })
  ] });
  let n = a != null && a.title ? /* @__PURE__ */ _(ut, { children: [
    r,
    ((f = a.schedule) == null ? void 0 : f.starts) && /* @__PURE__ */ _(ut, { children: [
      d,
      ((S = a.schedule) == null ? void 0 : S.ends) && g
    ] })
  ] }) : null;
  return a != null && a.eventType && (n = i != null && i.icon ? /* @__PURE__ */ _("span", { children: [
    /* @__PURE__ */ s(Le, { classes: "me-2", icon: i.icon }),
    n
  ] }) : n), /* @__PURE__ */ s(
    "span",
    {
      className: `ar-EventListItem small d-inline-block fw-bold${h ? " " + h : ""}`,
      children: n
    }
  );
}, $c = (h) => {
  const { events: a } = h;
  return /* @__PURE__ */ s("div", { className: "ar-EventList flex-grow-1 p-3", children: a && a.length > 0 ? /* @__PURE__ */ s("ul", { className: "list-unstyled", children: a.map((i) => /* @__PURE__ */ s("li", { children: /* @__PURE__ */ s(
    wi,
    {
      event: i,
      selectedEventType: hs.find(
        (r) => r.name === i.eventType
      )
    }
  ) })) }) : Fc });
}, Hc = [
  {
    name: "15min",
    label: "15 minutes",
    value: "15min",
    data: { minutes: 15 }
  },
  {
    name: "30min",
    label: "30 minutes",
    value: "30min",
    data: { minutes: 30 }
  },
  {
    name: "45min",
    label: "45 minutes",
    value: "45min",
    data: { minutes: 45 }
  },
  {
    name: "1hour",
    label: "1 hour",
    value: "1hour",
    data: { hours: 1 }
  },
  {
    name: "2hours",
    label: "2 hours",
    value: "2hours",
    data: { hours: 2 }
  },
  { name: "custom", label: "Custom", value: "custom" }
], hs = [
  { name: "task", label: "Task", icon: "md.MdAddTask" },
  {
    name: "event",
    label: "Event",
    icon: "md.MdOutlineEventAvailable"
  },
  {
    name: "birthday",
    label: "Birthday",
    icon: "fa.FaBirthdayCake"
  },
  {
    name: "meeting",
    label: "Meeting",
    icon: "md.MdOutlineMeetingRoom"
  }
], Gc = (h) => h && h.eventType && h.title && h.schedule && h.schedule.starts && h.schedule.ends, zc = (h) => {
  var v, w, l;
  const { miniMode: a, onSubmit: i, selectedDate: r } = h, [d, g] = W({
    title: "",
    state: rs.DRAFT,
    schedule: {}
  }), n = (C, f) => {
    var A, P, O, M;
    const S = { ...d };
    if (C === "isWholeDay" || C === "starts" || C === "ends" ? S.schedule || (S.schedule = {}) : C !== "duration" && (S[C] = f), C === "isWholeDay" && S.schedule && (S.schedule.isWholeDay = f, f && (S.schedule.starts = ln(r), S.schedule.ends = ln({
      ...r,
      day: r.day + 1
    }))), (C === "starts" || C === "ends") && S.schedule) {
      const B = f.raw;
      let I;
      try {
        I = B && B.hour && ln(
          r,
          +(B.hour || 0),
          +(B.minute || 0),
          B.ampm
        );
      } catch {
        console.warn("Failed attempt to convert string to number");
      }
      I && (S.schedule[C] = I);
    }
    if (C === "eventType" && f === "birthday" && (S.schedule || (S.schedule = {}), S.schedule.isWholeDay = !0, S.schedule.starts = ln(r), S.schedule.ends = ln({
      ...r,
      day: r.day + 1
    })), C === "duration" && S.schedule) {
      const B = (A = f.data) == null ? void 0 : A.data, I = (P = S.schedule.starts) == null ? void 0 : P.getHours(), k = (O = S.schedule.starts) == null ? void 0 : O.getMinutes(), F = (M = S.schedule.starts) == null ? void 0 : M.toLocaleString("en-US", { hour12: !0 }).split(" ")[1], $ = B == null ? void 0 : B.hours, D = B == null ? void 0 : B.minutes;
      let K = I, ce = k, V = F, Q = !1;
      D && k && k + D > 59 && (ce = k + D - 60, K += 1), $ && K + $ >= 12 && (K = K + $ - 12, V === "PM" && (Q = !0), V = V === "AM" ? "PM" : "AM"), S.schedule.ends = ln(
        Q ? { ...r, day: r.day + 1 } : r,
        K,
        ce
      );
    }
    g(S);
  };
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-EventForm p-2 mb-3 overflow-auto ${a ? "w-100" : "border-right"}`,
      children: [
        /* @__PURE__ */ s(
          Ls,
          {
            classes: "mb-3",
            segments: hs,
            onChange: (C) => {
              n("eventType", C.name);
            }
          }
        ),
        /* @__PURE__ */ s(
          dn,
          {
            classes: "mb-3",
            label: "Title",
            size: mt.SMALL,
            onChange: (C) => n("title", C.target.value),
            required: !0
          }
        ),
        /* @__PURE__ */ s(
          ii,
          {
            classes: "mb-3",
            label: "Details",
            size: mt.SMALL,
            onChange: (C) => n("description", C.target.value)
          }
        ),
        /* @__PURE__ */ s(
          mo,
          {
            classes: "mb-3",
            label: "Whole Day?",
            onChange: (C) => n("isWholeDay", C),
            size: mt.SMALL,
            isOn: (v = d == null ? void 0 : d.schedule) == null ? void 0 : v.isWholeDay,
            hideStatus: !0
          }
        ),
        /* @__PURE__ */ s(
          vs,
          {
            classes: "mb-3",
            label: "Starts",
            size: mt.SMALL,
            isDisabled: (w = d == null ? void 0 : d.schedule) == null ? void 0 : w.isWholeDay,
            onChange: (C) => n("starts", C),
            required: !0
          }
        ),
        (d == null ? void 0 : d.eventType) && (d == null ? void 0 : d.eventType) !== Fs.MEETING && /* @__PURE__ */ s(
          vs,
          {
            classes: "mb-4",
            label: "Ends",
            size: mt.SMALL,
            isDisabled: (l = d == null ? void 0 : d.schedule) == null ? void 0 : l.isWholeDay,
            onChange: (C) => n("ends", C),
            required: !0
          }
        ),
        (d == null ? void 0 : d.eventType) === Fs.MEETING && /* @__PURE__ */ s(
          lr,
          {
            classes: "mb-3",
            options: Hc,
            onSelectionChanged: (C) => n("duration", C),
            size: mt.SMALL,
            isDisabled: !d.schedule || !d.schedule.starts
          }
        ),
        /* @__PURE__ */ s(
          wi,
          {
            classes: "mb-4",
            event: d,
            selectedEventType: hs.find(
              (C) => C.name === d.eventType
            )
          }
        ),
        /* @__PURE__ */ s(
          it,
          {
            size: mt.SMALL,
            content: "OK",
            variant: st.SUCCESS,
            onClick: () => {
              d && Gc(d) && (d.state = rs.SCHEDULED, i && i(d), g({
                title: "",
                state: rs.DRAFT,
                schedule: {}
              }));
            }
          }
        )
      ]
    }
  );
};
const Wc = (h) => {
  const { events: a, miniMode: i, selectedDate: r, setCurrentView: d, onEventSubmit: g } = h, [n, v] = W();
  return ae(() => v(a), [a]), /* @__PURE__ */ _(
    "div",
    {
      className: `ar-EventManager position-absolute h-100 w-100${i ? " is-mini" : ""}`,
      children: [
        /* @__PURE__ */ _("div", { className: "ar-EventManager__header border-bottom py-2 px-3 flex-v-center", children: [
          /* @__PURE__ */ s(
            it,
            {
              classes: "me-3 super-small",
              preIcon: "io5/IoArrowBackCircleOutline",
              content: "",
              variant: st.SECONDARY,
              size: mt.XSMALL,
              onClick: () => d(Nt.CALENDAR)
            }
          ),
          /* @__PURE__ */ s("span", { className: "fw-bold", children: Rt.pad(r.day) + " - " + Rt.pad(r.month + 1) + " - " + r.year })
        ] }),
        /* @__PURE__ */ _("div", { className: "ar-EventManager__body d-flex", children: [
          /* @__PURE__ */ s(
            zc,
            {
              selectedDate: r,
              miniMode: i,
              onSubmit: (w) => {
                const l = n ? [...n] : [];
                l.push(w), v(l), g && g(w);
              }
            }
          ),
          !i && /* @__PURE__ */ s($c, { events: n })
        ] })
      ]
    }
  );
}, Vc = (h, a) => {
  const i = a || h.getFullYear(), r = Math.floor(i / 10) * 10, d = r + 10;
  return r + 1 + " - " + d;
}, jc = (h, a) => {
  const i = a || h.getFullYear(), r = Math.floor(i / 100) * 100, d = r + 100;
  return r + 1 + " - " + d;
}, Kc = (h) => {
  const {
    currentDecade: a,
    currentMonthNavView: i,
    currentView: r,
    currentYear: d,
    miniMode: g,
    refDate: n,
    setCurrentDecade: v,
    setCurrentMonthNavView: w,
    setCurrentView: l,
    setCurrentYear: C,
    setRefDate: f,
    theme: S
  } = h;
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-MonthNavigator border-bottom d-flex${g ? " is-mini px-0 py-1" : " px-3 py-2"}${r === Nt.MONTH_YEAR_SELECTOR ? " to-month-year" : ""}${Tt.MONTH === i ? " to-month-selector" : ""}`,
      children: /* @__PURE__ */ _("div", { className: "d-flex w-100", children: [
        /* @__PURE__ */ s(
          "div",
          {
            className: "ar-MonthNavigator__nav-button flex-center cursor-pointer",
            onClick: () => f(Jt.getPreviousYear(n)),
            children: /* @__PURE__ */ s(
              Le,
              {
                icon: "ai/AiOutlineDoubleLeft",
                color: S === Ke.DARK1 ? "white" : "black",
                size: "1rem",
                strokeWidth: g ? "30" : "100"
              }
            )
          }
        ),
        /* @__PURE__ */ s(
          "div",
          {
            className: "ar-MonthNavigator__nav-button flex-center cursor-pointer",
            onClick: () => {
              r === Nt.CALENDAR ? f(Jt.getPreviousMonth(n)) : i === Tt.MONTH ? C((d || n.getFullYear()) - 1) : v(
                (a || 2e3) - (i === Tt.DECADE ? 100 : 10)
              );
            },
            children: /* @__PURE__ */ s(
              Le,
              {
                icon: "ai/AiOutlineLeft",
                color: S === Ke.DARK1 ? "white" : "black",
                size: "1rem",
                strokeWidth: g ? "30" : "100"
              }
            )
          }
        ),
        /* @__PURE__ */ s(
          "div",
          {
            className: `ar-MonthNavigator__nav-button ar-MonthNavigator__month d-inline-flex flex-center cursor-pointer overflow-auto${i === Tt.DECADE ? " disabled" : ""}`,
            onClick: () => {
              r === Nt.CALENDAR && l(Nt.MONTH_YEAR_SELECTOR), i === Tt.MONTH ? w(Tt.YEAR) : i === Tt.YEAR ? w(Tt.DECADE) : w(Tt.MONTH);
            },
            children: r === Nt.MONTH_YEAR_SELECTOR ? i === Tt.MONTH ? d || n.getFullYear() : i === Tt.YEAR ? Vc(n, a) : jc(n, a) : /* @__PURE__ */ _(ut, { children: [
              /* @__PURE__ */ s("span", { className: "me-1", children: Zs[n.getMonth()] }),
              /* @__PURE__ */ s("span", { children: n.getFullYear() })
            ] })
          }
        ),
        /* @__PURE__ */ s(
          "div",
          {
            className: "ar-MonthNavigator__nav-button flex-center cursor-pointer",
            onClick: () => {
              r === Nt.CALENDAR ? f(Jt.getNextMonth(n)) : i === Tt.MONTH ? C((d || n.getFullYear()) + 1) : v(
                (a || 2e3) + (i === Tt.DECADE ? 100 : 10)
              );
            },
            children: /* @__PURE__ */ s(
              Le,
              {
                icon: "ai.AiOutlineRight",
                color: S === Ke.DARK1 ? "white" : "black",
                size: "1rem",
                strokeWidth: g ? "30" : "100"
              }
            )
          }
        ),
        /* @__PURE__ */ s(
          "div",
          {
            className: "ar-MonthNavigator__nav-button flex-center cursor-pointer",
            onClick: () => f(Jt.getNextYear(n)),
            children: /* @__PURE__ */ s(
              Le,
              {
                icon: "ai.AiOutlineDoubleRight",
                color: S === Ke.DARK1 ? "white" : "black",
                size: "1rem",
                strokeWidth: g ? "30" : "100"
              }
            )
          }
        )
      ] })
    }
  );
};
const Gt = new Jt({ siblingMonths: !0, weekStart: 1 }), rr = /* @__PURE__ */ new Date(), Uc = (h) => {
  const {
    allowEventSetting: a,
    classes: i,
    events: r,
    customDayEventSetter: d,
    hasTimeControls: g,
    isSingleSelect: n,
    maxDate: v,
    minDate: w,
    miniMode: l,
    onDateSelected: C,
    startDate: f,
    endDate: S,
    theme: A
  } = h, [P, O] = W(), [M, B] = W(rr), [I, k] = W(), [F, $] = W(), [D, K] = W(), [ce, V] = W(), [Q, Z] = W(
    Nt.CALENDAR
  ), [we, et] = W(), [Ne, ue] = W(), He = I || {
    day: rr.getDate(),
    month: rr.getMonth(),
    year: rr.getFullYear()
  }, [re, Se] = W(
    (He == null ? void 0 : He.year) && Math.floor(He.year / 10) * 10
  ), [rt, Te] = W(
    He == null ? void 0 : He.year
  );
  ae(() => {
    et(r);
  }, [r]), ae(() => {
    f && k({
      year: f.getFullYear(),
      month: f.getMonth(),
      day: f.getDate()
    });
  }, [f]), ae(() => {
    S && $({
      year: S.getFullYear(),
      month: S.getMonth(),
      day: S.getDate()
    });
  }, [S]), ae(() => {
    if (M) {
      const de = M.getFullYear(), Ye = M.getMonth(), ht = Gt.getCalendar(de, Ye);
      O(ht);
    }
  }, [M]);
  const Ge = (de, Ye) => {
    if (!I || n) {
      k(de), Gt.setStartDate(de), C && C(n ? de : { startDate: de }), Ye && a && (K(de), Z(Nt.EVENT_FORM));
      return;
    }
    I && F ? Jt.compare(I, de) === -1 && Jt.compare(de, F) === -1 ? (Gt.setEndDate(de), $(de), C && C(
      n ? de : { startDate: I, endDate: de }
    )) : (Gt.setEndDate(null), $(null), Gt.setStartDate(de), k(de), C && C(
      n ? de : { startDate: de, endDate: null }
    )) : (Jt.compare(de, I) === -1 ? ($(I), Gt.setEndDate(I), k(de), Gt.setStartDate(de), C && C(
      n ? de : { startDate: de, endDate: I }
    )) : ($(de), Gt.setEndDate(de), C && C(
      n ? de : { startDate: I, endDate: de }
    )), V(null)), Ye && a && (K(de), Z(Nt.EVENT_FORM));
  };
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-Calendar w-100 h-100 d-flex flex-column${g ? " has-time-controls" : ""}${i ? " " + i : ""}${l ? " is-mini" : ""}`,
      children: [
        M && Q !== Nt.EVENT_FORM && /* @__PURE__ */ s(
          Kc,
          {
            currentDecade: re,
            currentMonthNavView: Ne,
            currentView: Q,
            currentYear: rt,
            miniMode: l,
            refDate: M,
            setCurrentDecade: Se,
            setCurrentMonthNavView: ue,
            setCurrentView: Z,
            setCurrentYear: Te,
            setRefDate: B,
            theme: A
          }
        ),
        /* @__PURE__ */ _(
          "div",
          {
            className: `ar-Calendar__cal-event-decade-month-year-selector d-flex flex-1 position-relative overflow-hidden border-bottom${Q === Nt.MONTH_YEAR_SELECTOR ? " to-month-year" : ""}${Q === Nt.EVENT_FORM ? " to-event-form" : ""}${l ? " is-mini" : ""}`,
            children: [
              /* @__PURE__ */ s(
                Dc,
                {
                  allowEventSetting: a,
                  calHelper: Gt,
                  calendar: P,
                  endDate: F,
                  hovered: ce,
                  isSingleSelect: n,
                  miniMode: l,
                  onDateSelected: Ge,
                  setHovered: V,
                  startDate: I
                }
              ),
              /* @__PURE__ */ s(
                kc,
                {
                  currentDecade: re,
                  currentMonthNavView: Ne,
                  currentView: Q,
                  currentYear: rt,
                  miniMode: l,
                  onMonthSelect: (de) => {
                    Z(Nt.CALENDAR), B(de);
                  },
                  setCurrentDecade: Se,
                  setCurrentMonthNavView: ue,
                  setCurrentView: Z,
                  setCurrentYear: Te
                }
              ),
              D && Q === Nt.EVENT_FORM && /* @__PURE__ */ s(
                Wc,
                {
                  events: we == null ? void 0 : we.filter(
                    (de) => ml(D, de)
                  ),
                  miniMode: l,
                  onEventSubmit: (de) => {
                    const Ye = we ? [...we] : [];
                    Ye.push(de), et(Ye), K(null), Z(Nt.CALENDAR);
                  },
                  selectedDate: D,
                  setCurrentView: Z
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ _(
          "div",
          {
            className: `ar-Calendar__footer flex-v-center${l ? " p-2" : " px-3 py-2"}${Q === Nt.EVENT_FORM ? " h-0 overflow-hidden" : ""}`,
            children: [
              I && !l && /* @__PURE__ */ s("div", { className: "ar-Calendar__status justify-self-start", children: /* @__PURE__ */ _("span", { className: "fw-bold", children: [
                Jt.toString(I),
                F && " - " + Jt.toString(F)
              ] }) }),
              /* @__PURE__ */ _("div", { className: "ar-Calendar__controls ms-auto d-flex", children: [
                /* @__PURE__ */ s(
                  it,
                  {
                    content: "Clear",
                    classes: l ? "me-2" : "me-3",
                    size: l ? mt.XSMALL : mt.SMALL,
                    variant: st.SECONDARY,
                    onClick: () => {
                      k(null), $(null), Gt.setStartDate(null), Gt.setEndDate(null);
                    },
                    disabled: !I
                  }
                ),
                /* @__PURE__ */ s(
                  it,
                  {
                    content: "Today",
                    size: l ? mt.XSMALL : mt.SMALL,
                    onClick: () => {
                      const de = rr, Ye = {
                        day: de.getDate(),
                        month: de.getMonth(),
                        year: de.getFullYear()
                      };
                      k(Ye), $(null), Gt.setStartDate(Ye), Gt.setEndDate(null), B(de), Se(Math.floor(Ye.year / 10) * 10), Te(Ye.year), ue(null), Z(Nt.CALENDAR), C && C(
                        n ? Ye : { startDate: Ye, endDate: null }
                      );
                    }
                  }
                )
              ] })
            ]
          }
        )
      ]
    }
  );
}, Ts = Uc;
const qc = (h) => {
  const { classes: a, label: i, id: r, onChange: d } = h, [g, n] = W(), { type: v, ...w } = h;
  return v === "TOGGLE" ? /* @__PURE__ */ s(mo, { ...w }) : /* @__PURE__ */ _("div", { className: `ar-Checkbox flex-v-center${a ? " " + a : ""}`, children: [
    i && /* @__PURE__ */ s("label", { className: "fw-bold me-2", htmlFor: r || "ar-checkbox-1", children: i }),
    /* @__PURE__ */ s(
      "input",
      {
        id: r || "ar-checkbox-1",
        type: v || "checkbox",
        onChange: () => {
          n(!g), d && d();
        },
        checked: g
      }
    )
  ] });
}, Yc = qc;
const Xc = (h) => {
  const { id: a, label: i, onChange: r, value: d } = h, [g, n] = W(d), v = a || Rt.generateRandomId();
  return /* @__PURE__ */ _("div", { className: "ar-ColorPicker flex-v-center", children: [
    i && /* @__PURE__ */ s(
      "label",
      {
        className: "ar-ColorPicker__label form-label mb-0 me-2",
        htmlFor: v,
        children: i
      }
    ),
    /* @__PURE__ */ s(
      "input",
      {
        type: "color",
        id: v,
        className: "ar-ColorPicker__input p-0",
        value: g,
        onChange: (w) => {
          n(w.target.value), r && r(w.target.value);
        }
      }
    )
  ] });
}, Jc = Xc;
const Qc = (h) => {
  const { classes: a, label: i, onChange: r, withSample: d } = h, [g, n] = W(), v = (l) => {
    n(l), r && r(l);
  }, w = [
    "#9400D3",
    "pink",
    "aquamarine",
    "olive",
    "brown",
    "lightblue",
    "#4B0082",
    "#0000FF",
    "#00FF00",
    "#FFFF00",
    "#FF7F00",
    "#FF0000"
  ].map((l) => /* @__PURE__ */ s(
    "li",
    {
      className: "ar-ColorSelector__item",
      style: { backgroundColor: l },
      onClick: () => v(l)
    }
  ));
  return /* @__PURE__ */ _("div", { className: "ar-ColorSelector w-100", children: [
    i && /* @__PURE__ */ s("div", { className: "mb-3 fw-bold text-center", children: i }),
    /* @__PURE__ */ _(
      "ul",
      {
        className: `ar-ColorSelector__list d-flex flex-column list-unstyled${a ? " " + a : ""}`,
        style: { height: i ? "calc(100% - 2rem)" : "100%" },
        children: [
          w,
          /* @__PURE__ */ s(
            dn,
            {
              classes: "ar-ColorSelector__picker",
              type: "color",
              onChange: (l) => v(l.target.value)
            }
          )
        ]
      }
    ),
    d && /* @__PURE__ */ s(
      "div",
      {
        className: "ar-ColorSelector__sample",
        style: { backgroundColor: g, width: "1rem", height: "1rem" }
      }
    )
  ] });
}, Zc = Qc;
const eu = (h) => {
  const { children: a, classes: i, data: r, demo: d, style: g } = h, [n, v] = W({}), [w, l] = W(), C = At(null), S = r || d && {
    Create: {
      onClick: () => l(!1)
    },
    Delete: {
      onClick: () => l(!1)
    },
    Clone: {
      onClick: () => l(!1)
    },
    Suspend: {
      onClick: () => l(!1)
    }
  };
  return ae(() => {
    let A = (P) => {
      C.current && !C.current.contains(P.target) && l(!1);
    };
    return document.addEventListener("click", A), () => document.removeEventListener("click", A);
  }, [C]), /* @__PURE__ */ _(
    "div",
    {
      className: `ar-ContextMenu${i ? " " + i : ""}`,
      style: g,
      children: [
        /* @__PURE__ */ s(
          "div",
          {
            className: "ar-ContextMenu__click-anchor h-100",
            onClick: () => l(!1),
            onContextMenu: (A) => {
              A.preventDefault(), l(!0), v({ x: A.pageX, y: A.pageY });
            },
            children: a
          }
        ),
        w && /* @__PURE__ */ s(
          Ci,
          {
            classes: "position-fixed",
            top: n.y,
            left: n.x,
            ref: C,
            data: S,
            demo: d
          }
        )
      ]
    }
  );
}, tu = eu;
const js = ["min", "hour", "day", "week", "month"], nu = (h) => {
  const { onChange: a, value: i } = h, [r, d] = W({}), [g, n] = W();
  ae(() => {
    if (i) {
      const C = (typeof i == "object" ? i.cron : i).split(""), f = {};
      C.forEach((S, A) => {
        f[js[A]] = S;
      }), d(f);
    }
  }, [i]);
  const v = (l, C) => {
    const f = r[C], S = l.target.value, A = S.charAt(S.length - 1);
    if (S.length === 1 || f !== A) {
      const P = { ...r, [C]: A || "" };
      d(P), a && a(P);
    }
  }, w = js.map((l, C) => /* @__PURE__ */ s(
    dn,
    {
      placeholder: "* / n",
      containerClasses: "ar-CronTab__input",
      onChange: (f) => v(f, l),
      value: r[l]
    },
    "crontabtextinput-" + C
  ));
  return /* @__PURE__ */ _("div", { className: "ar-CronTab w-100", children: [
    /* @__PURE__ */ s("div", { className: "ar-CronTab__fields w-100 d-flex border mb-3", children: w }),
    /* @__PURE__ */ _("div", { className: "ar-CronTab__help-text border", children: [
      /* @__PURE__ */ _(
        "header",
        {
          className: "p-2 border-bottom d-flex justify-content-between cursor-pointer",
          onClick: () => n(!g),
          children: [
            /* @__PURE__ */ s("strong", { children: "Examples" }),
            /* @__PURE__ */ s(
              Le,
              {
                classes: "ar-CronTab__acc-icon",
                icon: g ? "md/MdKeyboardArrowUp" : "md/MdKeyboardArrowDown"
              }
            )
          ]
        }
      ),
      /* @__PURE__ */ s("section", { className: g ? " expanded p-2" : "", children: /* @__PURE__ */ s("small", { children: /* @__PURE__ */ _("ol", { className: "mb-0", children: [
        /* @__PURE__ */ _("li", { children: [
          /* @__PURE__ */ s("strong", { children: "0 0 * * *" }),
          ": Every day at midnight."
        ] }),
        /* @__PURE__ */ _("li", { children: [
          /* @__PURE__ */ s("strong", { children: "0 * * * *" }),
          ": Every hour."
        ] }),
        /* @__PURE__ */ _("li", { children: [
          /* @__PURE__ */ s("strong", { children: "0 9 * * " }),
          "1-5: Every weekday at 9 AM."
        ] }),
        /* @__PURE__ */ _("li", { children: [
          /* @__PURE__ */ s("strong", { children: "*/15 * * " }),
          "* *: Every 15 minutes."
        ] }),
        /* @__PURE__ */ _("li", { children: [
          /* @__PURE__ */ s("strong", { children: "0 0 1 * *" }),
          ": On the 1st day of every month at midnight."
        ] })
      ] }) }) })
    ] })
  ] });
}, ru = nu;
const ou = (h) => {
  const { allowEventSetting: a, classes: i, id: r, label: d, onChange: g } = h, [n, v] = W(), [w, l] = W();
  ae(() => {
    !a && n && l(!1);
  }, [n]);
  const C = r || "ar-DatePicker__input", f = (S) => {
    v(S), g && g(S);
  };
  return /* @__PURE__ */ s("div", { className: `ar-DatePicker${i ? " " + i : ""}`, children: /* @__PURE__ */ _(
    Qt,
    {
      contentClasses: "high-shadow",
      position: Vt.BOTTOMRIGHT,
      version: "v1",
      isOpen: w,
      children: [
        /* @__PURE__ */ _(
          "div",
          {
            className: "position-relative cursor-pointer",
            slot: lt.ANCHOR,
            onClick: () => !a && l(!0),
            children: [
              d && /* @__PURE__ */ s("label", { className: "fw-bold me-3", htmlFor: C, children: d }),
              /* @__PURE__ */ s(
                "input",
                {
                  id: C,
                  className: "ar-DatePicker__input px-3 py-2",
                  type: "text",
                  placeholder: "dd/mm/yyyy",
                  value: n && Rt.pad(n.day) + "/" + Rt.pad(n.month + 1) + "/" + n.year
                }
              ),
              /* @__PURE__ */ s(
                Le,
                {
                  classes: "position-absolute top-point5 end-point5",
                  icon: "fa.FaRegCalendarAlt"
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ s(
          Ts,
          {
            allowEventSetting: a,
            slot: lt.POPOVER,
            onDateSelected: f,
            miniMode: !0,
            isSingleSelect: !0
          }
        )
      ]
    }
  ) });
}, su = ou;
const iu = (h) => {
  const { closeOnEndSelect: a, id: i, label: r, mask: d } = h, [g, n] = W(), [v, w] = W(), [l, C] = W();
  let f;
  const S = i || "ar-DateRangePicker__input";
  ae(() => {
    v !== null && a && C(!1);
  }, [v]), g && v && (d ? f = zs(ln(g), d) + " - " + zs(ln(v), d) : (f = Rt.pad(g.day) + "/" + Rt.pad(g.month + 1) + "/" + g.year, f += " - ", f += Rt.pad(v.day) + "/" + Rt.pad(v.month + 1) + "/" + v.year));
  const A = (P) => {
    n(P.startDate), P.endDate && w(P.endDate);
  };
  return /* @__PURE__ */ s("div", { className: "ar-DateRangePicker", children: /* @__PURE__ */ _(
    Qt,
    {
      contentClasses: "high-shadow",
      position: Vt.BOTTOMRIGHT,
      version: "v1",
      isOpen: l,
      children: [
        /* @__PURE__ */ _(
          "div",
          {
            className: "position-relative cursor-pointer",
            slot: lt.ANCHOR,
            onClick: () => C(!0),
            children: [
              r && /* @__PURE__ */ s("label", { className: "fw-bold me-3", htmlFor: S, children: r }),
              /* @__PURE__ */ s(
                "input",
                {
                  id: S,
                  className: "ar-DateRangePicker__input px-3 py-2",
                  type: "text",
                  placeholder: "dd/mm/yyyy - dd/mm/yyyy",
                  value: f
                }
              ),
              /* @__PURE__ */ s(
                Le,
                {
                  classes: "position-absolute top-point5 end-point5",
                  icon: "fa.FaRegCalendarAlt"
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ s(
          Ts,
          {
            slot: lt.POPOVER,
            onDateSelected: A,
            miniMode: !0
          }
        )
      ]
    }
  ) });
}, au = iu;
const lu = [
  { label: "New Delhi", name: "New Delhi", value: "DL" },
  { label: "Mumbai", name: "Mumbai", value: "MU" },
  { label: "Bangalore", name: "Bangalore", value: "BL" },
  { label: "Chennai", name: "Chennai", value: "CH" }
], cu = (h) => {
  const {
    assistiveContent: a,
    anchorClasses: i,
    classes: r,
    contentClasses: d,
    contentMatchAnchorWidth: g,
    context: n,
    demo: v,
    hasBorder: w,
    hideDropdownMarker: l = !0,
    labelClasses: C,
    labelPlacement: f,
    placeholder: S,
    showCheckBoxes: A,
    subtitle: P,
    id: O,
    isDisabled: M,
    isMultiSelect: B,
    label: I,
    onSelectionChanged: k,
    options: F,
    required: $,
    selected: D,
    size: K,
    stretch: ce,
    theme: V,
    variant: Q,
    version: Z
  } = h, [we, et] = W(), [Ne, ue] = W(), [He, re] = W(), Se = F || (v ? lu : []), rt = f === St.LEFT || f === St.RIGHT;
  ae(() => {
    !Ne && ue(Se);
  }, [Se]), ae(() => {
    if (D) {
      et(D);
      const ze = Ne == null ? void 0 : Ne.filter(
        (ct) => D.findIndex((bt) => (ct.name || ct.label) === bt) > -1
      );
      k && k(
        {
          value: D,
          data: ze
        },
        n
      );
    }
  }, [D, Ne]);
  const Te = (ze, ct) => {
    let bt, Mt;
    if (ze && (bt = ze.name || ze.label), bt) {
      Mt = we ? [...we] : [];
      const Ft = Mt.findIndex(
        (Ht) => Ht === (ze.name || ze.label)
      );
      Ft > -1 ? Mt.splice(Ft, 1) : B ? Mt.push(bt) : (Mt.splice(0, 1, bt), re(!1)), et(Mt);
      const pn = Ne == null ? void 0 : Ne.filter((Ht) => {
        const Bt = Mt.findIndex((fn) => (Ht.name || Ht.label) === fn) > -1;
        return Ht.isSelected = Bt, Bt;
      });
      Ne && ue([...Ne]), k && k && k(
        {
          value: bt,
          data: pn
        },
        n
      );
    }
  }, Ge = /* @__PURE__ */ _(ut, { children: [
    /* @__PURE__ */ s(
      vo,
      {
        classes: "me-2",
        data: we ? we.map((ze) => ({ label: ze, deletable: !0 })) : [],
        onChange: Te,
        placeholder: !w && /* @__PURE__ */ s(Ns, { label: S || "Click to Select..." })
      }
    ),
    /* @__PURE__ */ s(
      Le,
      {
        icon: "md.MdKeyboardArrowDown",
        color: (
          // @ts-ignore
          n === "search" ^ V === Ke.DARK1 ? "white" : "black"
        )
      }
    )
  ] }), de = a ? "content" in a && "onClick" in a ? /* @__PURE__ */ s(
    it,
    {
      classes: "mb-2 p-0 f3",
      variant: st.LINK,
      content: a.content,
      onClick: a.onClick
    }
  ) : a : null;
  let Ye = null, ht = "";
  const ot = /* @__PURE__ */ _(
    Qt,
    {
      classes: "d-inline-flex",
      demo: v,
      hideMarker: l,
      version: Z || "v1",
      position: Z === "v2" ? Vt.AUTO : Vt.BOTTOMLEFT,
      onAnchorClick: re,
      isOpen: He,
      updateTriggers: [Ne],
      contentMatchAnchorWidth: g !== void 0 ? g : !0,
      stretch: !0,
      children: [
        /* @__PURE__ */ s(
          "span",
          {
            className: `ar-Dropdown__input-and-selections d-inline-flex cursor-pointer flex-v-center${i ? " " + i : ""}${ce ? " w-100" : ""}`,
            slot: lt.ANCHOR,
            children: w ? /* @__PURE__ */ s(
              "span",
              {
                className: `ar-Dropdown__selection-anchor form-component p-2 d-inline-flex justify-content-between fw-bold h-100${!B && w ? " flex-center" : " flex-v-center"}${n === "search" ? " border-right-0" : ""}${ce ? " w-100" : ""}`,
                children: Q === $s.SELECTIONSASPILLS ? Ge : /* @__PURE__ */ _(ut, { children: [
                  we && we.length > 0 ? /* @__PURE__ */ s("span", { className: "d-inline-flex me-2", children: we == null ? void 0 : we.join(", ") }) : /* @__PURE__ */ s("span", { className: "fst-italic fw-normal d-inline-flex me-2", children: S || "Click to select..." }),
                  /* @__PURE__ */ s(
                    Le,
                    {
                      icon: "md.MdKeyboardArrowDown",
                      color: (
                        // @ts-ignore
                        n === "search" ^ V === Ke.DARK1 ? "white" : "black"
                      )
                    }
                  )
                ] })
              }
            ) : Q === $s.SELECTIONSASPILLS ? Ge : /* @__PURE__ */ _(ut, { children: [
              /* @__PURE__ */ s(
                it,
                {
                  variant: st.LINKNATIVE,
                  content: (we == null ? void 0 : we.join(", ")) || S || "Click to Select..."
                }
              ),
              /* @__PURE__ */ s(
                Le,
                {
                  icon: "md.MdKeyboardArrowDown",
                  color: (
                    // @ts-ignore
                    n === "search" ^ V === Ke.DARK1 ? "white" : "#0d6efd"
                  )
                }
              )
            ] })
          }
        ),
        /* @__PURE__ */ s(
          "div",
          {
            className: `ar-Dropdown__options w-100${d ? " " + d : ""}`,
            slot: lt.POPOVER,
            children: /* @__PURE__ */ s(
              un,
              {
                showCheckBoxes: A,
                isMultiSelect: B,
                data: Ne ? Ne.map((ze) => ({
                  label: ze.label,
                  name: ze.name,
                  value: ze.value,
                  isSelected: ze.isSelected,
                  onClick: Te
                })) : [],
                theme: V
              }
            )
          }
        )
      ]
    }
  ), pt = /* @__PURE__ */ _(
    "div",
    {
      className: `ar-TextInput__label-container${rt ? ` flex-v-center${f === St.LEFT ? " me-3" : ""}` : ""}`,
      children: [
        /* @__PURE__ */ _("div", { className: "ar-TextInput__label-container__label-assistive-text flex-v-center justify-content-between", children: [
          /* @__PURE__ */ s(
            "label",
            {
              className: `ar-TextInput__label h-100 fw-bold${C ? " " + C : ""}${$ ? " required" : ""}${P || rt ? "" : " mb-2"}`,
              htmlFor: O,
              children: I
            }
          ),
          de
        ] }),
        P && /* @__PURE__ */ _("div", { className: "ar-TextInput__label-container__subtitle small subtitle mb-2", children: [
          /* @__PURE__ */ s(
            Le,
            {
              icon: "io5.IoInformationCircleOutline",
              classes: "me-2",
              size: "0.8rem",
              color: V === Ke.DARK1 ? "#868686" : "#797979"
            }
          ),
          P
        ] })
      ]
    }
  );
  switch (f) {
    case St.LEFT:
    case St.RIGHT:
      break;
    case St.BOTTOM:
    case St.TOP:
    default:
      ht = I ? "flex-column" : "";
      break;
  }
  switch (f) {
    case St.LEFT:
    case St.TOP:
    default:
      Ye = /* @__PURE__ */ _(ut, { children: [
        pt,
        ot
      ] });
      break;
    case St.BOTTOM:
    case St.RIGHT:
      Ye = /* @__PURE__ */ _(ut, { children: [
        ot,
        pt
      ] });
      break;
  }
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-Dropdown d-inline-flex${r ? " " + r : ""}${K ? " " + K : ""}${Q ? " " + Q : ""}${M ? " disabled pointer-events-none" : ""} ${ht}`,
      id: O,
      children: Ye
    }
  );
}, go = cu;
const uu = `${Kt}/si/SiHappycow`, du = (h) => {
  const {
    alt: a,
    classes: i,
    color: r,
    containerClasses: d,
    demo: g,
    height: n,
    onClick: v,
    onMouseEnter: w,
    onMouseLeave: l,
    size: C,
    src: f,
    width: S
  } = h;
  let A = f, P, O;
  if (f) {
    let B = f;
    f.startsWith("http") && (f.indexOf(Kt) > -1 ? B = f.substring(`${Kt}/`.length) : (console.error(
      "Malformed source provided, format should be <source>/<icon-name"
    ), A = `${Kt}/tb/TbError404`));
    const I = B.split("/");
    I.length < 2 ? (console.error(
      "Malformed source provided, format should be <source>/<icon-name"
    ), A = `${Kt}/tb/TbError404`) : (I[2] && (P = I[2]), I[3] && (O = I[3]), A = `${Kt}/` + B);
  } else
    A = `${Kt}/tb/TbError404`;
  A = f ? A : g ? uu : A;
  let M = "";
  return M += P ? "" : r ? `/${encodeURIComponent(r)}` : g ? "/blue" : "/black", M += O ? "" : C ? `/${encodeURIComponent(C)}` : g ? "/5rem" : "/1rem", A += M, /* @__PURE__ */ s(
    "span",
    {
      className: `ar-Icon d-inline-block ${d}`,
      style: {
        width: S || C || "1rem",
        height: n || C || "1rem"
      },
      onMouseEnter: (B) => w && w(B),
      onMouseLeave: (B) => l && l(B),
      onClick: (B) => v && v(B),
      children: /* @__PURE__ */ s(
        "img",
        {
          className: `ar-Icon__img${i ? " " + i : ""}`,
          src: A,
          alt: a || "Icon",
          crossOrigin: ""
        }
      )
    }
  );
}, qt = du;
const pu = (h) => {
  const {
    classes: a,
    fillColor: i,
    hideBorder: r,
    hideFooter: d,
    icon: g,
    iconSize: n,
    onClick: v,
    selectable: w,
    strokeColor: l,
    strokeWidth: C,
    tools: f,
    toolsPlacement: S,
    type: A
  } = h, [P, O] = W(), [M, B] = W(), I = jt(tn), k = cr();
  ae(() => {
    !w && M && B(!1);
  }, [w]);
  const F = ($) => $.map((D, K) => {
    const ce = /* @__PURE__ */ s(
      Le,
      {
        slot: lt.ANCHOR,
        ...D.iconProps,
        onClick: D.onClick
      }
    );
    return /* @__PURE__ */ s(
      "span",
      {
        className: "ar-ToolItem flex-center",
        onClick: (V) => {
          V.stopPropagation();
        },
        children: D.children ? /* @__PURE__ */ _(
          Qt,
          {
            position: Vt.RIGHTBOTTOM,
            version: "v1",
            children: [
              ce,
              /* @__PURE__ */ s("div", { slot: lt.POPOVER, children: F(D.children) })
            ]
          }
        ) : ce
      },
      "tool-item-" + g.name + "-" + K
    );
  });
  return f && (S && "" + S, A && "" + A, F(f)), /* @__PURE__ */ _(
    "span",
    {
      className: `ar-IconTile d-inline-block mx-2${r ? "" : " border"}${a ? " " + a : ""}${A === Bn.LIST ? " d-flex" : ""}${w ? " selectable" : ""}`,
      onMouseEnter: () => O(!0),
      onMouseLeave: () => O(!1),
      onClick: () => v && v(g),
      children: [
        /* @__PURE__ */ _(
          "div",
          {
            className: `ar-IconTile__image position-relative h-100${A === Bn.LIST ? " flex-v-center px-1" : " flex-center"}`,
            onClick: () => w ? B(!M) : k(`/icon/${g.group}/${g.name}`, { state: g }),
            children: [
              w && /* @__PURE__ */ s(
                Le,
                {
                  classes: "ar-IconTile__select-icon position-absolute",
                  icon: M ? "im/ImCheckboxChecked" : "im/ImCheckboxUnchecked"
                }
              ),
              /* @__PURE__ */ s(
                Le,
                {
                  size: n,
                  svgB64String: btoa(g.icon),
                  color: P ? "royalblue" : I === Ke.LIGHT1 ? "grey" : "white",
                  fillColor: i,
                  strokeColor: l,
                  strokeWidth: C
                }
              )
            ]
          }
        ),
        !d && /* @__PURE__ */ s(
          "footer",
          {
            className: `ar-IconTile__footer fw-bold text-nowrap overflow-hidden flex-center px-2 ${P ? "font-blue btn-link" : "font-black"}${A === Bn.LIST ? " flex-grow-1" : ""}`,
            onClick: () => {
              const $ = `${Kt}/${g.group}/${g.name}`;
              w ? B(!M) : navigator.clipboard.writeText($);
            },
            children: g.name
          }
        )
      ]
    }
  );
}, fu = pu;
const mu = {
  Create: {},
  Delete: {},
  Clone: {},
  Suspend: {}
}, hu = (h) => {
  const { classes: a, data: i, demo: r, ref: d, top: g, left: n, theme: v } = h, [w, l] = W();
  ae(() => (setTimeout(() => l(!0), 0), () => l(!1)), []);
  const C = i || r && mu;
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-InlineMenu${a ? " " + a : ""}${w ? " show px-1 py-2" : ""}`,
      style: { top: g, left: n },
      ref: d,
      children: C && /* @__PURE__ */ s(
        un,
        {
          data: Object.keys(C).map((f) => {
            const S = C[f], A = S.onClick;
            return S.name = f, S.onClick = () => {
              A && A(), l(!1);
            }, S;
          }),
          theme: v
        }
      )
    }
  );
}, Ci = hu;
const gu = (h) => {
  const { classes: a, label: i, value: r, variant: d, demo: g } = h, n = i || (g ? "First Name" : ""), v = r !== void 0 ? r : g ? "SRK" : "", w = d === eo.FLAT || d === eo.FLATBOXED, l = d === eo.FLATBOXED || d === eo.STACKBOXED;
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-LabelValue d-inline-flex border-radius l2 overflow-hidden${w ? " flex-v-center" : " flex-column"}${l ? " p-2 border" : ""} mb-2${a ? " " + a : ""}`,
      children: [
        n && /* @__PURE__ */ s(
          "span",
          {
            className: `ar-LabelValue__label fw-bold d-inline-block${w ? " me-3" : " mb-2"}`,
            children: n
          }
        ),
        v !== void 0 && /* @__PURE__ */ s("span", { className: "ar-LabelValue__value", children: v })
      ]
    }
  );
}, vu = gu;
const yu = [
  { name: "Profile" },
  { name: "Settings" },
  { name: "My Stuff" },
  { name: "+ Organization" },
  { name: "+ Upload Icon" }
], bu = po((h) => {
  const {
    actions: a,
    index: i,
    isMultiSelect: r,
    isRaw: d,
    item: g,
    items: n,
    itemClasses: v,
    selected: w,
    setItems: l,
    setSelected: C,
    showCheckBoxes: f,
    theme: S,
    variant: A
  } = h, { label: P, name: O, color: M, preIcon: B, postIcon: I } = Array.isArray(g) ? { label: "", preIcon: "", postIcon: "", name: "", color: "" } : g, [k, F] = W();
  return ae(() => {
    !Array.isArray(g) && F(g.isSelected);
  }, [g]), /* @__PURE__ */ _(
    "li",
    {
      className: `ar-List__item mb-0 px-1 flex-v-center${v ? " " + v : ""}${d ? "" : " cursor-pointer"}${(r ? k : !Array.isArray(w) && !Array.isArray(g) && ((w == null ? void 0 : w.name) || (w == null ? void 0 : w.label)) === (O || P)) ? " is-selected" : ""} ${A}`,
      onClick: () => {
        if (!d) {
          if (F(!k), r) {
            const $ = [...n], D = !Array.isArray(g) && (O || P), K = typeof D == "string" && Rt.search({
              obj: $,
              key: "name",
              value: D
            });
            K && (K.isSelected = !K.isSelected, l($));
          } else
            C(g);
          !Array.isArray(g) && g.onClick && g.onClick(g, n);
        }
      },
      children: [
        f && !d && /* @__PURE__ */ s(
          Le,
          {
            classes: "me-2",
            icon: !Array.isArray(g) && !Array.isArray(w) ? r ? g.isSelected ? "io5.IoCheckmarkCircleOutline" : "io.IoIosRadioButtonOff" : (g.name || g.label) === ((w == null ? void 0 : w.name) || (w == null ? void 0 : w.label)) ? "io.IoIosRadioButtonOn" : "io.IoIosRadioButtonOff" : "",
            color: S === Ke.DARK1 ? "white" : "black"
          }
        ),
        B && /* @__PURE__ */ s(Le, { classes: "me-2", icon: B, color: M }),
        /* @__PURE__ */ s("span", { className: I ? "me-3" : "", style: { color: M }, children: A === Wi.LINK ? /* @__PURE__ */ s(
          it,
          {
            variant: st.LINK,
            content: Array.isArray(g) ? "" : P || O,
            size: mt.XSMALL,
            color: M
          }
        ) : Array.isArray(g) ? "" : P || O }),
        I && /* @__PURE__ */ s(Le, { icon: I, color: M }),
        a && a.length > 0 && /* @__PURE__ */ s("div", { className: "ms-auto border-left", children: a == null ? void 0 : a.map(($, D) => /* @__PURE__ */ s(
          Le,
          {
            classes: `hover-bg ${D > 0 ? "ms-1" : ""}`,
            icon: $.icon,
            onClick: () => $.action(g),
            color: $.color || (S === Ke.DARK1 ? "white" : "black")
          },
          `list-action-item-${Array.isArray(g) ? "" : P || O}-${D}`
        )) })
      ]
    },
    "list-item-" + i
  );
}), wu = (h) => {
  const {
    actions: a,
    isRaw: i,
    classes: r,
    data: d,
    demo: g,
    isMultiSelect: n,
    itemClasses: v,
    showCheckBoxes: w,
    style: l,
    theme: C,
    variant: f
  } = h;
  let S;
  const A = d || g && yu, [P, O] = W(), [M, B] = W();
  ae(() => {
    O(A);
  }, [A]);
  const I = (F, $) => Array.isArray(F) ? /* @__PURE__ */ s(
    "div",
    {
      className: "border-bottom py-1",
      tabIndex: -1,
      children: F.map(
        (D, K) => I(D, $ + "-" + K)
      )
    },
    "list-parent-" + $
  ) : P && /* @__PURE__ */ s(
    bu,
    {
      actions: a,
      index: $,
      item: F,
      items: P,
      itemClasses: v,
      isMultiSelect: n,
      isRaw: i,
      selected: M,
      setItems: O,
      setSelected: B,
      showCheckBoxes: w,
      theme: C,
      variant: f
    },
    "list-child-" + $
  ), k = P == null ? void 0 : P.map(
    (F, $) => I(F, "" + $)
  );
  switch (l) {
    case os.ORDERED:
      S = /* @__PURE__ */ s("ol", { className: "mb-0", children: k });
      break;
    case os.UNORDERED:
      S = /* @__PURE__ */ s("ul", { className: "mb-0", children: k });
      break;
    case os.UNSTYLED:
    default:
      S = /* @__PURE__ */ s("ul", { className: "list-unstyled mb-0", children: k });
  }
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-List${r ? " " + r : ""}${i ? " is-raw" : ""}${w ? " with-check-boxes" : ""}`,
      children: S
    }
  );
}, un = wu;
const ao = new DOMParser(), ro = {}, Cu = "si/SiHappycow", Su = ao.parseFromString(
  '<svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24" height="1em" width="1em" xmlns="http://www.w3.org/2000/svg"><rect width="20" height="20" x="2" y="2" fill="none" stroke="#000" stroke-width="2"rx="2"></rect></svg>',
  "image/svg+xml"
).querySelector("svg"), Ru = (h) => {
  const {
    classes: a,
    color: i,
    demo: r,
    fillColor: d,
    height: g,
    hoverColor: n,
    hoverShadow: v,
    isLocal: w,
    onClick: l,
    onMouseEnter: C,
    onMouseLeave: f,
    size: S,
    skipPathColorFill: A,
    strokeColor: P,
    strokeWidth: O,
    svgString: M,
    style: B,
    svgB64String: I,
    toggleColor: k,
    toggled: F,
    width: $
  } = h;
  let { icon: D } = h;
  D = r ? D || Cu : D;
  const [K, ce] = W(), [V, Q] = W(), [Z, we] = W(
    Su
  ), [et, Ne] = W(), ue = Rn(), He = jt(tn), re = D && (D.startsWith("http://") || D.startsWith("https://") || D.startsWith("/"));
  D = D && !re && D.indexOf("/") > -1 ? D.replace(/\//g, ".") : D, D = !M && !I && (!D || !re && D.indexOf(".") < 0) ? "gr.GrStatusPlaceholder" : D;
  const Se = D == null ? void 0 : D.split("."), rt = Se && Se[0] ? Se[0].toLowerCase() : "", Te = Se && Se[1], Ge = D && (rt && Te ? `${rt}_${Te}` : D), de = jt(Ui(Ge || "")), Ye = () => {
    D && Ge && !ro[Ge] && (ro[Ge] = !0, fo.getStatic(
      re ? D : `/icon/${rt}/${Te}`
    ).then((ot) => {
      const pt = ao.parseFromString(ot.body, "image/svg+xml").querySelector("svg");
      pt && (ue(qi({ [Ge]: ot.body })), ot.body, we(pt));
    }).catch((ot) => {
      console.log(ot), ro[Ge] = !1;
    }).finally(() => ro[Ge] = !1));
  };
  if (ae(() => {
    F !== void 0 && V !== F && Q(F);
  }, [F]), ae(() => {
    !w && !I && !M && (re && D || Te && rt ? !de && Ye() : console.log("Icon name and category is required, received: ", D));
  }, [D]), ae(() => {
    Z && !w && Ne(
      yt.svgToBase64(
        Z,
        { size: S, classes: a, color: i, fillColor: d, strokeColor: P, strokeWidth: O },
        [!!A]
      )
    );
  }, [Z]), ae(() => {
    M ? Ne(btoa(M)) : I && Ne(I);
  }, [M, I]), ae(() => {
    if (!w) {
      const ot = K ? n || i : V ? k || (He === Ke.DARK1 ? "white" : i) : i;
      if (de || I || M) {
        if (de)
          Ne(
            yt.svgToBase64(
              de,
              {
                size: S,
                classes: a,
                color: ot,
                fillColor: d,
                strokeColor: P,
                strokeWidth: O
              },
              [!!A]
            )
          );
        else if (M) {
          const pt = ao.parseFromString(M, "image/svg+xml").querySelector("svg");
          pt && Ne(
            yt.svgToBase64(
              pt,
              {
                size: S,
                classes: a,
                color: ot,
                fillColor: d,
                strokeColor: P,
                strokeWidth: O
              },
              [!!A]
            )
          );
        } else if (I) {
          const pt = ao.parseFromString(atob(I), "image/svg+xml").querySelector("svg");
          pt && Ne(
            yt.svgToBase64(
              pt,
              {
                size: S,
                classes: a,
                color: ot,
                fillColor: d,
                strokeColor: P,
                strokeWidth: O
              },
              [!!A]
            )
          );
        }
      }
    }
  }, [
    S,
    a,
    i,
    d,
    P,
    O,
    de,
    K,
    V,
    et
  ]), w)
    return /* @__PURE__ */ s(
      "img",
      {
        className: `ar-LoadableIcon${a ? " " + a : ""}`,
        src: D,
        style: {
          width: $ || S || "1rem",
          height: g || S || "1rem"
        },
        alt: "Icon"
      }
    );
  if (de && !et) {
    const ot = He === Ke.DARK1 ? "white" : i || "black", pt = K ? n || ot : V && k || ot;
    Ne(
      yt.svgToBase64(
        de,
        {
          size: S,
          classes: a,
          color: pt,
          fillColor: d,
          strokeColor: P,
          strokeWidth: O
        },
        [!!A]
      )
    );
  }
  const ht = {
    ...B || {},
    width: `calc(${$ || S || "1rem"} + ${v ? "0.5rem" : "0px"})`,
    height: `calc(${g || S || "1rem"} + ${v ? "0.5rem" : "0px"})`
  };
  return et ? /* @__PURE__ */ s(
    "img",
    {
      className: `ar-LoadableIcon${a ? " " + a : ""}${v ? " hover-shadow p-1" : ""}`,
      onClick: l || (() => {
      }),
      src: `data:image/svg+xml;base64,${et}`,
      style: ht,
      onMouseEnter: (ot) => {
        ce(!0), C && C(ot);
      },
      onMouseLeave: (ot) => {
        ce(!1), f && f(ot);
      },
      onClickCapture: () => Q(!V),
      alt: "Icon"
    }
  ) : null;
}, Le = Ru;
const xu = (h) => {
  const {
    classes: a,
    type: i = kn.CIRCLE,
    size: r,
    label: d,
    icon: g,
    progress: n
  } = h;
  let v;
  switch (i) {
    case kn.BAR:
      v = /* @__PURE__ */ s(si, { progress: n });
      break;
    case kn.CUSTOM:
      v = /* @__PURE__ */ _(ut, { children: [
        /* @__PURE__ */ s("span", { className: "loader", children: /* @__PURE__ */ s(Le, { icon: g || Ta, size: "50px", isLocal: !0 }) }),
        d ? /* @__PURE__ */ s("span", { className: "mt-3", children: d }) : ""
      ] });
      break;
    case kn.SHAPES:
      v = /* @__PURE__ */ _(ut, { children: [
        /* @__PURE__ */ s("div", { className: "shape me-3", children: /* @__PURE__ */ s("svg", { viewBox: "0 0 80 80", children: /* @__PURE__ */ s("circle", { id: "test", cx: "40", cy: "40", r: "32" }) }) }),
        /* @__PURE__ */ s("div", { className: "shape triangle me-3", children: /* @__PURE__ */ s("svg", { viewBox: "0 0 86 80", children: /* @__PURE__ */ s("polygon", { points: "43 8 79 72 7 72" }) }) }),
        /* @__PURE__ */ s("div", { className: "shape", children: /* @__PURE__ */ s("svg", { viewBox: "0 0 80 80", children: /* @__PURE__ */ s("rect", { x: "8", y: "8", width: "64", height: "64" }) }) })
      ] });
      break;
    case kn.CIRCLE:
    default:
      v = /* @__PURE__ */ _(ut, { children: [
        /* @__PURE__ */ s("span", { className: "loader" }),
        d ? /* @__PURE__ */ s("span", { className: "mt-3", children: d }) : ""
      ] });
  }
  return /* @__PURE__ */ s(
    "div",
    {
      className: `position-absolute ar-Loader h-100 w-100${a ? " " + a : ""}`,
      children: /* @__PURE__ */ s(
        "div",
        {
          className: `ar-Loader-content flex-center w-100 h-100${i ? " " + i : ""}${r ? " " + r : ""}`,
          children: v
        }
      )
    }
  );
}, Si = xu;
const Pu = /* @__PURE__ */ s(
  "div",
  {
    style: {
      height: "60rem",
      width: "60rem",
      backgroundColor: "green",
      color: "white"
    },
    children: "Modal Content"
  }
), Au = (h) => {
  const {
    body: a,
    closeHandler: i,
    content: r,
    demo: d,
    footer: g,
    header: n,
    isSticky: v,
    primaryButtonLabel: w,
    primaryHandler: l,
    secondaryButtonLabel: C,
    show: f
  } = h, S = At(null), A = At(null), [P, O] = W(), [M, B] = W();
  nn("Modal");
  const I = a || d && Pu;
  return ae(() => O(f), [f]), ae(() => {
    if (S.current) {
      const k = (F) => {
        ("key" in F ? F.key === "Escape" : F.keyCode === 27) && (O(!1), i && i(h));
      };
      S.current.addEventListener(
        "keydown",
        k
      );
    }
  }, [i]), ae(() => {
    f && setTimeout(
      () => S.current && S.current.focus(),
      0
    );
  }, [f]), f ? /* @__PURE__ */ s(
    ks,
    {
      classes: `position-fixed top-0 left-0 w-100 h-100 modal-container ${P ? "z-2000" : "invisible"}`,
      demo: d,
      children: /* @__PURE__ */ s(
        "div",
        {
          className: `ar-Modal w-100 h-100${M ? " stubborn-effect" : ""}`,
          ref: S,
          tabIndex: -1,
          onClick: () => {
            v ? (B(!0), setTimeout(() => B(!1), 10)) : (O(!1), i && i(h));
          },
          children: /* @__PURE__ */ s("div", { className: "ar-Modal__backdrop w-100 h-100 flex-center", children: /* @__PURE__ */ _(
            "div",
            {
              ref: A,
              className: "ar-Modal__floating-box border d-flex position-relative",
              tabIndex: -1,
              onClick: (k) => k.stopPropagation(),
              children: [
                /* @__PURE__ */ s(
                  Le,
                  {
                    icon: "io5/IoCloseSharp",
                    classes: "ar-Modal__close-btn position-absolute cursor-pointer",
                    onClick: () => {
                      O(!1), i && i(h);
                    }
                  }
                ),
                /* @__PURE__ */ s("div", { className: "ar-Modal__content d-flex flex-1 flex-column", children: r || /* @__PURE__ */ _(ut, { children: [
                  n ? typeof n == "string" ? /* @__PURE__ */ s("header", { className: "ar-Modal__header w-100 border-bottom px-3 py-2 fw-bold f4 flex-v-center", children: n }) : /* @__PURE__ */ s("header", { children: n }) : /* @__PURE__ */ s("header", { className: "ar-Modal__header w-100 border-bottom px-3 py-2 fw-bold f4 flex-v-center", children: "Header" }),
                  /* @__PURE__ */ s("main", { className: "ar-Modal__body flex-1 overflow-auto", children: I }),
                  g ? /* @__PURE__ */ s("footer", { className: "z-1", children: g }) : /* @__PURE__ */ _("footer", { className: "ar-Modal__footer w-100 border-top px-3 py-2 z-1 d-flex justify-content-end", children: [
                    /* @__PURE__ */ s(
                      it,
                      {
                        classes: "me-3",
                        variant: st.PRIMARY,
                        size: mt.SMALL,
                        content: w || "Submit",
                        onClick: l
                      }
                    ),
                    /* @__PURE__ */ s(
                      it,
                      {
                        variant: st.SECONDARY,
                        size: mt.SMALL,
                        content: C || "Cancel",
                        onClick: i || (() => O(!1))
                      }
                    )
                  ] })
                ] }) })
              ]
            }
          ) })
        }
      )
    }
  ) : null;
}, Ri = Au;
const Eu = (h) => {
  const {
    classes: a,
    count: i,
    data: r,
    dataFetcher: d,
    load: g,
    maxPillsToShow: n,
    pageSetter: v,
    pageSize: w,
    trigger: l
  } = h, [C, f] = W(), [S, A] = W(), [P, O] = W();
  let M;
  const B = "1.2rem";
  return ae(() => {
    if (r) {
      const I = r && r.length > 0 && Rt.generateSlices(r.length, w || 100, "index");
      I && A(I), O(0);
    }
  }, [r]), S && r && P !== void 0 && (n && S.length > n ? (M = [], M.push(
    /* @__PURE__ */ s(
      Cn,
      {
        classes: "me-2 border-radius",
        disabled: P === 0,
        data: {
          label: /* @__PURE__ */ s(
            qt,
            {
              src: "ai/AiOutlineLeft",
              color: "grey",
              alt: "<",
              size: B
            }
          )
        },
        onClick: () => O(P - n)
      },
      "selection-pill-prev"
    )
  ), M = M.concat(
    S.slice(P, P + n).map((I, k, F) => /* @__PURE__ */ s(
      Cn,
      {
        classes: k === 0 ? "border-left-radius" : k === F.length - 1 ? "border-right-radius" : "",
        data: I,
        selected: C === I.sliceIndex,
        onClick: ($) => {
          const D = r.slice(
            $.data.startIndex,
            $.data.endIndex
          );
          v && v(D), f(
            $.data.sliceIndex
          );
        }
      },
      "selection-pill-" + k
    ))
  ), M.push(
    /* @__PURE__ */ s(
      Cn,
      {
        classes: "ms-2 border-radius",
        disabled: (S == null ? void 0 : S.length) <= P,
        data: {
          label: /* @__PURE__ */ s(
            qt,
            {
              src: "ai/AiOutlineRight",
              color: "grey",
              alt: ">",
              size: B
            }
          )
        },
        onClick: () => O(P + n)
      },
      "selection-pill-next"
    )
  )) : M = S.map((I, k, F) => /* @__PURE__ */ s(
    Cn,
    {
      classes: k === 0 ? "border-left-radius" : k === F.length - 1 ? "border-right-radius" : "",
      data: I,
      selected: C === I.sliceIndex,
      onClick: ($) => {
        const D = r.slice(
          $.data.startIndex,
          $.data.endIndex
        );
        v && v(D), f($.data.sliceIndex);
      }
    },
    "selection-pill-" + k
  ))), l === Vi.SCROLL ? null : /* @__PURE__ */ s("div", { className: `ar-Pagination${a ? " " + a : ""}`, children: M });
}, Iu = Eu;
const Tu = (h) => {
  const { onChange: a } = h;
  return /* @__PURE__ */ s(dn, { type: "password", onChange: a, placeholder: "Password" });
}, Nu = Tu;
const Lu = (h) => {
  const { classes: a, label: i, deletable: r, data: d, onClick: g, onDelete: n } = h;
  return /* @__PURE__ */ _(
    "span",
    {
      className: `ar-Pill position-relative px-2 py-1 inline-flex-center${a ? " " + a : ""}`,
      onClick: () => g && g(i, d),
      children: [
        /* @__PURE__ */ s("span", { className: "me-2", children: i }),
        r && /* @__PURE__ */ s(
          qt,
          {
            src: "io5/IoClose/white",
            onClick: () => n && n(i, d),
            classes: "ar-Pill__delete-icon"
          }
        )
      ]
    }
  );
}, Ns = Lu;
const _u = (h) => {
  const { classes: a, data: i, isDeletable: r, onChange: d, placeholder: g } = h, [n, v] = W(i);
  ae(() => {
    v(i);
  }, [i]);
  const w = (l, C) => {
    const f = n.findIndex(
      (A) => A.label === l
    ), S = n[f];
    n.splice(f, 1), v([...n]), d && d(S, "all");
  };
  return /* @__PURE__ */ s("div", { className: `ar-Pillbox${a ? " " + a : ""}`, children: n && n.length > 0 ? n.map((l, C) => /* @__PURE__ */ s(
    Ns,
    {
      classes: C < n.length - 1 ? "me-2" : "",
      label: l.label,
      data: l,
      deletable: l.deletable !== void 0 ? l.deletable : r,
      onDelete: w
    }
  )) : g });
}, vo = _u;
const ku = (h) => {
  const { version: a = "v2", ...i } = h;
  switch (a) {
    case "v2":
      return /* @__PURE__ */ s(As, { ...i });
    case "v1":
    default:
      return /* @__PURE__ */ s(gi, { ...i });
  }
}, Qt = ku;
const Bu = (h) => {
  const { items: a, dataApi: i, onChange: r, searchApi: d, ...g } = h, n = Rn(), [v, w] = W(), [l, C] = W(), [f, S] = W(), A = Mn(
    () => Rt.debounce((M) => O(M), 500),
    []
  ), P = (M, B, I) => {
    C(I), A(I), r && r(M, B, I);
  }, O = (M) => {
    if (d) {
      if (S(void 0), !M)
        return;
      w(!0), fo.get(`${d}?search=${M}`).then((B) => {
        if (w(!1), B.body) {
          const I = B.body.length !== void 0 && B.body.length > 0 ? B.body.map((k) => {
            const F = { label: "" };
            return k.label || (F.label = k.name || k.value || k.title || k.id), F.data = k, k.label && (F.label = k.label), k.category && (F.category = k.category), F;
          }) : [];
          S(I);
        } else
          n(
            ms({
              message: "Failed to fetch search field options using provided API",
              uid: Wt(),
              closeable: !0,
              type: Hs.ERROR
            })
          );
      }).catch((B) => {
        w(!1), n(
          ms({
            message: "Failed to fetch search field options using provided API",
            uid: Wt(),
            closeable: !0,
            type: Hs.ERROR
          })
        ), console.error(B);
      });
    }
  };
  return ae(() => {
    O();
  }, [d, n]), /* @__PURE__ */ _(
    "div",
    {
      className: `ar-SearchField position-relative w-100${l ? " has-input" : ""}`,
      children: [
        v && /* @__PURE__ */ s("span", { className: "ar-SearchField__loader position-absolute", children: /* @__PURE__ */ s(Si, { type: kn.CIRCLE, size: mt.XSMALL }) }),
        /* @__PURE__ */ s(
          _s,
          {
            ...g,
            items: f,
            onChange: P,
            fromSearch: !0
          }
        )
      ]
    }
  );
}, co = Bu;
const Ou = [
  { name: "task", label: "Task", icon: "md.MdAddTask" },
  {
    name: "event",
    label: "Event",
    icon: "md.MdOutlineEventAvailable"
  },
  {
    name: "birthday",
    label: "Birthday",
    icon: "fa.FaBirthdayCake"
  },
  {
    name: "meeting",
    label: "Meeting",
    icon: "md.MdOutlineMeetingRoom"
  }
], Mu = (h) => {
  const {
    classes: a,
    demo: i,
    hasUniformSegments: r,
    isMultiSelect: d,
    segments: g,
    selected: n,
    onChange: v
  } = h, [w, l] = W();
  let C = w;
  ae(() => {
    g == null || g.forEach((S, A) => {
      A === 0 && (S.isFirst = !0), A === g.length - 1 && (S.isLast = !0);
    }), l(g);
  }, [g]), ae(() => {
    if (n && w) {
      const S = w.find(
        (A) => A.name === n
      );
      S && !S.isSelected && (S.isSelected = !0, l([...w]));
    }
  }, [n, w]), i && !C && (C = Ou);
  const f = C && C.map((S, A) => /* @__PURE__ */ s(
    xi,
    {
      segment: { ...S, index: A },
      segments: C,
      setSegments: l,
      isMultiSelect: d,
      onChange: v,
      demo: i
    }
  ));
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-SegmentedControl${a ? " " + a : ""}${r ? " is-uniform" : ""}`,
      children: /* @__PURE__ */ s("ul", { className: "list-unstyled d-flex mb-0", children: f })
    }
  );
}, Ls = Mu, Du = po((h) => {
  const { demo: a, isMultiSelect: i, onChange: r, segment: d, segments: g, setSegments: n } = h, { index: v, isFirst: w, isLast: l, isSelected: C, label: f, icon: S, name: A, tooltip: P } = d, [O, M] = W(), [B, I] = W();
  ae(() => {
    I(!!C);
  }, [C]);
  const k = /* @__PURE__ */ _(
    "li",
    {
      className: `ar-SegmentedControl__segment flex-center border${B ? " selected" : ""}${P ? "" : " item-root"}
      ${w ? " first-child" : ""}
      ${l ? " last-child" : ""}`,
      onClick: () => {
        I(!B);
        const F = g && [...g];
        i ? d.isSelected = !0 : F == null || F.forEach(($) => {
          $.isSelected = $.name === A ? !$.isSelected : !1;
        }), n && F && n(F), r && r(d, g);
      },
      onMouseEnter: () => M(!0),
      onMouseLeave: () => M(!1),
      children: [
        f && /* @__PURE__ */ s("span", { className: S ? " me-2" : "", children: f }),
        S && /* @__PURE__ */ s(
          Le,
          {
            icon: S,
            color: O ? "black" : "grey"
          }
        )
      ]
    },
    "segmented-control-" + v
  );
  return P ? /* @__PURE__ */ _(
    Qt,
    {
      trigger: $t.HOVER,
      classes: "item-root",
      demo: a,
      children: [
        /* @__PURE__ */ s("span", { slot: lt.POPOVER, children: P }),
        /* @__PURE__ */ s("span", { slot: lt.ANCHOR, children: k })
      ]
    },
    "segmented-control-" + v
  ) : k;
}), xi = Du;
const Fu = [
  { label: "New Delhi", name: "New Delhi", value: "DL" },
  { label: "Mumbai", name: "Mumbai", value: "MU" },
  { label: "Bangalore", name: "Bangalore", value: "BL" },
  { label: "Chennai", name: "Chennai", value: "CH" }
], $u = (h) => {
  const {
    ariaLabel: a,
    classes: i,
    context: r,
    demo: d,
    id: g,
    isDisabled: n,
    label: v,
    onSelectionChanged: w,
    options: l,
    required: C,
    selected: f,
    size: S
  } = h, [A, P] = W(), O = l || (d ? Fu : []);
  ae(() => {
    f && (P(f), w && w(
      {
        value: f,
        data: O == null ? void 0 : O.find((B) => (B.name || B.label) === f)
      },
      r
    ));
  }, [f]);
  const M = (B) => {
    P(B.target.value), w && w(
      {
        value: B.target.value,
        data: O == null ? void 0 : O.find((I) => (I.name || I.label) === B.target.value)
      },
      r
    );
  };
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-Select${i ? " " + i : ""}${S ? " " + S : ""}${S === mt.SMALL ? "" : " w-100"}`,
      children: [
        v && /* @__PURE__ */ s(
          "label",
          {
            className: `ar-Select__label label${C ? " required" : ""}`,
            htmlFor: g,
            children: v
          }
        ),
        /* @__PURE__ */ s(
          "select",
          {
            id: g,
            className: `ar-Select__select form-component ${S === mt.SMALL ? "px-2" : "px-3 py-2 w-100"}`,
            onChange: M,
            "aria-label": a,
            value: A,
            disabled: n,
            children: O == null ? void 0 : O.map((B, I) => /* @__PURE__ */ s(
              "option",
              {
                value: B.name || B.label,
                children: B.label
              },
              (g || v) + "select-" + I
            ))
          }
        )
      ]
    }
  );
}, lr = $u;
const Hu = {
  label: "Tab 1",
  id: "23jhrfl2l3lkj2lk3jlkjlsd",
  isActive: !1
}, Gu = po(
  (h) => {
    const {
      bubbleDimensions: a,
      data: i,
      demo: r,
      deletable: d,
      onHover: g,
      onHoverOut: n,
      icon: v,
      id: w,
      isActive: l,
      items: C,
      label: f,
      onSelect: S,
      size: A,
      variant: P
    } = h, O = At(null);
    let M = f || (r ? Hu.label : f);
    return ae(() => {
      l && a && setTimeout(() => {
        const B = O.current && O.current.getBoundingClientRect();
        let I, k;
        B && (I = B.width, k = O.current.offsetLeft), a(I, k);
      }, 0);
    }, [l, a]), /* @__PURE__ */ s(
      "div",
      {
        className: `ar-Tab h-100 px-2 fw-bold${l ? " active" : ""}${A ? " " + A : ""}${P ? " " + P : ""}`,
        id: w || M,
        onClick: () => S && S(w, h),
        onMouseEnter: () => g && g(i),
        onMouseLeave: n,
        ref: O,
        children: /* @__PURE__ */ _("div", { className: "ar-Tab__content position-relative h-100 flex-center", children: [
          /* @__PURE__ */ s("span", { className: v || C ? "me-1" : "", children: M }),
          v && /* @__PURE__ */ s(
            Le,
            {
              classes: "me-2",
              icon: v,
              color: i.color || "black"
            }
          ),
          C && /* @__PURE__ */ s(Le, { icon: "md.MdKeyboardArrowDown" }),
          d && /* @__PURE__ */ s(
            qt,
            {
              containerClasses: "ar-Tab__delete-icon ms-2",
              src: "rx/RxCross2",
              size: "0.8rem"
            }
          )
        ] })
      }
    );
  },
  (h, a) => h.isActive === a.isActive && JSON.stringify(h.data) === JSON.stringify(a.data) && h.icon === a.icon && h.label === a.label && h.size === a.size && h.variant === a.variant
), Pi = Gu;
const zu = [
  {
    label: "Tab 1",
    id: "23jhrfl2l3lkj2lk3jlkjlsd",
    isActive: !1
  },
  {
    label: "Tab 2",
    id: "oasdjfiahsdlfhaskdjfhlk",
    isActive: !0
  },
  {
    label: "Tab 3",
    id: "kjahskjrh3hfaksdhf9dfhk23",
    isActive: !1
  }
], Wu = (h) => {
  var K, ce;
  const {
    classes: a,
    data: i,
    demo: r,
    onTabSelected: d,
    size: g,
    variant: n,
    activeId: v,
    theme: w,
    ...l
  } = h, [C, f] = W(), [S, A] = W(), [P, O] = W(), [M, B] = W(), I = i || r && zu, k = (V) => {
    f(
      (Q) => V.id === "" ? V : {
        ...Q,
        ...V
      }
    );
  };
  ae(() => {
    if (r && !v && k({ id: "23jhrfl2l3lkj2lk3jlkjlsd" }), v !== void 0)
      k({ id: v });
    else {
      const V = i && i.find((Q) => Q.isActive);
      V && V.id && k({ id: V.id });
    }
  }, [v, i, r]), ae(() => {
    var Q;
    const V = (Q = S == null ? void 0 : S.element) == null ? void 0 : Q.getBoundingClientRect();
    V && B({ left: V.left - 16 });
  }, [S]);
  const F = (V, Q) => {
    k({ selectedWidth: V, selectedLeft: Q });
  }, $ = (V, Q) => {
    C ? (V && V !== C.id && k({ id: V }), d && d(V, Q)) : (V && k({ id: V }), d && d(V, Q));
  }, D = I && I.filter((V) => V).map((V, Q) => /* @__PURE__ */ s(
    Pi,
    {
      bubbleDimensions: F,
      data: V,
      items: V.items,
      deletable: V.deletable,
      icon: V.icon,
      id: V.id,
      variant: n,
      size: g,
      isActive: C && C.id === V.id,
      label: V.label,
      onSelect: $
    },
    "tab-item-" + Q
  ));
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-TabBar d-flex position-relative${n ? " " + n : ""}${g ? " " + g : ""}${a ? " " + a : ""}`,
      onMouseLeave: () => A(null),
      onMouseOver: (V) => {
        const Q = V.target.closest(".ar-Tab");
        if (Q) {
          const Z = I && I.find((we) => we.id === V.target.id);
          Z && A({ data: Z, element: Q });
        }
        O(!0);
      },
      ...l,
      children: [
        D,
        /* @__PURE__ */ s(
          "div",
          {
            className: "position-absolute slider",
            role: "presentation",
            style: {
              left: typeof (C == null ? void 0 : C.selectedLeft) == "number" ? C.selectedLeft : 0,
              width: typeof (C == null ? void 0 : C.selectedWidth) == "number" ? C.selectedWidth : 0
            }
          }
        ),
        /* @__PURE__ */ s(
          "div",
          {
            className: `ar-TabBar__sub-items-hidden-container${P ? " persistent-show" : ""}${(K = S == null ? void 0 : S.data) != null && K.items ? " show" : ""}`,
            children: /* @__PURE__ */ s(
              "div",
              {
                className: "ar-TabBar__sub-items-container",
                style: { left: M == null ? void 0 : M.left },
                children: /* @__PURE__ */ s(
                  un,
                  {
                    data: ((ce = S == null ? void 0 : S.data) == null ? void 0 : ce.items) || [],
                    itemClasses: "lh-2 cursor-pointer",
                    theme: w
                  }
                )
              }
            )
          }
        )
      ]
    }
  );
}, Ai = Wu;
var gs = { exports: {} }, oo = { exports: {} }, Ks;
function Vu() {
  return Ks || (Ks = 1, function(h, a) {
    (function(i, r) {
      r(a, bs);
    })(Rs, function(i, r) {
      function d(e, u, m, y, T, x, N) {
        try {
          var G = e[x](N), j = G.value;
        } catch (U) {
          return void m(U);
        }
        G.done ? u(j) : Promise.resolve(j).then(y, T);
      }
      function g(e) {
        return function() {
          var u = this, m = arguments;
          return new Promise(function(y, T) {
            var x = e.apply(u, m);
            function N(j) {
              d(x, y, T, N, G, "next", j);
            }
            function G(j) {
              d(x, y, T, N, G, "throw", j);
            }
            N(void 0);
          });
        };
      }
      function n() {
        return (n = Object.assign || function(e) {
          for (var u = 1; u < arguments.length; u++) {
            var m = arguments[u];
            for (var y in m)
              Object.prototype.hasOwnProperty.call(m, y) && (e[y] = m[y]);
          }
          return e;
        }).apply(this, arguments);
      }
      function v(e, u) {
        if (e == null)
          return {};
        var m, y, T = {}, x = Object.keys(e);
        for (y = 0; y < x.length; y++)
          m = x[y], u.indexOf(m) >= 0 || (T[m] = e[m]);
        return T;
      }
      function w(e) {
        var u = function(m, y) {
          if (typeof m != "object" || m === null)
            return m;
          var T = m[Symbol.toPrimitive];
          if (T !== void 0) {
            var x = T.call(m, y || "default");
            if (typeof x != "object")
              return x;
            throw new TypeError("@@toPrimitive must return a primitive value.");
          }
          return (y === "string" ? String : Number)(m);
        }(e, "string");
        return typeof u == "symbol" ? u : String(u);
      }
      r = r && Object.prototype.hasOwnProperty.call(r, "default") ? r.default : r;
      var l = { init: "init" }, C = function(e) {
        var u = e.value;
        return u === void 0 ? "" : u;
      }, f = function() {
        return r.createElement(r.Fragment, null, " ");
      }, S = { Cell: C, width: 150, minWidth: 0, maxWidth: Number.MAX_SAFE_INTEGER };
      function A() {
        for (var e = arguments.length, u = new Array(e), m = 0; m < e; m++)
          u[m] = arguments[m];
        return u.reduce(function(y, T) {
          var x = T.style, N = T.className;
          return y = n({}, y, {}, v(T, ["style", "className"])), x && (y.style = y.style ? n({}, y.style || {}, {}, x || {}) : x), N && (y.className = y.className ? y.className + " " + N : N), y.className === "" && delete y.className, y;
        }, {});
      }
      var P = function(e, u) {
        return u === void 0 && (u = {}), function(m) {
          return m === void 0 && (m = {}), [].concat(e, [m]).reduce(function(y, T) {
            return function x(N, G, j) {
              return typeof G == "function" ? x({}, G(N, j)) : Array.isArray(G) ? A.apply(void 0, [N].concat(G)) : A(N, G);
            }(y, T, n({}, u, { userProps: m }));
          }, {});
        };
      }, O = function(e, u, m, y) {
        return m === void 0 && (m = {}), e.reduce(function(T, x) {
          return x(T, m);
        }, u);
      }, M = function(e, u, m) {
        return m === void 0 && (m = {}), e.forEach(function(y) {
          y(u, m);
        });
      };
      function B(e, u, m, y) {
        e.findIndex(function(T) {
          return T.pluginName === m;
        }), u.forEach(function(T) {
          e.findIndex(function(x) {
            return x.pluginName === T;
          });
        });
      }
      function I(e, u) {
        return typeof e == "function" ? e(u) : e;
      }
      function k(e) {
        var u = r.useRef();
        return u.current = e, r.useCallback(function() {
          return u.current;
        }, []);
      }
      var F = typeof document < "u" ? r.useLayoutEffect : r.useEffect;
      function $(e, u) {
        var m = r.useRef(!1);
        F(function() {
          m.current && e(), m.current = !0;
        }, u);
      }
      function D(e, u, m) {
        return m === void 0 && (m = {}), function(y, T) {
          T === void 0 && (T = {});
          var x = typeof y == "string" ? u[y] : y;
          if (x === void 0)
            throw console.info(u), new Error("Renderer Error ☝️");
          return K(x, n({}, e, { column: u }, m, {}, T));
        };
      }
      function K(e, u) {
        return function(y) {
          return typeof y == "function" && (T = Object.getPrototypeOf(y)).prototype && T.prototype.isReactComponent;
          var T;
        }(m = e) || typeof m == "function" || function(y) {
          return typeof y == "object" && typeof y.$$typeof == "symbol" && ["react.memo", "react.forward_ref"].includes(y.$$typeof.description);
        }(m) ? r.createElement(e, u) : e;
        var m;
      }
      function ce(e, u, m) {
        return m === void 0 && (m = 0), e.map(function(y) {
          return Q(y = n({}, y, { parent: u, depth: m })), y.columns && (y.columns = ce(y.columns, y, m + 1)), y;
        });
      }
      function V(e) {
        return He(e, "columns");
      }
      function Q(e) {
        var u = e.id, m = e.accessor, y = e.Header;
        if (typeof m == "string") {
          u = u || m;
          var T = m.split(".");
          m = function(x) {
            return function(N, G, j) {
              if (!G)
                return N;
              var U, se = typeof G == "function" ? G : JSON.stringify(G), te = et.get(se) || function() {
                var ne = function(Y) {
                  return function ee(fe, ge) {
                    if (ge === void 0 && (ge = []), Array.isArray(fe))
                      for (var Pe = 0; Pe < fe.length; Pe += 1)
                        ee(fe[Pe], ge);
                    else
                      ge.push(fe);
                    return ge;
                  }(Y).map(function(ee) {
                    return String(ee).replace(".", "_");
                  }).join(".").replace(de, ".").replace(Ye, "").split(".");
                }(G);
                return et.set(se, ne), ne;
              }();
              try {
                U = te.reduce(function(ne, Y) {
                  return ne[Y];
                }, N);
              } catch {
              }
              return U !== void 0 ? U : j;
            }(x, T);
          };
        }
        if (!u && typeof y == "string" && y && (u = y), !u && e.columns)
          throw console.error(e), new Error('A column ID (or unique "Header" value) is required!');
        if (!u)
          throw console.error(e), new Error("A column ID (or string accessor) is required!");
        return Object.assign(e, { id: u, accessor: m }), e;
      }
      function Z(e, u) {
        if (!u)
          throw new Error();
        return Object.assign(e, n({ Header: f, Footer: f }, S, {}, u, {}, e)), Object.assign(e, { originalWidth: e.width }), e;
      }
      function we(e, u, m) {
        m === void 0 && (m = function() {
          return {};
        });
        for (var y = [], T = e, x = 0, N = function() {
          return x++;
        }, G = function() {
          var j = { headers: [] }, U = [], se = T.some(function(te) {
            return te.parent;
          });
          T.forEach(function(te) {
            var ne, Y = [].concat(U).reverse()[0];
            se && (te.parent ? ne = n({}, te.parent, { originalId: te.parent.id, id: te.parent.id + "_" + N(), headers: [te] }, m(te)) : ne = Z(n({ originalId: te.id + "_placeholder", id: te.id + "_placeholder_" + N(), placeholderOf: te, headers: [te] }, m(te)), u), Y && Y.originalId === ne.originalId ? Y.headers.push(te) : U.push(ne)), j.headers.push(te);
          }), y.push(j), T = U;
        }; T.length; )
          G();
        return y.reverse();
      }
      var et = /* @__PURE__ */ new Map();
      function Ne() {
        for (var e = arguments.length, u = new Array(e), m = 0; m < e; m++)
          u[m] = arguments[m];
        for (var y = 0; y < u.length; y += 1)
          if (u[y] !== void 0)
            return u[y];
      }
      function ue(e) {
        if (typeof e == "function")
          return e;
      }
      function He(e, u) {
        var m = [];
        return function y(T) {
          T.forEach(function(x) {
            x[u] ? y(x[u]) : m.push(x);
          });
        }(e), m;
      }
      function re(e, u) {
        var m = u.manualExpandedKey, y = u.expanded, T = u.expandSubRows, x = T === void 0 || T, N = [];
        return e.forEach(function(G) {
          return function j(U, se) {
            se === void 0 && (se = !0), U.isExpanded = U.original && U.original[m] || y[U.id], U.canExpand = U.subRows && !!U.subRows.length, se && N.push(U), U.subRows && U.subRows.length && U.isExpanded && U.subRows.forEach(function(te) {
              return j(te, x);
            });
          }(G);
        }), N;
      }
      function Se(e, u, m) {
        return ue(e) || u[e] || m[e] || m.text;
      }
      function rt(e, u, m) {
        return e ? e(u, m) : u === void 0;
      }
      function Te() {
        throw new Error("React-Table: You have not called prepareRow(row) one or more rows you are attempting to render.");
      }
      var Ge = null, de = /\[/g, Ye = /\]/g, ht = function(e) {
        return n({ role: "table" }, e);
      }, ot = function(e) {
        return n({ role: "rowgroup" }, e);
      }, pt = function(e, u) {
        var m = u.column;
        return n({ key: "header_" + m.id, colSpan: m.totalVisibleHeaderCount, role: "columnheader" }, e);
      }, ze = function(e, u) {
        var m = u.column;
        return n({ key: "footer_" + m.id, colSpan: m.totalVisibleHeaderCount }, e);
      }, ct = function(e, u) {
        return n({ key: "headerGroup_" + u.index, role: "row" }, e);
      }, bt = function(e, u) {
        return n({ key: "footerGroup_" + u.index }, e);
      }, Mt = function(e, u) {
        return n({ key: "row_" + u.row.id, role: "row" }, e);
      }, Ft = function(e, u) {
        var m = u.cell;
        return n({ key: "cell_" + m.row.id + "_" + m.column.id, role: "cell" }, e);
      };
      function pn() {
        return { useOptions: [], stateReducers: [], useControlledState: [], columns: [], columnsDeps: [], allColumns: [], allColumnsDeps: [], accessValue: [], materializedColumns: [], materializedColumnsDeps: [], useInstanceAfterData: [], visibleColumns: [], visibleColumnsDeps: [], headerGroups: [], headerGroupsDeps: [], useInstanceBeforeDimensions: [], useInstance: [], prepareRow: [], getTableProps: [ht], getTableBodyProps: [ot], getHeaderGroupProps: [ct], getFooterGroupProps: [bt], getHeaderProps: [pt], getFooterProps: [ze], getRowProps: [Mt], getCellProps: [Ft], useFinalInstance: [] };
      }
      l.resetHiddenColumns = "resetHiddenColumns", l.toggleHideColumn = "toggleHideColumn", l.setHiddenColumns = "setHiddenColumns", l.toggleHideAllColumns = "toggleHideAllColumns";
      var Ht = function(e) {
        e.getToggleHiddenProps = [Bt], e.getToggleHideAllColumnsProps = [fn], e.stateReducers.push(xn), e.useInstanceBeforeDimensions.push(Pn), e.headerGroupsDeps.push(function(u, m) {
          var y = m.instance;
          return [].concat(u, [y.state.hiddenColumns]);
        }), e.useInstance.push(An);
      };
      Ht.pluginName = "useColumnVisibility";
      var Bt = function(e, u) {
        var m = u.column;
        return [e, { onChange: function(y) {
          m.toggleHidden(!y.target.checked);
        }, style: { cursor: "pointer" }, checked: m.isVisible, title: "Toggle Column Visible" }];
      }, fn = function(e, u) {
        var m = u.instance;
        return [e, { onChange: function(y) {
          m.toggleHideAllColumns(!y.target.checked);
        }, style: { cursor: "pointer" }, checked: !m.allColumnsHidden && !m.state.hiddenColumns.length, title: "Toggle All Columns Hidden", indeterminate: !m.allColumnsHidden && m.state.hiddenColumns.length }];
      };
      function xn(e, u, m, y) {
        if (u.type === l.init)
          return n({ hiddenColumns: [] }, e);
        if (u.type === l.resetHiddenColumns)
          return n({}, e, { hiddenColumns: y.initialState.hiddenColumns || [] });
        if (u.type === l.toggleHideColumn) {
          var T = (u.value !== void 0 ? u.value : !e.hiddenColumns.includes(u.columnId)) ? [].concat(e.hiddenColumns, [u.columnId]) : e.hiddenColumns.filter(function(x) {
            return x !== u.columnId;
          });
          return n({}, e, { hiddenColumns: T });
        }
        return u.type === l.setHiddenColumns ? n({}, e, { hiddenColumns: I(u.value, e.hiddenColumns) }) : u.type === l.toggleHideAllColumns ? n({}, e, { hiddenColumns: (u.value !== void 0 ? u.value : !e.hiddenColumns.length) ? y.allColumns.map(function(x) {
          return x.id;
        }) : [] }) : void 0;
      }
      function Pn(e) {
        var u = e.headers, m = e.state.hiddenColumns;
        r.useRef(!1).current;
        var y = 0;
        u.forEach(function(T) {
          return y += function x(N, G) {
            N.isVisible = G && !m.includes(N.id);
            var j = 0;
            return N.headers && N.headers.length ? N.headers.forEach(function(U) {
              return j += x(U, N.isVisible);
            }) : j = N.isVisible ? 1 : 0, N.totalVisibleHeaderCount = j, j;
          }(T, !0);
        });
      }
      function An(e) {
        var u = e.columns, m = e.flatHeaders, y = e.dispatch, T = e.allColumns, x = e.getHooks, N = e.state.hiddenColumns, G = e.autoResetHiddenColumns, j = G === void 0 || G, U = k(e), se = T.length === N.length, te = r.useCallback(function(ge, Pe) {
          return y({ type: l.toggleHideColumn, columnId: ge, value: Pe });
        }, [y]), ne = r.useCallback(function(ge) {
          return y({ type: l.setHiddenColumns, value: ge });
        }, [y]), Y = r.useCallback(function(ge) {
          return y({ type: l.toggleHideAllColumns, value: ge });
        }, [y]), ee = P(x().getToggleHideAllColumnsProps, { instance: U() });
        m.forEach(function(ge) {
          ge.toggleHidden = function(Pe) {
            y({ type: l.toggleHideColumn, columnId: ge.id, value: Pe });
          }, ge.getToggleHiddenProps = P(x().getToggleHiddenProps, { instance: U(), column: ge });
        });
        var fe = k(j);
        $(function() {
          fe() && y({ type: l.resetHiddenColumns });
        }, [y, u]), Object.assign(e, { allColumnsHidden: se, toggleHideColumn: te, setHiddenColumns: ne, toggleHideAllColumns: Y, getToggleHideAllColumnsProps: ee });
      }
      var En = {}, In = {}, Tn = function(e, u, m) {
        return e;
      }, Re = function(e, u) {
        return e.subRows || [];
      }, tt = function(e, u, m) {
        return "" + (m ? [m.id, u].join(".") : u);
      }, _e = function(e) {
        return e;
      };
      function dt(e) {
        var u = e.initialState, m = u === void 0 ? En : u, y = e.defaultColumn, T = y === void 0 ? In : y, x = e.getSubRows, N = x === void 0 ? Re : x, G = e.getRowId, j = G === void 0 ? tt : G, U = e.stateReducer, se = U === void 0 ? Tn : U, te = e.useControlledState, ne = te === void 0 ? _e : te;
        return n({}, v(e, ["initialState", "defaultColumn", "getSubRows", "getRowId", "stateReducer", "useControlledState"]), { initialState: m, defaultColumn: T, getSubRows: N, getRowId: j, stateReducer: se, useControlledState: ne });
      }
      function Yt(e, u) {
        u === void 0 && (u = 0);
        var m = 0, y = 0, T = 0, x = 0;
        return e.forEach(function(N) {
          var G = N.headers;
          if (N.totalLeft = u, G && G.length) {
            var j = Yt(G, u), U = j[0], se = j[1], te = j[2], ne = j[3];
            N.totalMinWidth = U, N.totalWidth = se, N.totalMaxWidth = te, N.totalFlexWidth = ne;
          } else
            N.totalMinWidth = N.minWidth, N.totalWidth = Math.min(Math.max(N.minWidth, N.width), N.maxWidth), N.totalMaxWidth = N.maxWidth, N.totalFlexWidth = N.canResize ? N.totalWidth : 0;
          N.isVisible && (u += N.totalWidth, m += N.totalMinWidth, y += N.totalWidth, T += N.totalMaxWidth, x += N.totalFlexWidth);
        }), [m, y, T, x];
      }
      function bo(e) {
        var u = e.data, m = e.rows, y = e.flatRows, T = e.rowsById, x = e.column, N = e.getRowId, G = e.getSubRows, j = e.accessValueHooks, U = e.getInstance;
        u.forEach(function(se, te) {
          return function ne(Y, ee, fe, ge, Pe) {
            fe === void 0 && (fe = 0);
            var Ue = Y, Ae = N(Y, ee, ge), ie = T[Ae];
            if (ie)
              ie.subRows && ie.originalSubRows.forEach(function(Ce, Fe) {
                return ne(Ce, Fe, fe + 1, ie);
              });
            else if ((ie = { id: Ae, original: Ue, index: ee, depth: fe, cells: [{}] }).cells.map = Te, ie.cells.filter = Te, ie.cells.forEach = Te, ie.cells[0].getCellProps = Te, ie.values = {}, Pe.push(ie), y.push(ie), T[Ae] = ie, ie.originalSubRows = G(Y, ee), ie.originalSubRows) {
              var Ve = [];
              ie.originalSubRows.forEach(function(Ce, Fe) {
                return ne(Ce, Fe, fe + 1, ie, Ve);
              }), ie.subRows = Ve;
            }
            x.accessor && (ie.values[x.id] = x.accessor(Y, ee, ie, Pe, u)), ie.values[x.id] = O(j, ie.values[x.id], { row: ie, column: x, instance: U() });
          }(se, te, 0, void 0, m);
        });
      }
      l.resetExpanded = "resetExpanded", l.toggleRowExpanded = "toggleRowExpanded", l.toggleAllRowsExpanded = "toggleAllRowsExpanded";
      var ur = function(e) {
        e.getToggleAllRowsExpandedProps = [wo], e.getToggleRowExpandedProps = [Co], e.stateReducers.push(So), e.useInstance.push(Ro), e.prepareRow.push(xo);
      };
      ur.pluginName = "useExpanded";
      var wo = function(e, u) {
        var m = u.instance;
        return [e, { onClick: function(y) {
          m.toggleAllRowsExpanded();
        }, style: { cursor: "pointer" }, title: "Toggle All Rows Expanded" }];
      }, Co = function(e, u) {
        var m = u.row;
        return [e, { onClick: function() {
          m.toggleRowExpanded();
        }, style: { cursor: "pointer" }, title: "Toggle Row Expanded" }];
      };
      function So(e, u, m, y) {
        if (u.type === l.init)
          return n({ expanded: {} }, e);
        if (u.type === l.resetExpanded)
          return n({}, e, { expanded: y.initialState.expanded || {} });
        if (u.type === l.toggleAllRowsExpanded) {
          var T = u.value, x = y.rowsById, N = Object.keys(x).length === Object.keys(e.expanded).length;
          if (T !== void 0 ? T : !N) {
            var G = {};
            return Object.keys(x).forEach(function(ee) {
              G[ee] = !0;
            }), n({}, e, { expanded: G });
          }
          return n({}, e, { expanded: {} });
        }
        if (u.type === l.toggleRowExpanded) {
          var j, U = u.id, se = u.value, te = e.expanded[U], ne = se !== void 0 ? se : !te;
          if (!te && ne)
            return n({}, e, { expanded: n({}, e.expanded, (j = {}, j[U] = !0, j)) });
          if (te && !ne) {
            var Y = e.expanded;
            return Y[U], n({}, e, { expanded: v(Y, [U].map(w)) });
          }
          return e;
        }
      }
      function Ro(e) {
        var u = e.data, m = e.rows, y = e.rowsById, T = e.manualExpandedKey, x = T === void 0 ? "expanded" : T, N = e.paginateExpandedRows, G = N === void 0 || N, j = e.expandSubRows, U = j === void 0 || j, se = e.autoResetExpanded, te = se === void 0 || se, ne = e.getHooks, Y = e.plugins, ee = e.state.expanded, fe = e.dispatch;
        B(Y, ["useSortBy", "useGroupBy", "usePivotColumns", "useGlobalFilter"], "useExpanded");
        var ge = k(te), Pe = !!(Object.keys(y).length && Object.keys(ee).length);
        Pe && Object.keys(y).some(function(Ze) {
          return !ee[Ze];
        }) && (Pe = !1), $(function() {
          ge() && fe({ type: l.resetExpanded });
        }, [fe, u]);
        var Ue = r.useCallback(function(Ze, ke) {
          fe({ type: l.toggleRowExpanded, id: Ze, value: ke });
        }, [fe]), Ae = r.useCallback(function(Ze) {
          return fe({ type: l.toggleAllRowsExpanded, value: Ze });
        }, [fe]), ie = r.useMemo(function() {
          return G ? re(m, { manualExpandedKey: x, expanded: ee, expandSubRows: U }) : m;
        }, [G, m, x, ee, U]), Ve = r.useMemo(function() {
          return function(Ze) {
            var ke = 0;
            return Object.keys(Ze).forEach(function(Me) {
              var at = Me.split(".");
              ke = Math.max(ke, at.length);
            }), ke;
          }(ee);
        }, [ee]), Ce = k(e), Fe = P(ne().getToggleAllRowsExpandedProps, { instance: Ce() });
        Object.assign(e, { preExpandedRows: m, expandedRows: ie, rows: ie, expandedDepth: Ve, isAllRowsExpanded: Pe, toggleRowExpanded: Ue, toggleAllRowsExpanded: Ae, getToggleAllRowsExpandedProps: Fe });
      }
      function xo(e, u) {
        var m = u.instance.getHooks, y = u.instance;
        e.toggleRowExpanded = function(T) {
          return y.toggleRowExpanded(e.id, T);
        }, e.getToggleRowExpandedProps = P(m().getToggleRowExpandedProps, { instance: y, row: e });
      }
      var dr = function(e, u, m) {
        return e = e.filter(function(y) {
          return u.some(function(T) {
            var x = y.values[T];
            return String(x).toLowerCase().includes(String(m).toLowerCase());
          });
        });
      };
      dr.autoRemove = function(e) {
        return !e;
      };
      var pr = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            var x = y.values[T];
            return x === void 0 || String(x).toLowerCase() === String(m).toLowerCase();
          });
        });
      };
      pr.autoRemove = function(e) {
        return !e;
      };
      var Dn = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            var x = y.values[T];
            return x === void 0 || String(x) === String(m);
          });
        });
      };
      Dn.autoRemove = function(e) {
        return !e;
      };
      var fr = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            return y.values[T].includes(m);
          });
        });
      };
      fr.autoRemove = function(e) {
        return !e || !e.length;
      };
      var Fn = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            var x = y.values[T];
            return x && x.length && m.every(function(N) {
              return x.includes(N);
            });
          });
        });
      };
      Fn.autoRemove = function(e) {
        return !e || !e.length;
      };
      var mr = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            var x = y.values[T];
            return x && x.length && m.some(function(N) {
              return x.includes(N);
            });
          });
        });
      };
      mr.autoRemove = function(e) {
        return !e || !e.length;
      };
      var $n = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            var x = y.values[T];
            return m.includes(x);
          });
        });
      };
      $n.autoRemove = function(e) {
        return !e || !e.length;
      };
      var hr = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            return y.values[T] === m;
          });
        });
      };
      hr.autoRemove = function(e) {
        return e === void 0;
      };
      var gr = function(e, u, m) {
        return e.filter(function(y) {
          return u.some(function(T) {
            return y.values[T] == m;
          });
        });
      };
      gr.autoRemove = function(e) {
        return e == null;
      };
      var vr = function(e, u, m) {
        var y = m || [], T = y[0], x = y[1];
        if ((T = typeof T == "number" ? T : -1 / 0) > (x = typeof x == "number" ? x : 1 / 0)) {
          var N = T;
          T = x, x = N;
        }
        return e.filter(function(G) {
          return u.some(function(j) {
            var U = G.values[j];
            return U >= T && U <= x;
          });
        });
      };
      vr.autoRemove = function(e) {
        return !e || typeof e[0] != "number" && typeof e[1] != "number";
      };
      var mn = Object.freeze({ __proto__: null, text: dr, exactText: pr, exactTextCase: Dn, includes: fr, includesAll: Fn, includesSome: mr, includesValue: $n, exact: hr, equals: gr, between: vr });
      l.resetFilters = "resetFilters", l.setFilter = "setFilter", l.setAllFilters = "setAllFilters";
      var yr = function(e) {
        e.stateReducers.push(Po), e.useInstance.push(br);
      };
      function Po(e, u, m, y) {
        if (u.type === l.init)
          return n({ filters: [] }, e);
        if (u.type === l.resetFilters)
          return n({}, e, { filters: y.initialState.filters || [] });
        if (u.type === l.setFilter) {
          var T = u.columnId, x = u.filterValue, N = y.allColumns, G = y.filterTypes, j = N.find(function(fe) {
            return fe.id === T;
          });
          if (!j)
            throw new Error("React-Table: Could not find a column with id: " + T);
          var U = Se(j.filter, G || {}, mn), se = e.filters.find(function(fe) {
            return fe.id === T;
          }), te = I(x, se && se.value);
          return rt(U.autoRemove, te, j) ? n({}, e, { filters: e.filters.filter(function(fe) {
            return fe.id !== T;
          }) }) : n({}, e, se ? { filters: e.filters.map(function(fe) {
            return fe.id === T ? { id: T, value: te } : fe;
          }) } : { filters: [].concat(e.filters, [{ id: T, value: te }]) });
        }
        if (u.type === l.setAllFilters) {
          var ne = u.filters, Y = y.allColumns, ee = y.filterTypes;
          return n({}, e, { filters: I(ne, e.filters).filter(function(fe) {
            var ge = Y.find(function(Pe) {
              return Pe.id === fe.id;
            });
            return !rt(Se(ge.filter, ee || {}, mn).autoRemove, fe.value, ge);
          }) });
        }
      }
      function br(e) {
        var u = e.data, m = e.rows, y = e.flatRows, T = e.rowsById, x = e.allColumns, N = e.filterTypes, G = e.manualFilters, j = e.defaultCanFilter, U = j !== void 0 && j, se = e.disableFilters, te = e.state.filters, ne = e.dispatch, Y = e.autoResetFilters, ee = Y === void 0 || Y, fe = r.useCallback(function(Ce, Fe) {
          ne({ type: l.setFilter, columnId: Ce, filterValue: Fe });
        }, [ne]), ge = r.useCallback(function(Ce) {
          ne({ type: l.setAllFilters, filters: Ce });
        }, [ne]);
        x.forEach(function(Ce) {
          var Fe = Ce.id, Ze = Ce.accessor, ke = Ce.defaultCanFilter, Me = Ce.disableFilters;
          Ce.canFilter = Ze ? Ne(Me !== !0 && void 0, se !== !0 && void 0, !0) : Ne(ke, U, !1), Ce.setFilter = function(We) {
            return fe(Ce.id, We);
          };
          var at = te.find(function(We) {
            return We.id === Fe;
          });
          Ce.filterValue = at && at.value;
        });
        var Pe = r.useMemo(function() {
          if (G || !te.length)
            return [m, y, T];
          var Ce = [], Fe = {};
          return [function Ze(ke, Me) {
            Me === void 0 && (Me = 0);
            var at = ke;
            return (at = te.reduce(function(We, nt) {
              var t = nt.id, o = nt.value, p = x.find(function(R) {
                return R.id === t;
              });
              if (!p)
                return We;
              Me === 0 && (p.preFilteredRows = We);
              var c = Se(p.filter, N || {}, mn);
              return c ? (p.filteredRows = c(We, [t], o), p.filteredRows) : (console.warn("Could not find a valid 'column.filter' for column with the ID: " + p.id + "."), We);
            }, ke)).forEach(function(We) {
              Ce.push(We), Fe[We.id] = We, We.subRows && (We.subRows = We.subRows && We.subRows.length > 0 ? Ze(We.subRows, Me + 1) : We.subRows);
            }), at;
          }(m), Ce, Fe];
        }, [G, te, m, y, T, x, N]), Ue = Pe[0], Ae = Pe[1], ie = Pe[2];
        r.useMemo(function() {
          x.filter(function(Ce) {
            return !te.find(function(Fe) {
              return Fe.id === Ce.id;
            });
          }).forEach(function(Ce) {
            Ce.preFilteredRows = Ue, Ce.filteredRows = Ue;
          });
        }, [Ue, te, x]);
        var Ve = k(ee);
        $(function() {
          Ve() && ne({ type: l.resetFilters });
        }, [ne, G ? null : u]), Object.assign(e, { preFilteredRows: m, preFilteredFlatRows: y, preFilteredRowsById: T, filteredRows: Ue, filteredFlatRows: Ae, filteredRowsById: ie, rows: Ue, flatRows: Ae, rowsById: ie, setFilter: fe, setAllFilters: ge });
      }
      yr.pluginName = "useFilters", l.resetGlobalFilter = "resetGlobalFilter", l.setGlobalFilter = "setGlobalFilter";
      var Hn = function(e) {
        e.stateReducers.push(wr), e.useInstance.push(Cr);
      };
      function wr(e, u, m, y) {
        if (u.type === l.resetGlobalFilter)
          return n({}, e, { globalFilter: y.initialState.globalFilter || void 0 });
        if (u.type === l.setGlobalFilter) {
          var T = u.filterValue, x = y.userFilterTypes, N = Se(y.globalFilter, x || {}, mn), G = I(T, e.globalFilter);
          return rt(N.autoRemove, G) ? (e.globalFilter, v(e, ["globalFilter"])) : n({}, e, { globalFilter: G });
        }
      }
      function Cr(e) {
        var u = e.data, m = e.rows, y = e.flatRows, T = e.rowsById, x = e.allColumns, N = e.filterTypes, G = e.globalFilter, j = e.manualGlobalFilter, U = e.state.globalFilter, se = e.dispatch, te = e.autoResetGlobalFilter, ne = te === void 0 || te, Y = e.disableGlobalFilter, ee = r.useCallback(function(ie) {
          se({ type: l.setGlobalFilter, filterValue: ie });
        }, [se]), fe = r.useMemo(function() {
          if (j || U === void 0)
            return [m, y, T];
          var ie = [], Ve = {}, Ce = Se(G, N || {}, mn);
          if (!Ce)
            return console.warn("Could not find a valid 'globalFilter' option."), m;
          x.forEach(function(Ze) {
            var ke = Ze.disableGlobalFilter;
            Ze.canFilter = Ne(ke !== !0 && void 0, Y !== !0 && void 0, !0);
          });
          var Fe = x.filter(function(Ze) {
            return Ze.canFilter === !0;
          });
          return [function Ze(ke) {
            return (ke = Ce(ke, Fe.map(function(Me) {
              return Me.id;
            }), U)).forEach(function(Me) {
              ie.push(Me), Ve[Me.id] = Me, Me.subRows = Me.subRows && Me.subRows.length ? Ze(Me.subRows) : Me.subRows;
            }), ke;
          }(m), ie, Ve];
        }, [j, U, G, N, x, m, y, T, Y]), ge = fe[0], Pe = fe[1], Ue = fe[2], Ae = k(ne);
        $(function() {
          Ae() && se({ type: l.resetGlobalFilter });
        }, [se, j ? null : u]), Object.assign(e, { preGlobalFilteredRows: m, preGlobalFilteredFlatRows: y, preGlobalFilteredRowsById: T, globalFilteredRows: ge, globalFilteredFlatRows: Pe, globalFilteredRowsById: Ue, rows: ge, flatRows: Pe, rowsById: Ue, setGlobalFilter: ee, disableGlobalFilter: Y });
      }
      function Gn(e, u) {
        return u.reduce(function(m, y) {
          return m + (typeof y == "number" ? y : 0);
        }, 0);
      }
      Hn.pluginName = "useGlobalFilter";
      var zn = Object.freeze({ __proto__: null, sum: Gn, min: function(e) {
        var u = e[0] || 0;
        return e.forEach(function(m) {
          typeof m == "number" && (u = Math.min(u, m));
        }), u;
      }, max: function(e) {
        var u = e[0] || 0;
        return e.forEach(function(m) {
          typeof m == "number" && (u = Math.max(u, m));
        }), u;
      }, minMax: function(e) {
        var u = e[0] || 0, m = e[0] || 0;
        return e.forEach(function(y) {
          typeof y == "number" && (u = Math.min(u, y), m = Math.max(m, y));
        }), u + ".." + m;
      }, average: function(e) {
        return Gn(0, e) / e.length;
      }, median: function(e) {
        if (!e.length)
          return null;
        var u = Math.floor(e.length / 2), m = [].concat(e).sort(function(y, T) {
          return y - T;
        });
        return e.length % 2 != 0 ? m[u] : (m[u - 1] + m[u]) / 2;
      }, unique: function(e) {
        return Array.from(new Set(e).values());
      }, uniqueCount: function(e) {
        return new Set(e).size;
      }, count: function(e) {
        return e.length;
      } }), Sr = [], Rr = {};
      l.resetGroupBy = "resetGroupBy", l.setGroupBy = "setGroupBy", l.toggleGroupBy = "toggleGroupBy";
      var Wn = function(e) {
        e.getGroupByToggleProps = [xr], e.stateReducers.push(hn), e.visibleColumnsDeps.push(function(u, m) {
          var y = m.instance;
          return [].concat(u, [y.state.groupBy]);
        }), e.visibleColumns.push(Pr), e.useInstance.push(Eo), e.prepareRow.push(Ar);
      };
      Wn.pluginName = "useGroupBy";
      var xr = function(e, u) {
        var m = u.header;
        return [e, { onClick: m.canGroupBy ? function(y) {
          y.persist(), m.toggleGroupBy();
        } : void 0, style: { cursor: m.canGroupBy ? "pointer" : void 0 }, title: "Toggle GroupBy" }];
      };
      function hn(e, u, m, y) {
        if (u.type === l.init)
          return n({ groupBy: [] }, e);
        if (u.type === l.resetGroupBy)
          return n({}, e, { groupBy: y.initialState.groupBy || [] });
        if (u.type === l.setGroupBy)
          return n({}, e, { groupBy: u.value });
        if (u.type === l.toggleGroupBy) {
          var T = u.columnId, x = u.value, N = x !== void 0 ? x : !e.groupBy.includes(T);
          return n({}, e, N ? { groupBy: [].concat(e.groupBy, [T]) } : { groupBy: e.groupBy.filter(function(G) {
            return G !== T;
          }) });
        }
      }
      function Pr(e, u) {
        var m = u.instance.state.groupBy, y = m.map(function(x) {
          return e.find(function(N) {
            return N.id === x;
          });
        }).filter(Boolean), T = e.filter(function(x) {
          return !m.includes(x.id);
        });
        return (e = [].concat(y, T)).forEach(function(x) {
          x.isGrouped = m.includes(x.id), x.groupedIndex = m.indexOf(x.id);
        }), e;
      }
      var Ao = {};
      function Eo(e) {
        var u = e.data, m = e.rows, y = e.flatRows, T = e.rowsById, x = e.allColumns, N = e.flatHeaders, G = e.groupByFn, j = G === void 0 ? Er : G, U = e.manualGroupBy, se = e.aggregations, te = se === void 0 ? Ao : se, ne = e.plugins, Y = e.state.groupBy, ee = e.dispatch, fe = e.autoResetGroupBy, ge = fe === void 0 || fe, Pe = e.disableGroupBy, Ue = e.defaultCanGroupBy, Ae = e.getHooks;
        B(ne, ["useColumnOrder", "useFilters"], "useGroupBy");
        var ie = k(e);
        x.forEach(function(p) {
          var c = p.accessor, R = p.defaultGroupBy, E = p.disableGroupBy;
          p.canGroupBy = c ? Ne(p.canGroupBy, E !== !0 && void 0, Pe !== !0 && void 0, !0) : Ne(p.canGroupBy, R, Ue, !1), p.canGroupBy && (p.toggleGroupBy = function() {
            return e.toggleGroupBy(p.id);
          }), p.Aggregated = p.Aggregated || p.Cell;
        });
        var Ve = r.useCallback(function(p, c) {
          ee({ type: l.toggleGroupBy, columnId: p, value: c });
        }, [ee]), Ce = r.useCallback(function(p) {
          ee({ type: l.setGroupBy, value: p });
        }, [ee]);
        N.forEach(function(p) {
          p.getGroupByToggleProps = P(Ae().getGroupByToggleProps, { instance: ie(), header: p });
        });
        var Fe = r.useMemo(function() {
          if (U || !Y.length)
            return [m, y, T, Sr, Rr, y, T];
          var p = Y.filter(function(q) {
            return x.find(function(le) {
              return le.id === q;
            });
          }), c = [], R = {}, E = [], b = {}, L = [], H = {}, z = function q(le, J, oe) {
            if (J === void 0 && (J = 0), J === p.length)
              return le.map(function(be) {
                return n({}, be, { depth: J });
              });
            var pe = p[J], X = j(le, pe);
            return Object.entries(X).map(function(be, Ie) {
              var Oe = be[0], he = be[1], je = pe + ":" + Oe, Qe = q(he, J + 1, je = oe ? oe + ">" + je : je), ve = J ? He(he, "leafRows") : he, me = function(Ee, qe, Xe) {
                var ft = {};
                return x.forEach(function(xe) {
                  if (p.includes(xe.id))
                    ft[xe.id] = qe[0] ? qe[0].values[xe.id] : null;
                  else {
                    var Et = typeof xe.aggregate == "function" ? xe.aggregate : te[xe.aggregate] || zn[xe.aggregate];
                    if (Et) {
                      var Je = qe.map(function($e) {
                        return $e.values[xe.id];
                      }), De = Ee.map(function($e) {
                        var gt = $e.values[xe.id];
                        if (!Xe && xe.aggregateValue) {
                          var _t = typeof xe.aggregateValue == "function" ? xe.aggregateValue : te[xe.aggregateValue] || zn[xe.aggregateValue];
                          if (!_t)
                            throw console.info({ column: xe }), new Error("React Table: Invalid column.aggregateValue option for column listed above");
                          gt = _t(gt, $e, xe);
                        }
                        return gt;
                      });
                      ft[xe.id] = Et(De, Je);
                    } else {
                      if (xe.aggregate)
                        throw console.info({ column: xe }), new Error("React Table: Invalid column.aggregate option for column listed above");
                      ft[xe.id] = null;
                    }
                  }
                }), ft;
              }(ve, he, J), ye = { id: je, isGrouped: !0, groupByID: pe, groupByVal: Oe, values: me, subRows: Qe, leafRows: ve, depth: J, index: Ie };
              return Qe.forEach(function(Ee) {
                c.push(Ee), R[Ee.id] = Ee, Ee.isGrouped ? (E.push(Ee), b[Ee.id] = Ee) : (L.push(Ee), H[Ee.id] = Ee);
              }), ye;
            });
          }(m);
          return z.forEach(function(q) {
            c.push(q), R[q.id] = q, q.isGrouped ? (E.push(q), b[q.id] = q) : (L.push(q), H[q.id] = q);
          }), [z, c, R, E, b, L, H];
        }, [U, Y, m, y, T, x, te, j]), Ze = Fe[0], ke = Fe[1], Me = Fe[2], at = Fe[3], We = Fe[4], nt = Fe[5], t = Fe[6], o = k(ge);
        $(function() {
          o() && ee({ type: l.resetGroupBy });
        }, [ee, U ? null : u]), Object.assign(e, { preGroupedRows: m, preGroupedFlatRow: y, preGroupedRowsById: T, groupedRows: Ze, groupedFlatRows: ke, groupedRowsById: Me, onlyGroupedFlatRows: at, onlyGroupedRowsById: We, nonGroupedFlatRows: nt, nonGroupedRowsById: t, rows: Ze, flatRows: ke, rowsById: Me, toggleGroupBy: Ve, setGroupBy: Ce });
      }
      function Ar(e) {
        e.allCells.forEach(function(u) {
          var m;
          u.isGrouped = u.column.isGrouped && u.column.id === e.groupByID, u.isPlaceholder = !u.isGrouped && u.column.isGrouped, u.isAggregated = !u.isGrouped && !u.isPlaceholder && ((m = e.subRows) == null ? void 0 : m.length);
        });
      }
      function Er(e, u) {
        return e.reduce(function(m, y, T) {
          var x = "" + y.values[u];
          return m[x] = Array.isArray(m[x]) ? m[x] : [], m[x].push(y), m;
        }, {});
      }
      var Ir = /([0-9]+)/gm;
      function Nn(e, u) {
        return e === u ? 0 : e > u ? 1 : -1;
      }
      function gn(e, u, m) {
        return [e.values[m], u.values[m]];
      }
      function Tr(e) {
        return typeof e == "number" ? isNaN(e) || e === 1 / 0 || e === -1 / 0 ? "" : String(e) : typeof e == "string" ? e : "";
      }
      var Io = Object.freeze({ __proto__: null, alphanumeric: function(e, u, m) {
        var y = gn(e, u, m), T = y[0], x = y[1];
        for (T = Tr(T), x = Tr(x), T = T.split(Ir).filter(Boolean), x = x.split(Ir).filter(Boolean); T.length && x.length; ) {
          var N = T.shift(), G = x.shift(), j = parseInt(N, 10), U = parseInt(G, 10), se = [j, U].sort();
          if (isNaN(se[0])) {
            if (N > G)
              return 1;
            if (G > N)
              return -1;
          } else {
            if (isNaN(se[1]))
              return isNaN(j) ? -1 : 1;
            if (j > U)
              return 1;
            if (U > j)
              return -1;
          }
        }
        return T.length - x.length;
      }, datetime: function(e, u, m) {
        var y = gn(e, u, m), T = y[0], x = y[1];
        return Nn(T = T.getTime(), x = x.getTime());
      }, basic: function(e, u, m) {
        var y = gn(e, u, m);
        return Nn(y[0], y[1]);
      }, string: function(e, u, m) {
        var y = gn(e, u, m), T = y[0], x = y[1];
        for (T = T.split("").filter(Boolean), x = x.split("").filter(Boolean); T.length && x.length; ) {
          var N = T.shift(), G = x.shift(), j = N.toLowerCase(), U = G.toLowerCase();
          if (j > U)
            return 1;
          if (U > j)
            return -1;
          if (N > G)
            return 1;
          if (G > N)
            return -1;
        }
        return T.length - x.length;
      }, number: function(e, u, m) {
        var y = gn(e, u, m), T = y[0], x = y[1], N = /[^0-9.]/gi;
        return Nn(T = Number(String(T).replace(N, "")), x = Number(String(x).replace(N, "")));
      } });
      l.resetSortBy = "resetSortBy", l.setSortBy = "setSortBy", l.toggleSortBy = "toggleSortBy", l.clearSortBy = "clearSortBy", S.sortType = "alphanumeric", S.sortDescFirst = !1;
      var Nr = function(e) {
        e.getSortByToggleProps = [To], e.stateReducers.push(No), e.useInstance.push(Lo);
      };
      Nr.pluginName = "useSortBy";
      var To = function(e, u) {
        var m = u.instance, y = u.column, T = m.isMultiSortEvent, x = T === void 0 ? function(N) {
          return N.shiftKey;
        } : T;
        return [e, { onClick: y.canSort ? function(N) {
          N.persist(), y.toggleSortBy(void 0, !m.disableMultiSort && x(N));
        } : void 0, style: { cursor: y.canSort ? "pointer" : void 0 }, title: y.canSort ? "Toggle SortBy" : void 0 }];
      };
      function No(e, u, m, y) {
        if (u.type === l.init)
          return n({ sortBy: [] }, e);
        if (u.type === l.resetSortBy)
          return n({}, e, { sortBy: y.initialState.sortBy || [] });
        if (u.type === l.clearSortBy)
          return n({}, e, { sortBy: e.sortBy.filter(function(ie) {
            return ie.id !== u.columnId;
          }) });
        if (u.type === l.setSortBy)
          return n({}, e, { sortBy: u.sortBy });
        if (u.type === l.toggleSortBy) {
          var T, x = u.columnId, N = u.desc, G = u.multi, j = y.allColumns, U = y.disableMultiSort, se = y.disableSortRemove, te = y.disableMultiRemove, ne = y.maxMultiSortColCount, Y = ne === void 0 ? Number.MAX_SAFE_INTEGER : ne, ee = e.sortBy, fe = j.find(function(ie) {
            return ie.id === x;
          }).sortDescFirst, ge = ee.find(function(ie) {
            return ie.id === x;
          }), Pe = ee.findIndex(function(ie) {
            return ie.id === x;
          }), Ue = N != null, Ae = [];
          return (T = !U && G ? ge ? "toggle" : "add" : Pe !== ee.length - 1 || ee.length !== 1 ? "replace" : ge ? "toggle" : "replace") != "toggle" || se || Ue || G && te || !(ge && ge.desc && !fe || !ge.desc && fe) || (T = "remove"), T === "replace" ? Ae = [{ id: x, desc: Ue ? N : fe }] : T === "add" ? (Ae = [].concat(ee, [{ id: x, desc: Ue ? N : fe }])).splice(0, Ae.length - Y) : T === "toggle" ? Ae = ee.map(function(ie) {
            return ie.id === x ? n({}, ie, { desc: Ue ? N : !ge.desc }) : ie;
          }) : T === "remove" && (Ae = ee.filter(function(ie) {
            return ie.id !== x;
          })), n({}, e, { sortBy: Ae });
        }
      }
      function Lo(e) {
        var u = e.data, m = e.rows, y = e.flatRows, T = e.allColumns, x = e.orderByFn, N = x === void 0 ? Lr : x, G = e.sortTypes, j = e.manualSortBy, U = e.defaultCanSort, se = e.disableSortBy, te = e.flatHeaders, ne = e.state.sortBy, Y = e.dispatch, ee = e.plugins, fe = e.getHooks, ge = e.autoResetSortBy, Pe = ge === void 0 || ge;
        B(ee, ["useFilters", "useGlobalFilter", "useGroupBy", "usePivotColumns"], "useSortBy");
        var Ue = r.useCallback(function(ke) {
          Y({ type: l.setSortBy, sortBy: ke });
        }, [Y]), Ae = r.useCallback(function(ke, Me, at) {
          Y({ type: l.toggleSortBy, columnId: ke, desc: Me, multi: at });
        }, [Y]), ie = k(e);
        te.forEach(function(ke) {
          var Me = ke.accessor, at = ke.canSort, We = ke.disableSortBy, nt = ke.id, t = Me ? Ne(We !== !0 && void 0, se !== !0 && void 0, !0) : Ne(U, at, !1);
          ke.canSort = t, ke.canSort && (ke.toggleSortBy = function(p, c) {
            return Ae(ke.id, p, c);
          }, ke.clearSortBy = function() {
            Y({ type: l.clearSortBy, columnId: ke.id });
          }), ke.getSortByToggleProps = P(fe().getSortByToggleProps, { instance: ie(), column: ke });
          var o = ne.find(function(p) {
            return p.id === nt;
          });
          ke.isSorted = !!o, ke.sortedIndex = ne.findIndex(function(p) {
            return p.id === nt;
          }), ke.isSortedDesc = ke.isSorted ? o.desc : void 0;
        });
        var Ve = r.useMemo(function() {
          if (j || !ne.length)
            return [m, y];
          var ke = [], Me = ne.filter(function(at) {
            return T.find(function(We) {
              return We.id === at.id;
            });
          });
          return [function at(We) {
            var nt = N(We, Me.map(function(t) {
              var o = T.find(function(R) {
                return R.id === t.id;
              });
              if (!o)
                throw new Error("React-Table: Could not find a column with id: " + t.id + " while sorting");
              var p = o.sortType, c = ue(p) || (G || {})[p] || Io[p];
              if (!c)
                throw new Error("React-Table: Could not find a valid sortType of '" + p + "' for column '" + t.id + "'.");
              return function(R, E) {
                return c(R, E, t.id, t.desc);
              };
            }), Me.map(function(t) {
              var o = T.find(function(p) {
                return p.id === t.id;
              });
              return o && o.sortInverted ? t.desc : !t.desc;
            }));
            return nt.forEach(function(t) {
              ke.push(t), t.subRows && t.subRows.length !== 0 && (t.subRows = at(t.subRows));
            }), nt;
          }(m), ke];
        }, [j, ne, m, y, T, N, G]), Ce = Ve[0], Fe = Ve[1], Ze = k(Pe);
        $(function() {
          Ze() && Y({ type: l.resetSortBy });
        }, [j ? null : u]), Object.assign(e, { preSortedRows: m, preSortedFlatRows: y, sortedRows: Ce, sortedFlatRows: Fe, rows: Ce, flatRows: Fe, setSortBy: Ue, toggleSortBy: Ae });
      }
      function Lr(e, u, m) {
        return [].concat(e).sort(function(y, T) {
          for (var x = 0; x < u.length; x += 1) {
            var N = u[x], G = m[x] === !1 || m[x] === "desc", j = N(y, T);
            if (j !== 0)
              return G ? -j : j;
          }
          return m[0] ? y.index - T.index : T.index - y.index;
        });
      }
      l.resetPage = "resetPage", l.gotoPage = "gotoPage", l.setPageSize = "setPageSize";
      var Vn = function(e) {
        e.stateReducers.push(_o), e.useInstance.push(ko);
      };
      function _o(e, u, m, y) {
        if (u.type === l.init)
          return n({ pageSize: 10, pageIndex: 0 }, e);
        if (u.type === l.resetPage)
          return n({}, e, { pageIndex: y.initialState.pageIndex || 0 });
        if (u.type === l.gotoPage) {
          var T = y.pageCount, x = y.page, N = I(u.pageIndex, e.pageIndex), G = !1;
          return N > e.pageIndex ? G = T === -1 ? x.length >= e.pageSize : N < T : N < e.pageIndex && (G = N > -1), G ? n({}, e, { pageIndex: N }) : e;
        }
        if (u.type === l.setPageSize) {
          var j = u.pageSize, U = e.pageSize * e.pageIndex;
          return n({}, e, { pageIndex: Math.floor(U / j), pageSize: j });
        }
      }
      function ko(e) {
        var u = e.rows, m = e.autoResetPage, y = m === void 0 || m, T = e.manualExpandedKey, x = T === void 0 ? "expanded" : T, N = e.plugins, G = e.pageCount, j = e.paginateExpandedRows, U = j === void 0 || j, se = e.expandSubRows, te = se === void 0 || se, ne = e.state, Y = ne.pageSize, ee = ne.pageIndex, fe = ne.expanded, ge = ne.globalFilter, Pe = ne.filters, Ue = ne.groupBy, Ae = ne.sortBy, ie = e.dispatch, Ve = e.data, Ce = e.manualPagination;
        B(N, ["useGlobalFilter", "useFilters", "useGroupBy", "useSortBy", "useExpanded"], "usePagination");
        var Fe = k(y);
        $(function() {
          Fe() && ie({ type: l.resetPage });
        }, [ie, Ce ? null : Ve, ge, Pe, Ue, Ae]);
        var Ze = Ce ? G : Math.ceil(u.length / Y), ke = r.useMemo(function() {
          return Ze > 0 ? [].concat(new Array(Ze)).fill(null).map(function(c, R) {
            return R;
          }) : [];
        }, [Ze]), Me = r.useMemo(function() {
          var c;
          if (Ce)
            c = u;
          else {
            var R = Y * ee, E = R + Y;
            c = u.slice(R, E);
          }
          return U ? c : re(c, { manualExpandedKey: x, expanded: fe, expandSubRows: te });
        }, [te, fe, x, Ce, ee, Y, U, u]), at = ee > 0, We = Ze === -1 ? Me.length >= Y : ee < Ze - 1, nt = r.useCallback(function(c) {
          ie({ type: l.gotoPage, pageIndex: c });
        }, [ie]), t = r.useCallback(function() {
          return nt(function(c) {
            return c - 1;
          });
        }, [nt]), o = r.useCallback(function() {
          return nt(function(c) {
            return c + 1;
          });
        }, [nt]), p = r.useCallback(function(c) {
          ie({ type: l.setPageSize, pageSize: c });
        }, [ie]);
        Object.assign(e, { pageOptions: ke, pageCount: Ze, page: Me, canPreviousPage: at, canNextPage: We, gotoPage: nt, previousPage: t, nextPage: o, setPageSize: p });
      }
      Vn.pluginName = "usePagination", l.resetPivot = "resetPivot", l.togglePivot = "togglePivot";
      var jn = function(e) {
        e.getPivotToggleProps = [Bo], e.stateReducers.push(Oo), e.useInstanceAfterData.push(Mo), e.allColumns.push(Do), e.accessValue.push(Fo), e.materializedColumns.push(kr), e.materializedColumnsDeps.push(Br), e.visibleColumns.push($o), e.visibleColumnsDeps.push(Ho), e.useInstance.push(Go), e.prepareRow.push(zo);
      };
      jn.pluginName = "usePivotColumns";
      var _r = [], Bo = function(e, u) {
        var m = u.header;
        return [e, { onClick: m.canPivot ? function(y) {
          y.persist(), m.togglePivot();
        } : void 0, style: { cursor: m.canPivot ? "pointer" : void 0 }, title: "Toggle Pivot" }];
      };
      function Oo(e, u, m, y) {
        if (u.type === l.init)
          return n({ pivotColumns: _r }, e);
        if (u.type === l.resetPivot)
          return n({}, e, { pivotColumns: y.initialState.pivotColumns || _r });
        if (u.type === l.togglePivot) {
          var T = u.columnId, x = u.value, N = x !== void 0 ? x : !e.pivotColumns.includes(T);
          return n({}, e, N ? { pivotColumns: [].concat(e.pivotColumns, [T]) } : { pivotColumns: e.pivotColumns.filter(function(G) {
            return G !== T;
          }) });
        }
      }
      function Mo(e) {
        e.allColumns.forEach(function(u) {
          u.isPivotSource = e.state.pivotColumns.includes(u.id);
        });
      }
      function Do(e, u) {
        var m = u.instance;
        return e.forEach(function(y) {
          y.isPivotSource = m.state.pivotColumns.includes(y.id), y.uniqueValues = /* @__PURE__ */ new Set();
        }), e;
      }
      function Fo(e, u) {
        var m = u.column;
        return m.uniqueValues && e !== void 0 && m.uniqueValues.add(e), e;
      }
      function kr(e, u) {
        var m = u.instance, y = m.allColumns, T = m.state;
        if (!T.pivotColumns.length || !T.groupBy || !T.groupBy.length)
          return e;
        var x = T.pivotColumns.map(function(j) {
          return y.find(function(U) {
            return U.id === j;
          });
        }).filter(Boolean), N = y.filter(function(j) {
          return !j.isPivotSource && !T.groupBy.includes(j.id) && !T.pivotColumns.includes(j.id);
        }), G = V(function j(U, se, te) {
          U === void 0 && (U = 0), te === void 0 && (te = []);
          var ne = x[U];
          return ne ? Array.from(ne.uniqueValues).sort().map(function(Y) {
            var ee = n({}, ne, { Header: ne.PivotHeader || typeof ne.header == "string" ? ne.Header + ": " + Y : Y, isPivotGroup: !0, parent: se, depth: U, id: se ? se.id + "." + ne.id + "." + Y : ne.id + "." + Y, pivotValue: Y });
            return ee.columns = j(U + 1, ee, [].concat(te, [function(fe) {
              return fe.values[ne.id] === Y;
            }])), ee;
          }) : N.map(function(Y) {
            return n({}, Y, { canPivot: !1, isPivoted: !0, parent: se, depth: U, id: "" + (se ? se.id + "." + Y.id : Y.id), accessor: function(ee, fe, ge) {
              if (te.every(function(Pe) {
                return Pe(ge);
              }))
                return ge.values[Y.id];
            } });
          });
        }());
        return [].concat(e, G);
      }
      function Br(e, u) {
        var m = u.instance.state, y = m.pivotColumns, T = m.groupBy;
        return [].concat(e, [y, T]);
      }
      function $o(e, u) {
        var m = u.instance.state;
        return e = e.filter(function(y) {
          return !y.isPivotSource;
        }), m.pivotColumns.length && m.groupBy && m.groupBy.length && (e = e.filter(function(y) {
          return y.isGrouped || y.isPivoted;
        })), e;
      }
      function Ho(e, u) {
        var m = u.instance;
        return [].concat(e, [m.state.pivotColumns, m.state.groupBy]);
      }
      function Go(e) {
        var u = e.columns, m = e.allColumns, y = e.flatHeaders, T = e.getHooks, x = e.plugins, N = e.dispatch, G = e.autoResetPivot, j = G === void 0 || G, U = e.manaulPivot, se = e.disablePivot, te = e.defaultCanPivot;
        B(x, ["useGroupBy"], "usePivotColumns");
        var ne = k(e);
        m.forEach(function(ee) {
          var fe = ee.accessor, ge = ee.defaultPivot, Pe = ee.disablePivot;
          ee.canPivot = fe ? Ne(ee.canPivot, Pe !== !0 && void 0, se !== !0 && void 0, !0) : Ne(ee.canPivot, ge, te, !1), ee.canPivot && (ee.togglePivot = function() {
            return e.togglePivot(ee.id);
          }), ee.Aggregated = ee.Aggregated || ee.Cell;
        }), y.forEach(function(ee) {
          ee.getPivotToggleProps = P(T().getPivotToggleProps, { instance: ne(), header: ee });
        });
        var Y = k(j);
        $(function() {
          Y() && N({ type: l.resetPivot });
        }, [N, U ? null : u]), Object.assign(e, { togglePivot: function(ee, fe) {
          N({ type: l.togglePivot, columnId: ee, value: fe });
        } });
      }
      function zo(e) {
        e.allCells.forEach(function(u) {
          u.isPivoted = u.column.isPivoted;
        });
      }
      l.resetSelectedRows = "resetSelectedRows", l.toggleAllRowsSelected = "toggleAllRowsSelected", l.toggleRowSelected = "toggleRowSelected", l.toggleAllPageRowsSelected = "toggleAllPageRowsSelected";
      var Or = function(e) {
        e.getToggleRowSelectedProps = [Kn], e.getToggleAllRowsSelectedProps = [vn], e.getToggleAllPageRowsSelectedProps = [Mr], e.stateReducers.push(Wo), e.useInstance.push(Dr), e.prepareRow.push(Vo);
      };
      Or.pluginName = "useRowSelect";
      var Kn = function(e, u) {
        var m = u.instance, y = u.row, T = m.manualRowSelectedKey, x = T === void 0 ? "isSelected" : T;
        return [e, { onChange: function(N) {
          y.toggleRowSelected(N.target.checked);
        }, style: { cursor: "pointer" }, checked: !(!y.original || !y.original[x]) || y.isSelected, title: "Toggle Row Selected", indeterminate: y.isSomeSelected }];
      }, vn = function(e, u) {
        var m = u.instance;
        return [e, { onChange: function(y) {
          m.toggleAllRowsSelected(y.target.checked);
        }, style: { cursor: "pointer" }, checked: m.isAllRowsSelected, title: "Toggle All Rows Selected", indeterminate: !!(!m.isAllRowsSelected && Object.keys(m.state.selectedRowIds).length) }];
      }, Mr = function(e, u) {
        var m = u.instance;
        return [e, { onChange: function(y) {
          m.toggleAllPageRowsSelected(y.target.checked);
        }, style: { cursor: "pointer" }, checked: m.isAllPageRowsSelected, title: "Toggle All Current Page Rows Selected", indeterminate: !!(!m.isAllPageRowsSelected && m.page.some(function(y) {
          var T = y.id;
          return m.state.selectedRowIds[T];
        })) }];
      };
      function Wo(e, u, m, y) {
        if (u.type === l.init)
          return n({ selectedRowIds: {} }, e);
        if (u.type === l.resetSelectedRows)
          return n({}, e, { selectedRowIds: y.initialState.selectedRowIds || {} });
        if (u.type === l.toggleAllRowsSelected) {
          var T = u.value, x = y.isAllRowsSelected, N = y.rowsById, G = y.nonGroupedRowsById, j = G === void 0 ? N : G, U = T !== void 0 ? T : !x, se = Object.assign({}, e.selectedRowIds);
          return U ? Object.keys(j).forEach(function(nt) {
            se[nt] = !0;
          }) : Object.keys(j).forEach(function(nt) {
            delete se[nt];
          }), n({}, e, { selectedRowIds: se });
        }
        if (u.type === l.toggleRowSelected) {
          var te = u.id, ne = u.value, Y = y.rowsById, ee = y.selectSubRows, fe = ee === void 0 || ee, ge = y.getSubRows, Pe = e.selectedRowIds[te], Ue = ne !== void 0 ? ne : !Pe;
          if (Pe === Ue)
            return e;
          var Ae = n({}, e.selectedRowIds);
          return function nt(t) {
            var o = Y[t];
            if (o && (o.isGrouped || (Ue ? Ae[t] = !0 : delete Ae[t]), fe && ge(o)))
              return ge(o).forEach(function(p) {
                return nt(p.id);
              });
          }(te), n({}, e, { selectedRowIds: Ae });
        }
        if (u.type === l.toggleAllPageRowsSelected) {
          var ie = u.value, Ve = y.page, Ce = y.rowsById, Fe = y.selectSubRows, Ze = Fe === void 0 || Fe, ke = y.isAllPageRowsSelected, Me = y.getSubRows, at = ie !== void 0 ? ie : !ke, We = n({}, e.selectedRowIds);
          return Ve.forEach(function(nt) {
            return function t(o) {
              var p = Ce[o];
              if (p.isGrouped || (at ? We[o] = !0 : delete We[o]), Ze && Me(p))
                return Me(p).forEach(function(c) {
                  return t(c.id);
                });
            }(nt.id);
          }), n({}, e, { selectedRowIds: We });
        }
        return e;
      }
      function Dr(e) {
        var u = e.data, m = e.rows, y = e.getHooks, T = e.plugins, x = e.rowsById, N = e.nonGroupedRowsById, G = N === void 0 ? x : N, j = e.autoResetSelectedRows, U = j === void 0 || j, se = e.state.selectedRowIds, te = e.selectSubRows, ne = te === void 0 || te, Y = e.dispatch, ee = e.page, fe = e.getSubRows;
        B(T, ["useFilters", "useGroupBy", "useSortBy", "useExpanded", "usePagination"], "useRowSelect");
        var ge = r.useMemo(function() {
          var Me = [];
          return m.forEach(function(at) {
            var We = ne ? function nt(t, o, p) {
              if (o[t.id])
                return !0;
              var c = p(t);
              if (c && c.length) {
                var R = !0, E = !1;
                return c.forEach(function(b) {
                  E && !R || (nt(b, o, p) ? E = !0 : R = !1);
                }), !!R || !!E && null;
              }
              return !1;
            }(at, se, fe) : !!se[at.id];
            at.isSelected = !!We, at.isSomeSelected = We === null, We && Me.push(at);
          }), Me;
        }, [m, ne, se, fe]), Pe = !!(Object.keys(G).length && Object.keys(se).length), Ue = Pe;
        Pe && Object.keys(G).some(function(Me) {
          return !se[Me];
        }) && (Pe = !1), Pe || ee && ee.length && ee.some(function(Me) {
          var at = Me.id;
          return !se[at];
        }) && (Ue = !1);
        var Ae = k(U);
        $(function() {
          Ae() && Y({ type: l.resetSelectedRows });
        }, [Y, u]);
        var ie = r.useCallback(function(Me) {
          return Y({ type: l.toggleAllRowsSelected, value: Me });
        }, [Y]), Ve = r.useCallback(function(Me) {
          return Y({ type: l.toggleAllPageRowsSelected, value: Me });
        }, [Y]), Ce = r.useCallback(function(Me, at) {
          return Y({ type: l.toggleRowSelected, id: Me, value: at });
        }, [Y]), Fe = k(e), Ze = P(y().getToggleAllRowsSelectedProps, { instance: Fe() }), ke = P(y().getToggleAllPageRowsSelectedProps, { instance: Fe() });
        Object.assign(e, { selectedFlatRows: ge, isAllRowsSelected: Pe, isAllPageRowsSelected: Ue, toggleRowSelected: Ce, toggleAllRowsSelected: ie, getToggleAllRowsSelectedProps: Ze, getToggleAllPageRowsSelectedProps: ke, toggleAllPageRowsSelected: Ve });
      }
      function Vo(e, u) {
        var m = u.instance;
        e.toggleRowSelected = function(y) {
          return m.toggleRowSelected(e.id, y);
        }, e.getToggleRowSelectedProps = P(m.getHooks().getToggleRowSelectedProps, { instance: m, row: e });
      }
      var Fr = function(e) {
        return {};
      }, $r = function(e) {
        return {};
      };
      l.setRowState = "setRowState", l.setCellState = "setCellState", l.resetRowState = "resetRowState";
      var Un = function(e) {
        e.stateReducers.push(jo), e.useInstance.push(Hr), e.prepareRow.push(Ko);
      };
      function jo(e, u, m, y) {
        var T = y.initialRowStateAccessor, x = T === void 0 ? Fr : T, N = y.initialCellStateAccessor, G = N === void 0 ? $r : N, j = y.rowsById;
        if (u.type === l.init)
          return n({ rowState: {} }, e);
        if (u.type === l.resetRowState)
          return n({}, e, { rowState: y.initialState.rowState || {} });
        if (u.type === l.setRowState) {
          var U, se = u.rowId, te = u.value, ne = e.rowState[se] !== void 0 ? e.rowState[se] : x(j[se]);
          return n({}, e, { rowState: n({}, e.rowState, (U = {}, U[se] = I(te, ne), U)) });
        }
        if (u.type === l.setCellState) {
          var Y, ee, fe, ge, Pe, Ue = u.rowId, Ae = u.columnId, ie = u.value, Ve = e.rowState[Ue] !== void 0 ? e.rowState[Ue] : x(j[Ue]), Ce = (Ve == null || (Y = Ve.cellState) == null ? void 0 : Y[Ae]) !== void 0 ? Ve.cellState[Ae] : G((ee = j[Ue]) == null || (fe = ee.cells) == null ? void 0 : fe.find(function(Fe) {
            return Fe.column.id === Ae;
          }));
          return n({}, e, { rowState: n({}, e.rowState, (Pe = {}, Pe[Ue] = n({}, Ve, { cellState: n({}, Ve.cellState || {}, (ge = {}, ge[Ae] = I(ie, Ce), ge)) }), Pe)) });
        }
      }
      function Hr(e) {
        var u = e.autoResetRowState, m = u === void 0 || u, y = e.data, T = e.dispatch, x = r.useCallback(function(j, U) {
          return T({ type: l.setRowState, rowId: j, value: U });
        }, [T]), N = r.useCallback(function(j, U, se) {
          return T({ type: l.setCellState, rowId: j, columnId: U, value: se });
        }, [T]), G = k(m);
        $(function() {
          G() && T({ type: l.resetRowState });
        }, [y]), Object.assign(e, { setRowState: x, setCellState: N });
      }
      function Ko(e, u) {
        var m = u.instance, y = m.initialRowStateAccessor, T = y === void 0 ? Fr : y, x = m.initialCellStateAccessor, N = x === void 0 ? $r : x, G = m.state.rowState;
        e && (e.state = G[e.id] !== void 0 ? G[e.id] : T(e), e.setState = function(j) {
          return m.setRowState(e.id, j);
        }, e.cells.forEach(function(j) {
          e.state.cellState || (e.state.cellState = {}), j.state = e.state.cellState[j.column.id] !== void 0 ? e.state.cellState[j.column.id] : N(j), j.setState = function(U) {
            return m.setCellState(e.id, j.column.id, U);
          };
        }));
      }
      Un.pluginName = "useRowState", l.resetColumnOrder = "resetColumnOrder", l.setColumnOrder = "setColumnOrder";
      var Gr = function(e) {
        e.stateReducers.push(zr), e.visibleColumnsDeps.push(function(u, m) {
          var y = m.instance;
          return [].concat(u, [y.state.columnOrder]);
        }), e.visibleColumns.push(Wr), e.useInstance.push(Uo);
      };
      function zr(e, u, m, y) {
        return u.type === l.init ? n({ columnOrder: [] }, e) : u.type === l.resetColumnOrder ? n({}, e, { columnOrder: y.initialState.columnOrder || [] }) : u.type === l.setColumnOrder ? n({}, e, { columnOrder: I(u.columnOrder, e.columnOrder) }) : void 0;
      }
      function Wr(e, u) {
        var m = u.instance.state.columnOrder;
        if (!m || !m.length)
          return e;
        for (var y = [].concat(m), T = [].concat(e), x = [], N = function() {
          var G = y.shift(), j = T.findIndex(function(U) {
            return U.id === G;
          });
          j > -1 && x.push(T.splice(j, 1)[0]);
        }; T.length && y.length; )
          N();
        return [].concat(x, T);
      }
      function Uo(e) {
        var u = e.dispatch;
        e.setColumnOrder = r.useCallback(function(m) {
          return u({ type: l.setColumnOrder, columnOrder: m });
        }, [u]);
      }
      Gr.pluginName = "useColumnOrder", S.canResize = !0, l.columnStartResizing = "columnStartResizing", l.columnResizing = "columnResizing", l.columnDoneResizing = "columnDoneResizing", l.resetResize = "resetResize";
      var Vr = function(e) {
        e.getResizerProps = [qo], e.getHeaderProps.push({ style: { position: "relative" } }), e.stateReducers.push(Yo), e.useInstance.push(Jo), e.useInstanceBeforeDimensions.push(Xo);
      }, qo = function(e, u) {
        var m = u.instance, y = u.header, T = m.dispatch, x = function(N, G) {
          var j = !1;
          if (N.type === "touchstart") {
            if (N.touches && N.touches.length > 1)
              return;
            j = !0;
          }
          var U, se, te = function(Ae) {
            var ie = [];
            return function Ve(Ce) {
              Ce.columns && Ce.columns.length && Ce.columns.map(Ve), ie.push(Ce);
            }(Ae), ie;
          }(G).map(function(Ae) {
            return [Ae.id, Ae.totalWidth];
          }), ne = j ? Math.round(N.touches[0].clientX) : N.clientX, Y = function() {
            window.cancelAnimationFrame(U), U = null, T({ type: l.columnDoneResizing });
          }, ee = function() {
            window.cancelAnimationFrame(U), U = null, T({ type: l.columnResizing, clientX: se });
          }, fe = function(Ae) {
            se = Ae, U || (U = window.requestAnimationFrame(ee));
          }, ge = { mouse: { moveEvent: "mousemove", moveHandler: function(Ae) {
            return fe(Ae.clientX);
          }, upEvent: "mouseup", upHandler: function(Ae) {
            document.removeEventListener("mousemove", ge.mouse.moveHandler), document.removeEventListener("mouseup", ge.mouse.upHandler), Y();
          } }, touch: { moveEvent: "touchmove", moveHandler: function(Ae) {
            return Ae.cancelable && (Ae.preventDefault(), Ae.stopPropagation()), fe(Ae.touches[0].clientX), !1;
          }, upEvent: "touchend", upHandler: function(Ae) {
            document.removeEventListener(ge.touch.moveEvent, ge.touch.moveHandler), document.removeEventListener(ge.touch.upEvent, ge.touch.moveHandler), Y();
          } } }, Pe = j ? ge.touch : ge.mouse, Ue = !!function() {
            if (typeof Ge == "boolean")
              return Ge;
            var Ae = !1;
            try {
              var ie = { get passive() {
                return Ae = !0, !1;
              } };
              window.addEventListener("test", null, ie), window.removeEventListener("test", null, ie);
            } catch {
              Ae = !1;
            }
            return Ge = Ae;
          }() && { passive: !1 };
          document.addEventListener(Pe.moveEvent, Pe.moveHandler, Ue), document.addEventListener(Pe.upEvent, Pe.upHandler, Ue), T({ type: l.columnStartResizing, columnId: G.id, columnWidth: G.totalWidth, headerIdWidths: te, clientX: ne });
        };
        return [e, { onMouseDown: function(N) {
          return N.persist() || x(N, y);
        }, onTouchStart: function(N) {
          return N.persist() || x(N, y);
        }, style: { cursor: "col-resize" }, draggable: !1, role: "separator" }];
      };
      function Yo(e, u) {
        if (u.type === l.init)
          return n({ columnResizing: { columnWidths: {} } }, e);
        if (u.type === l.resetResize)
          return n({}, e, { columnResizing: { columnWidths: {} } });
        if (u.type === l.columnStartResizing) {
          var m = u.clientX, y = u.columnId, T = u.columnWidth, x = u.headerIdWidths;
          return n({}, e, { columnResizing: n({}, e.columnResizing, { startX: m, headerIdWidths: x, columnWidth: T, isResizingColumn: y }) });
        }
        if (u.type === l.columnResizing) {
          var N = u.clientX, G = e.columnResizing, j = G.startX, U = G.columnWidth, se = G.headerIdWidths, te = (N - j) / U, ne = {};
          return (se === void 0 ? [] : se).forEach(function(Y) {
            var ee = Y[0], fe = Y[1];
            ne[ee] = Math.max(fe + fe * te, 0);
          }), n({}, e, { columnResizing: n({}, e.columnResizing, { columnWidths: n({}, e.columnResizing.columnWidths, {}, ne) }) });
        }
        return u.type === l.columnDoneResizing ? n({}, e, { columnResizing: n({}, e.columnResizing, { startX: null, isResizingColumn: null }) }) : void 0;
      }
      Vr.pluginName = "useResizeColumns";
      var Xo = function(e) {
        var u = e.flatHeaders, m = e.disableResizing, y = e.getHooks, T = e.state.columnResizing, x = k(e);
        u.forEach(function(N) {
          var G = Ne(N.disableResizing !== !0 && void 0, m !== !0 && void 0, !0);
          N.canResize = G, N.width = T.columnWidths[N.id] || N.originalWidth || N.width, N.isResizing = T.isResizingColumn === N.id, G && (N.getResizerProps = P(y().getResizerProps, { instance: x(), header: N }));
        });
      };
      function Jo(e) {
        var u = e.plugins, m = e.dispatch, y = e.autoResetResize, T = y === void 0 || y, x = e.columns;
        B(u, ["useAbsoluteLayout"], "useResizeColumns");
        var N = k(T);
        $(function() {
          N() && m({ type: l.resetResize });
        }, [x]);
        var G = r.useCallback(function() {
          return m({ type: l.resetResize });
        }, [m]);
        Object.assign(e, { resetResizing: G });
      }
      var qn = { position: "absolute", top: 0 }, jr = function(e) {
        e.getTableBodyProps.push(Ln), e.getRowProps.push(Ln), e.getHeaderGroupProps.push(Ln), e.getFooterGroupProps.push(Ln), e.getHeaderProps.push(function(u, m) {
          var y = m.column;
          return [u, { style: n({}, qn, { left: y.totalLeft + "px", width: y.totalWidth + "px" }) }];
        }), e.getCellProps.push(function(u, m) {
          var y = m.cell;
          return [u, { style: n({}, qn, { left: y.column.totalLeft + "px", width: y.column.totalWidth + "px" }) }];
        }), e.getFooterProps.push(function(u, m) {
          var y = m.column;
          return [u, { style: n({}, qn, { left: y.totalLeft + "px", width: y.totalWidth + "px" }) }];
        });
      };
      jr.pluginName = "useAbsoluteLayout";
      var Ln = function(e, u) {
        return [e, { style: { position: "relative", width: u.instance.totalColumnsWidth + "px" } }];
      }, Yn = { display: "inline-block", boxSizing: "border-box" }, Xn = function(e, u) {
        return [e, { style: { display: "flex", width: u.instance.totalColumnsWidth + "px" } }];
      }, Kr = function(e) {
        e.getRowProps.push(Xn), e.getHeaderGroupProps.push(Xn), e.getFooterGroupProps.push(Xn), e.getHeaderProps.push(function(u, m) {
          var y = m.column;
          return [u, { style: n({}, Yn, { width: y.totalWidth + "px" }) }];
        }), e.getCellProps.push(function(u, m) {
          var y = m.cell;
          return [u, { style: n({}, Yn, { width: y.column.totalWidth + "px" }) }];
        }), e.getFooterProps.push(function(u, m) {
          var y = m.column;
          return [u, { style: n({}, Yn, { width: y.totalWidth + "px" }) }];
        });
      };
      function Jn(e) {
        e.getTableProps.push(Qo), e.getRowProps.push(Qn), e.getHeaderGroupProps.push(Qn), e.getFooterGroupProps.push(Qn), e.getHeaderProps.push(Zo), e.getCellProps.push(es), e.getFooterProps.push(ts);
      }
      Kr.pluginName = "useBlockLayout", Jn.pluginName = "useFlexLayout";
      var Qo = function(e, u) {
        return [e, { style: { minWidth: u.instance.totalColumnsMinWidth + "px" } }];
      }, Qn = function(e, u) {
        return [e, { style: { display: "flex", flex: "1 0 auto", minWidth: u.instance.totalColumnsMinWidth + "px" } }];
      }, Zo = function(e, u) {
        var m = u.column;
        return [e, { style: { boxSizing: "border-box", flex: m.totalFlexWidth ? m.totalFlexWidth + " 0 auto" : void 0, minWidth: m.totalMinWidth + "px", width: m.totalWidth + "px" } }];
      }, es = function(e, u) {
        var m = u.cell;
        return [e, { style: { boxSizing: "border-box", flex: m.column.totalFlexWidth + " 0 auto", minWidth: m.column.totalMinWidth + "px", width: m.column.totalWidth + "px" } }];
      }, ts = function(e, u) {
        var m = u.column;
        return [e, { style: { boxSizing: "border-box", flex: m.totalFlexWidth ? m.totalFlexWidth + " 0 auto" : void 0, minWidth: m.totalMinWidth + "px", width: m.totalWidth + "px" } }];
      };
      function Ur(e) {
        e.stateReducers.push(Jr), e.getTableProps.push(qr), e.getHeaderProps.push(Yr), e.getRowProps.push(Xr);
      }
      l.columnStartResizing = "columnStartResizing", l.columnResizing = "columnResizing", l.columnDoneResizing = "columnDoneResizing", l.resetResize = "resetResize", Ur.pluginName = "useGridLayout";
      var qr = function(e, u) {
        var m = u.instance;
        return [e, { style: { display: "grid", gridTemplateColumns: m.visibleColumns.map(function(y) {
          var T;
          return m.state.gridLayout.columnWidths[y.id] ? m.state.gridLayout.columnWidths[y.id] + "px" : (T = m.state.columnResizing) != null && T.isResizingColumn ? m.state.gridLayout.startWidths[y.id] + "px" : typeof y.width == "number" ? y.width + "px" : y.width;
        }).join(" ") } }];
      }, Yr = function(e, u) {
        var m = u.column;
        return [e, { id: "header-cell-" + m.id, style: { position: "sticky", gridColumn: "span " + m.totalVisibleHeaderCount } }];
      }, Xr = function(e, u) {
        var m = u.row;
        return m.isExpanded ? [e, { style: { gridColumn: "1 / " + (m.cells.length + 1) } }] : [e, {}];
      };
      function Jr(e, u, m, y) {
        if (u.type === l.init)
          return n({ gridLayout: { columnWidths: {} } }, e);
        if (u.type === l.resetResize)
          return n({}, e, { gridLayout: { columnWidths: {} } });
        if (u.type === l.columnStartResizing) {
          var T = u.columnId, x = u.headerIdWidths, N = Zn(T);
          if (N !== void 0) {
            var G = y.visibleColumns.reduce(function(ie, Ve) {
              var Ce;
              return n({}, ie, ((Ce = {})[Ve.id] = Zn(Ve.id), Ce));
            }, {}), j = y.visibleColumns.reduce(function(ie, Ve) {
              var Ce;
              return n({}, ie, ((Ce = {})[Ve.id] = Ve.minWidth, Ce));
            }, {}), U = y.visibleColumns.reduce(function(ie, Ve) {
              var Ce;
              return n({}, ie, ((Ce = {})[Ve.id] = Ve.maxWidth, Ce));
            }, {}), se = x.map(function(ie) {
              var Ve = ie[0];
              return [Ve, Zn(Ve)];
            });
            return n({}, e, { gridLayout: n({}, e.gridLayout, { startWidths: G, minWidths: j, maxWidths: U, headerIdGridWidths: se, columnWidth: N }) });
          }
          return e;
        }
        if (u.type === l.columnResizing) {
          var te = u.clientX, ne = e.columnResizing.startX, Y = e.gridLayout, ee = Y.columnWidth, fe = Y.minWidths, ge = Y.maxWidths, Pe = Y.headerIdGridWidths, Ue = (te - ne) / ee, Ae = {};
          return (Pe === void 0 ? [] : Pe).forEach(function(ie) {
            var Ve = ie[0], Ce = ie[1];
            Ae[Ve] = Math.min(Math.max(fe[Ve], Ce + Ce * Ue), ge[Ve]);
          }), n({}, e, { gridLayout: n({}, e.gridLayout, { columnWidths: n({}, e.gridLayout.columnWidths, {}, Ae) }) });
        }
        return u.type === l.columnDoneResizing ? n({}, e, { gridLayout: n({}, e.gridLayout, { startWidths: {}, minWidths: {}, maxWidths: {} }) }) : void 0;
      }
      function Zn(e) {
        var u, m = (u = document.getElementById("header-cell-" + e)) == null ? void 0 : u.offsetWidth;
        if (m !== void 0)
          return m;
      }
      i._UNSTABLE_usePivotColumns = jn, i.actions = l, i.defaultColumn = S, i.defaultGroupByFn = Er, i.defaultOrderByFn = Lr, i.defaultRenderer = C, i.emptyRenderer = f, i.ensurePluginOrder = B, i.flexRender = K, i.functionalUpdate = I, i.loopHooks = M, i.makePropGetter = P, i.makeRenderer = D, i.reduceHooks = O, i.safeUseLayoutEffect = F, i.useAbsoluteLayout = jr, i.useAsyncDebounce = function(e, u) {
        u === void 0 && (u = 0);
        var m = r.useRef({}), y = k(e), T = k(u);
        return r.useCallback(function() {
          var x = g(regeneratorRuntime.mark(function N() {
            var G, j, U, se = arguments;
            return regeneratorRuntime.wrap(function(te) {
              for (; ; )
                switch (te.prev = te.next) {
                  case 0:
                    for (G = se.length, j = new Array(G), U = 0; U < G; U++)
                      j[U] = se[U];
                    return m.current.promise || (m.current.promise = new Promise(function(ne, Y) {
                      m.current.resolve = ne, m.current.reject = Y;
                    })), m.current.timeout && clearTimeout(m.current.timeout), m.current.timeout = setTimeout(g(regeneratorRuntime.mark(function ne() {
                      return regeneratorRuntime.wrap(function(Y) {
                        for (; ; )
                          switch (Y.prev = Y.next) {
                            case 0:
                              return delete m.current.timeout, Y.prev = 1, Y.t0 = m.current, Y.next = 5, y().apply(void 0, j);
                            case 5:
                              Y.t1 = Y.sent, Y.t0.resolve.call(Y.t0, Y.t1), Y.next = 12;
                              break;
                            case 9:
                              Y.prev = 9, Y.t2 = Y.catch(1), m.current.reject(Y.t2);
                            case 12:
                              return Y.prev = 12, delete m.current.promise, Y.finish(12);
                            case 15:
                            case "end":
                              return Y.stop();
                          }
                      }, ne, null, [[1, 9, 12, 15]]);
                    })), T()), te.abrupt("return", m.current.promise);
                  case 5:
                  case "end":
                    return te.stop();
                }
            }, N);
          }));
          return function() {
            return x.apply(this, arguments);
          };
        }(), [y, T]);
      }, i.useBlockLayout = Kr, i.useColumnOrder = Gr, i.useExpanded = ur, i.useFilters = yr, i.useFlexLayout = Jn, i.useGetLatest = k, i.useGlobalFilter = Hn, i.useGridLayout = Ur, i.useGroupBy = Wn, i.useMountedLayoutEffect = $, i.usePagination = Vn, i.useResizeColumns = Vr, i.useRowSelect = Or, i.useRowState = Un, i.useSortBy = Nr, i.useTable = function(e) {
        for (var u = arguments.length, m = new Array(u > 1 ? u - 1 : 0), y = 1; y < u; y++)
          m[y - 1] = arguments[y];
        e = dt(e), m = [Ht].concat(m);
        var T = r.useRef({}), x = k(T.current);
        Object.assign(x(), n({}, e, { plugins: m, hooks: pn() })), m.filter(Boolean).forEach(function(b) {
          b(x().hooks);
        });
        var N = k(x().hooks);
        x().getHooks = N, delete x().hooks, Object.assign(x(), O(N().useOptions, dt(e)));
        var G = x(), j = G.data, U = G.columns, se = G.initialState, te = G.defaultColumn, ne = G.getSubRows, Y = G.getRowId, ee = G.stateReducer, fe = G.useControlledState, ge = k(ee), Pe = r.useCallback(function(b, L) {
          if (!L.type)
            throw console.info({ action: L }), new Error("Unknown Action 👆");
          return [].concat(N().stateReducers, Array.isArray(ge()) ? ge() : [ge()]).reduce(function(H, z) {
            return z(H, L, b, x()) || H;
          }, b);
        }, [N, ge, x]), Ue = r.useReducer(Pe, void 0, function() {
          return Pe(se, { type: l.init });
        }), Ae = Ue[0], ie = Ue[1], Ve = O([].concat(N().useControlledState, [fe]), Ae, { instance: x() });
        Object.assign(x(), { state: Ve, dispatch: ie });
        var Ce = r.useMemo(function() {
          return ce(O(N().columns, U, { instance: x() }));
        }, [N, x, U].concat(O(N().columnsDeps, [], { instance: x() })));
        x().columns = Ce;
        var Fe = r.useMemo(function() {
          return O(N().allColumns, V(Ce), { instance: x() }).map(Q);
        }, [Ce, N, x].concat(O(N().allColumnsDeps, [], { instance: x() })));
        x().allColumns = Fe;
        var Ze = r.useMemo(function() {
          for (var b = [], L = [], H = {}, z = [].concat(Fe); z.length; ) {
            var q = z.shift();
            bo({ data: j, rows: b, flatRows: L, rowsById: H, column: q, getRowId: Y, getSubRows: ne, accessValueHooks: N().accessValue, getInstance: x });
          }
          return [b, L, H];
        }, [Fe, j, Y, ne, N, x]), ke = Ze[0], Me = Ze[1], at = Ze[2];
        Object.assign(x(), { rows: ke, initialRows: [].concat(ke), flatRows: Me, rowsById: at }), M(N().useInstanceAfterData, x());
        var We = r.useMemo(function() {
          return O(N().visibleColumns, Fe, { instance: x() }).map(function(b) {
            return Z(b, te);
          });
        }, [N, Fe, x, te].concat(O(N().visibleColumnsDeps, [], { instance: x() })));
        Fe = r.useMemo(function() {
          var b = [].concat(We);
          return Fe.forEach(function(L) {
            b.find(function(H) {
              return H.id === L.id;
            }) || b.push(L);
          }), b;
        }, [Fe, We]), x().allColumns = Fe;
        var nt = r.useMemo(function() {
          return O(N().headerGroups, we(We, te), x());
        }, [N, We, te, x].concat(O(N().headerGroupsDeps, [], { instance: x() })));
        x().headerGroups = nt;
        var t = r.useMemo(function() {
          return nt.length ? nt[0].headers : [];
        }, [nt]);
        x().headers = t, x().flatHeaders = nt.reduce(function(b, L) {
          return [].concat(b, L.headers);
        }, []), M(N().useInstanceBeforeDimensions, x());
        var o = We.filter(function(b) {
          return b.isVisible;
        }).map(function(b) {
          return b.id;
        }).sort().join("_");
        We = r.useMemo(function() {
          return We.filter(function(b) {
            return b.isVisible;
          });
        }, [We, o]), x().visibleColumns = We;
        var p = Yt(t), c = p[0], R = p[1], E = p[2];
        return x().totalColumnsMinWidth = c, x().totalColumnsWidth = R, x().totalColumnsMaxWidth = E, M(N().useInstance, x()), [].concat(x().flatHeaders, x().allColumns).forEach(function(b) {
          b.render = D(x(), b), b.getHeaderProps = P(N().getHeaderProps, { instance: x(), column: b }), b.getFooterProps = P(N().getFooterProps, { instance: x(), column: b });
        }), x().headerGroups = r.useMemo(function() {
          return nt.filter(function(b, L) {
            return b.headers = b.headers.filter(function(H) {
              return H.headers ? function z(q) {
                return q.filter(function(le) {
                  return le.headers ? z(le.headers) : le.isVisible;
                }).length;
              }(H.headers) : H.isVisible;
            }), !!b.headers.length && (b.getHeaderGroupProps = P(N().getHeaderGroupProps, { instance: x(), headerGroup: b, index: L }), b.getFooterGroupProps = P(N().getFooterGroupProps, { instance: x(), headerGroup: b, index: L }), !0);
          });
        }, [nt, x, N]), x().footerGroups = [].concat(x().headerGroups).reverse(), x().prepareRow = r.useCallback(function(b) {
          b.getRowProps = P(N().getRowProps, { instance: x(), row: b }), b.allCells = Fe.map(function(L) {
            var H = b.values[L.id], z = { column: L, row: b, value: H };
            return z.getCellProps = P(N().getCellProps, { instance: x(), cell: z }), z.render = D(x(), L, { row: b, cell: z, value: H }), z;
          }), b.cells = We.map(function(L) {
            return b.allCells.find(function(H) {
              return H.column.id === L.id;
            });
          }), M(N().prepareRow, b, { instance: x() });
        }, [N, x, Fe, We]), x().getTableProps = P(N().getTableProps, { instance: x() }), x().getTableBodyProps = P(N().getTableBodyProps, { instance: x() }), M(N().useFinalInstance, x()), x();
      }, Object.defineProperty(i, "__esModule", { value: !0 });
    });
  }(oo, oo.exports)), oo.exports;
}
var so = { exports: {} }, Us;
function ju() {
  return Us || (Us = 1, function(h, a) {
    (function(i, r) {
      r(a, bs);
    })(Rs, function(i, r) {
      r = r && Object.prototype.hasOwnProperty.call(r, "default") ? r.default : r;
      function d(t, o, p, c, R, E, b) {
        try {
          var L = t[E](b), H = L.value;
        } catch (z) {
          p(z);
          return;
        }
        L.done ? o(H) : Promise.resolve(H).then(c, R);
      }
      function g(t) {
        return function() {
          var o = this, p = arguments;
          return new Promise(function(c, R) {
            var E = t.apply(o, p);
            function b(H) {
              d(E, c, R, b, L, "next", H);
            }
            function L(H) {
              d(E, c, R, b, L, "throw", H);
            }
            b(void 0);
          });
        };
      }
      function n() {
        return n = Object.assign || function(t) {
          for (var o = 1; o < arguments.length; o++) {
            var p = arguments[o];
            for (var c in p)
              Object.prototype.hasOwnProperty.call(p, c) && (t[c] = p[c]);
          }
          return t;
        }, n.apply(this, arguments);
      }
      function v(t, o) {
        if (t == null)
          return {};
        var p = {}, c = Object.keys(t), R, E;
        for (E = 0; E < c.length; E++)
          R = c[E], !(o.indexOf(R) >= 0) && (p[R] = t[R]);
        return p;
      }
      function w(t, o) {
        if (typeof t != "object" || t === null)
          return t;
        var p = t[Symbol.toPrimitive];
        if (p !== void 0) {
          var c = p.call(t, o || "default");
          if (typeof c != "object")
            return c;
          throw new TypeError("@@toPrimitive must return a primitive value.");
        }
        return (o === "string" ? String : Number)(t);
      }
      function l(t) {
        var o = w(t, "string");
        return typeof o == "symbol" ? o : String(o);
      }
      var C = "Renderer Error ☝️", f = {
        init: "init"
      }, S = function(o) {
        var p = o.value, c = p === void 0 ? "" : p;
        return c;
      }, A = function() {
        return r.createElement(r.Fragment, null, " ");
      }, P = {
        Cell: S,
        width: 150,
        minWidth: 0,
        maxWidth: Number.MAX_SAFE_INTEGER
      };
      function O() {
        for (var t = arguments.length, o = new Array(t), p = 0; p < t; p++)
          o[p] = arguments[p];
        return o.reduce(function(c, R) {
          var E = R.style, b = R.className, L = v(R, ["style", "className"]);
          return c = n({}, c, {}, L), E && (c.style = c.style ? n({}, c.style || {}, {}, E || {}) : E), b && (c.className = c.className ? c.className + " " + b : b), c.className === "" && delete c.className, c;
        }, {});
      }
      function M(t, o, p) {
        return typeof o == "function" ? M({}, o(t, p)) : Array.isArray(o) ? O.apply(void 0, [t].concat(o)) : O(t, o);
      }
      var B = function(o, p) {
        return p === void 0 && (p = {}), function(c) {
          return c === void 0 && (c = {}), [].concat(o, [c]).reduce(function(R, E) {
            return M(R, E, n({}, p, {
              userProps: c
            }));
          }, {});
        };
      }, I = function(o, p, c, R) {
        return c === void 0 && (c = {}), o.reduce(function(E, b) {
          var L = b(E, c);
          if (!R && typeof L > "u")
            throw console.info(b), new Error("React Table: A reducer hook ☝️ just returned undefined! This is not allowed.");
          return L;
        }, p);
      }, k = function(o, p, c) {
        return c === void 0 && (c = {}), o.forEach(function(R) {
          var E = R(p, c);
          if (typeof E < "u")
            throw console.info(R, E), new Error("React Table: A loop-type hook ☝️ just returned a value! This is not allowed.");
        });
      };
      function F(t, o, p, c) {
        if (c)
          throw new Error('Defining plugins in the "after" section of ensurePluginOrder is no longer supported (see plugin ' + p + ")");
        var R = t.findIndex(function(E) {
          return E.pluginName === p;
        });
        if (R === -1)
          throw new Error('The plugin "' + p + `" was not found in the plugin list!
This usually means you need to need to name your plugin hook by setting the 'pluginName' property of the hook function, eg:

  ` + p + ".pluginName = '" + p + `'
`);
        o.forEach(function(E) {
          var b = t.findIndex(function(L) {
            return L.pluginName === E;
          });
          if (b > -1 && b > R)
            throw new Error("React Table: The " + p + " plugin hook must be placed after the " + E + " plugin hook!");
        });
      }
      function $(t, o) {
        return typeof t == "function" ? t(o) : t;
      }
      function D(t) {
        var o = r.useRef();
        return o.current = t, r.useCallback(function() {
          return o.current;
        }, []);
      }
      var K = typeof document < "u" ? r.useLayoutEffect : r.useEffect;
      function ce(t, o) {
        var p = r.useRef(!1);
        K(function() {
          p.current && t(), p.current = !0;
        }, o);
      }
      function V(t, o) {
        o === void 0 && (o = 0);
        var p = r.useRef({}), c = D(t), R = D(o);
        return r.useCallback(
          /* @__PURE__ */ function() {
            var E = g(
              /* @__PURE__ */ regeneratorRuntime.mark(function b() {
                var L, H, z, q = arguments;
                return regeneratorRuntime.wrap(function(J) {
                  for (; ; )
                    switch (J.prev = J.next) {
                      case 0:
                        for (L = q.length, H = new Array(L), z = 0; z < L; z++)
                          H[z] = q[z];
                        return p.current.promise || (p.current.promise = new Promise(function(oe, pe) {
                          p.current.resolve = oe, p.current.reject = pe;
                        })), p.current.timeout && clearTimeout(p.current.timeout), p.current.timeout = setTimeout(
                          /* @__PURE__ */ g(
                            /* @__PURE__ */ regeneratorRuntime.mark(function oe() {
                              return regeneratorRuntime.wrap(function(X) {
                                for (; ; )
                                  switch (X.prev = X.next) {
                                    case 0:
                                      return delete p.current.timeout, X.prev = 1, X.t0 = p.current, X.next = 5, c().apply(void 0, H);
                                    case 5:
                                      X.t1 = X.sent, X.t0.resolve.call(X.t0, X.t1), X.next = 12;
                                      break;
                                    case 9:
                                      X.prev = 9, X.t2 = X.catch(1), p.current.reject(X.t2);
                                    case 12:
                                      return X.prev = 12, delete p.current.promise, X.finish(12);
                                    case 15:
                                    case "end":
                                      return X.stop();
                                  }
                              }, oe, null, [[1, 9, 12, 15]]);
                            })
                          ),
                          R()
                        ), J.abrupt("return", p.current.promise);
                      case 5:
                      case "end":
                        return J.stop();
                    }
                }, b);
              })
            );
            return function() {
              return E.apply(this, arguments);
            };
          }(),
          [c, R]
        );
      }
      function Q(t, o, p) {
        return p === void 0 && (p = {}), function(c, R) {
          R === void 0 && (R = {});
          var E = typeof c == "string" ? o[c] : c;
          if (typeof E > "u")
            throw console.info(o), new Error(C);
          return Z(E, n({}, t, {
            column: o
          }, p, {}, R));
        };
      }
      function Z(t, o) {
        return we(t) ? r.createElement(t, o) : t;
      }
      function we(t) {
        return et(t) || typeof t == "function" || Ne(t);
      }
      function et(t) {
        return typeof t == "function" && function() {
          var o = Object.getPrototypeOf(t);
          return o.prototype && o.prototype.isReactComponent;
        }();
      }
      function Ne(t) {
        return typeof t == "object" && typeof t.$$typeof == "symbol" && ["react.memo", "react.forward_ref"].includes(t.$$typeof.description);
      }
      function ue(t, o, p) {
        return p === void 0 && (p = 0), t.map(function(c) {
          return c = n({}, c, {
            parent: o,
            depth: p
          }), re(c), c.columns && (c.columns = ue(c.columns, c, p + 1)), c;
        });
      }
      function He(t) {
        return ht(t, "columns");
      }
      function re(t) {
        var o = t.id, p = t.accessor, c = t.Header;
        if (typeof p == "string") {
          o = o || p;
          var R = p.split(".");
          p = function(b) {
            return Ge(b, R);
          };
        }
        if (!o && typeof c == "string" && c && (o = c), !o && t.columns)
          throw console.error(t), new Error('A column ID (or unique "Header" value) is required!');
        if (!o)
          throw console.error(t), new Error("A column ID (or string accessor) is required!");
        return Object.assign(t, {
          id: o,
          accessor: p
        }), t;
      }
      function Se(t, o) {
        if (!o)
          throw new Error();
        return Object.assign(t, n({
          // Make sure there is a fallback header, just in case
          Header: A,
          Footer: A
        }, P, {}, o, {}, t)), Object.assign(t, {
          originalWidth: t.width
        }), t;
      }
      function rt(t, o, p) {
        p === void 0 && (p = function() {
          return {};
        });
        for (var c = [], R = t, E = 0, b = function() {
          return E++;
        }, L = function() {
          var z = {
            headers: []
          }, q = [], le = R.some(function(J) {
            return J.parent;
          });
          R.forEach(function(J) {
            var oe = [].concat(q).reverse()[0], pe;
            if (le) {
              if (J.parent)
                pe = n({}, J.parent, {
                  originalId: J.parent.id,
                  id: J.parent.id + "_" + b(),
                  headers: [J]
                }, p(J));
              else {
                var X = J.id + "_placeholder";
                pe = Se(n({
                  originalId: X,
                  id: J.id + "_placeholder_" + b(),
                  placeholderOf: J,
                  headers: [J]
                }, p(J)), o);
              }
              oe && oe.originalId === pe.originalId ? oe.headers.push(J) : q.push(pe);
            }
            z.headers.push(J);
          }), c.push(z), R = q;
        }; R.length; )
          L();
        return c.reverse();
      }
      var Te = /* @__PURE__ */ new Map();
      function Ge(t, o, p) {
        if (!o)
          return t;
        var c = typeof o == "function" ? o : JSON.stringify(o), R = Te.get(c) || function() {
          var b = Ht(o);
          return Te.set(c, b), b;
        }(), E;
        try {
          E = R.reduce(function(b, L) {
            return b[L];
          }, t);
        } catch {
        }
        return typeof E < "u" ? E : p;
      }
      function de() {
        for (var t = arguments.length, o = new Array(t), p = 0; p < t; p++)
          o[p] = arguments[p];
        for (var c = 0; c < o.length; c += 1)
          if (typeof o[c] < "u")
            return o[c];
      }
      function Ye(t) {
        if (typeof t == "function")
          return t;
      }
      function ht(t, o) {
        var p = [], c = function R(E) {
          E.forEach(function(b) {
            b[o] ? R(b[o]) : p.push(b);
          });
        };
        return c(t), p;
      }
      function ot(t, o) {
        var p = o.manualExpandedKey, c = o.expanded, R = o.expandSubRows, E = R === void 0 ? !0 : R, b = [], L = function H(z, q) {
          q === void 0 && (q = !0), z.isExpanded = z.original && z.original[p] || c[z.id], z.canExpand = z.subRows && !!z.subRows.length, q && b.push(z), z.subRows && z.subRows.length && z.isExpanded && z.subRows.forEach(function(le) {
            return H(le, E);
          });
        };
        return t.forEach(function(H) {
          return L(H);
        }), b;
      }
      function pt(t, o, p) {
        return Ye(t) || o[t] || p[t] || p.text;
      }
      function ze(t, o, p) {
        return t ? t(o, p) : typeof o > "u";
      }
      function ct() {
        throw new Error("React-Table: You have not called prepareRow(row) one or more rows you are attempting to render.");
      }
      var bt = null;
      function Mt() {
        if (typeof bt == "boolean")
          return bt;
        var t = !1;
        try {
          var o = {
            get passive() {
              return t = !0, !1;
            }
          };
          window.addEventListener("test", null, o), window.removeEventListener("test", null, o);
        } catch {
          t = !1;
        }
        return bt = t, bt;
      }
      var Ft = /\[/g, pn = /\]/g;
      function Ht(t) {
        return Bt(t).map(function(o) {
          return String(o).replace(".", "_");
        }).join(".").replace(Ft, ".").replace(pn, "").split(".");
      }
      function Bt(t, o) {
        if (o === void 0 && (o = []), !Array.isArray(t))
          o.push(t);
        else
          for (var p = 0; p < t.length; p += 1)
            Bt(t[p], o);
        return o;
      }
      var fn = function(o) {
        return n({
          role: "table"
        }, o);
      }, xn = function(o) {
        return n({
          role: "rowgroup"
        }, o);
      }, Pn = function(o, p) {
        var c = p.column;
        return n({
          key: "header_" + c.id,
          colSpan: c.totalVisibleHeaderCount,
          role: "columnheader"
        }, o);
      }, An = function(o, p) {
        var c = p.column;
        return n({
          key: "footer_" + c.id,
          colSpan: c.totalVisibleHeaderCount
        }, o);
      }, En = function(o, p) {
        var c = p.index;
        return n({
          key: "headerGroup_" + c,
          role: "row"
        }, o);
      }, In = function(o, p) {
        var c = p.index;
        return n({
          key: "footerGroup_" + c
        }, o);
      }, Tn = function(o, p) {
        var c = p.row;
        return n({
          key: "row_" + c.id,
          role: "row"
        }, o);
      }, Re = function(o, p) {
        var c = p.cell;
        return n({
          key: "cell_" + c.row.id + "_" + c.column.id,
          role: "cell"
        }, o);
      };
      function tt() {
        return {
          useOptions: [],
          stateReducers: [],
          useControlledState: [],
          columns: [],
          columnsDeps: [],
          allColumns: [],
          allColumnsDeps: [],
          accessValue: [],
          materializedColumns: [],
          materializedColumnsDeps: [],
          useInstanceAfterData: [],
          visibleColumns: [],
          visibleColumnsDeps: [],
          headerGroups: [],
          headerGroupsDeps: [],
          useInstanceBeforeDimensions: [],
          useInstance: [],
          prepareRow: [],
          getTableProps: [fn],
          getTableBodyProps: [xn],
          getHeaderGroupProps: [En],
          getFooterGroupProps: [In],
          getHeaderProps: [Pn],
          getFooterProps: [An],
          getRowProps: [Tn],
          getCellProps: [Re],
          useFinalInstance: []
        };
      }
      f.resetHiddenColumns = "resetHiddenColumns", f.toggleHideColumn = "toggleHideColumn", f.setHiddenColumns = "setHiddenColumns", f.toggleHideAllColumns = "toggleHideAllColumns";
      var _e = function(o) {
        o.getToggleHiddenProps = [dt], o.getToggleHideAllColumnsProps = [Yt], o.stateReducers.push(bo), o.useInstanceBeforeDimensions.push(ur), o.headerGroupsDeps.push(function(p, c) {
          var R = c.instance;
          return [].concat(p, [R.state.hiddenColumns]);
        }), o.useInstance.push(wo);
      };
      _e.pluginName = "useColumnVisibility";
      var dt = function(o, p) {
        var c = p.column;
        return [o, {
          onChange: function(E) {
            c.toggleHidden(!E.target.checked);
          },
          style: {
            cursor: "pointer"
          },
          checked: c.isVisible,
          title: "Toggle Column Visible"
        }];
      }, Yt = function(o, p) {
        var c = p.instance;
        return [o, {
          onChange: function(E) {
            c.toggleHideAllColumns(!E.target.checked);
          },
          style: {
            cursor: "pointer"
          },
          checked: !c.allColumnsHidden && !c.state.hiddenColumns.length,
          title: "Toggle All Columns Hidden",
          indeterminate: !c.allColumnsHidden && c.state.hiddenColumns.length
        }];
      };
      function bo(t, o, p, c) {
        if (o.type === f.init)
          return n({
            hiddenColumns: []
          }, t);
        if (o.type === f.resetHiddenColumns)
          return n({}, t, {
            hiddenColumns: c.initialState.hiddenColumns || []
          });
        if (o.type === f.toggleHideColumn) {
          var R = typeof o.value < "u" ? o.value : !t.hiddenColumns.includes(o.columnId), E = R ? [].concat(t.hiddenColumns, [o.columnId]) : t.hiddenColumns.filter(function(L) {
            return L !== o.columnId;
          });
          return n({}, t, {
            hiddenColumns: E
          });
        }
        if (o.type === f.setHiddenColumns)
          return n({}, t, {
            hiddenColumns: $(o.value, t.hiddenColumns)
          });
        if (o.type === f.toggleHideAllColumns) {
          var b = typeof o.value < "u" ? o.value : !t.hiddenColumns.length;
          return n({}, t, {
            hiddenColumns: b ? c.allColumns.map(function(L) {
              return L.id;
            }) : []
          });
        }
      }
      function ur(t) {
        var o = t.headers, p = t.state.hiddenColumns, c = r.useRef(!1);
        c.current;
        var R = function b(L, H) {
          L.isVisible = H && !p.includes(L.id);
          var z = 0;
          return L.headers && L.headers.length ? L.headers.forEach(function(q) {
            return z += b(q, L.isVisible);
          }) : z = L.isVisible ? 1 : 0, L.totalVisibleHeaderCount = z, z;
        }, E = 0;
        o.forEach(function(b) {
          return E += R(b, !0);
        });
      }
      function wo(t) {
        var o = t.columns, p = t.flatHeaders, c = t.dispatch, R = t.allColumns, E = t.getHooks, b = t.state.hiddenColumns, L = t.autoResetHiddenColumns, H = L === void 0 ? !0 : L, z = D(t), q = R.length === b.length, le = r.useCallback(function(be, Ie) {
          return c({
            type: f.toggleHideColumn,
            columnId: be,
            value: Ie
          });
        }, [c]), J = r.useCallback(function(be) {
          return c({
            type: f.setHiddenColumns,
            value: be
          });
        }, [c]), oe = r.useCallback(function(be) {
          return c({
            type: f.toggleHideAllColumns,
            value: be
          });
        }, [c]), pe = B(E().getToggleHideAllColumnsProps, {
          instance: z()
        });
        p.forEach(function(be) {
          be.toggleHidden = function(Ie) {
            c({
              type: f.toggleHideColumn,
              columnId: be.id,
              value: Ie
            });
          }, be.getToggleHiddenProps = B(E().getToggleHiddenProps, {
            instance: z(),
            column: be
          });
        });
        var X = D(H);
        ce(function() {
          X() && c({
            type: f.resetHiddenColumns
          });
        }, [c, o]), Object.assign(t, {
          allColumnsHidden: q,
          toggleHideColumn: le,
          setHiddenColumns: J,
          toggleHideAllColumns: oe,
          getToggleHideAllColumnsProps: pe
        });
      }
      var Co = {}, So = {}, Ro = function(o, p, c) {
        return o;
      }, xo = function(o, p) {
        return o.subRows || [];
      }, dr = function(o, p, c) {
        return "" + (c ? [c.id, p].join(".") : p);
      }, pr = function(o) {
        return o;
      };
      function Dn(t) {
        var o = t.initialState, p = o === void 0 ? Co : o, c = t.defaultColumn, R = c === void 0 ? So : c, E = t.getSubRows, b = E === void 0 ? xo : E, L = t.getRowId, H = L === void 0 ? dr : L, z = t.stateReducer, q = z === void 0 ? Ro : z, le = t.useControlledState, J = le === void 0 ? pr : le, oe = v(t, ["initialState", "defaultColumn", "getSubRows", "getRowId", "stateReducer", "useControlledState"]);
        return n({}, oe, {
          initialState: p,
          defaultColumn: R,
          getSubRows: b,
          getRowId: H,
          stateReducer: q,
          useControlledState: J
        });
      }
      var fr = function(o) {
        for (var p = arguments.length, c = new Array(p > 1 ? p - 1 : 0), R = 1; R < p; R++)
          c[R - 1] = arguments[R];
        o = Dn(o), c = [_e].concat(c);
        var E = r.useRef({}), b = D(E.current);
        Object.assign(b(), n({}, o, {
          plugins: c,
          hooks: tt()
        })), c.filter(Boolean).forEach(function(Be) {
          Be(b().hooks);
        });
        var L = D(b().hooks);
        b().getHooks = L, delete b().hooks, Object.assign(b(), I(L().useOptions, Dn(o)));
        var H = b(), z = H.data, q = H.columns, le = H.initialState, J = H.defaultColumn, oe = H.getSubRows, pe = H.getRowId, X = H.stateReducer, be = H.useControlledState, Ie = D(X), Oe = r.useCallback(function(Be, wt) {
          if (!wt.type)
            throw console.info({
              action: wt
            }), new Error("Unknown Action 👆");
          return [].concat(L().stateReducers, Array.isArray(Ie()) ? Ie() : [Ie()]).reduce(function(Pt, Dt) {
            return Dt(Pt, wt, Be, b()) || Pt;
          }, Be);
        }, [L, Ie, b]), he = r.useReducer(Oe, void 0, function() {
          return Oe(le, {
            type: f.init
          });
        }), je = he[0], Qe = he[1], ve = I([].concat(L().useControlledState, [be]), je, {
          instance: b()
        });
        Object.assign(b(), {
          state: ve,
          dispatch: Qe
        });
        var me = r.useMemo(function() {
          return ue(I(L().columns, q, {
            instance: b()
          }));
        }, [L, b, q].concat(I(L().columnsDeps, [], {
          instance: b()
        })));
        b().columns = me;
        var ye = r.useMemo(function() {
          return I(L().allColumns, He(me), {
            instance: b()
          }).map(re);
        }, [me, L, b].concat(I(L().allColumnsDeps, [], {
          instance: b()
        })));
        b().allColumns = ye;
        var Ee = r.useMemo(function() {
          for (var Be = [], wt = [], Pt = {}, Dt = [].concat(ye); Dt.length; ) {
            var It = Dt.shift();
            mr({
              data: z,
              rows: Be,
              flatRows: wt,
              rowsById: Pt,
              column: It,
              getRowId: pe,
              getSubRows: oe,
              accessValueHooks: L().accessValue,
              getInstance: b
            });
          }
          return [Be, wt, Pt];
        }, [ye, z, pe, oe, L, b]), qe = Ee[0], Xe = Ee[1], ft = Ee[2];
        Object.assign(b(), {
          rows: qe,
          initialRows: [].concat(qe),
          flatRows: Xe,
          rowsById: ft
          // materializedColumns,
        }), k(L().useInstanceAfterData, b());
        var xe = r.useMemo(function() {
          return I(L().visibleColumns, ye, {
            instance: b()
          }).map(function(Be) {
            return Se(Be, J);
          });
        }, [L, ye, b, J].concat(I(L().visibleColumnsDeps, [], {
          instance: b()
        })));
        ye = r.useMemo(function() {
          var Be = [].concat(xe);
          return ye.forEach(function(wt) {
            Be.find(function(Pt) {
              return Pt.id === wt.id;
            }) || Be.push(wt);
          }), Be;
        }, [ye, xe]), b().allColumns = ye;
        {
          var Et = ye.filter(function(Be, wt) {
            return ye.findIndex(function(Pt) {
              return Pt.id === Be.id;
            }) !== wt;
          });
          if (Et.length)
            throw console.info(ye), new Error('Duplicate columns were found with ids: "' + Et.map(function(Be) {
              return Be.id;
            }).join(", ") + '" in the columns array above');
        }
        var Je = r.useMemo(function() {
          return I(L().headerGroups, rt(xe, J), b());
        }, [L, xe, J, b].concat(I(L().headerGroupsDeps, [], {
          instance: b()
        })));
        b().headerGroups = Je;
        var De = r.useMemo(function() {
          return Je.length ? Je[0].headers : [];
        }, [Je]);
        b().headers = De, b().flatHeaders = Je.reduce(function(Be, wt) {
          return [].concat(Be, wt.headers);
        }, []), k(L().useInstanceBeforeDimensions, b());
        var $e = xe.filter(function(Be) {
          return Be.isVisible;
        }).map(function(Be) {
          return Be.id;
        }).sort().join("_");
        xe = r.useMemo(
          function() {
            return xe.filter(function(Be) {
              return Be.isVisible;
            });
          },
          // eslint-disable-next-line react-hooks/exhaustive-deps
          [xe, $e]
        ), b().visibleColumns = xe;
        var gt = Fn(De), _t = gt[0], yn = gt[1], er = gt[2];
        return b().totalColumnsMinWidth = _t, b().totalColumnsWidth = yn, b().totalColumnsMaxWidth = er, k(L().useInstance, b()), [].concat(b().flatHeaders, b().allColumns).forEach(function(Be) {
          Be.render = Q(b(), Be), Be.getHeaderProps = B(L().getHeaderProps, {
            instance: b(),
            column: Be
          }), Be.getFooterProps = B(L().getFooterProps, {
            instance: b(),
            column: Be
          });
        }), b().headerGroups = r.useMemo(function() {
          return Je.filter(function(Be, wt) {
            return Be.headers = Be.headers.filter(function(Pt) {
              var Dt = function It(rn) {
                return rn.filter(function(kt) {
                  return kt.headers ? It(kt.headers) : kt.isVisible;
                }).length;
              };
              return Pt.headers ? Dt(Pt.headers) : Pt.isVisible;
            }), Be.headers.length ? (Be.getHeaderGroupProps = B(L().getHeaderGroupProps, {
              instance: b(),
              headerGroup: Be,
              index: wt
            }), Be.getFooterGroupProps = B(L().getFooterGroupProps, {
              instance: b(),
              headerGroup: Be,
              index: wt
            }), !0) : !1;
          });
        }, [Je, b, L]), b().footerGroups = [].concat(b().headerGroups).reverse(), b().prepareRow = r.useCallback(function(Be) {
          Be.getRowProps = B(L().getRowProps, {
            instance: b(),
            row: Be
          }), Be.allCells = ye.map(function(wt) {
            var Pt = Be.values[wt.id], Dt = {
              column: wt,
              row: Be,
              value: Pt
            };
            return Dt.getCellProps = B(L().getCellProps, {
              instance: b(),
              cell: Dt
            }), Dt.render = Q(b(), wt, {
              row: Be,
              cell: Dt,
              value: Pt
            }), Dt;
          }), Be.cells = xe.map(function(wt) {
            return Be.allCells.find(function(Pt) {
              return Pt.column.id === wt.id;
            });
          }), k(L().prepareRow, Be, {
            instance: b()
          });
        }, [L, b, ye, xe]), b().getTableProps = B(L().getTableProps, {
          instance: b()
        }), b().getTableBodyProps = B(L().getTableBodyProps, {
          instance: b()
        }), k(L().useFinalInstance, b()), b();
      };
      function Fn(t, o) {
        o === void 0 && (o = 0);
        var p = 0, c = 0, R = 0, E = 0;
        return t.forEach(function(b) {
          var L = b.headers;
          if (b.totalLeft = o, L && L.length) {
            var H = Fn(L, o), z = H[0], q = H[1], le = H[2], J = H[3];
            b.totalMinWidth = z, b.totalWidth = q, b.totalMaxWidth = le, b.totalFlexWidth = J;
          } else
            b.totalMinWidth = b.minWidth, b.totalWidth = Math.min(Math.max(b.minWidth, b.width), b.maxWidth), b.totalMaxWidth = b.maxWidth, b.totalFlexWidth = b.canResize ? b.totalWidth : 0;
          b.isVisible && (o += b.totalWidth, p += b.totalMinWidth, c += b.totalWidth, R += b.totalMaxWidth, E += b.totalFlexWidth);
        }), [p, c, R, E];
      }
      function mr(t) {
        var o = t.data, p = t.rows, c = t.flatRows, R = t.rowsById, E = t.column, b = t.getRowId, L = t.getSubRows, H = t.accessValueHooks, z = t.getInstance, q = function le(J, oe, pe, X, be) {
          pe === void 0 && (pe = 0);
          var Ie = J, Oe = b(J, oe, X), he = R[Oe];
          if (he)
            he.subRows && he.originalSubRows.forEach(function(Qe, ve) {
              return le(Qe, ve, pe + 1, he);
            });
          else if (he = {
            id: Oe,
            original: Ie,
            index: oe,
            depth: pe,
            cells: [{}]
            // This is a dummy cell
          }, he.cells.map = ct, he.cells.filter = ct, he.cells.forEach = ct, he.cells[0].getCellProps = ct, he.values = {}, be.push(he), c.push(he), R[Oe] = he, he.originalSubRows = L(J, oe), he.originalSubRows) {
            var je = [];
            he.originalSubRows.forEach(function(Qe, ve) {
              return le(Qe, ve, pe + 1, he, je);
            }), he.subRows = je;
          }
          E.accessor && (he.values[E.id] = E.accessor(J, oe, he, be, o)), he.values[E.id] = I(H, he.values[E.id], {
            row: he,
            column: E,
            instance: z()
          }, !0);
        };
        o.forEach(function(le, J) {
          return q(le, J, 0, void 0, p);
        });
      }
      f.resetExpanded = "resetExpanded", f.toggleRowExpanded = "toggleRowExpanded", f.toggleAllRowsExpanded = "toggleAllRowsExpanded";
      var $n = function(o) {
        o.getToggleAllRowsExpandedProps = [hr], o.getToggleRowExpandedProps = [gr], o.stateReducers.push(vr), o.useInstance.push(mn), o.prepareRow.push(yr);
      };
      $n.pluginName = "useExpanded";
      var hr = function(o, p) {
        var c = p.instance;
        return [o, {
          onClick: function(E) {
            c.toggleAllRowsExpanded();
          },
          style: {
            cursor: "pointer"
          },
          title: "Toggle All Rows Expanded"
        }];
      }, gr = function(o, p) {
        var c = p.row;
        return [o, {
          onClick: function() {
            c.toggleRowExpanded();
          },
          style: {
            cursor: "pointer"
          },
          title: "Toggle Row Expanded"
        }];
      };
      function vr(t, o, p, c) {
        if (o.type === f.init)
          return n({
            expanded: {}
          }, t);
        if (o.type === f.resetExpanded)
          return n({}, t, {
            expanded: c.initialState.expanded || {}
          });
        if (o.type === f.toggleAllRowsExpanded) {
          var R = o.value, E = c.rowsById, b = Object.keys(E).length === Object.keys(t.expanded).length, L = typeof R < "u" ? R : !b;
          if (L) {
            var H = {};
            return Object.keys(E).forEach(function(be) {
              H[be] = !0;
            }), n({}, t, {
              expanded: H
            });
          }
          return n({}, t, {
            expanded: {}
          });
        }
        if (o.type === f.toggleRowExpanded) {
          var z = o.id, q = o.value, le = t.expanded[z], J = typeof q < "u" ? q : !le;
          if (!le && J) {
            var oe;
            return n({}, t, {
              expanded: n({}, t.expanded, (oe = {}, oe[z] = !0, oe))
            });
          } else if (le && !J) {
            var pe = t.expanded;
            pe[z];
            var X = v(pe, [z].map(l));
            return n({}, t, {
              expanded: X
            });
          } else
            return t;
        }
      }
      function mn(t) {
        var o = t.data, p = t.rows, c = t.rowsById, R = t.manualExpandedKey, E = R === void 0 ? "expanded" : R, b = t.paginateExpandedRows, L = b === void 0 ? !0 : b, H = t.expandSubRows, z = H === void 0 ? !0 : H, q = t.autoResetExpanded, le = q === void 0 ? !0 : q, J = t.getHooks, oe = t.plugins, pe = t.state.expanded, X = t.dispatch;
        F(oe, ["useSortBy", "useGroupBy", "usePivotColumns", "useGlobalFilter"], "useExpanded");
        var be = D(le), Ie = !!(Object.keys(c).length && Object.keys(pe).length);
        Ie && Object.keys(c).some(function(ye) {
          return !pe[ye];
        }) && (Ie = !1), ce(function() {
          be() && X({
            type: f.resetExpanded
          });
        }, [X, o]);
        var Oe = r.useCallback(function(ye, Ee) {
          X({
            type: f.toggleRowExpanded,
            id: ye,
            value: Ee
          });
        }, [X]), he = r.useCallback(function(ye) {
          return X({
            type: f.toggleAllRowsExpanded,
            value: ye
          });
        }, [X]), je = r.useMemo(function() {
          return L ? ot(p, {
            manualExpandedKey: E,
            expanded: pe,
            expandSubRows: z
          }) : p;
        }, [L, p, E, pe, z]), Qe = r.useMemo(function() {
          return Po(pe);
        }, [pe]), ve = D(t), me = B(J().getToggleAllRowsExpandedProps, {
          instance: ve()
        });
        Object.assign(t, {
          preExpandedRows: p,
          expandedRows: je,
          rows: je,
          expandedDepth: Qe,
          isAllRowsExpanded: Ie,
          toggleRowExpanded: Oe,
          toggleAllRowsExpanded: he,
          getToggleAllRowsExpandedProps: me
        });
      }
      function yr(t, o) {
        var p = o.instance.getHooks, c = o.instance;
        t.toggleRowExpanded = function(R) {
          return c.toggleRowExpanded(t.id, R);
        }, t.getToggleRowExpandedProps = B(p().getToggleRowExpandedProps, {
          instance: c,
          row: t
        });
      }
      function Po(t) {
        var o = 0;
        return Object.keys(t).forEach(function(p) {
          var c = p.split(".");
          o = Math.max(o, c.length);
        }), o;
      }
      var br = function(o, p, c) {
        return o = o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return String(b).toLowerCase().includes(String(c).toLowerCase());
          });
        }), o;
      };
      br.autoRemove = function(t) {
        return !t;
      };
      var Hn = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b !== void 0 ? String(b).toLowerCase() === String(c).toLowerCase() : !0;
          });
        });
      };
      Hn.autoRemove = function(t) {
        return !t;
      };
      var wr = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b !== void 0 ? String(b) === String(c) : !0;
          });
        });
      };
      wr.autoRemove = function(t) {
        return !t;
      };
      var Cr = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b.includes(c);
          });
        });
      };
      Cr.autoRemove = function(t) {
        return !t || !t.length;
      };
      var Gn = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b && b.length && c.every(function(L) {
              return b.includes(L);
            });
          });
        });
      };
      Gn.autoRemove = function(t) {
        return !t || !t.length;
      };
      var zn = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b && b.length && c.some(function(L) {
              return b.includes(L);
            });
          });
        });
      };
      zn.autoRemove = function(t) {
        return !t || !t.length;
      };
      var Sr = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return c.includes(b);
          });
        });
      };
      Sr.autoRemove = function(t) {
        return !t || !t.length;
      };
      var Rr = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b === c;
          });
        });
      };
      Rr.autoRemove = function(t) {
        return typeof t > "u";
      };
      var Wn = function(o, p, c) {
        return o.filter(function(R) {
          return p.some(function(E) {
            var b = R.values[E];
            return b == c;
          });
        });
      };
      Wn.autoRemove = function(t) {
        return t == null;
      };
      var xr = function(o, p, c) {
        var R = c || [], E = R[0], b = R[1];
        if (E = typeof E == "number" ? E : -1 / 0, b = typeof b == "number" ? b : 1 / 0, E > b) {
          var L = E;
          E = b, b = L;
        }
        return o.filter(function(H) {
          return p.some(function(z) {
            var q = H.values[z];
            return q >= E && q <= b;
          });
        });
      };
      xr.autoRemove = function(t) {
        return !t || typeof t[0] != "number" && typeof t[1] != "number";
      };
      var hn = /* @__PURE__ */ Object.freeze({
        __proto__: null,
        text: br,
        exactText: Hn,
        exactTextCase: wr,
        includes: Cr,
        includesAll: Gn,
        includesSome: zn,
        includesValue: Sr,
        exact: Rr,
        equals: Wn,
        between: xr
      });
      f.resetFilters = "resetFilters", f.setFilter = "setFilter", f.setAllFilters = "setAllFilters";
      var Pr = function(o) {
        o.stateReducers.push(Ao), o.useInstance.push(Eo);
      };
      Pr.pluginName = "useFilters";
      function Ao(t, o, p, c) {
        if (o.type === f.init)
          return n({
            filters: []
          }, t);
        if (o.type === f.resetFilters)
          return n({}, t, {
            filters: c.initialState.filters || []
          });
        if (o.type === f.setFilter) {
          var R = o.columnId, E = o.filterValue, b = c.allColumns, L = c.filterTypes, H = b.find(function(X) {
            return X.id === R;
          });
          if (!H)
            throw new Error("React-Table: Could not find a column with id: " + R);
          var z = pt(H.filter, L || {}, hn), q = t.filters.find(function(X) {
            return X.id === R;
          }), le = $(E, q && q.value);
          return ze(z.autoRemove, le, H) ? n({}, t, {
            filters: t.filters.filter(function(X) {
              return X.id !== R;
            })
          }) : q ? n({}, t, {
            filters: t.filters.map(function(X) {
              return X.id === R ? {
                id: R,
                value: le
              } : X;
            })
          }) : n({}, t, {
            filters: [].concat(t.filters, [{
              id: R,
              value: le
            }])
          });
        }
        if (o.type === f.setAllFilters) {
          var J = o.filters, oe = c.allColumns, pe = c.filterTypes;
          return n({}, t, {
            // Filter out undefined values
            filters: $(J, t.filters).filter(function(X) {
              var be = oe.find(function(Oe) {
                return Oe.id === X.id;
              }), Ie = pt(be.filter, pe || {}, hn);
              return !ze(Ie.autoRemove, X.value, be);
            })
          });
        }
      }
      function Eo(t) {
        var o = t.data, p = t.rows, c = t.flatRows, R = t.rowsById, E = t.allColumns, b = t.filterTypes, L = t.manualFilters, H = t.defaultCanFilter, z = H === void 0 ? !1 : H, q = t.disableFilters, le = t.state.filters, J = t.dispatch, oe = t.autoResetFilters, pe = oe === void 0 ? !0 : oe, X = r.useCallback(function(ve, me) {
          J({
            type: f.setFilter,
            columnId: ve,
            filterValue: me
          });
        }, [J]), be = r.useCallback(function(ve) {
          J({
            type: f.setAllFilters,
            filters: ve
          });
        }, [J]);
        E.forEach(function(ve) {
          var me = ve.id, ye = ve.accessor, Ee = ve.defaultCanFilter, qe = ve.disableFilters;
          ve.canFilter = ye ? de(qe === !0 ? !1 : void 0, q === !0 ? !1 : void 0, !0) : de(Ee, z, !1), ve.setFilter = function(ft) {
            return X(ve.id, ft);
          };
          var Xe = le.find(function(ft) {
            return ft.id === me;
          });
          ve.filterValue = Xe && Xe.value;
        });
        var Ie = r.useMemo(function() {
          if (L || !le.length)
            return [p, c, R];
          var ve = [], me = {}, ye = function Ee(qe, Xe) {
            Xe === void 0 && (Xe = 0);
            var ft = qe;
            return ft = le.reduce(function(xe, Et) {
              var Je = Et.id, De = Et.value, $e = E.find(function(_t) {
                return _t.id === Je;
              });
              if (!$e)
                return xe;
              Xe === 0 && ($e.preFilteredRows = xe);
              var gt = pt($e.filter, b || {}, hn);
              return gt ? ($e.filteredRows = gt(xe, [Je], De), $e.filteredRows) : (console.warn("Could not find a valid 'column.filter' for column with the ID: " + $e.id + "."), xe);
            }, qe), ft.forEach(function(xe) {
              ve.push(xe), me[xe.id] = xe, xe.subRows && (xe.subRows = xe.subRows && xe.subRows.length > 0 ? Ee(xe.subRows, Xe + 1) : xe.subRows);
            }), ft;
          };
          return [ye(p), ve, me];
        }, [L, le, p, c, R, E, b]), Oe = Ie[0], he = Ie[1], je = Ie[2];
        r.useMemo(function() {
          var ve = E.filter(function(me) {
            return !le.find(function(ye) {
              return ye.id === me.id;
            });
          });
          ve.forEach(function(me) {
            me.preFilteredRows = Oe, me.filteredRows = Oe;
          });
        }, [Oe, le, E]);
        var Qe = D(pe);
        ce(function() {
          Qe() && J({
            type: f.resetFilters
          });
        }, [J, L ? null : o]), Object.assign(t, {
          preFilteredRows: p,
          preFilteredFlatRows: c,
          preFilteredRowsById: R,
          filteredRows: Oe,
          filteredFlatRows: he,
          filteredRowsById: je,
          rows: Oe,
          flatRows: he,
          rowsById: je,
          setFilter: X,
          setAllFilters: be
        });
      }
      f.resetGlobalFilter = "resetGlobalFilter", f.setGlobalFilter = "setGlobalFilter";
      var Ar = function(o) {
        o.stateReducers.push(Er), o.useInstance.push(Ir);
      };
      Ar.pluginName = "useGlobalFilter";
      function Er(t, o, p, c) {
        if (o.type === f.resetGlobalFilter)
          return n({}, t, {
            globalFilter: c.initialState.globalFilter || void 0
          });
        if (o.type === f.setGlobalFilter) {
          var R = o.filterValue, E = c.userFilterTypes, b = pt(c.globalFilter, E || {}, hn), L = $(R, t.globalFilter);
          if (ze(b.autoRemove, L)) {
            t.globalFilter;
            var H = v(t, ["globalFilter"]);
            return H;
          }
          return n({}, t, {
            globalFilter: L
          });
        }
      }
      function Ir(t) {
        var o = t.data, p = t.rows, c = t.flatRows, R = t.rowsById, E = t.allColumns, b = t.filterTypes, L = t.globalFilter, H = t.manualGlobalFilter, z = t.state.globalFilter, q = t.dispatch, le = t.autoResetGlobalFilter, J = le === void 0 ? !0 : le, oe = t.disableGlobalFilter, pe = r.useCallback(function(je) {
          q({
            type: f.setGlobalFilter,
            filterValue: je
          });
        }, [q]), X = r.useMemo(function() {
          if (H || typeof z > "u")
            return [p, c, R];
          var je = [], Qe = {}, ve = pt(L, b || {}, hn);
          if (!ve)
            return console.warn("Could not find a valid 'globalFilter' option."), p;
          E.forEach(function(Ee) {
            var qe = Ee.disableGlobalFilter;
            Ee.canFilter = de(qe === !0 ? !1 : void 0, oe === !0 ? !1 : void 0, !0);
          });
          var me = E.filter(function(Ee) {
            return Ee.canFilter === !0;
          }), ye = function Ee(qe) {
            return qe = ve(qe, me.map(function(Xe) {
              return Xe.id;
            }), z), qe.forEach(function(Xe) {
              je.push(Xe), Qe[Xe.id] = Xe, Xe.subRows = Xe.subRows && Xe.subRows.length ? Ee(Xe.subRows) : Xe.subRows;
            }), qe;
          };
          return [ye(p), je, Qe];
        }, [H, z, L, b, E, p, c, R, oe]), be = X[0], Ie = X[1], Oe = X[2], he = D(J);
        ce(function() {
          he() && q({
            type: f.resetGlobalFilter
          });
        }, [q, H ? null : o]), Object.assign(t, {
          preGlobalFilteredRows: p,
          preGlobalFilteredFlatRows: c,
          preGlobalFilteredRowsById: R,
          globalFilteredRows: be,
          globalFilteredFlatRows: Ie,
          globalFilteredRowsById: Oe,
          rows: be,
          flatRows: Ie,
          rowsById: Oe,
          setGlobalFilter: pe,
          disableGlobalFilter: oe
        });
      }
      function Nn(t, o) {
        return o.reduce(function(p, c) {
          return p + (typeof c == "number" ? c : 0);
        }, 0);
      }
      function gn(t) {
        var o = t[0] || 0;
        return t.forEach(function(p) {
          typeof p == "number" && (o = Math.min(o, p));
        }), o;
      }
      function Tr(t) {
        var o = t[0] || 0;
        return t.forEach(function(p) {
          typeof p == "number" && (o = Math.max(o, p));
        }), o;
      }
      function Io(t) {
        var o = t[0] || 0, p = t[0] || 0;
        return t.forEach(function(c) {
          typeof c == "number" && (o = Math.min(o, c), p = Math.max(p, c));
        }), o + ".." + p;
      }
      function Nr(t) {
        return Nn(null, t) / t.length;
      }
      function To(t) {
        if (!t.length)
          return null;
        var o = Math.floor(t.length / 2), p = [].concat(t).sort(function(c, R) {
          return c - R;
        });
        return t.length % 2 !== 0 ? p[o] : (p[o - 1] + p[o]) / 2;
      }
      function No(t) {
        return Array.from(new Set(t).values());
      }
      function Lo(t) {
        return new Set(t).size;
      }
      function Lr(t) {
        return t.length;
      }
      var Vn = /* @__PURE__ */ Object.freeze({
        __proto__: null,
        sum: Nn,
        min: gn,
        max: Tr,
        minMax: Io,
        average: Nr,
        median: To,
        unique: No,
        uniqueCount: Lo,
        count: Lr
      }), _o = [], ko = {};
      f.resetGroupBy = "resetGroupBy", f.setGroupBy = "setGroupBy", f.toggleGroupBy = "toggleGroupBy";
      var jn = function(o) {
        o.getGroupByToggleProps = [_r], o.stateReducers.push(Bo), o.visibleColumnsDeps.push(function(p, c) {
          var R = c.instance;
          return [].concat(p, [R.state.groupBy]);
        }), o.visibleColumns.push(Oo), o.useInstance.push(Do), o.prepareRow.push(Fo);
      };
      jn.pluginName = "useGroupBy";
      var _r = function(o, p) {
        var c = p.header;
        return [o, {
          onClick: c.canGroupBy ? function(R) {
            R.persist(), c.toggleGroupBy();
          } : void 0,
          style: {
            cursor: c.canGroupBy ? "pointer" : void 0
          },
          title: "Toggle GroupBy"
        }];
      };
      function Bo(t, o, p, c) {
        if (o.type === f.init)
          return n({
            groupBy: []
          }, t);
        if (o.type === f.resetGroupBy)
          return n({}, t, {
            groupBy: c.initialState.groupBy || []
          });
        if (o.type === f.setGroupBy) {
          var R = o.value;
          return n({}, t, {
            groupBy: R
          });
        }
        if (o.type === f.toggleGroupBy) {
          var E = o.columnId, b = o.value, L = typeof b < "u" ? b : !t.groupBy.includes(E);
          return L ? n({}, t, {
            groupBy: [].concat(t.groupBy, [E])
          }) : n({}, t, {
            groupBy: t.groupBy.filter(function(H) {
              return H !== E;
            })
          });
        }
      }
      function Oo(t, o) {
        var p = o.instance.state.groupBy, c = p.map(function(E) {
          return t.find(function(b) {
            return b.id === E;
          });
        }).filter(Boolean), R = t.filter(function(E) {
          return !p.includes(E.id);
        });
        return t = [].concat(c, R), t.forEach(function(E) {
          E.isGrouped = p.includes(E.id), E.groupedIndex = p.indexOf(E.id);
        }), t;
      }
      var Mo = {};
      function Do(t) {
        var o = t.data, p = t.rows, c = t.flatRows, R = t.rowsById, E = t.allColumns, b = t.flatHeaders, L = t.groupByFn, H = L === void 0 ? kr : L, z = t.manualGroupBy, q = t.aggregations, le = q === void 0 ? Mo : q, J = t.plugins, oe = t.state.groupBy, pe = t.dispatch, X = t.autoResetGroupBy, be = X === void 0 ? !0 : X, Ie = t.disableGroupBy, Oe = t.defaultCanGroupBy, he = t.getHooks;
        F(J, ["useColumnOrder", "useFilters"], "useGroupBy");
        var je = D(t);
        E.forEach(function(De) {
          var $e = De.accessor, gt = De.defaultGroupBy, _t = De.disableGroupBy;
          De.canGroupBy = $e ? de(De.canGroupBy, _t === !0 ? !1 : void 0, Ie === !0 ? !1 : void 0, !0) : de(De.canGroupBy, gt, Oe, !1), De.canGroupBy && (De.toggleGroupBy = function() {
            return t.toggleGroupBy(De.id);
          }), De.Aggregated = De.Aggregated || De.Cell;
        });
        var Qe = r.useCallback(function(De, $e) {
          pe({
            type: f.toggleGroupBy,
            columnId: De,
            value: $e
          });
        }, [pe]), ve = r.useCallback(function(De) {
          pe({
            type: f.setGroupBy,
            value: De
          });
        }, [pe]);
        b.forEach(function(De) {
          De.getGroupByToggleProps = B(he().getGroupByToggleProps, {
            instance: je(),
            header: De
          });
        });
        var me = r.useMemo(function() {
          if (z || !oe.length)
            return [p, c, R, _o, ko, c, R];
          var De = oe.filter(function(It) {
            return E.find(function(rn) {
              return rn.id === It;
            });
          }), $e = function(rn, kt, Qr) {
            var on = {};
            return E.forEach(function(xt) {
              if (De.includes(xt.id)) {
                on[xt.id] = kt[0] ? kt[0].values[xt.id] : null;
                return;
              }
              var Zr = typeof xt.aggregate == "function" ? xt.aggregate : le[xt.aggregate] || Vn[xt.aggregate];
              if (Zr) {
                var _n = kt.map(function(bn) {
                  return bn.values[xt.id];
                }), ns = rn.map(function(bn) {
                  var sn = bn.values[xt.id];
                  if (!Qr && xt.aggregateValue) {
                    var an = typeof xt.aggregateValue == "function" ? xt.aggregateValue : le[xt.aggregateValue] || Vn[xt.aggregateValue];
                    if (!an)
                      throw console.info({
                        column: xt
                      }), new Error("React Table: Invalid column.aggregateValue option for column listed above");
                    sn = an(sn, bn, xt);
                  }
                  return sn;
                });
                on[xt.id] = Zr(ns, _n);
              } else {
                if (xt.aggregate)
                  throw console.info({
                    column: xt
                  }), new Error("React Table: Invalid column.aggregate option for column listed above");
                on[xt.id] = null;
              }
            }), on;
          }, gt = [], _t = {}, yn = [], er = {}, Be = [], wt = {}, Pt = function It(rn, kt, Qr) {
            if (kt === void 0 && (kt = 0), kt === De.length)
              return rn.map(function(_n) {
                return n({}, _n, {
                  depth: kt
                });
              });
            var on = De[kt], xt = H(rn, on), Zr = Object.entries(xt).map(function(_n, ns) {
              var bn = _n[0], sn = _n[1], an = on + ":" + bn;
              an = Qr ? Qr + ">" + an : an;
              var Ms = It(sn, kt + 1, an), Ds = kt ? ht(sn, "leafRows") : sn, Fi = $e(Ds, sn, kt), $i = {
                id: an,
                isGrouped: !0,
                groupByID: on,
                groupByVal: bn,
                values: Fi,
                subRows: Ms,
                leafRows: Ds,
                depth: kt,
                index: ns
              };
              return Ms.forEach(function(Xt) {
                gt.push(Xt), _t[Xt.id] = Xt, Xt.isGrouped ? (yn.push(Xt), er[Xt.id] = Xt) : (Be.push(Xt), wt[Xt.id] = Xt);
              }), $i;
            });
            return Zr;
          }, Dt = Pt(p);
          return Dt.forEach(function(It) {
            gt.push(It), _t[It.id] = It, It.isGrouped ? (yn.push(It), er[It.id] = It) : (Be.push(It), wt[It.id] = It);
          }), [Dt, gt, _t, yn, er, Be, wt];
        }, [z, oe, p, c, R, E, le, H]), ye = me[0], Ee = me[1], qe = me[2], Xe = me[3], ft = me[4], xe = me[5], Et = me[6], Je = D(be);
        ce(function() {
          Je() && pe({
            type: f.resetGroupBy
          });
        }, [pe, z ? null : o]), Object.assign(t, {
          preGroupedRows: p,
          preGroupedFlatRow: c,
          preGroupedRowsById: R,
          groupedRows: ye,
          groupedFlatRows: Ee,
          groupedRowsById: qe,
          onlyGroupedFlatRows: Xe,
          onlyGroupedRowsById: ft,
          nonGroupedFlatRows: xe,
          nonGroupedRowsById: Et,
          rows: ye,
          flatRows: Ee,
          rowsById: qe,
          toggleGroupBy: Qe,
          setGroupBy: ve
        });
      }
      function Fo(t) {
        t.allCells.forEach(function(o) {
          var p;
          o.isGrouped = o.column.isGrouped && o.column.id === t.groupByID, o.isPlaceholder = !o.isGrouped && o.column.isGrouped, o.isAggregated = !o.isGrouped && !o.isPlaceholder && ((p = t.subRows) == null ? void 0 : p.length);
        });
      }
      function kr(t, o) {
        return t.reduce(function(p, c, R) {
          var E = "" + c.values[o];
          return p[E] = Array.isArray(p[E]) ? p[E] : [], p[E].push(c), p;
        }, {});
      }
      var Br = /([0-9]+)/gm, $o = function(o, p, c) {
        var R = vn(o, p, c), E = R[0], b = R[1];
        for (E = Mr(E), b = Mr(b), E = E.split(Br).filter(Boolean), b = b.split(Br).filter(Boolean); E.length && b.length; ) {
          var L = E.shift(), H = b.shift(), z = parseInt(L, 10), q = parseInt(H, 10), le = [z, q].sort();
          if (isNaN(le[0])) {
            if (L > H)
              return 1;
            if (H > L)
              return -1;
            continue;
          }
          if (isNaN(le[1]))
            return isNaN(z) ? -1 : 1;
          if (z > q)
            return 1;
          if (q > z)
            return -1;
        }
        return E.length - b.length;
      };
      function Ho(t, o, p) {
        var c = vn(t, o, p), R = c[0], E = c[1];
        return R = R.getTime(), E = E.getTime(), Kn(R, E);
      }
      function Go(t, o, p) {
        var c = vn(t, o, p), R = c[0], E = c[1];
        return Kn(R, E);
      }
      function zo(t, o, p) {
        var c = vn(t, o, p), R = c[0], E = c[1];
        for (R = R.split("").filter(Boolean), E = E.split("").filter(Boolean); R.length && E.length; ) {
          var b = R.shift(), L = E.shift(), H = b.toLowerCase(), z = L.toLowerCase();
          if (H > z)
            return 1;
          if (z > H)
            return -1;
          if (b > L)
            return 1;
          if (L > b)
            return -1;
        }
        return R.length - E.length;
      }
      function Or(t, o, p) {
        var c = vn(t, o, p), R = c[0], E = c[1], b = /[^0-9.]/gi;
        return R = Number(String(R).replace(b, "")), E = Number(String(E).replace(b, "")), Kn(R, E);
      }
      function Kn(t, o) {
        return t === o ? 0 : t > o ? 1 : -1;
      }
      function vn(t, o, p) {
        return [t.values[p], o.values[p]];
      }
      function Mr(t) {
        return typeof t == "number" ? isNaN(t) || t === 1 / 0 || t === -1 / 0 ? "" : String(t) : typeof t == "string" ? t : "";
      }
      var Wo = /* @__PURE__ */ Object.freeze({
        __proto__: null,
        alphanumeric: $o,
        datetime: Ho,
        basic: Go,
        string: zo,
        number: Or
      });
      f.resetSortBy = "resetSortBy", f.setSortBy = "setSortBy", f.toggleSortBy = "toggleSortBy", f.clearSortBy = "clearSortBy", P.sortType = "alphanumeric", P.sortDescFirst = !1;
      var Dr = function(o) {
        o.getSortByToggleProps = [Vo], o.stateReducers.push(Fr), o.useInstance.push($r);
      };
      Dr.pluginName = "useSortBy";
      var Vo = function(o, p) {
        var c = p.instance, R = p.column, E = c.isMultiSortEvent, b = E === void 0 ? function(L) {
          return L.shiftKey;
        } : E;
        return [o, {
          onClick: R.canSort ? function(L) {
            L.persist(), R.toggleSortBy(void 0, !c.disableMultiSort && b(L));
          } : void 0,
          style: {
            cursor: R.canSort ? "pointer" : void 0
          },
          title: R.canSort ? "Toggle SortBy" : void 0
        }];
      };
      function Fr(t, o, p, c) {
        if (o.type === f.init)
          return n({
            sortBy: []
          }, t);
        if (o.type === f.resetSortBy)
          return n({}, t, {
            sortBy: c.initialState.sortBy || []
          });
        if (o.type === f.clearSortBy) {
          var R = t.sortBy, E = R.filter(function(ye) {
            return ye.id !== o.columnId;
          });
          return n({}, t, {
            sortBy: E
          });
        }
        if (o.type === f.setSortBy) {
          var b = o.sortBy;
          return n({}, t, {
            sortBy: b
          });
        }
        if (o.type === f.toggleSortBy) {
          var L = o.columnId, H = o.desc, z = o.multi, q = c.allColumns, le = c.disableMultiSort, J = c.disableSortRemove, oe = c.disableMultiRemove, pe = c.maxMultiSortColCount, X = pe === void 0 ? Number.MAX_SAFE_INTEGER : pe, be = t.sortBy, Ie = q.find(function(ye) {
            return ye.id === L;
          }), Oe = Ie.sortDescFirst, he = be.find(function(ye) {
            return ye.id === L;
          }), je = be.findIndex(function(ye) {
            return ye.id === L;
          }), Qe = typeof H < "u" && H !== null, ve = [], me;
          return !le && z ? he ? me = "toggle" : me = "add" : je !== be.length - 1 || be.length !== 1 ? me = "replace" : he ? me = "toggle" : me = "replace", me === "toggle" && // Must be toggling
          !J && // If disableSortRemove, disable in general
          !Qe && // Must not be setting desc
          (!z || !oe) && // If multi, don't allow if disableMultiRemove
          (he && // Finally, detect if it should indeed be removed
          he.desc && !Oe || !he.desc && Oe) && (me = "remove"), me === "replace" ? ve = [{
            id: L,
            desc: Qe ? H : Oe
          }] : me === "add" ? (ve = [].concat(be, [{
            id: L,
            desc: Qe ? H : Oe
          }]), ve.splice(0, ve.length - X)) : me === "toggle" ? ve = be.map(function(ye) {
            return ye.id === L ? n({}, ye, {
              desc: Qe ? H : !he.desc
            }) : ye;
          }) : me === "remove" && (ve = be.filter(function(ye) {
            return ye.id !== L;
          })), n({}, t, {
            sortBy: ve
          });
        }
      }
      function $r(t) {
        var o = t.data, p = t.rows, c = t.flatRows, R = t.allColumns, E = t.orderByFn, b = E === void 0 ? Un : E, L = t.sortTypes, H = t.manualSortBy, z = t.defaultCanSort, q = t.disableSortBy, le = t.flatHeaders, J = t.state.sortBy, oe = t.dispatch, pe = t.plugins, X = t.getHooks, be = t.autoResetSortBy, Ie = be === void 0 ? !0 : be;
        F(pe, ["useFilters", "useGlobalFilter", "useGroupBy", "usePivotColumns"], "useSortBy");
        var Oe = r.useCallback(function(Ee) {
          oe({
            type: f.setSortBy,
            sortBy: Ee
          });
        }, [oe]), he = r.useCallback(function(Ee, qe, Xe) {
          oe({
            type: f.toggleSortBy,
            columnId: Ee,
            desc: qe,
            multi: Xe
          });
        }, [oe]), je = D(t);
        le.forEach(function(Ee) {
          var qe = Ee.accessor, Xe = Ee.canSort, ft = Ee.disableSortBy, xe = Ee.id, Et = qe ? de(ft === !0 ? !1 : void 0, q === !0 ? !1 : void 0, !0) : de(z, Xe, !1);
          Ee.canSort = Et, Ee.canSort && (Ee.toggleSortBy = function(De, $e) {
            return he(Ee.id, De, $e);
          }, Ee.clearSortBy = function() {
            oe({
              type: f.clearSortBy,
              columnId: Ee.id
            });
          }), Ee.getSortByToggleProps = B(X().getSortByToggleProps, {
            instance: je(),
            column: Ee
          });
          var Je = J.find(function(De) {
            return De.id === xe;
          });
          Ee.isSorted = !!Je, Ee.sortedIndex = J.findIndex(function(De) {
            return De.id === xe;
          }), Ee.isSortedDesc = Ee.isSorted ? Je.desc : void 0;
        });
        var Qe = r.useMemo(function() {
          if (H || !J.length)
            return [p, c];
          var Ee = [], qe = J.filter(function(ft) {
            return R.find(function(xe) {
              return xe.id === ft.id;
            });
          }), Xe = function ft(xe) {
            var Et = b(
              xe,
              qe.map(function(Je) {
                var De = R.find(function(_t) {
                  return _t.id === Je.id;
                });
                if (!De)
                  throw new Error("React-Table: Could not find a column with id: " + Je.id + " while sorting");
                var $e = De.sortType, gt = Ye($e) || (L || {})[$e] || Wo[$e];
                if (!gt)
                  throw new Error("React-Table: Could not find a valid sortType of '" + $e + "' for column '" + Je.id + "'.");
                return function(_t, yn) {
                  return gt(_t, yn, Je.id, Je.desc);
                };
              }),
              // Map the directions
              qe.map(function(Je) {
                var De = R.find(function($e) {
                  return $e.id === Je.id;
                });
                return De && De.sortInverted ? Je.desc : !Je.desc;
              })
            );
            return Et.forEach(function(Je) {
              Ee.push(Je), !(!Je.subRows || Je.subRows.length === 0) && (Je.subRows = ft(Je.subRows));
            }), Et;
          };
          return [Xe(p), Ee];
        }, [H, J, p, c, R, b, L]), ve = Qe[0], me = Qe[1], ye = D(Ie);
        ce(function() {
          ye() && oe({
            type: f.resetSortBy
          });
        }, [H ? null : o]), Object.assign(t, {
          preSortedRows: p,
          preSortedFlatRows: c,
          sortedRows: ve,
          sortedFlatRows: me,
          rows: ve,
          flatRows: me,
          setSortBy: Oe,
          toggleSortBy: he
        });
      }
      function Un(t, o, p) {
        return [].concat(t).sort(function(c, R) {
          for (var E = 0; E < o.length; E += 1) {
            var b = o[E], L = p[E] === !1 || p[E] === "desc", H = b(c, R);
            if (H !== 0)
              return L ? -H : H;
          }
          return p[0] ? c.index - R.index : R.index - c.index;
        });
      }
      var jo = "usePagination";
      f.resetPage = "resetPage", f.gotoPage = "gotoPage", f.setPageSize = "setPageSize";
      var Hr = function(o) {
        o.stateReducers.push(Ko), o.useInstance.push(Gr);
      };
      Hr.pluginName = jo;
      function Ko(t, o, p, c) {
        if (o.type === f.init)
          return n({
            pageSize: 10,
            pageIndex: 0
          }, t);
        if (o.type === f.resetPage)
          return n({}, t, {
            pageIndex: c.initialState.pageIndex || 0
          });
        if (o.type === f.gotoPage) {
          var R = c.pageCount, E = c.page, b = $(o.pageIndex, t.pageIndex), L = !1;
          return b > t.pageIndex ? L = R === -1 ? E.length >= t.pageSize : b < R : b < t.pageIndex && (L = b > -1), L ? n({}, t, {
            pageIndex: b
          }) : t;
        }
        if (o.type === f.setPageSize) {
          var H = o.pageSize, z = t.pageSize * t.pageIndex, q = Math.floor(z / H);
          return n({}, t, {
            pageIndex: q,
            pageSize: H
          });
        }
      }
      function Gr(t) {
        var o = t.rows, p = t.autoResetPage, c = p === void 0 ? !0 : p, R = t.manualExpandedKey, E = R === void 0 ? "expanded" : R, b = t.plugins, L = t.pageCount, H = t.paginateExpandedRows, z = H === void 0 ? !0 : H, q = t.expandSubRows, le = q === void 0 ? !0 : q, J = t.state, oe = J.pageSize, pe = J.pageIndex, X = J.expanded, be = J.globalFilter, Ie = J.filters, Oe = J.groupBy, he = J.sortBy, je = t.dispatch, Qe = t.data, ve = t.manualPagination;
        F(b, ["useGlobalFilter", "useFilters", "useGroupBy", "useSortBy", "useExpanded"], "usePagination");
        var me = D(c);
        ce(function() {
          me() && je({
            type: f.resetPage
          });
        }, [je, ve ? null : Qe, be, Ie, Oe, he]);
        var ye = ve ? L : Math.ceil(o.length / oe), Ee = r.useMemo(function() {
          return ye > 0 ? [].concat(new Array(ye)).fill(null).map(function($e, gt) {
            return gt;
          }) : [];
        }, [ye]), qe = r.useMemo(function() {
          var $e;
          if (ve)
            $e = o;
          else {
            var gt = oe * pe, _t = gt + oe;
            $e = o.slice(gt, _t);
          }
          return z ? $e : ot($e, {
            manualExpandedKey: E,
            expanded: X,
            expandSubRows: le
          });
        }, [le, X, E, ve, pe, oe, z, o]), Xe = pe > 0, ft = ye === -1 ? qe.length >= oe : pe < ye - 1, xe = r.useCallback(function($e) {
          je({
            type: f.gotoPage,
            pageIndex: $e
          });
        }, [je]), Et = r.useCallback(function() {
          return xe(function($e) {
            return $e - 1;
          });
        }, [xe]), Je = r.useCallback(function() {
          return xe(function($e) {
            return $e + 1;
          });
        }, [xe]), De = r.useCallback(function($e) {
          je({
            type: f.setPageSize,
            pageSize: $e
          });
        }, [je]);
        Object.assign(t, {
          pageOptions: Ee,
          pageCount: ye,
          page: qe,
          canPreviousPage: Xe,
          canNextPage: ft,
          gotoPage: xe,
          previousPage: Et,
          nextPage: Je,
          setPageSize: De
        });
      }
      f.resetPivot = "resetPivot", f.togglePivot = "togglePivot";
      var zr = function(o) {
        o.getPivotToggleProps = [Uo], o.stateReducers.push(Vr), o.useInstanceAfterData.push(qo), o.allColumns.push(Yo), o.accessValue.push(Xo), o.materializedColumns.push(Jo), o.materializedColumnsDeps.push(qn), o.visibleColumns.push(jr), o.visibleColumnsDeps.push(Ln), o.useInstance.push(Yn), o.prepareRow.push(Xn);
      };
      zr.pluginName = "usePivotColumns";
      var Wr = [], Uo = function(o, p) {
        var c = p.header;
        return [o, {
          onClick: c.canPivot ? function(R) {
            R.persist(), c.togglePivot();
          } : void 0,
          style: {
            cursor: c.canPivot ? "pointer" : void 0
          },
          title: "Toggle Pivot"
        }];
      };
      function Vr(t, o, p, c) {
        if (o.type === f.init)
          return n({
            pivotColumns: Wr
          }, t);
        if (o.type === f.resetPivot)
          return n({}, t, {
            pivotColumns: c.initialState.pivotColumns || Wr
          });
        if (o.type === f.togglePivot) {
          var R = o.columnId, E = o.value, b = typeof E < "u" ? E : !t.pivotColumns.includes(R);
          return b ? n({}, t, {
            pivotColumns: [].concat(t.pivotColumns, [R])
          }) : n({}, t, {
            pivotColumns: t.pivotColumns.filter(function(L) {
              return L !== R;
            })
          });
        }
      }
      function qo(t) {
        t.allColumns.forEach(function(o) {
          o.isPivotSource = t.state.pivotColumns.includes(o.id);
        });
      }
      function Yo(t, o) {
        var p = o.instance;
        return t.forEach(function(c) {
          c.isPivotSource = p.state.pivotColumns.includes(c.id), c.uniqueValues = /* @__PURE__ */ new Set();
        }), t;
      }
      function Xo(t, o) {
        var p = o.column;
        return p.uniqueValues && typeof t < "u" && p.uniqueValues.add(t), t;
      }
      function Jo(t, o) {
        var p = o.instance, c = p.allColumns, R = p.state;
        if (!R.pivotColumns.length || !R.groupBy || !R.groupBy.length)
          return t;
        var E = R.pivotColumns.map(function(z) {
          return c.find(function(q) {
            return q.id === z;
          });
        }).filter(Boolean), b = c.filter(function(z) {
          return !z.isPivotSource && !R.groupBy.includes(z.id) && !R.pivotColumns.includes(z.id);
        }), L = function z(q, le, J) {
          q === void 0 && (q = 0), J === void 0 && (J = []);
          var oe = E[q];
          if (!oe)
            return b.map(function(X) {
              return n({}, X, {
                canPivot: !1,
                isPivoted: !0,
                parent: le,
                depth: q,
                id: "" + (le ? le.id + "." + X.id : X.id),
                accessor: function(Ie, Oe, he) {
                  if (J.every(function(je) {
                    return je(he);
                  }))
                    return he.values[X.id];
                }
              });
            });
          var pe = Array.from(oe.uniqueValues).sort();
          return pe.map(function(X) {
            var be = n({}, oe, {
              Header: oe.PivotHeader || typeof oe.header == "string" ? oe.Header + ": " + X : X,
              isPivotGroup: !0,
              parent: le,
              depth: q,
              id: le ? le.id + "." + oe.id + "." + X : oe.id + "." + X,
              pivotValue: X
            });
            return be.columns = z(q + 1, be, [].concat(J, [function(Ie) {
              return Ie.values[oe.id] === X;
            }])), be;
          });
        }, H = He(L());
        return [].concat(t, H);
      }
      function qn(t, o) {
        var p = o.instance.state, c = p.pivotColumns, R = p.groupBy;
        return [].concat(t, [c, R]);
      }
      function jr(t, o) {
        var p = o.instance.state;
        return t = t.filter(function(c) {
          return !c.isPivotSource;
        }), p.pivotColumns.length && p.groupBy && p.groupBy.length && (t = t.filter(function(c) {
          return c.isGrouped || c.isPivoted;
        })), t;
      }
      function Ln(t, o) {
        var p = o.instance;
        return [].concat(t, [p.state.pivotColumns, p.state.groupBy]);
      }
      function Yn(t) {
        var o = t.columns, p = t.allColumns, c = t.flatHeaders, R = t.getHooks, E = t.plugins, b = t.dispatch, L = t.autoResetPivot, H = L === void 0 ? !0 : L, z = t.manaulPivot, q = t.disablePivot, le = t.defaultCanPivot;
        F(E, ["useGroupBy"], "usePivotColumns");
        var J = D(t);
        p.forEach(function(X) {
          var be = X.accessor, Ie = X.defaultPivot, Oe = X.disablePivot;
          X.canPivot = be ? de(X.canPivot, Oe === !0 ? !1 : void 0, q === !0 ? !1 : void 0, !0) : de(X.canPivot, Ie, le, !1), X.canPivot && (X.togglePivot = function() {
            return t.togglePivot(X.id);
          }), X.Aggregated = X.Aggregated || X.Cell;
        });
        var oe = function(be, Ie) {
          b({
            type: f.togglePivot,
            columnId: be,
            value: Ie
          });
        };
        c.forEach(function(X) {
          X.getPivotToggleProps = B(R().getPivotToggleProps, {
            instance: J(),
            header: X
          });
        });
        var pe = D(H);
        ce(function() {
          pe() && b({
            type: f.resetPivot
          });
        }, [b, z ? null : o]), Object.assign(t, {
          togglePivot: oe
        });
      }
      function Xn(t) {
        t.allCells.forEach(function(o) {
          o.isPivoted = o.column.isPivoted;
        });
      }
      var Kr = "useRowSelect";
      f.resetSelectedRows = "resetSelectedRows", f.toggleAllRowsSelected = "toggleAllRowsSelected", f.toggleRowSelected = "toggleRowSelected", f.toggleAllPageRowsSelected = "toggleAllPageRowsSelected";
      var Jn = function(o) {
        o.getToggleRowSelectedProps = [Qo], o.getToggleAllRowsSelectedProps = [Qn], o.getToggleAllPageRowsSelectedProps = [Zo], o.stateReducers.push(es), o.useInstance.push(ts), o.prepareRow.push(Ur);
      };
      Jn.pluginName = Kr;
      var Qo = function(o, p) {
        var c = p.instance, R = p.row, E = c.manualRowSelectedKey, b = E === void 0 ? "isSelected" : E, L = !1;
        return R.original && R.original[b] ? L = !0 : L = R.isSelected, [o, {
          onChange: function(z) {
            R.toggleRowSelected(z.target.checked);
          },
          style: {
            cursor: "pointer"
          },
          checked: L,
          title: "Toggle Row Selected",
          indeterminate: R.isSomeSelected
        }];
      }, Qn = function(o, p) {
        var c = p.instance;
        return [o, {
          onChange: function(E) {
            c.toggleAllRowsSelected(E.target.checked);
          },
          style: {
            cursor: "pointer"
          },
          checked: c.isAllRowsSelected,
          title: "Toggle All Rows Selected",
          indeterminate: !!(!c.isAllRowsSelected && Object.keys(c.state.selectedRowIds).length)
        }];
      }, Zo = function(o, p) {
        var c = p.instance;
        return [o, {
          onChange: function(E) {
            c.toggleAllPageRowsSelected(E.target.checked);
          },
          style: {
            cursor: "pointer"
          },
          checked: c.isAllPageRowsSelected,
          title: "Toggle All Current Page Rows Selected",
          indeterminate: !!(!c.isAllPageRowsSelected && c.page.some(function(R) {
            var E = R.id;
            return c.state.selectedRowIds[E];
          }))
        }];
      };
      function es(t, o, p, c) {
        if (o.type === f.init)
          return n({
            selectedRowIds: {}
          }, t);
        if (o.type === f.resetSelectedRows)
          return n({}, t, {
            selectedRowIds: c.initialState.selectedRowIds || {}
          });
        if (o.type === f.toggleAllRowsSelected) {
          var R = o.value, E = c.isAllRowsSelected, b = c.rowsById, L = c.nonGroupedRowsById, H = L === void 0 ? b : L, z = typeof R < "u" ? R : !E, q = Object.assign({}, t.selectedRowIds);
          return z ? Object.keys(H).forEach(function(Je) {
            q[Je] = !0;
          }) : Object.keys(H).forEach(function(Je) {
            delete q[Je];
          }), n({}, t, {
            selectedRowIds: q
          });
        }
        if (o.type === f.toggleRowSelected) {
          var le = o.id, J = o.value, oe = c.rowsById, pe = c.selectSubRows, X = pe === void 0 ? !0 : pe, be = c.getSubRows, Ie = t.selectedRowIds[le], Oe = typeof J < "u" ? J : !Ie;
          if (Ie === Oe)
            return t;
          var he = n({}, t.selectedRowIds), je = function Je(De) {
            var $e = oe[De];
            if ($e && ($e.isGrouped || (Oe ? he[De] = !0 : delete he[De]), X && be($e)))
              return be($e).forEach(function(gt) {
                return Je(gt.id);
              });
          };
          return je(le), n({}, t, {
            selectedRowIds: he
          });
        }
        if (o.type === f.toggleAllPageRowsSelected) {
          var Qe = o.value, ve = c.page, me = c.rowsById, ye = c.selectSubRows, Ee = ye === void 0 ? !0 : ye, qe = c.isAllPageRowsSelected, Xe = c.getSubRows, ft = typeof Qe < "u" ? Qe : !qe, xe = n({}, t.selectedRowIds), Et = function Je(De) {
            var $e = me[De];
            if ($e.isGrouped || (ft ? xe[De] = !0 : delete xe[De]), Ee && Xe($e))
              return Xe($e).forEach(function(gt) {
                return Je(gt.id);
              });
          };
          return ve.forEach(function(Je) {
            return Et(Je.id);
          }), n({}, t, {
            selectedRowIds: xe
          });
        }
        return t;
      }
      function ts(t) {
        var o = t.data, p = t.rows, c = t.getHooks, R = t.plugins, E = t.rowsById, b = t.nonGroupedRowsById, L = b === void 0 ? E : b, H = t.autoResetSelectedRows, z = H === void 0 ? !0 : H, q = t.state.selectedRowIds, le = t.selectSubRows, J = le === void 0 ? !0 : le, oe = t.dispatch, pe = t.page, X = t.getSubRows;
        F(R, ["useFilters", "useGroupBy", "useSortBy", "useExpanded", "usePagination"], "useRowSelect");
        var be = r.useMemo(function() {
          var qe = [];
          return p.forEach(function(Xe) {
            var ft = J ? qr(Xe, q, X) : !!q[Xe.id];
            Xe.isSelected = !!ft, Xe.isSomeSelected = ft === null, ft && qe.push(Xe);
          }), qe;
        }, [p, J, q, X]), Ie = !!(Object.keys(L).length && Object.keys(q).length), Oe = Ie;
        Ie && Object.keys(L).some(function(qe) {
          return !q[qe];
        }) && (Ie = !1), Ie || pe && pe.length && pe.some(function(qe) {
          var Xe = qe.id;
          return !q[Xe];
        }) && (Oe = !1);
        var he = D(z);
        ce(function() {
          he() && oe({
            type: f.resetSelectedRows
          });
        }, [oe, o]);
        var je = r.useCallback(function(qe) {
          return oe({
            type: f.toggleAllRowsSelected,
            value: qe
          });
        }, [oe]), Qe = r.useCallback(function(qe) {
          return oe({
            type: f.toggleAllPageRowsSelected,
            value: qe
          });
        }, [oe]), ve = r.useCallback(function(qe, Xe) {
          return oe({
            type: f.toggleRowSelected,
            id: qe,
            value: Xe
          });
        }, [oe]), me = D(t), ye = B(c().getToggleAllRowsSelectedProps, {
          instance: me()
        }), Ee = B(c().getToggleAllPageRowsSelectedProps, {
          instance: me()
        });
        Object.assign(t, {
          selectedFlatRows: be,
          isAllRowsSelected: Ie,
          isAllPageRowsSelected: Oe,
          toggleRowSelected: ve,
          toggleAllRowsSelected: je,
          getToggleAllRowsSelectedProps: ye,
          getToggleAllPageRowsSelectedProps: Ee,
          toggleAllPageRowsSelected: Qe
        });
      }
      function Ur(t, o) {
        var p = o.instance;
        t.toggleRowSelected = function(c) {
          return p.toggleRowSelected(t.id, c);
        }, t.getToggleRowSelectedProps = B(p.getHooks().getToggleRowSelectedProps, {
          instance: p,
          row: t
        });
      }
      function qr(t, o, p) {
        if (o[t.id])
          return !0;
        var c = p(t);
        if (c && c.length) {
          var R = !0, E = !1;
          return c.forEach(function(b) {
            E && !R || (qr(b, o, p) ? E = !0 : R = !1);
          }), R ? !0 : E ? null : !1;
        }
        return !1;
      }
      var Yr = function(o) {
        return {};
      }, Xr = function(o) {
        return {};
      };
      f.setRowState = "setRowState", f.setCellState = "setCellState", f.resetRowState = "resetRowState";
      var Jr = function(o) {
        o.stateReducers.push(Zn), o.useInstance.push(e), o.prepareRow.push(u);
      };
      Jr.pluginName = "useRowState";
      function Zn(t, o, p, c) {
        var R = c.initialRowStateAccessor, E = R === void 0 ? Yr : R, b = c.initialCellStateAccessor, L = b === void 0 ? Xr : b, H = c.rowsById;
        if (o.type === f.init)
          return n({
            rowState: {}
          }, t);
        if (o.type === f.resetRowState)
          return n({}, t, {
            rowState: c.initialState.rowState || {}
          });
        if (o.type === f.setRowState) {
          var z, q = o.rowId, le = o.value, J = typeof t.rowState[q] < "u" ? t.rowState[q] : E(H[q]);
          return n({}, t, {
            rowState: n({}, t.rowState, (z = {}, z[q] = $(le, J), z))
          });
        }
        if (o.type === f.setCellState) {
          var oe, pe, X, be, Ie, Oe = o.rowId, he = o.columnId, je = o.value, Qe = typeof t.rowState[Oe] < "u" ? t.rowState[Oe] : E(H[Oe]), ve = typeof (Qe == null || (oe = Qe.cellState) == null ? void 0 : oe[he]) < "u" ? Qe.cellState[he] : L((pe = H[Oe]) == null || (X = pe.cells) == null ? void 0 : X.find(function(me) {
            return me.column.id === he;
          }));
          return n({}, t, {
            rowState: n({}, t.rowState, (Ie = {}, Ie[Oe] = n({}, Qe, {
              cellState: n({}, Qe.cellState || {}, (be = {}, be[he] = $(je, ve), be))
            }), Ie))
          });
        }
      }
      function e(t) {
        var o = t.autoResetRowState, p = o === void 0 ? !0 : o, c = t.data, R = t.dispatch, E = r.useCallback(function(H, z) {
          return R({
            type: f.setRowState,
            rowId: H,
            value: z
          });
        }, [R]), b = r.useCallback(function(H, z, q) {
          return R({
            type: f.setCellState,
            rowId: H,
            columnId: z,
            value: q
          });
        }, [R]), L = D(p);
        ce(function() {
          L() && R({
            type: f.resetRowState
          });
        }, [c]), Object.assign(t, {
          setRowState: E,
          setCellState: b
        });
      }
      function u(t, o) {
        var p = o.instance, c = p.initialRowStateAccessor, R = c === void 0 ? Yr : c, E = p.initialCellStateAccessor, b = E === void 0 ? Xr : E, L = p.state.rowState;
        t && (t.state = typeof L[t.id] < "u" ? L[t.id] : R(t), t.setState = function(H) {
          return p.setRowState(t.id, H);
        }, t.cells.forEach(function(H) {
          t.state.cellState || (t.state.cellState = {}), H.state = typeof t.state.cellState[H.column.id] < "u" ? t.state.cellState[H.column.id] : b(H), H.setState = function(z) {
            return p.setCellState(t.id, H.column.id, z);
          };
        }));
      }
      f.resetColumnOrder = "resetColumnOrder", f.setColumnOrder = "setColumnOrder";
      var m = function(o) {
        o.stateReducers.push(y), o.visibleColumnsDeps.push(function(p, c) {
          var R = c.instance;
          return [].concat(p, [R.state.columnOrder]);
        }), o.visibleColumns.push(T), o.useInstance.push(x);
      };
      m.pluginName = "useColumnOrder";
      function y(t, o, p, c) {
        if (o.type === f.init)
          return n({
            columnOrder: []
          }, t);
        if (o.type === f.resetColumnOrder)
          return n({}, t, {
            columnOrder: c.initialState.columnOrder || []
          });
        if (o.type === f.setColumnOrder)
          return n({}, t, {
            columnOrder: $(o.columnOrder, t.columnOrder)
          });
      }
      function T(t, o) {
        var p = o.instance.state.columnOrder;
        if (!p || !p.length)
          return t;
        for (var c = [].concat(p), R = [].concat(t), E = [], b = function() {
          var H = c.shift(), z = R.findIndex(function(q) {
            return q.id === H;
          });
          z > -1 && E.push(R.splice(z, 1)[0]);
        }; R.length && c.length; )
          b();
        return [].concat(E, R);
      }
      function x(t) {
        var o = t.dispatch;
        t.setColumnOrder = r.useCallback(function(p) {
          return o({
            type: f.setColumnOrder,
            columnOrder: p
          });
        }, [o]);
      }
      P.canResize = !0, f.columnStartResizing = "columnStartResizing", f.columnResizing = "columnResizing", f.columnDoneResizing = "columnDoneResizing", f.resetResize = "resetResize";
      var N = function(o) {
        o.getResizerProps = [G], o.getHeaderProps.push({
          style: {
            position: "relative"
          }
        }), o.stateReducers.push(j), o.useInstance.push(se), o.useInstanceBeforeDimensions.push(U);
      }, G = function(o, p) {
        var c = p.instance, R = p.header, E = c.dispatch, b = function(H, z) {
          var q = !1;
          if (H.type === "touchstart") {
            if (H.touches && H.touches.length > 1)
              return;
            q = !0;
          }
          var le = te(z), J = le.map(function(ve) {
            return [ve.id, ve.totalWidth];
          }), oe = q ? Math.round(H.touches[0].clientX) : H.clientX, pe, X, be = function() {
            window.cancelAnimationFrame(pe), pe = null, E({
              type: f.columnDoneResizing
            });
          }, Ie = function() {
            window.cancelAnimationFrame(pe), pe = null, E({
              type: f.columnResizing,
              clientX: X
            });
          }, Oe = function(me) {
            X = me, pe || (pe = window.requestAnimationFrame(Ie));
          }, he = {
            mouse: {
              moveEvent: "mousemove",
              moveHandler: function(me) {
                return Oe(me.clientX);
              },
              upEvent: "mouseup",
              upHandler: function(me) {
                document.removeEventListener("mousemove", he.mouse.moveHandler), document.removeEventListener("mouseup", he.mouse.upHandler), be();
              }
            },
            touch: {
              moveEvent: "touchmove",
              moveHandler: function(me) {
                return me.cancelable && (me.preventDefault(), me.stopPropagation()), Oe(me.touches[0].clientX), !1;
              },
              upEvent: "touchend",
              upHandler: function(me) {
                document.removeEventListener(he.touch.moveEvent, he.touch.moveHandler), document.removeEventListener(he.touch.upEvent, he.touch.moveHandler), be();
              }
            }
          }, je = q ? he.touch : he.mouse, Qe = Mt() ? {
            passive: !1
          } : !1;
          document.addEventListener(je.moveEvent, je.moveHandler, Qe), document.addEventListener(je.upEvent, je.upHandler, Qe), E({
            type: f.columnStartResizing,
            columnId: z.id,
            columnWidth: z.totalWidth,
            headerIdWidths: J,
            clientX: oe
          });
        };
        return [o, {
          onMouseDown: function(H) {
            return H.persist() || b(H, R);
          },
          onTouchStart: function(H) {
            return H.persist() || b(H, R);
          },
          style: {
            cursor: "col-resize"
          },
          draggable: !1,
          role: "separator"
        }];
      };
      N.pluginName = "useResizeColumns";
      function j(t, o) {
        if (o.type === f.init)
          return n({
            columnResizing: {
              columnWidths: {}
            }
          }, t);
        if (o.type === f.resetResize)
          return n({}, t, {
            columnResizing: {
              columnWidths: {}
            }
          });
        if (o.type === f.columnStartResizing) {
          var p = o.clientX, c = o.columnId, R = o.columnWidth, E = o.headerIdWidths;
          return n({}, t, {
            columnResizing: n({}, t.columnResizing, {
              startX: p,
              headerIdWidths: E,
              columnWidth: R,
              isResizingColumn: c
            })
          });
        }
        if (o.type === f.columnResizing) {
          var b = o.clientX, L = t.columnResizing, H = L.startX, z = L.columnWidth, q = L.headerIdWidths, le = q === void 0 ? [] : q, J = b - H, oe = J / z, pe = {};
          return le.forEach(function(X) {
            var be = X[0], Ie = X[1];
            pe[be] = Math.max(Ie + Ie * oe, 0);
          }), n({}, t, {
            columnResizing: n({}, t.columnResizing, {
              columnWidths: n({}, t.columnResizing.columnWidths, {}, pe)
            })
          });
        }
        if (o.type === f.columnDoneResizing)
          return n({}, t, {
            columnResizing: n({}, t.columnResizing, {
              startX: null,
              isResizingColumn: null
            })
          });
      }
      var U = function(o) {
        var p = o.flatHeaders, c = o.disableResizing, R = o.getHooks, E = o.state.columnResizing, b = D(o);
        p.forEach(function(L) {
          var H = de(L.disableResizing === !0 ? !1 : void 0, c === !0 ? !1 : void 0, !0);
          L.canResize = H, L.width = E.columnWidths[L.id] || L.originalWidth || L.width, L.isResizing = E.isResizingColumn === L.id, H && (L.getResizerProps = B(R().getResizerProps, {
            instance: b(),
            header: L
          }));
        });
      };
      function se(t) {
        var o = t.plugins, p = t.dispatch, c = t.autoResetResize, R = c === void 0 ? !0 : c, E = t.columns;
        F(o, ["useAbsoluteLayout"], "useResizeColumns");
        var b = D(R);
        ce(function() {
          b() && p({
            type: f.resetResize
          });
        }, [E]);
        var L = r.useCallback(function() {
          return p({
            type: f.resetResize
          });
        }, [p]);
        Object.assign(t, {
          resetResizing: L
        });
      }
      function te(t) {
        var o = [], p = function c(R) {
          R.columns && R.columns.length && R.columns.map(c), o.push(R);
        };
        return p(t), o;
      }
      var ne = {
        position: "absolute",
        top: 0
      }, Y = function(o) {
        o.getTableBodyProps.push(ee), o.getRowProps.push(ee), o.getHeaderGroupProps.push(ee), o.getFooterGroupProps.push(ee), o.getHeaderProps.push(function(p, c) {
          var R = c.column;
          return [p, {
            style: n({}, ne, {
              left: R.totalLeft + "px",
              width: R.totalWidth + "px"
            })
          }];
        }), o.getCellProps.push(function(p, c) {
          var R = c.cell;
          return [p, {
            style: n({}, ne, {
              left: R.column.totalLeft + "px",
              width: R.column.totalWidth + "px"
            })
          }];
        }), o.getFooterProps.push(function(p, c) {
          var R = c.column;
          return [p, {
            style: n({}, ne, {
              left: R.totalLeft + "px",
              width: R.totalWidth + "px"
            })
          }];
        });
      };
      Y.pluginName = "useAbsoluteLayout";
      var ee = function(o, p) {
        var c = p.instance;
        return [o, {
          style: {
            position: "relative",
            width: c.totalColumnsWidth + "px"
          }
        }];
      }, fe = {
        display: "inline-block",
        boxSizing: "border-box"
      }, ge = function(o, p) {
        var c = p.instance;
        return [o, {
          style: {
            display: "flex",
            width: c.totalColumnsWidth + "px"
          }
        }];
      }, Pe = function(o) {
        o.getRowProps.push(ge), o.getHeaderGroupProps.push(ge), o.getFooterGroupProps.push(ge), o.getHeaderProps.push(function(p, c) {
          var R = c.column;
          return [p, {
            style: n({}, fe, {
              width: R.totalWidth + "px"
            })
          }];
        }), o.getCellProps.push(function(p, c) {
          var R = c.cell;
          return [p, {
            style: n({}, fe, {
              width: R.column.totalWidth + "px"
            })
          }];
        }), o.getFooterProps.push(function(p, c) {
          var R = c.column;
          return [p, {
            style: n({}, fe, {
              width: R.totalWidth + "px"
            })
          }];
        });
      };
      Pe.pluginName = "useBlockLayout";
      function Ue(t) {
        t.getTableProps.push(Ae), t.getRowProps.push(ie), t.getHeaderGroupProps.push(ie), t.getFooterGroupProps.push(ie), t.getHeaderProps.push(Ve), t.getCellProps.push(Ce), t.getFooterProps.push(Fe);
      }
      Ue.pluginName = "useFlexLayout";
      var Ae = function(o, p) {
        var c = p.instance;
        return [o, {
          style: {
            minWidth: c.totalColumnsMinWidth + "px"
          }
        }];
      }, ie = function(o, p) {
        var c = p.instance;
        return [o, {
          style: {
            display: "flex",
            flex: "1 0 auto",
            minWidth: c.totalColumnsMinWidth + "px"
          }
        }];
      }, Ve = function(o, p) {
        var c = p.column;
        return [o, {
          style: {
            boxSizing: "border-box",
            flex: c.totalFlexWidth ? c.totalFlexWidth + " 0 auto" : void 0,
            minWidth: c.totalMinWidth + "px",
            width: c.totalWidth + "px"
          }
        }];
      }, Ce = function(o, p) {
        var c = p.cell;
        return [o, {
          style: {
            boxSizing: "border-box",
            flex: c.column.totalFlexWidth + " 0 auto",
            minWidth: c.column.totalMinWidth + "px",
            width: c.column.totalWidth + "px"
          }
        }];
      }, Fe = function(o, p) {
        var c = p.column;
        return [o, {
          style: {
            boxSizing: "border-box",
            flex: c.totalFlexWidth ? c.totalFlexWidth + " 0 auto" : void 0,
            minWidth: c.totalMinWidth + "px",
            width: c.totalWidth + "px"
          }
        }];
      };
      f.columnStartResizing = "columnStartResizing", f.columnResizing = "columnResizing", f.columnDoneResizing = "columnDoneResizing", f.resetResize = "resetResize";
      function Ze(t) {
        t.stateReducers.push(We), t.getTableProps.push(ke), t.getHeaderProps.push(Me), t.getRowProps.push(at);
      }
      Ze.pluginName = "useGridLayout";
      var ke = function(o, p) {
        var c = p.instance, R = c.visibleColumns.map(function(E) {
          var b;
          return c.state.gridLayout.columnWidths[E.id] ? c.state.gridLayout.columnWidths[E.id] + "px" : (b = c.state.columnResizing) != null && b.isResizingColumn ? c.state.gridLayout.startWidths[E.id] + "px" : typeof E.width == "number" ? E.width + "px" : E.width;
        });
        return [o, {
          style: {
            display: "grid",
            gridTemplateColumns: R.join(" ")
          }
        }];
      }, Me = function(o, p) {
        var c = p.column;
        return [o, {
          id: "header-cell-" + c.id,
          style: {
            position: "sticky",
            //enables a scroll wrapper to be placed around the table and have sticky headers
            gridColumn: "span " + c.totalVisibleHeaderCount
          }
        }];
      }, at = function(o, p) {
        var c = p.row;
        return c.isExpanded ? [o, {
          style: {
            gridColumn: "1 / " + (c.cells.length + 1)
          }
        }] : [o, {}];
      };
      function We(t, o, p, c) {
        if (o.type === f.init)
          return n({
            gridLayout: {
              columnWidths: {}
            }
          }, t);
        if (o.type === f.resetResize)
          return n({}, t, {
            gridLayout: {
              columnWidths: {}
            }
          });
        if (o.type === f.columnStartResizing) {
          var R = o.columnId, E = o.headerIdWidths, b = nt(R);
          if (b !== void 0) {
            var L = c.visibleColumns.reduce(function(ve, me) {
              var ye;
              return n({}, ve, (ye = {}, ye[me.id] = nt(me.id), ye));
            }, {}), H = c.visibleColumns.reduce(function(ve, me) {
              var ye;
              return n({}, ve, (ye = {}, ye[me.id] = me.minWidth, ye));
            }, {}), z = c.visibleColumns.reduce(function(ve, me) {
              var ye;
              return n({}, ve, (ye = {}, ye[me.id] = me.maxWidth, ye));
            }, {}), q = E.map(function(ve) {
              var me = ve[0];
              return [me, nt(me)];
            });
            return n({}, t, {
              gridLayout: n({}, t.gridLayout, {
                startWidths: L,
                minWidths: H,
                maxWidths: z,
                headerIdGridWidths: q,
                columnWidth: b
              })
            });
          } else
            return t;
        }
        if (o.type === f.columnResizing) {
          var le = o.clientX, J = t.columnResizing.startX, oe = t.gridLayout, pe = oe.columnWidth, X = oe.minWidths, be = oe.maxWidths, Ie = oe.headerIdGridWidths, Oe = Ie === void 0 ? [] : Ie, he = le - J, je = he / pe, Qe = {};
          return Oe.forEach(function(ve) {
            var me = ve[0], ye = ve[1];
            Qe[me] = Math.min(Math.max(X[me], ye + ye * je), be[me]);
          }), n({}, t, {
            gridLayout: n({}, t.gridLayout, {
              columnWidths: n({}, t.gridLayout.columnWidths, {}, Qe)
            })
          });
        }
        if (o.type === f.columnDoneResizing)
          return n({}, t, {
            gridLayout: n({}, t.gridLayout, {
              startWidths: {},
              minWidths: {},
              maxWidths: {}
            })
          });
      }
      function nt(t) {
        var o, p = (o = document.getElementById("header-cell-" + t)) == null ? void 0 : o.offsetWidth;
        if (p !== void 0)
          return p;
      }
      i._UNSTABLE_usePivotColumns = zr, i.actions = f, i.defaultColumn = P, i.defaultGroupByFn = kr, i.defaultOrderByFn = Un, i.defaultRenderer = S, i.emptyRenderer = A, i.ensurePluginOrder = F, i.flexRender = Z, i.functionalUpdate = $, i.loopHooks = k, i.makePropGetter = B, i.makeRenderer = Q, i.reduceHooks = I, i.safeUseLayoutEffect = K, i.useAbsoluteLayout = Y, i.useAsyncDebounce = V, i.useBlockLayout = Pe, i.useColumnOrder = m, i.useExpanded = $n, i.useFilters = Pr, i.useFlexLayout = Ue, i.useGetLatest = D, i.useGlobalFilter = Ar, i.useGridLayout = Ze, i.useGroupBy = jn, i.useMountedLayoutEffect = ce, i.usePagination = Hr, i.useResizeColumns = N, i.useRowSelect = Jn, i.useRowState = Jr, i.useSortBy = Dr, i.useTable = fr, Object.defineProperty(i, "__esModule", { value: !0 });
    });
  }(so, so.exports)), so.exports;
}
process.env.NODE_ENV === "production" ? gs.exports = Vu() : gs.exports = ju();
var Ku = gs.exports;
const Uu = [
  { Header: "S. No.", accessor: "sNo" },
  {
    Header: "Name",
    accessor: "name",
    classes: "text-start ps-3",
    style: { width: "7rem" }
  },
  { Header: "Description", accessor: "about" },
  { Header: "Type", accessor: "type" },
  { Header: "Status", accessor: "status" },
  { Header: "Assignee", accessor: "assignee" },
  { Header: "Actions" }
], qu = [
  {
    sNo: 1,
    type: "Page",
    status: "NEW",
    assignee: "mohiit1502"
  },
  {
    sNo: 2,
    name: "shape",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 3,
    name: "dataSource",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 4,
    name: "richControls",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 5,
    name: "theme",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 6,
    name: "pageSections",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 7,
    name: "functionalities",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 8,
    name: "animations",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 9,
    name: "elements",
    type: "Component",
    status: "NEW"
  },
  {
    sNo: 10,
    name: "controls",
    type: "Component",
    status: "NEW"
  }
], Yu = {
  [io.COMFORTABLE]: {
    paddingClass: "p-3",
    fontClass: "f4"
  },
  [io.NORMAL]: {
    paddingClass: "p-2",
    fontClass: "f35"
  },
  [io.COMPACT]: {
    paddingClass: "p-1",
    fontClass: "f3"
  }
}, Xu = (h) => {
  const { columns: a, data: i, demo: r, layout: d } = h, g = Mn(
    () => a || (r ? Uu : []),
    []
  ), n = i || (r ? qu : []), { getTableProps: v, headerGroups: w, rows: l, prepareRow: C } = Ku.useTable({
    columns: g,
    data: n
  }), f = Yu[d || io.NORMAL];
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-Table border border-radius-l2 w-100 h-100 overflow-auto${d ? " " + d : ""} ${f.fontClass}`,
      children: /* @__PURE__ */ _("table", { className: "w-100 text-center h-100", ...v(), children: [
        /* @__PURE__ */ s("thead", { children: w == null ? void 0 : w.map((S) => /* @__PURE__ */ s("tr", { ...S.getHeaderGroupProps(), children: S.headers.map((A) => /* @__PURE__ */ s(
          "th",
          {
            className: `border-bottom ${f.paddingClass}`,
            ...A.getHeaderProps(),
            children: A.render("Header")
          }
        )) })) }),
        /* @__PURE__ */ s("tbody", { className: "overflow-auto", children: l == null ? void 0 : l.map((S, A) => (C(S), /* @__PURE__ */ s("tr", { className: "border-bottom", ...S.getRowProps(), children: S.cells.map((P) => /* @__PURE__ */ s(
          "td",
          {
            className: `${f.paddingClass} ${P.column.classes}`,
            style: P.column.style,
            ...P.getCellProps(),
            children: P.render("Cell")
          }
        )) }))) })
      ] })
    }
  );
}, Ju = Xu;
const Qu = (h) => {
  const { clickHandler: a, classes: i, hideHeader: r, label: d, tags: g } = h;
  return /* @__PURE__ */ s("div", { className: `ar-Tags w-100${i ? " " + i : ""}`, children: /* @__PURE__ */ _("div", { className: "h-100", children: [
    !r && /* @__PURE__ */ _("div", { className: "ar-Tags__header fw-bold border-bottom py-1 px-2", children: [
      /* @__PURE__ */ s("div", { className: "d-inline-block me-2", children: (d || "") + " Tags" }),
      /* @__PURE__ */ _(Qt, { classes: "d-inline-block", trigger: $t.HOVER, children: [
        /* @__PURE__ */ s(
          "div",
          {
            slot: lt.POPOVER,
            style: {
              width: "6rem",
              whiteSpace: "normal",
              lineHeight: "1.2rem"
            },
            children: "Please use up/down arrows to indicate if a tag matches the icon."
          }
        ),
        /* @__PURE__ */ s(
          Le,
          {
            icon: "md.MdInfoOutline",
            slot: lt.ANCHOR
          }
        )
      ] })
    ] }),
    /* @__PURE__ */ s("div", { className: "ar-Tags__container flex-h-center", children: /* @__PURE__ */ s(
      bi,
      {
        clickHandler: a,
        type: fs.BUBBLE,
        data: g
      }
    ) })
  ] }) });
}, Ei = Qu;
const Zu = (h) => {
  const {
    action: a,
    actionIcon: i,
    assistiveContent: r,
    classes: d,
    containerClasses: g,
    isDisabled: n,
    id: v,
    label: w,
    labelClasses: l,
    labelPlacement: C = St.TOP,
    name: f,
    size: S,
    onBlur: A,
    onChange: P,
    onFocus: O,
    placeholder: M,
    required: B,
    subtitle: I,
    theme: k,
    type: F,
    value: $,
    ...D
  } = h, [K, ce] = W(), [V, Q] = W(!1), [Z, we] = W(), et = (Ge) => {
    "persist" in Ge && Ge.persist(), ce(Ge.target.value), P && P(Ge, v);
  };
  ae(() => {
    ce($);
  }, [$]);
  const Ne = r ? "content" in r && "onClick" in r ? /* @__PURE__ */ s(
    it,
    {
      classes: "mb-2 p-0 f3",
      variant: st.LINK,
      content: r.content,
      onClick: r.onClick
    }
  ) : r : null, ue = /* @__PURE__ */ _("div", { className: "ar-TextInput__label-container", children: [
    /* @__PURE__ */ _("div", { className: "ar-TextInput__label-container__label-assistive-text justify-content-between", children: [
      /* @__PURE__ */ s(
        "label",
        {
          className: `ar-TextInput__label h-100 fw-bold flex-v-center${l ? " " + l : ""}${B ? " required" : ""} ${I || C === St.LEFT ? "me-2" : "mb-2"}`,
          htmlFor: v,
          children: w
        }
      ),
      Ne
    ] }),
    I && /* @__PURE__ */ _("div", { className: "ar-TextInput__label-container__subtitle small subtitle mb-2", children: [
      /* @__PURE__ */ s(
        Le,
        {
          icon: "io5.IoInformationCircleOutline",
          classes: "me-2",
          size: "0.8rem",
          color: k === Ke.DARK1 ? "#868686" : "#797979"
        }
      ),
      I
    ] })
  ] }), He = (Ge) => {
    Q(!0), O && O(Ge);
  }, re = (Ge) => {
    Q(!1), A && A(Ge);
  }, Se = () => {
    switch (F) {
      case "slider":
        return /* @__PURE__ */ s(
          sr,
          {
            onChange: et,
            onFocus: (Ge) => He(Ge),
            focussed: V,
            ...h
          }
        );
      default:
        return /* @__PURE__ */ _("div", { className: "ar-TextInput__input-container w-100 position-relative flex-center", children: [
          /* @__PURE__ */ s(
            "input",
            {
              id: v,
              disabled: n,
              name: f || v,
              type: F === "password" ? Z ? "text" : F : F || "text",
              className: `ar-TextInput__input h-100 w-100 form-component p-2${d ? " " + d : ""}${w ? "" : " w-100"}`,
              onChange: et,
              onFocus: He,
              onBlur: re,
              placeholder: V ? "" : M,
              required: B,
              value: F !== "file" ? K : "",
              ...D
            }
          ),
          /* @__PURE__ */ s(
            Le,
            {
              classes: `ar-TextInput__clear-button position-absolute ${S === mt.SMALL ? "top-point25" : "top-point5"} ${a && K ? "end-2point5" : "end-point5"} cursor-pointer${K ? " has-value" : ""}`,
              icon: "io5.IoClose",
              onClick: () => {
                et({ target: { value: "" } });
              },
              color: k === Ke.DARK1 ? "#868686" : "#797979"
            }
          ),
          a && K && (i || /* @__PURE__ */ s(
            Le,
            {
              classes: "cursor-pointer px-2 h-100",
              icon: "fa.FaCheckCircle",
              color: "#28a745",
              size: "2rem",
              onClick: () => a(K)
            }
          )),
          F === "password" && /* @__PURE__ */ s(
            qt,
            {
              containerClasses: "position-absolute end-0 top-0 mt-2 me-2",
              src: Z ? "io/IoMdEyeOff" : "io/IoMdEye",
              onClick: () => we(!Z)
            }
          )
        ] });
    }
  };
  let rt = null, Te = "";
  switch (C) {
    case St.LEFT:
    case St.RIGHT:
      break;
    case St.BOTTOM:
    case St.TOP:
    default:
      Te = w ? "flex-column" : "";
      break;
  }
  switch (C) {
    case St.LEFT:
    case St.TOP:
    default:
      rt = /* @__PURE__ */ _(ut, { children: [
        ue,
        Se()
      ] });
      break;
    case St.BOTTOM:
    case St.RIGHT:
      rt = /* @__PURE__ */ _(ut, { children: [
        Se(),
        ue
      ] });
      break;
  }
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-TextInput position-relative w-100 d-flex${V ? " focussed border-bottom-0" : ""}${g ? " " + g : ""}${" " + Te}${S ? " " + S : ""}`,
      children: rt
    }
  );
}, dn = Zu;
const Ii = [];
for (let h = 0; h <= 60; h++) {
  const a = Rt.pad(h);
  Ii.push({ label: a, name: a, value: h });
}
const ed = (h) => {
  const a = [];
  for (let i = h ? 0 : 1; i <= (h ? 23 : 12); i++)
    a.push({ label: "" + i, name: "" + i, value: i });
  return a;
}, td = (h) => {
  const { classes: a, is24Hour: i, isDisabled: r, label: d, onChange: g, required: n, size: v } = h, [w, l] = W({}), C = Mn(() => ed(i), [i]), f = (S, A) => {
    const P = { ...w };
    P[S] = A, l(P);
    let O = "";
    P.hour && (O += P.hour), P.minute && P.hour && (O += ":" + P.minute + " "), !i && P.ampm && P.hour && (O += P.ampm), g && g({
      raw: P,
      formatted: O
    });
  };
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-TimeEntry${a ? " " + a : ""}${v ? " " + v : ""}`,
      children: [
        d && /* @__PURE__ */ s(
          "label",
          {
            className: `ar-TimeEntry__label fw-bold mb-2 d-inline-block${n ? " required" : ""}`,
            children: d
          }
        ),
        /* @__PURE__ */ _("div", { className: "ar-TimeEntry__controls flex-v-center", children: [
          C && /* @__PURE__ */ s(
            lr,
            {
              classes: "me-2",
              options: C,
              onSelectionChanged: (S) => f("hour", "" + S.value),
              size: v,
              isDisabled: r
            }
          ),
          ":",
          /* @__PURE__ */ s(
            lr,
            {
              classes: "mx-2",
              options: Ii,
              onSelectionChanged: (S) => f("minute", "" + S.value),
              size: v,
              isDisabled: r
            }
          ),
          !i && /* @__PURE__ */ s(
            lr,
            {
              options: [
                { label: "AM", name: "AM", value: "am" },
                { label: "PM", name: "PM", value: "pm" }
              ],
              onSelectionChanged: (S) => f("ampm", "" + S.value),
              size: v,
              isDisabled: r
            }
          )
        ] })
      ]
    }
  );
}, vs = td;
const nd = (h) => {
  const { children: a, demo: i, ...r } = h;
  return /* @__PURE__ */ s(
    As,
    {
      contentClasses: "overflow-auto",
      trigger: $t.HOVER,
      animation: [
        en.EXPANDSHRINK,
        en.FADEINOUT
      ],
      demo: i,
      hideMarker: !0,
      preserveMarkerSpace: !0,
      ...r,
      children: a
    }
  );
}, Sn = nd;
const ls = Rt.isMobile(), Ti = (h, a, i, r, d, g, n, v, w, l, C) => {
  const f = h == null ? void 0 : h.map((S, A) => /* @__PURE__ */ s(
    rd,
    {
      customTooltip: v,
      data: S,
      hierarchyLevel: a,
      indentation: w,
      indentationUnit: l,
      isAddButton: S.id === "add-button-id",
      isDraggable: i,
      onItemSelect: r,
      setSelected: d,
      selected: g,
      showTooltip: n,
      theme: C
    },
    "TreeListItem" + A
  ));
  return (h == null ? void 0 : h.length) > 0 ? /* @__PURE__ */ s("ul", { className: "ar-TreeList__list list-unstyled", children: f }) : a === 0 && /* @__PURE__ */ s("i", { className: "flex-center mt-5", children: "List is empty" });
}, rd = (h) => {
  const {
    customTooltip: a,
    data: i,
    hierarchyLevel: r,
    indentation: d = 0.8,
    indentationUnit: g = "rem",
    isAddButton: n,
    isDraggable: v,
    onItemSelect: w,
    selected: l,
    setSelected: C,
    showTooltip: f,
    theme: S
  } = h, [A, P] = W(i.expanded), [O, M] = W();
  ae(() => {
    P(i.expanded);
  }, [i.expanded]);
  let B = null;
  i.children && (B = Ti(
    i.children,
    r + 1,
    v,
    w,
    C,
    l,
    f,
    a,
    d,
    g,
    S
  ));
  const I = () => {
    i.onItemSelect && i.onItemSelect(i), w && !i.skipParentSelector ? w(i) : console.warn(
      "Parent Selector not called due to the tree item property skipParentSelector!"
    ), C && C(i.id), B && P(!A);
  }, k = i.label === !0 ? "true" : i.label === !1 ? "false" : i.label, F = /* @__PURE__ */ _(
    "span",
    {
      className: `ar-TreeListItem__label flex-v-center py-2 w-100${l && l === i.id ? " selected" : ""}`,
      style: {
        paddingLeft: r > 0 ? d * r + g : 0
      },
      onClick: I,
      slot: lt.ANCHOR,
      children: [
        B ? /* @__PURE__ */ s(
          Le,
          {
            classes: `me-1${O ? " hover-highlight" : ""}`,
            color: S === Ke.DARK1 ? "white" : "black",
            icon: `${Kt}/md/MdKeyboardArrowRight`,
            onMouseEnter: () => M(!0),
            onMouseLeave: () => M(!1),
            onClick: (D) => {
              D.stopPropagation(), B && P(!A);
            }
          }
        ) : /* @__PURE__ */ s(
          "span",
          {
            className: "d-inline-block",
            style: { height: "1rem", width: "1.25rem" }
          }
        ),
        n ? /* @__PURE__ */ s(
          it,
          {
            size: mt.SMALL,
            variant: st.LINKHOVEREFFECT,
            content: i.label
          }
        ) : /* @__PURE__ */ s(
          "span",
          {
            className: `ar-ItemContent${B && !A ? " fw-bold" : ""}`,
            children: k
          }
        ),
        i.badges && i.badges.map((D, K) => /* @__PURE__ */ s(
          Is,
          {
            classes: `position-static d-inline-flex ${K === 0 ? "ms-auto" : "ms-1"}`,
            ...D
          }
        ))
      ]
    }
  ), $ = /* @__PURE__ */ _(
    "li",
    {
      className: `ar-TreeListItem position-relative${A ? " expanded" : ""}`,
      children: [
        f ? /* @__PURE__ */ _(Sn, { children: [
          F,
          /* @__PURE__ */ s(
            "div",
            {
              className: "ar-ItemContent__tooltip",
              slot: lt.POPOVER,
              children: a ? a(i) : k
            }
          )
        ] }) : F,
        /* @__PURE__ */ s("div", { className: A ? "" : "invisible", children: B })
      ]
    }
  );
  return v ? /* @__PURE__ */ s(ho, { itemData: i, itemType: Ut.TREELISTITEM, children: $ }) : $;
}, od = (h) => {
  const {
    classes: a,
    customTooltip: i,
    data: r,
    demo: d,
    firstExpanded: g,
    indentation: n,
    isDraggable: v,
    noSearch: w,
    onItemSelect: l,
    showTooltip: C,
    theme: f,
    title: S,
    withAddButton: A
  } = h, [P, O] = W(), [M, B] = W(), [I, k] = W();
  g && r && r[0] && (r[0].expanded = !0);
  const F = [
    { label: "parent", children: [{ label: "child1" }, { label: "child2" }] }
  ];
  let $ = 0.8, D = "rem";
  if (n) {
    if (n.endsWith("rem"))
      try {
        $ = +n.substring(0, n.indexOf("rem")), $ = $ * (ls ? 14 : 16) > (ls ? 42 : 48) ? 0.8 : $;
      } catch {
      }
    else if (n.endsWith("px"))
      try {
        $ = +n.substring(0, n.indexOf("px")), $ = $ > (ls ? 42 : 48) ? 13 : $, D = "px";
      } catch {
      }
  }
  return ae(() => {
    if (r) {
      const K = [...r], ce = r.findIndex((V) => V.label === "add-button-id") > -1;
      A && !ce && K.push({
        label: "Add",
        id: "add-button-id",
        skipParentSelector: !0,
        onItemSelect: () => {
        }
      }), k(K);
    }
  }, [r, A]), /* @__PURE__ */ _("div", { className: `ar-TreeList${a ? " " + a : ""}`, children: [
    S && /* @__PURE__ */ s("strong", { className: "d-block my-2", children: S }),
    !w && /* @__PURE__ */ s(
      _s,
      {
        items: I || (d ? F : []),
        onChange: (K, ce) => O(ce),
        searchKeys: ["label"],
        hidePopup: !0
      }
    ),
    Ti(
      P || I || (d ? F : []),
      0,
      v,
      l,
      B,
      M,
      C,
      i,
      $,
      D,
      f
    )
  ] });
}, sd = od;
const id = [
  { label: "test1", name: "test1" },
  { label: "test2", name: "test2" },
  { label: "test3", name: "test3" },
  { label: "test4", name: "test4" },
  { label: "test5", name: "test5" },
  { label: "test6", name: "test6" },
  { label: "test11", name: "test11" },
  { label: "test21", name: "test21" },
  { label: "test12", name: "test12" },
  { label: "test13", name: "test13" },
  { label: "test13", name: "test13" },
  { label: "test23", name: "test23" },
  { label: "test223", name: "test223" }
], ad = (h) => {
  const {
    assistiveContent: a,
    categories: i,
    categoryPlaceholder: r,
    classes: d,
    demo: g,
    fromSearch: n,
    itemRenderer: v,
    items: w,
    id: l,
    isMultiSelect: C,
    label: f,
    onChange: S,
    onItemSelected: A,
    outsourceMultiSelections: P,
    placeholder: O,
    required: M,
    resultRenderer: B,
    searchKeys: I,
    size: k,
    hidePopup: F,
    inputValue: $,
    theme: D,
    value: K
  } = h, [ce, V] = W(), [Q, Z] = W(), [we, et] = W(C ? [] : null), [Ne, ue] = W(), [He, re] = W(), Se = w || g && id, [rt, Te] = W("");
  ae(() => {
    V(Se), re(Se);
  }, [Se]), ae(() => {
    et(
      C ? Array.isArray(K) ? K : K ? [K] : [] : Array.isArray(K) && K.length > 0 ? K[0] : K || null
    );
  }, [K]), ae(() => {
    Z($);
  }, [$]), ae(() => {
    Ge({ target: { value: Q || "" } });
  }, [Q]);
  const Ge = (ze) => {
    let ct;
    if (!n) {
      const bt = !!I && (typeof I == "string" ? [I] : I);
      bt && Ne && bt.push(Ne), ct = ce && Rt.recrusiveFilter(ce, ze.target.value, !1, bt), re([...ct || []]);
    }
    S && S(
      ze,
      ct,
      ze.target.value || ""
    );
  }, de = (ze) => {
    let ct;
    if (C && (!we || Array.isArray(we))) {
      Z(""), ct = [...we || []];
      const bt = ct == null ? void 0 : ct.findIndex(
        (Mt) => Mt.label === ze.label
      );
      bt > -1 ? ct == null || ct.splice(bt, 1) : ct == null || ct.push(ze), et([...ct]);
    } else
      Z(ze.label), ct = ze, et(ct);
    A && A(ze, ct);
  }, Ye = He && He.map((ze) => /* @__PURE__ */ s(
    "div",
    {
      className: "ar-TypeAhead__search-results__item fw-bold lh-1-5 cursor-pointer hover-bg",
      onClick: () => de(ze),
      children: v ? v(ze) : ze.element || ze.label
    }
  )), ht = a ? typeof a != "string" && "content" in a && "onClick" in a ? /* @__PURE__ */ s(
    it,
    {
      containerClasses: "mb-2 p-0 f3",
      variant: st.LINK,
      content: a.content,
      onClick: a.onClick
    }
  ) : /* @__PURE__ */ _("span", { className: "d-inline-block mb-1 hover-underline", children: [
    /* @__PURE__ */ s(
      Le,
      {
        icon: "io5.IoInformationCircleOutline",
        classes: "me-2",
        size: "0.9rem",
        color: D === Ke.DARK1 ? "white" : "black"
      }
    ),
    a
  ] }) : null, ot = /* @__PURE__ */ _(
    "div",
    {
      className: `ar-TypeAhead__label-container flex-v-center justify-content-between ${f ? "me-3" : ""}`,
      children: [
        f && /* @__PURE__ */ s(
          "label",
          {
            className: `ar-TypeAhead__label h-100 mb-2 fw-bold${M ? " required" : ""}`,
            htmlFor: l,
            children: f
          }
        ),
        ht
      ]
    }
  ), pt = /* @__PURE__ */ _(ut, { children: [
    /* @__PURE__ */ s(
      dn,
      {
        containerClasses: C && !P ? "border-0 h-100 flex-center" : "form-component",
        classes: "ar-TypeAhead__input p-1 bg-transparent border-0",
        onBlur: () => {
          setTimeout(() => Te(""), 100);
        },
        onChange: (ze) => Z(ze.target.value),
        onFocus: () => Te("focussed"),
        placeholder: O || "Search...",
        size: k,
        value: Q || (C ? "" : we == null ? void 0 : we.label),
        type: "text"
      }
    ),
    /* @__PURE__ */ s(
      it,
      {
        content: /* @__PURE__ */ s(
          qt,
          {
            src: `${Kt}/ai/AiOutlineSearch`,
            color: D === Ke.DARK1 ? "#868686" : "#797979"
          }
        ),
        classes: `search-button bg-transparent ${rt ? " border-bottom-0 " : ""}${C && !P ? "border-0" : "form-component"}`
      }
    )
  ] });
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-TypeAhead d-flex w-100 position-relative flex-column${d ? " " + d : ""}`,
      id: l,
      children: [
        ot,
        /* @__PURE__ */ _("div", { className: "d-flex flex-1", children: [
          i && /* @__PURE__ */ s(
            go,
            {
              anchorClasses: "categories-bg",
              classes: "ar-TypeAhead__categories",
              context: "search",
              options: i,
              onSelectionChanged: (ze) => ue(ze.value),
              placeholder: r || "Select Category",
              hideDropdownMarker: !0,
              hasBorder: !0
            }
          ),
          /* @__PURE__ */ _(
            "div",
            {
              className: `ar-TypeAhead__search-box d-flex flex-1 position-relative ${rt}`,
              children: [
                !C || P ? pt : /* @__PURE__ */ _("div", { className: "border flex-center flex-1 p-1", children: [
                  (we == null ? void 0 : we.length) > 0 && /* @__PURE__ */ s(
                    vo,
                    {
                      classes: "me-2 mxw-50",
                      data: we == null ? void 0 : we.filter((ze) => ze),
                      onChange: () => et([])
                    }
                  ),
                  /* @__PURE__ */ s("div", { className: "ar-TypeAhead__search-box__input-container flex-1 d-flex h-100", children: pt })
                ] }),
                !F && /* @__PURE__ */ s(
                  "div",
                  {
                    className: `ar-TypeAhead__search-results p-3 position-absolute top-100 start-0 w-100 bg z-1 ${rt ? "border overflow-auto" : "h-0 overflow-hidden"}${Ye && Ye.length > 0 ? "" : " flex-center"}`,
                    children: B ? B(He, w, de) : Ye && (Ye == null ? void 0 : Ye.length) > 0 ? Ye : /* @__PURE__ */ s("i", { children: Q ? /* @__PURE__ */ _(ut, { children: [
                      "No items matching the search string",
                      " ",
                      /* @__PURE__ */ _("span", { className: "fw-bold", children: [
                        '"',
                        Q,
                        '"'
                      ] })
                    ] }) : `Type to ${n ? "search" : "filter"}...` })
                  }
                )
              ]
            }
          )
        ] })
      ]
    }
  );
}, _s = ad;
const ld = (h) => {
  const { actions: a, classes: i, header: r, content: d, noPadContent: g } = h, n = cr();
  nn("Widget");
  const v = a && a.map((w) => {
    const { color: l, icon: C, label: f, onClick: S, route: A } = w, P = () => {
      S && typeof S == "function" ? S(w) : A && n(A);
    };
    return /* @__PURE__ */ s("div", { className: "ar-Widget__actions cursor-pointer", children: f ? /* @__PURE__ */ s(
      it,
      {
        content: f,
        postIcon: C,
        color: l,
        classes: "c-Widget__action-btn",
        onClick: P,
        size: mt.XSMALL,
        variant: st.LINK
      }
    ) : /* @__PURE__ */ s(
      Le,
      {
        icon: C,
        onClick: P,
        color: l,
        classes: "c-Widget__action-btn"
      }
    ) });
  });
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-Widget w-100 h-100 position-relative bg border border-radius-l2 d-flex flex-column low-shadow-dark${i ? " " + i : ""}`,
      children: [
        /* @__PURE__ */ _("div", { className: "ar-Widget__header w-100 px-3 py-1 border-bottom flex-v-center", children: [
          /* @__PURE__ */ s("strong", { children: r || "Widget" }),
          /* @__PURE__ */ s("span", { className: "ms-auto", children: v })
        ] }),
        /* @__PURE__ */ s(
          "div",
          {
            className: `ar-Widget__content flex-grow-1${g ? "" : " p-2"}`,
            children: d
          }
        )
      ]
    }
  );
}, ys = ld;
const cd = Qs.STATIC_HOST[process.env.NODE_ENV] + lo.STATIC.ICON.ROOT + lo.STATIC.ICON.PAGE, cs = [
  {
    name: "comfy",
    icon: "md/MdViewComfy",
    tooltip: "View Comfortable"
  },
  {
    name: "compact",
    icon: "md/MdViewCompact",
    tooltip: "View Compact"
  },
  {
    name: "list",
    icon: "io5/IoList",
    tooltip: "Quick Peak"
  }
], ud = (h) => {
  const {
    demo: a,
    view: i,
    hasSearch: r,
    hasViewSelector: d,
    isDraggable: g
  } = h, [n, v] = W(cs[0]), [w, l] = W(), C = jt(tn);
  ae(() => {
    if (i) {
      const S = cs.find(
        (A) => A.name === i.name
      );
      S && v(S);
    }
  }, [i]);
  const f = (S) => /* @__PURE__ */ _(
    "span",
    {
      className: `ar-ArIconsViewer__icon-container border-radius-l1 h-100 w-100${n.name !== Bn.LIST ? " flex-center" : " border flex-v-center"}`,
      slot: lt.ANCHOR,
      children: [
        /* @__PURE__ */ s(
          Le,
          {
            classes: g ? "" : "cursor-pointer",
            svgString: S.icon,
            size: "2rem",
            color: C === Ke.DARK1 ? "#0dcaf0b3" : "#0b8dfa"
          }
        ),
        n.name === Bn.LIST && /* @__PURE__ */ s(
          "span",
          {
            className: "ar-ArIconsViewer__label ms-2 p-2",
            style: {
              color: C === Ke.DARK1 ? "#0dcaf0b3" : "#0b8dfa"
            },
            children: S.name
          }
        )
      ]
    }
  );
  return /* @__PURE__ */ _("div", { className: "ar-ArIconsViewer w-100 h-100 d-flex flex-column", children: [
    (r || d) && /* @__PURE__ */ _("div", { className: "ar-ArIconsViewer__view-controls p-2 border mb-2 d-flex", children: [
      r && /* @__PURE__ */ s(
        co,
        {
          classes: "bg-white",
          placeholder: "Search by name, tags, description",
          onChange: Rt.debounce(
            (S) => l(S.target.value),
            1e3
          ),
          items: [],
          hidePopup: !0
        }
      ),
      d && /* @__PURE__ */ s(
        Ls,
        {
          classes: "ms-3",
          hasUniformSegments: !0,
          segments: cs,
          selected: n.name,
          onChange: (S) => v(S),
          demo: a
        }
      )
    ] }),
    /* @__PURE__ */ s("div", { className: "px-3 py-2 border flex-1", children: /* @__PURE__ */ s(
      mi,
      {
        apiEndpoint: cd,
        component: (S) => {
          const { icon: A } = S;
          let P = f(A);
          return P = g ? /* @__PURE__ */ s(
            ho,
            {
              itemType: Ut.ICON,
              itemData: A,
              slot: lt.ANCHOR,
              children: P
            }
          ) : P, P = n.name !== Bn.LIST ? /* @__PURE__ */ _(Sn, { classes: "flex-center", demo: a, children: [
            P,
            /* @__PURE__ */ s("span", { slot: lt.POPOVER, children: A.name })
          ] }) : P, P;
        },
        filters: w !== void 0 ? { search: w } : {},
        demo: a,
        gridClasses: n.name
      }
    ) })
  ] });
}, dd = ud;
const pd = ({ onChange: h }) => /* @__PURE__ */ _("div", { className: "ar-TSControlPanel flex-center flex-column mx-2", children: [
  /* @__PURE__ */ s(
    it,
    {
      classes: "mb-3",
      postIcon: "fa.FaAngleDoubleRight",
      content: "",
      variant: st.SECONDARY,
      onClick: () => h && h("all-right")
    }
  ),
  /* @__PURE__ */ s(
    it,
    {
      classes: "mb-3",
      postIcon: "fa.FaAngleRight",
      content: "",
      variant: st.SECONDARY,
      onClick: () => h && h("right")
    }
  ),
  /* @__PURE__ */ s(
    it,
    {
      classes: "mb-3",
      postIcon: "fa.FaAngleLeft",
      content: "",
      variant: st.SECONDARY,
      onClick: () => h && h("left")
    }
  ),
  /* @__PURE__ */ s(
    it,
    {
      postIcon: "fa.FaAngleDoubleLeft",
      content: "",
      variant: st.SECONDARY,
      onClick: () => h && h("all-left")
    }
  )
] }), fd = (h) => {
  const {
    demo: a,
    hasSearch: i,
    leftHeader: r,
    rightHeader: d,
    leftList: g,
    rightList: n,
    onChange: v
  } = h, [w, l] = W([]), [C, f] = W(
    []
  ), [S, A] = W([]), [P, O] = W([]), [M, B] = W([]), [I, k] = W([]);
  ae(() => {
    l(g), B(g);
  }, [g]), ae(() => {
    f(n || []), k(n || []);
  }, [n]);
  const F = (D) => {
    let K = w, ce = C;
    switch (D) {
      case "all-left":
        (C == null ? void 0 : C.length) > 0 && (K = [...w, ...C], ce = []);
        break;
      case "all-right":
        (w == null ? void 0 : w.length) > 0 && (ce = [...w, ...C], K = []);
        break;
      case "left":
        P && P.length > 0 && (K = [...w, ...P], ce = [...C], P == null || P.forEach((V) => {
          if (!Array.isArray(V)) {
            const Q = ce.findIndex(
              (Z) => !Array.isArray(Z) && Z.name === V.name
            );
            ce.splice(Q, 1);
          }
        }));
        break;
      case "right":
        S && S.length > 0 && (ce = [...C, ...S], K = [...w], S == null || S.forEach((V) => {
          if (!Array.isArray(V)) {
            const Q = K.findIndex(
              (Z) => !Array.isArray(Z) && Z.name === V.name
            );
            K.splice(Q, 1);
          }
        }));
        break;
      default:
        return;
    }
    A([]), O([]), ce = ce.map((V) => (!Array.isArray(V) && (V.isSelected = !1), V)), K = K.map((V) => (!Array.isArray(V) && (V.isSelected = !1), V)), f(ce), k(ce), l(K), B(K), v && v(K, ce);
  }, $ = (D, K) => {
    const ce = D === "left" ? A : O, V = [...D === "left" ? S : P];
    if (!Array.isArray(K)) {
      const Q = V == null ? void 0 : V.findIndex(
        (Z) => !Array.isArray(Z) && Z.name === K.name
      );
      Q > -1 ? V.splice(Q, 1) : V.push(K), ce(V);
    }
  };
  return /* @__PURE__ */ s("div", { className: "ar-TransferShuttle h-100 w-100", children: /* @__PURE__ */ _(vi, { gridTemplateColumns: "10fr 1fr 10fr", children: [
    /* @__PURE__ */ s(
      ys,
      {
        header: r || "Source List",
        content: /* @__PURE__ */ _(ut, { children: [
          i && /* @__PURE__ */ s(
            co,
            {
              classes: "mb-2",
              size: mt.SMALL,
              items: w.map((D) => (Array.isArray(D) || (D.label = D.label || D.name), D)),
              onChange: (D, K) => B(K),
              hidePopup: !0
            }
          ),
          M && M.length > 0 ? /* @__PURE__ */ s(
            un,
            {
              data: M.map((D) => (!Array.isArray(D) && (D.onClick = (K) => $("left", K)), D)),
              demo: a,
              isMultiSelect: !0,
              showCheckBoxes: !0
            }
          ) : /* @__PURE__ */ s("div", { className: "flex-center flex-1 fst-italic", children: "Nothing here!" })
        ] })
      }
    ),
    /* @__PURE__ */ s(pd, { onChange: F }),
    /* @__PURE__ */ s(
      ys,
      {
        header: d || "Target List",
        content: /* @__PURE__ */ _(ut, { children: [
          i && /* @__PURE__ */ s(
            co,
            {
              classes: "mb-2",
              size: mt.SMALL,
              items: C.map((D) => (Array.isArray(D) || (D.label = D.label || D.name), D)),
              onChange: (D, K) => k(K),
              hidePopup: !0
            }
          ),
          I && I.length > 0 ? /* @__PURE__ */ s(
            un,
            {
              data: I.map((D) => (!Array.isArray(D) && (D.onClick = (K) => $("right", K)), D)),
              demo: a,
              isMultiSelect: !0,
              showCheckBoxes: !0
            }
          ) : /* @__PURE__ */ s("div", { className: "flex-center flex-1 fst-italic", children: "Nothing here!" })
        ] })
      }
    )
  ] }) });
}, md = fd;
const us = Rt.isMobile();
let ds;
const hd = (h) => {
  const { children: a, classes: i, isCollapsible: r } = h, d = At(null), g = Rn(), n = jt(Yi), v = jt(tn);
  return nn("Drawer"), ae(() => {
    var w;
    us && (n != null && n.collapsed || (w = d.current) == null || w.focus());
  }, [n]), /* @__PURE__ */ _(
    "aside",
    {
      className: `ar-Drawer overflow-auto${i ? " " + i : ""}${r ? " position-relative" : ""}${n != null && n.collapsed ? " collapsed" : ""}`,
      tabIndex: -1,
      ref: d,
      onMouseDown: () => {
        us && (ds = !0, setTimeout(() => ds = !1, 0));
      },
      onBlur: () => {
        !ds && us && g(Gs({ collapsed: !0 }));
      },
      children: [
        r && /* @__PURE__ */ s(
          Le,
          {
            classes: "ar-Drawer__expander position-absolute cursor-pointer d-none d-sm-inline z-1",
            color: v === Ke.DARK1 ? "white" : "black",
            icon: n != null && n.collapsed ? "tb/TbLayoutSidebarLeftExpand" : "tb/TbLayoutSidebarLeftCollapse",
            size: "1.5rem",
            onClick: () => g(Gs({ collapsed: !(n != null && n.collapsed) }))
          }
        ),
        !(n != null && n.collapsed) && a
      ]
    }
  );
}, gd = hd;
const vd = Rt.isMobile(), yd = (h) => {
  const a = jt(tn), i = Rn();
  return nn("Footer"), /* @__PURE__ */ s("footer", { className: "ar-Footer w-100 d-flex py-1", children: vd ? /* @__PURE__ */ s(Oi, {}) : /* @__PURE__ */ s(
    mo,
    {
      classes: "ms-auto",
      isOn: a === Ke.DARK1,
      toggleOffName: "Go Dark",
      toggleOnName: "Go Dark",
      onChange: (r) => {
        const d = r ? Ke.DARK1 : Ke.LIGHT1;
        i(Xi(d)), document.getElementsByTagName("html")[0].setAttribute("ar-theme", d);
      }
    }
  ) });
}, bd = yd;
const wd = (h) => {
  const { url: a } = h, i = Rn();
  return /* @__PURE__ */ _("div", { className: "ar-LoginProvider position-relative h-100", children: [
    /* @__PURE__ */ s(
      "iframe",
      {
        src: a || On.IAM[process.env.NODE_ENV],
        title: "IAM",
        className: "ar-LoginProvider__frame h-100 w-100"
      }
    ),
    /* @__PURE__ */ s(
      it,
      {
        variant: st.LINKHOVEREFFECT,
        size: mt.SMALL,
        classes: "position-absolute top-0 end-0",
        content: "Close",
        onClick: () => i(or({ name: "" }))
      }
    )
  ] });
}, yo = wd;
const Cd = (h) => {
  const { defaultPage: a } = h;
  return /* @__PURE__ */ s(
    yo,
    {
      url: On.ARMORY[process.env.NODE_ENV] + (!a || a === Xs.LOGIN ? "/login" : "/join")
    }
  );
}, Ni = Cd;
const Sd = (h) => {
  const { defaultPage: a } = h;
  return /* @__PURE__ */ s(
    yo,
    {
      url: On.IAM[process.env.NODE_ENV] + (!a || a === Xs.LOGIN ? "/login" : "/signup")
    }
  );
}, Li = Sd;
const Rd = {
  LoginProvider: yo,
  StuffleIamProvider: Li,
  ArmcoIamProvider: Ni
  // Add more components and keys as needed
}, xd = po((h) => {
  const {
    classes: a,
    isFloating: i,
    component: r,
    componentName: d,
    componentProps: g,
    hideCloseButton: n,
    header: v,
    placement: w
  } = h, l = Rn();
  nn("SidePanel");
  let C;
  !r && d && (C = Rd[d]);
  const f = i ? !w || w === St.RIGHT ? " right right-0" : " left left-0" : !w || w === St.RIGHT ? "right" : "left";
  return r || d && C ? /* @__PURE__ */ s(
    "div",
    {
      className: `ar-SidePanel h-100 d-flex flex-column overflow-auto${i ? " floating position-absolute top-0" : " position-relative"}${" " + f}${d ? " " + d : ""}${a ? " " + a : ""}`,
      children: r || /* @__PURE__ */ _(ut, { children: [
        v && /* @__PURE__ */ s("div", { className: "ar-SidePanel__header row h6 p-3 flex-v-center", children: /* @__PURE__ */ s("div", { className: "col", children: v }) }),
        C && /* @__PURE__ */ s(C, { ...g }),
        !n && /* @__PURE__ */ s(
          it,
          {
            content: "Close",
            classes: "position-absolute top-0 end-0",
            variant: st.LINK,
            onClick: () => l(or({ name: "" }))
          }
        )
      ] })
    }
  ) : null;
}), Pd = xd;
const Ad = (h) => {
  const { children: a, classes: i, container: r, demo: d, styles: g } = h, [n, v] = W();
  return ae(() => (v(r || document.createElement("div")), () => v(null)), [r]), ae(() => {
    if (n) {
      const w = yt.getDocumentElement(d);
      if (w) {
        const l = w.getElementById("root");
        l && l.appendChild(n);
      }
      return () => {
        if (w) {
          const l = w.getElementById("root");
          l && l.removeChild(n);
        }
      };
    }
  }, [n, d]), ae(() => {
    n && (i && (n.className = i), n.classList.contains("ar-Portal") || n.classList.add("ar-Portal"), g && Object.assign(n.style, g));
  }, [i, g, n]), n ? na.createPortal(a, n) : null;
}, ks = Ad;
const Ed = (h) => {
  const { classes: a, isSticky: i, isFluid: r, children: d, order: g } = h, n = {}, v = [];
  return nn("Header"), d && vt.forEach(d, (w) => {
    var l;
    (l = w == null ? void 0 : w.props) != null && l.slot && (n[w.props.slot] = w);
  }), g && g.forEach((w) => v.push(n[w])), /* @__PURE__ */ s("div", { className: `ar-Header w-100${a ? " " + a : ""}`, children: r ? d : /* @__PURE__ */ s("div", { className: "ar-Header__container px-2", children: g ? v : /* @__PURE__ */ _("div", { className: "d-flex", children: [
    /* @__PURE__ */ _("div", { className: "ar-Header__right-container", children: [
      n[wn.LOGO],
      n[wn.SEARCH],
      n[wn.NAVBAR]
    ] }),
    /* @__PURE__ */ _("div", { className: "ar-Header__left-container ms-auto", children: [
      n[wn.ACTIONS],
      n[wn.NOTIFICATIONS],
      n[wn.SETTINGS],
      n[wn.USER]
    ] })
  ] }) }) });
}, Id = Ed;
const Td = (h) => {
  const { onSelectionChanged: a } = h, r = Array.from(Array(26)).map((d, g) => g + 65).map((d) => String.fromCharCode(d));
  return /* @__PURE__ */ _("div", { className: "c-AlphabetFilter", children: [
    /* @__PURE__ */ s("label", { className: "c-AlphabetFilter__label label", children: "Select icon starting with" }),
    /* @__PURE__ */ s("div", { className: "c-AlphabetFilter__pill-container", children: r.map((d) => /* @__PURE__ */ s(
      Cn,
      {
        classes: "rounded me-2 mb-3",
        data: { label: d },
        size: Js.SMALL,
        onClick: (g) => a(g, "alphabet")
      }
    )) })
  ] });
}, _i = Td;
const Nd = (h) => {
  const { classes: a, label: i, icon: r, url: d, theme: g } = h, n = cr();
  return /* @__PURE__ */ s(
    "div",
    {
      className: `ar-AppTile cursor-pointer${a ? " " + a : ""}`,
      onClick: () => n(d || "/"),
      children: /* @__PURE__ */ _("div", { className: "ar-AppTile__content flex-center flex-column p-2", children: [
        /* @__PURE__ */ s(
          Le,
          {
            classes: "mb-2",
            icon: r,
            size: "2rem",
            color: g === Ke.LIGHT1 ? "#777" : "#bbb",
            hoverColor: g === Ke.LIGHT1 ? "black" : "white"
          }
        ),
        /* @__PURE__ */ s("span", { className: "ar-AppTile__name", children: i })
      ] })
    }
  );
}, Ld = (h) => {
  const { data: a } = h, i = jt(tn);
  return /* @__PURE__ */ s("div", { className: "ar-AppAndToolsSelector px-3", children: /* @__PURE__ */ _("div", { className: "ar-AppAndToolsSelector__apps-container", children: [
    a.map((r, d) => {
      const g = r.items;
      return /* @__PURE__ */ _("div", { children: [
        /* @__PURE__ */ s("strong", { className: "border-bottom py-2 d-flex", children: r.label }),
        /* @__PURE__ */ s("div", { className: "ar-AppAndToolsSelector__items-container mb-3 mt-1 row", children: g == null ? void 0 : g.map((n, v) => /* @__PURE__ */ s(
          Nd,
          {
            classes: "col-4",
            theme: i,
            ...n
          },
          "app-tile-" + d + "-" + v
        )) })
      ] }, "app-category-" + d);
    }),
    /* @__PURE__ */ s(
      it,
      {
        classes: "w-100",
        variant: st.LIGHT,
        content: "API Repository",
        size: mt.REGULAR,
        postIcon: "io5.IoOpenOutline",
        color: "black"
      }
    )
  ] }) });
}, ki = Ld, _d = (h) => h.hasOwnProperty("key");
class Bs extends Cs {
  constructor(a) {
    super(a), this.setItemsWrapperRef = (i) => {
      this.itemsWrapperRef = i;
    }, this.setItemsListRef = (i) => {
      this.itemsListRef = i;
    }, this.setThumbsRef = (i, r) => {
      this.thumbsRef || (this.thumbsRef = []), this.thumbsRef[r] = i;
    }, this.updateSizes = () => {
      if (!this.props.children || !this.itemsWrapperRef || !this.thumbsRef)
        return;
      const i = vt.count(this.props.children), r = this.itemsWrapperRef.clientWidth, d = this.props.thumbWidth ? this.props.thumbWidth : yt.outerWidth(this.thumbsRef[0]), g = Math.floor(r / d), n = g < i, v = n ? i - g : 0;
      this.setState((w, l) => ({
        itemSize: d,
        visibleItems: g,
        firstItem: n ? this.getFirstItem(l.selectedItem) : 0,
        lastPosition: v,
        showArrows: n
      }));
    }, this.handleClickItem = (i, r, d) => {
      if (!_d(d) || d.key === "Enter") {
        const g = this.props.onSelectItem;
        typeof g == "function" && g(i, r);
      }
    }, this.onSwipeStart = () => {
      this.setState({
        swiping: !0
      });
    }, this.onSwipeEnd = () => {
      this.setState({
        swiping: !1
      });
    }, this.onSwipeMove = (i) => {
      let r = i.x;
      if (!this.state.itemSize || !this.itemsWrapperRef || !this.state.visibleItems)
        return !1;
      const d = 0, g = vt.count(this.props.children), n = -(this.state.firstItem * 100) / this.state.visibleItems, w = -Math.max(g - this.state.visibleItems, 0) * 100 / this.state.visibleItems;
      n === d && r > 0 && (r = 0), n === w && r < 0 && (r = 0);
      const l = this.itemsWrapperRef.clientWidth, C = n + 100 / (l / r);
      return this.itemsListRef && [
        "WebkitTransform",
        "MozTransform",
        "MsTransform",
        "OTransform",
        "transform",
        "msTransform"
      ].forEach((f) => {
        this.itemsListRef.style[f] = yt.translate(
          C,
          "%",
          this.props.axis
        );
      }), !0;
    }, this.slideRight = (i) => {
      this.moveTo(
        this.state.firstItem - (typeof i == "number" ? i : 1)
      );
    }, this.slideLeft = (i) => {
      this.moveTo(
        this.state.firstItem + (typeof i == "number" ? i : 1)
      );
    }, this.moveTo = (i) => {
      i = i < 0 ? 0 : i, i = i >= this.state.lastPosition ? this.state.lastPosition : i, this.setState({
        firstItem: i
      });
    }, this.state = {
      selectedItem: a.selectedItem,
      swiping: !1,
      showArrows: !1,
      firstItem: 0,
      visibleItems: 0,
      lastPosition: 0
    };
  }
  componentDidMount() {
    this.setupThumbs();
  }
  componentDidUpdate(a) {
    this.props.selectedItem !== this.state.selectedItem && this.setState({
      selectedItem: this.props.selectedItem,
      firstItem: this.getFirstItem(this.props.selectedItem)
    }), this.props.children !== a.children && this.updateSizes();
  }
  componentWillUnmount() {
    this.destroyThumbs();
  }
  setupThumbs() {
    window.addEventListener("resize", this.updateSizes), window.addEventListener("DOMContentLoaded", this.updateSizes), this.updateSizes();
  }
  destroyThumbs() {
    window.removeEventListener("resize", this.updateSizes), window.removeEventListener("DOMContentLoaded", this.updateSizes);
  }
  getFirstItem(a) {
    let i = a;
    return a >= this.state.lastPosition && (i = this.state.lastPosition), a < this.state.firstItem + this.state.visibleItems && (i = this.state.firstItem), a < this.state.firstItem && (i = a), i;
  }
  renderItems() {
    var a;
    return (a = this.props.children) == null ? void 0 : a.map((i, r) => {
      const d = Ot.ITEM(!1, r === this.state.selectedItem), g = {
        key: r,
        ref: (n) => this.setThumbsRef(n, r),
        className: d,
        onClick: this.handleClickItem.bind(
          this,
          r,
          this.props.children && this.props.children[r]
        ),
        onKeyDown: this.handleClickItem.bind(
          this,
          r,
          this.props.children && this.props.children[r]
        ),
        "aria-label": `${this.props.labels.item} ${r + 1}`,
        style: { width: this.props.thumbWidth }
      };
      return /* @__PURE__ */ s("li", { ...g, role: "button", tabIndex: 0, children: i });
    });
  }
  render() {
    if (!this.props.children)
      return null;
    const a = vt.count(this.props.children) > 1, i = this.state.showArrows && this.state.firstItem > 0, r = this.state.showArrows && this.state.firstItem < this.state.lastPosition;
    let d = {};
    const g = -this.state.firstItem * (this.state.itemSize || 0), n = yt.translate(
      g,
      "px",
      this.props.axis
    ), v = this.props.transitionTime + "ms";
    return d = {
      WebkitTransform: n,
      MozTransform: n,
      MsTransform: n,
      OTransform: n,
      transform: n,
      msTransform: n,
      WebkitTransitionDuration: v,
      MozTransitionDuration: v,
      MsTransitionDuration: v,
      OTransitionDuration: v,
      transitionDuration: v,
      msTransitionDuration: v
    }, /* @__PURE__ */ s("div", { className: Ot.CAROUSEL(!1), children: /* @__PURE__ */ _("div", { className: Ot.WRAPPER(!1), ref: this.setItemsWrapperRef, children: [
      /* @__PURE__ */ s(
        "button",
        {
          type: "button",
          className: Ot.ARROW_PREV(!i),
          onClick: () => this.slideRight(),
          "aria-label": this.props.labels.leftArrow
        }
      ),
      a ? /* @__PURE__ */ s(
        Ss,
        {
          tagName: "ul",
          className: Ot.SLIDER(!1, this.state.swiping),
          onSwipeLeft: this.slideLeft,
          onSwipeRight: this.slideRight,
          onSwipeMove: this.onSwipeMove,
          onSwipeStart: this.onSwipeStart,
          onSwipeEnd: this.onSwipeEnd,
          style: d,
          innerRef: this.setItemsListRef,
          allowMouseEvents: this.props.emulateTouch,
          children: this.renderItems()
        }
      ) : /* @__PURE__ */ s(
        "ul",
        {
          className: Ot.SLIDER(!1, this.state.swiping),
          ref: (w) => this.setItemsListRef(w),
          style: d,
          children: this.renderItems()
        }
      ),
      /* @__PURE__ */ s(
        "button",
        {
          type: "button",
          className: Ot.ARROW_NEXT(!r),
          onClick: () => this.slideLeft(),
          "aria-label": this.props.labels.rightArrow
        }
      )
    ] }) });
  }
}
Bs.displayName = "Thumbs";
Bs.defaultProps = {
  axis: "horizontal",
  labels: {
    leftArrow: "previous slide / item",
    rightArrow: "next slide / item",
    item: "slide item"
  },
  selectedItem: 0,
  thumbWidth: 80,
  transitionTime: 350
};
const kd = (h, a) => {
  const i = {}, { selectedItem: r } = a, d = r, g = vt.count(h.children) - 1;
  if (h.infiniteLoop && (r < 0 || r > g))
    return d < 0 ? h.centerMode && h.centerSlidePercentage && h.axis === "horizontal" ? i.itemListStyle = yt.setPosition(
      -(g + 2) * h.centerSlidePercentage - (100 - h.centerSlidePercentage) / 2,
      h.axis
    ) : i.itemListStyle = yt.setPosition(
      -(g + 2) * 100,
      h.axis
    ) : d > g && (i.itemListStyle = yt.setPosition(0, h.axis)), i;
  const v = yt.getPosition(r, h), w = yt.translate(v, "%", h.axis), l = h.transitionTime + "ms";
  return i.itemListStyle = {
    WebkitTransform: w,
    msTransform: w,
    OTransform: w,
    transform: w
  }, a.swiping || (i.itemListStyle = {
    ...i.itemListStyle,
    WebkitTransitionDuration: l,
    MozTransitionDuration: l,
    OTransitionDuration: l,
    transitionDuration: l,
    msTransitionDuration: l
  }), i;
}, Bd = (h, a, i, r) => {
  const d = {}, g = a.axis === "horizontal", n = vt.count(a.children), v = 0, w = yt.getPosition(i.selectedItem, a), l = a.infiniteLoop ? yt.getPosition(n - 1, a) - 100 : yt.getPosition(n - 1, a), C = g ? h.x : h.y;
  let f = C;
  w === v && C > 0 && (f = 0), w === l && C < 0 && (f = 0);
  let S = w + 100 / (i.itemSize / f);
  const A = Math.abs(C) > a.swipeScrollTolerance;
  return a.infiniteLoop && A && (i.selectedItem === 0 && S > -100 ? S -= n * 100 : i.selectedItem === n - 1 && S < -n * 100 && (S += n * 100)), (!a.preventMovementUntilSwipeScrollTolerance || A || i.swipeMovementStarted) && (i.swipeMovementStarted || r({ swipeMovementStarted: !0 }), d.itemListStyle = yt.setPosition(S, a.axis)), A && !i.cancelClick && r({
    cancelClick: !0
  }), d;
}, Od = (h, a) => {
  const i = yt.getPosition(a.selectedItem, h);
  return {
    itemListStyle: yt.setPosition(i, h.axis)
  };
}, Md = (h, a) => {
  const i = h.transitionTime + "ms", r = "ease-in-out";
  let d = {
    position: "absolute",
    display: "block",
    zIndex: -2,
    minHeight: "100%",
    opacity: 0,
    top: 0,
    right: 0,
    left: 0,
    bottom: 0,
    transitionTimingFunction: r,
    msTransitionTimingFunction: r,
    MozTransitionTimingFunction: r,
    WebkitTransitionTimingFunction: r,
    OTransitionTimingFunction: r
  };
  return a.swiping || (d = {
    ...d,
    WebkitTransitionDuration: i,
    MozTransitionDuration: i,
    OTransitionDuration: i,
    transitionDuration: i,
    msTransitionDuration: i
  }), {
    slideStyle: d,
    selectedStyle: { ...d, opacity: 1, position: "relative" },
    prevStyle: { ...d }
  };
};
const ps = () => {
}, Dd = (h, a) => `${h} of ${a}`;
class Os extends Cs {
  constructor(a) {
    super(a), this.setThumbsRef = (r) => {
      this.thumbsRef = r;
    }, this.setCarouselWrapperRef = (r) => {
      this.carouselWrapperRef = r;
    }, this.setListRef = (r) => {
      this.listRef = r;
    }, this.setItemsRef = (r, d) => {
      this.itemsRef || (this.itemsRef = []), this.itemsRef[d] = r;
    }, this.autoPlay = () => {
      vt.count(this.props.children) <= 1 || (this.clearAutoPlay(), this.props.autoPlay && (this.timer = setTimeout(() => {
        this.increment();
      }, this.props.interval)));
    }, this.clearAutoPlay = () => {
      this.timer && clearTimeout(this.timer);
    }, this.resetAutoPlay = () => {
      this.clearAutoPlay(), this.autoPlay();
    }, this.stopOnHover = () => {
      this.setState({ isMouseEntered: !0 }, this.clearAutoPlay);
    }, this.startOnLeave = () => {
      this.setState({ isMouseEntered: !1 }, this.autoPlay);
    }, this.isFocusWithinTheCarousel = () => this.carouselWrapperRef ? !!(document.activeElement === this.carouselWrapperRef || this.carouselWrapperRef.contains(document.activeElement)) : !1, this.navigateWithKeyboard = (r) => {
      if (!this.isFocusWithinTheCarousel())
        return;
      const { axis: d } = this.props, g = d === "horizontal", n = {
        ArrowUp: 38,
        ArrowRight: 39,
        ArrowDown: 40,
        ArrowLeft: 37
      }, v = g ? n.ArrowRight : n.ArrowDown, w = g ? n.ArrowLeft : n.ArrowUp;
      v === r.keyCode ? this.increment() : w === r.keyCode && this.decrement();
    }, this.updateSizes = () => {
      if (!this.state.initialized || !this.itemsRef || this.itemsRef.length === 0)
        return;
      const r = this.props.axis === "horizontal", d = this.itemsRef[0];
      if (!d)
        return;
      const g = r ? d.clientWidth : d.clientHeight;
      this.setState({
        itemSize: g
      }), this.thumbsRef && this.thumbsRef.updateSizes();
    }, this.setMountState = () => {
      this.setState({ hasMount: !0 }), this.updateSizes();
    }, this.handleClickItem = (r, d) => {
      if (vt.count(this.props.children) !== 0) {
        if (this.state.cancelClick) {
          this.setState({
            cancelClick: !1
          });
          return;
        }
        this.props.onClickItem(r, d), r !== this.state.selectedItem && this.setState({
          selectedItem: r
        });
      }
    }, this.handleOnChange = (r, d) => {
      vt.count(this.props.children) <= 1 || this.props.onChange(r, d);
    }, this.handleClickThumb = (r, d) => {
      this.props.onClickThumb(r, d), this.moveTo(r);
    }, this.onSwipeStart = (r) => {
      this.setState({
        swiping: !0
      }), this.props.onSwipeStart(r);
    }, this.onSwipeEnd = (r) => {
      this.setState({
        swiping: !1,
        cancelClick: !1,
        swipeMovementStarted: !1
      }), this.props.onSwipeEnd(r), this.clearAutoPlay(), this.state.autoPlay && this.autoPlay();
    }, this.onSwipeMove = (r, d) => {
      this.props.onSwipeMove(d);
      const g = this.props.swipeAnimationHandler(
        r,
        this.props,
        this.state,
        this.setState.bind(this)
      );
      return this.setState({
        ...g
      }), !!Object.keys(g).length;
    }, this.decrement = (r = 1) => {
      this.moveTo(
        this.state.selectedItem - (typeof r == "number" ? r : 1)
      );
    }, this.increment = (r = 1) => {
      this.moveTo(
        this.state.selectedItem + (typeof r == "number" ? r : 1)
      );
    }, this.moveTo = (r) => {
      if (typeof r != "number")
        return;
      const d = vt.count(this.props.children) - 1;
      r < 0 && (r = this.props.infiniteLoop ? d : 0), r > d && (r = this.props.infiniteLoop ? 0 : d), this.selectItem({
        // if it's not a slider, we don't need to set position here
        selectedItem: r
      }), this.state.autoPlay && this.state.isMouseEntered === !1 && this.resetAutoPlay();
    }, this.onClickNext = () => {
      this.increment(1);
    }, this.onClickPrev = () => {
      this.decrement(1);
    }, this.onSwipeForward = () => {
      this.increment(1), this.props.emulateTouch && this.setState({ cancelClick: !0 });
    }, this.onSwipeBackwards = () => {
      this.decrement(1), this.props.emulateTouch && this.setState({ cancelClick: !0 });
    }, this.changeItem = (r) => (d) => {
      (!yt.isKeyboardEvent(d) || d.key === "Enter") && this.moveTo(r);
    }, this.selectItem = (r) => {
      this.setState(
        {
          previousItem: this.state.selectedItem,
          ...r
        },
        () => {
          this.setState(this.animationHandler(this.props, this.state));
        }
      ), this.handleOnChange(
        r.selectedItem,
        vt.toArray(this.props.children)[r.selectedItem]
      );
    }, this.getInitialImage = () => {
      const r = this.props.selectedItem, d = this.itemsRef && this.itemsRef[r];
      return (d && d.getElementsByTagName("img") || [])[0];
    }, this.getVariableItemHeight = (r) => {
      const d = this.itemsRef && this.itemsRef[r];
      if (this.state.hasMount && d && d.children.length) {
        const g = d.children[0].getElementsByTagName("img") || [];
        if (g.length > 0) {
          const w = g[0];
          if (!w.complete) {
            const l = () => {
              this.forceUpdate(), w.removeEventListener("load", l);
            };
            w.addEventListener("load", l);
          }
        }
        const v = (g[0] || d.children[0]).clientHeight;
        return v > 0 ? v : null;
      }
      return null;
    };
    const i = {
      initialized: !1,
      previousItem: a.selectedItem,
      selectedItem: a.selectedItem,
      hasMount: !1,
      isMouseEntered: !1,
      autoPlay: a.autoPlay,
      swiping: !1,
      swipeMovementStarted: !1,
      cancelClick: !1,
      itemSize: 1,
      itemListStyle: {},
      slideStyle: {},
      selectedStyle: {},
      prevStyle: {}
    };
    this.animationHandler = typeof a.animationHandler == "function" && a.animationHandler || a.animationHandler === "fade" && Md || kd, this.state = {
      ...i,
      ...this.animationHandler(a, i)
    };
  }
  componentDidMount() {
    this.props.children && this.setupCarousel();
  }
  componentDidUpdate(a, i) {
    !a.children && this.props.children && !this.state.initialized && this.setupCarousel(), !a.autoFocus && this.props.autoFocus && this.forceFocus(), i.swiping && !this.state.swiping && this.setState({
      ...this.props.stopSwipingHandler(this.props, this.state)
    }), (a.selectedItem !== this.props.selectedItem || a.centerMode !== this.props.centerMode) && (this.updateSizes(), this.moveTo(this.props.selectedItem)), a.autoPlay !== this.props.autoPlay && (this.props.autoPlay ? this.setupAutoPlay() : this.destroyAutoPlay(), this.setState({ autoPlay: this.props.autoPlay }));
  }
  componentWillUnmount() {
    this.destroyCarousel();
  }
  setupCarousel() {
    this.bindEvents(), this.state.autoPlay && vt.count(this.props.children) > 1 && this.setupAutoPlay(), this.props.autoFocus && this.forceFocus(), this.setState(
      {
        initialized: !0
      },
      () => {
        const a = this.getInitialImage();
        a && !a.complete ? a.addEventListener("load", this.setMountState) : this.setMountState();
      }
    );
  }
  destroyCarousel() {
    this.state.initialized && (this.unbindEvents(), this.destroyAutoPlay());
  }
  setupAutoPlay() {
    this.autoPlay();
    const a = this.carouselWrapperRef;
    this.props.stopOnHover && a && (a.addEventListener("mouseenter", this.stopOnHover), a.addEventListener("mouseleave", this.startOnLeave));
  }
  destroyAutoPlay() {
    this.clearAutoPlay();
    const a = this.carouselWrapperRef;
    this.props.stopOnHover && a && (a.removeEventListener("mouseenter", this.stopOnHover), a.removeEventListener("mouseleave", this.startOnLeave));
  }
  bindEvents() {
    window.addEventListener("resize", this.updateSizes), window.addEventListener("DOMContentLoaded", this.updateSizes), this.props.useKeyboardArrows && document.addEventListener("keydown", this.navigateWithKeyboard);
  }
  unbindEvents() {
    window.removeEventListener("resize", this.updateSizes), window.removeEventListener("DOMContentLoaded", this.updateSizes);
    const a = this.getInitialImage();
    a && a.removeEventListener("load", this.setMountState), this.props.useKeyboardArrows && document.removeEventListener("keydown", this.navigateWithKeyboard);
  }
  forceFocus() {
    var a;
    (a = this.carouselWrapperRef) == null || a.focus();
  }
  renderItems(a) {
    return this.props.children ? vt.map(this.props.children, (i, r) => {
      const d = r === this.state.selectedItem, g = r === this.state.previousItem;
      let n = d && this.state.selectedStyle || g && this.state.prevStyle || this.state.slideStyle || {};
      this.props.centerMode && this.props.axis === "horizontal" && (n = { ...n, minWidth: this.props.centerSlidePercentage + "%" }), this.state.swiping && this.state.swipeMovementStarted && (n = { ...n, pointerEvents: "none" });
      const v = {
        ref: (w) => this.setItemsRef(w, r),
        key: "itemKey" + r + (a ? "clone" : ""),
        className: Ot.ITEM(
          !0,
          r === this.state.selectedItem,
          r === this.state.previousItem
        ),
        onClick: this.handleClickItem.bind(this, r, i),
        style: n
      };
      return /* @__PURE__ */ s("li", { ...v, children: this.props.renderItem(i, {
        isSelected: r === this.state.selectedItem,
        isPrevious: r === this.state.previousItem
      }) });
    }) : [];
  }
  renderControls() {
    const { showIndicators: a, labels: i, renderIndicator: r, children: d } = this.props;
    return a ? /* @__PURE__ */ s("ul", { className: "control-dots", children: vt.map(d, (g, n) => r && r(
      this.changeItem(n),
      n === this.state.selectedItem,
      n,
      i.item
    )) }) : null;
  }
  renderStatus() {
    return this.props.showStatus ? /* @__PURE__ */ s("p", { className: "carousel-status", children: this.props.statusFormatter(
      this.state.selectedItem + 1,
      vt.count(this.props.children)
    ) }) : null;
  }
  renderThumbs() {
    return !this.props.showThumbs || !this.props.children || vt.count(this.props.children) === 0 ? null : /* @__PURE__ */ s(
      Bs,
      {
        ref: this.setThumbsRef,
        onSelectItem: this.handleClickThumb,
        selectedItem: this.state.selectedItem,
        transitionTime: this.props.transitionTime,
        thumbWidth: this.props.thumbWidth,
        labels: this.props.labels,
        emulateTouch: this.props.emulateTouch,
        children: this.props.renderThumbs(this.props.children)
      }
    );
  }
  render() {
    if (!this.props.children || vt.count(this.props.children) === 0)
      return null;
    const a = this.props.swipeable && vt.count(this.props.children) > 1, i = this.props.axis === "horizontal", r = this.props.showArrows && vt.count(this.props.children) > 1, d = r && (this.state.selectedItem > 0 || this.props.infiniteLoop) || !1, g = r && (this.state.selectedItem < vt.count(this.props.children) - 1 || this.props.infiniteLoop) || !1, n = this.renderItems(!0), v = n == null ? void 0 : n.shift(), w = n == null ? void 0 : n.pop();
    let l = {
      className: Ot.SLIDER(!0, this.state.swiping),
      onSwipeMove: this.onSwipeMove,
      onSwipeStart: this.onSwipeStart,
      onSwipeEnd: this.onSwipeEnd,
      style: this.state.itemListStyle || {},
      tolerance: this.props.swipeScrollTolerance
    };
    const C = {};
    if (i) {
      if (l.onSwipeLeft = this.onSwipeForward, l.onSwipeRight = this.onSwipeBackwards, this.props.dynamicHeight) {
        const f = this.getVariableItemHeight(this.state.selectedItem);
        C.height = f || "auto";
      }
    } else
      l.onSwipeUp = this.props.verticalSwipe === "natural" ? this.onSwipeBackwards : this.onSwipeForward, l.onSwipeDown = this.props.verticalSwipe === "natural" ? this.onSwipeForward : this.onSwipeBackwards, l.style = { ...l.style, height: this.state.itemSize }, C.height = this.state.itemSize;
    return /* @__PURE__ */ _(
      "div",
      {
        "aria-label": this.props.ariaLabel,
        className: `ar-Carousel ${Ot.ROOT(this.props.className)}${this.props.classes ? " " + this.props.classes : ""}`,
        ref: this.setCarouselWrapperRef,
        tabIndex: this.props.useKeyboardArrows ? 0 : void 0,
        children: [
          /* @__PURE__ */ _(
            "div",
            {
              className: Ot.CAROUSEL(!0),
              style: { width: this.props.width },
              children: [
                !this.props.noMarkers && this.renderControls(),
                this.props.renderArrowPrev(
                  this.onClickPrev,
                  d,
                  this.props.labels.leftArrow
                ),
                /* @__PURE__ */ s(
                  "div",
                  {
                    className: Ot.WRAPPER(!0, this.props.axis),
                    style: C,
                    children: a ? /* @__PURE__ */ _(
                      Ss,
                      {
                        tagName: "ul",
                        innerRef: this.setListRef,
                        ...l,
                        allowMouseEvents: this.props.emulateTouch,
                        children: [
                          this.props.infiniteLoop && w,
                          this.renderItems(),
                          this.props.infiniteLoop && v
                        ]
                      }
                    ) : /* @__PURE__ */ _(
                      "ul",
                      {
                        className: Ot.SLIDER(!0, this.state.swiping),
                        ref: (f) => this.setListRef(f),
                        style: this.state.itemListStyle || {},
                        children: [
                          this.props.infiniteLoop && w,
                          this.renderItems(),
                          this.props.infiniteLoop && v
                        ]
                      }
                    )
                  }
                ),
                this.props.renderArrowNext(
                  this.onClickNext,
                  g,
                  this.props.labels.rightArrow
                ),
                this.renderStatus()
              ]
            }
          ),
          this.renderThumbs()
        ]
      }
    );
  }
}
Os.displayName = "Carousel";
Os.defaultProps = {
  ariaLabel: void 0,
  axis: "horizontal",
  centerSlidePercentage: 80,
  interval: 3e3,
  labels: {
    leftArrow: "previous slide / item",
    rightArrow: "next slide / item",
    item: "slide item"
  },
  onClickItem: ps,
  onClickThumb: ps,
  onChange: ps,
  onSwipeStart: () => {
  },
  onSwipeEnd: () => {
  },
  onSwipeMove: () => !1,
  preventMovementUntilSwipeScrollTolerance: !1,
  renderArrowPrev: (h, a, i) => /* @__PURE__ */ s(
    "button",
    {
      type: "button",
      "aria-label": i,
      className: Ot.ARROW_PREV(!a),
      onClick: h
    }
  ),
  renderArrowNext: (h, a, i) => /* @__PURE__ */ s(
    "button",
    {
      type: "button",
      "aria-label": i,
      className: Ot.ARROW_NEXT(!a),
      onClick: h
    }
  ),
  renderIndicator: (h, a, i, r) => /* @__PURE__ */ s(
    "li",
    {
      className: Ot.DOT(a),
      onClick: h,
      onKeyDown: h,
      value: i,
      role: "button",
      tabIndex: 0,
      "aria-label": `${r} ${i + 1}`
    },
    i
  ),
  renderItem: (h) => h,
  renderThumbs: (h) => {
    const a = vt.map(
      h,
      (i) => {
        let r = i;
        if (i.type !== "img" && (r = i && vt.toArray(
          i.props.children
        ).find(
          (d) => d.type === "img"
        )), !!r)
          return r;
      }
    );
    return (a == null ? void 0 : a.filter((i) => i).length) === 0 ? (console.warn(
      "No images found! Can't build the thumb list without images. If you don't need thumbs, set showThumbs={false} in the Carousel. Note that it's not possible to get images rendered inside custom components. More info at https://github.com/leandrowd/react-responsive-carousel/blob/master/TROUBLESHOOTING.md"
    ), []) : a;
  },
  statusFormatter: Dd,
  selectedItem: 0,
  showArrows: !0,
  showIndicators: !0,
  showStatus: !0,
  showThumbs: !0,
  stopOnHover: !0,
  swipeScrollTolerance: 5,
  swipeable: !0,
  transitionTime: 350,
  verticalSwipe: "standard",
  width: "100%",
  animationHandler: "slide",
  swipeAnimationHandler: Bd,
  stopSwipingHandler: Od
};
const Fd = (h) => {
  const { categoryGroups: a, currentCategoryFilters: i, onFilterChange: r } = h, d = (v, w) => {
    let l = i;
    l || (l = {});
    let C = l[w], f = -1;
    C ? f = C == null ? void 0 : C.findIndex(
      (S) => S.value === v.value
    ) : (C = [], l[w] = C), f === -1 ? C.push(v) : C.splice(f, 1), r(l, "categories");
  }, g = (v, w) => v && /* @__PURE__ */ s("div", { className: "ar-CategoryFilter__pill-container", children: Object.keys(v).map((l) => /* @__PURE__ */ s(
    Cn,
    {
      classes: "rounded me-2 mb-3",
      data: { label: l },
      size: Js.SMALL,
      onClick: (C) => d(C, w)
    }
  )) }), n = Object.keys(a).map((v) => /* @__PURE__ */ _("div", { className: "ar-CategoryFilter__group", children: [
    /* @__PURE__ */ s("label", { className: "ar-CategoryFilter__label label", children: Rt.toCamelCase(v, " ", !0) }),
    /* @__PURE__ */ s("div", { className: "ar-CategoryFilter__filters", children: g(a[v], v) })
  ] }));
  return /* @__PURE__ */ s("div", { className: "ar-CategoryFilter", children: n });
}, Bi = Fd;
const $d = (h) => {
  const { iconSize: a } = h;
  return /* @__PURE__ */ s("div", { className: "ar-Component_404 flex-center h-100", children: /* @__PURE__ */ _("div", { className: "ar-Component_404-content border flex-v-center flex-column p-3", children: [
    /* @__PURE__ */ s(qt, { src: "gi/GiDigHole", size: a || "20rem" }),
    /* @__PURE__ */ s("h5", { className: "mb-4", children: "Could not dig what you asked for" }),
    /* @__PURE__ */ s("p", { className: "mb-2", children: "Please check the URL and try again." }),
    /* @__PURE__ */ s("p", { className: "mb-1", children: "You may also use the tabs (right-top) to navigate if you're not sure about the URL" })
  ] }) });
}, Hd = $d;
class Gd extends Cs {
  constructor() {
    super(...arguments), this.state = {
      hasError: !1
    };
  }
  static getDerivedStateFromError(a) {
    return { hasError: !0 };
  }
  componentDidCatch(a, i) {
    console.error("Uncaught error:", a, i);
  }
  render() {
    return this.state.hasError ? /* @__PURE__ */ s("div", { className: "ar-ErrorBoundary h-100 flex-center flex-1", children: /* @__PURE__ */ _("div", { className: "ar-ErrorBoundary__container text-center p-5", children: [
      /* @__PURE__ */ s(
        qt,
        {
          src: "md/MdSmsFailed",
          size: "7rem",
          color: "#FFC300",
          containerClasses: "mb-3"
        }
      ),
      /* @__PURE__ */ s("h5", { children: "Oops, seems we've hit a roadblock" }),
      /* @__PURE__ */ s("h6", { className: "mb-4", children: "We're trying our best to get back soon!" }),
      /* @__PURE__ */ _("small", { children: [
        "If the issue persists please reach out to",
        " ",
        /* @__PURE__ */ s("a", { href: "/help", children: "Armco support" })
      ] })
    ] }) }) : this.props.children;
  }
}
const zd = Gd;
const Wd = (h) => {
  const {
    config: a,
    clickHandler: i,
    data: r,
    filteredData: d,
    initialFilters: g,
    onFilterChange: n
  } = h, [v, w] = W(
    g
  ), l = d || r, C = l && l.length, f = a.count !== void 0 && Rt.generateSlices(C || 0, a.count || 0, "range"), S = (P, O) => {
    var B, I;
    const M = v ? { ...v } : {};
    switch (O) {
      case "alphabet":
        let k = M[O];
        k || (k = [], M[O] = k), k = k;
        const F = k.findIndex(
          (D) => D.value === (P == null ? void 0 : P.value)
        );
        F > -1 ? k.splice(F, 1) : k.push(P);
        break;
      case "all":
        const $ = (B = P == null ? void 0 : P.data) == null ? void 0 : B.type;
        if ($) {
          if ($ === "alphabet")
            M[$] = [];
          else if ($ === "categories") {
            const D = v && v[$], K = (I = P == null ? void 0 : P.data) == null ? void 0 : I.subType;
            D && K && (D[K] = []);
          }
        }
        break;
      case "categories":
      case "count":
      default:
        M[O] = P;
    }
    w(M), n && n(M);
  }, A = [];
  return v && Object.keys(v).forEach((P) => {
    var O;
    if (P === "count" && A.push({
      label: /* @__PURE__ */ _(ut, { children: [
        "count:",
        " ",
        /* @__PURE__ */ s("strong", { children: (O = v[P]) == null ? void 0 : O.value })
      ] }),
      data: { filterData: v[P], type: P }
    }), P === "alphabet" && v[P] && v[P].length > 0) {
      const M = v[P].map((B) => B.value).join(" OR ");
      A.push({
        label: `starts:${M}`,
        data: { filterData: v[P], type: P },
        deletable: !0
      });
    }
    if (P === "categories") {
      const M = v[P];
      M && Object.keys(M).forEach((B) => {
        const I = M[B];
        if (I && I.length > 0) {
          const k = I.map((F) => F.value).join(" OR ");
          A.push({
            label: `${B}:${k}`,
            data: { filterData: I, type: P, subType: B },
            deletable: !0
          });
        }
      });
    }
  }), /* @__PURE__ */ _("div", { className: "ar-Filters p-3 h-100 overflow-auto w-100", children: [
    /* @__PURE__ */ s("h5", { children: "Filters" }),
    "count" in a && /* @__PURE__ */ _(ut, { children: [
      /* @__PURE__ */ s(
        go,
        {
          classes: "mb-3",
          context: "count",
          id: "icon-range-selector",
          label: "Select a range",
          options: f || [],
          onSelectionChanged: (P) => {
            S(P, "count");
          }
        }
      ),
      /* @__PURE__ */ s(
        vo,
        {
          classes: "mb-3",
          data: A,
          onChange: S
        }
      )
    ] }),
    a.alphabet && /* @__PURE__ */ s(_i, { onSelectionChanged: S }),
    "categories" in a && /* @__PURE__ */ s(
      Bi,
      {
        categoryGroups: Rt.generateCategories(r, a.categories),
        onFilterChange: S,
        currentCategoryFilters: v && v.categories ? v.categories : {}
      }
    ),
    /* @__PURE__ */ s(
      Ei,
      {
        clickHandler: i,
        classes: "col-12 h-75",
        label: "test",
        tags: a.tags,
        hideHeader: !0
      }
    )
  ] });
}, Vd = Wd;
const jd = [
  [{ name: "Profile" }, { name: "Settings" }, { name: "My Stuff" }],
  [{ name: "+ Organization" }, { name: "+ Upload Icon" }]
], qs = Rt.isMobile(), Kd = (h) => {
  const { isLanding: a, route: i } = h, r = jt(tn), d = cr();
  ae(() => {
    ss.forEach((C) => {
      var f;
      navigator && ((f = C.items) == null || f.forEach(
        (S) => S.onClick = () => S.url && d(S.url)
      ));
    });
  }, [d]);
  const g = (C, f) => {
    var S;
    (S = f == null ? void 0 : f.data) != null && S.url && d(f.data.url);
  }, n = /* @__PURE__ */ s("span", { className: "ar-FlexTools__separator h-100 me-2" }), v = {
    data: ss,
    variant: ji.MODERN,
    onTabSelected: g
  };
  i === "landing" && (v.activeId = "");
  const w = a ? /* @__PURE__ */ s(Ai, { ...v }) : /* @__PURE__ */ _(
    Qt,
    {
      classes: qs ? "" : "me-3",
      animation: [en.FADEINOUT],
      children: [
        /* @__PURE__ */ s(
          Le,
          {
            classes: "cursor-pointer",
            slot: lt.ANCHOR,
            icon: "io5.IoApps",
            size: "1.5rem",
            color: r === Ke.DARK1 ? "lightgrey" : "grey",
            hoverColor: "orange"
          }
        ),
        /* @__PURE__ */ s(ki, { slot: lt.POPOVER, data: ss })
      ]
    }
  ), l = /* @__PURE__ */ s(
    Di,
    {
      classes: `h-100 flex-center px-2${a ? " ms-auto" : ""}`,
      loginProvider: Ki.ARMCO,
      options: jd,
      isLanding: a,
      theme: r
    }
  );
  return /* @__PURE__ */ s("div", { className: "ar-FlexTools h-100 flex-center w-100", children: qs ? /* @__PURE__ */ _("div", { className: "row w-100", children: [
    /* @__PURE__ */ s("div", { className: "col flex-center", onClick: () => d("/"), children: /* @__PURE__ */ _("span", { className: "ar-FlexTools__app-name h-100 flex-center", children: [
      "Stuffle.",
      /* @__PURE__ */ s("span", { className: "ar-FlexTools__app-name-i", children: "i" }),
      /* @__PURE__ */ s("span", { className: "ar-FlexTools__app-name-o", children: "o" })
    ] }) }),
    /* @__PURE__ */ s("div", { className: "ar-FlexTools__app-selector col flex-center", children: w }),
    /* @__PURE__ */ s("div", { className: "col flex-center", children: l })
  ] }) : /* @__PURE__ */ _(ut, { children: [
    w,
    !a && n,
    l
  ] }) });
}, Oi = Kd;
const Ud = (h) => {
  const { classes: a, theme: i } = h;
  return nn("Hero"), /* @__PURE__ */ s("div", { className: `ar-Hero${a ? " " + a : ""}`, children: /* @__PURE__ */ _("div", { className: "d-flex", children: [
    /* @__PURE__ */ _("div", { className: "flex-h-center flex-column w-50", children: [
      /* @__PURE__ */ s("h2", { className: "mb-3", children: "Unleash Your Creative Power with Our All-in-One Development Hub for Effortless Web Mastery" }),
      /* @__PURE__ */ s("h6", { className: "mb-5", children: "Simplify your workflow and power up your projects with our comprehensive suite of development tools." }),
      /* @__PURE__ */ s("div", { className: "d-inline-block", children: /* @__PURE__ */ s(
        it,
        {
          variant: st.SUCCESS,
          content: "Hop in",
          postIcon: "gi.GiJumpAcross",
          color: i === Ke.DARK1 ? "white" : "black"
        }
      ) })
    ] }),
    /* @__PURE__ */ s("div", { className: "ar-Hero__image w-50", children: /* @__PURE__ */ s("img", { className: "w-100", src: Na, alt: "Component Lib" }) })
  ] }) });
}, qd = Ud;
const Yd = (h) => {
  const { classes: a, name: i, description: r, image: d, imagePlacement: g, onClick: n } = h;
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-ProductDescriptionTile d-flex p-3 border hover-shadow border-radius cursor-pointer${a ? " " + a : ""}${g === St.LEFT ? " flex-row-reverse" : " flex-row"}`,
      onClick: n,
      children: [
        /* @__PURE__ */ _("div", { className: "ar-ProductDescriptionTile__text", children: [
          /* @__PURE__ */ s("h3", { children: i }),
          r.map((v) => /* @__PURE__ */ s("p", { children: v })),
          /* @__PURE__ */ s(
            it,
            {
              classes: "px-0",
              variant: st.LINKNATIVE,
              content: "Learn more..."
            }
          )
        ] }),
        /* @__PURE__ */ s("div", { className: "ar-ProductDescriptionTile__image ms-auto", children: d != null && d.startsWith("http") ? /* @__PURE__ */ s("img", { src: d, alt: d }) : /* @__PURE__ */ s(Le, { icon: d, size: "8rem" }) })
      ]
    }
  );
}, Mi = Yd;
const Xd = (h) => {
  const { suggestion: a, inSvgString: i } = h, r = {
    size: "6rem",
    color: "lightgrey",
    hoverColor: "orange",
    classes: "cursor-pointer"
  };
  return r[i ? "svgString" : "icon"] = a, a ? /* @__PURE__ */ s("div", { className: "p-3", children: /* @__PURE__ */ s(Le, { ...r }) }) : null;
}, Jd = (h) => {
  const { classes: a, inSvgString: i, suggestions: r, title: d } = h, g = At(null), [n, v] = W();
  return /* @__PURE__ */ _(
    "div",
    {
      className: `ar-Suggestions__container${a ? " " + a : ""}`,
      onMouseEnter: () => v(!0),
      onMouseLeave: () => v(!1),
      children: [
        d && /* @__PURE__ */ s("div", { className: "ar-Suggestions__title px-3 py-2 border-bottom", children: /* @__PURE__ */ s("strong", { children: d }) }),
        /* @__PURE__ */ _("div", { className: "ar-Suggestions__marquee px-5", children: [
          /* @__PURE__ */ s(
            Le,
            {
              classes: "ar-Suggestions__left-arrow ar-Suggestions__control-button",
              icon: "md/MdKeyboardArrowLeft",
              size: "3rem",
              style: { opacity: n ? 1 : 0 },
              onClick: () => {
                g.current && g.current.scrollBy({ left: -128, behavior: "smooth" });
              }
            }
          ),
          /* @__PURE__ */ s("div", { className: "ar-Suggestions__list w-100 overflow-auto", ref: g, children: r ? r.map((w, l) => /* @__PURE__ */ s(
            Xd,
            {
              suggestion: w,
              inSvgString: i
            },
            "suggestion-" + l
          )) : [0, 1, 2, 3, 4, 5, 6, 7, 8, 9].map((w, l) => /* @__PURE__ */ s(
            "div",
            {
              className: "p-3 placeholder-glow",
              children: /* @__PURE__ */ s(
                "div",
                {
                  className: "placeholder",
                  style: { height: "6rem", width: "6rem" }
                }
              )
            },
            "suggestion-" + l
          )) }),
          /* @__PURE__ */ s(
            Le,
            {
              classes: "ar-Suggestions__right-arrow ar-Suggestions__control-button",
              icon: "md/MdKeyboardArrowRight",
              size: "3rem",
              style: { opacity: n ? 1 : 0 },
              onClick: () => {
                g.current && g.current.scrollBy({ left: 128, behavior: "smooth" });
              }
            }
          )
        ] })
      ]
    }
  );
}, Qd = Jd;
const Zd = (h) => {
  const { data: a } = h;
  return /* @__PURE__ */ _("div", { className: "ar-Tiles container", children: [
    /* @__PURE__ */ s("h1", { children: a.label }),
    /* @__PURE__ */ s("div", { className: "d-flex justify-content-between p-3 border shadow border-radius row", children: a.items.map((i) => /* @__PURE__ */ s("div", { className: "col mb-3", children: /* @__PURE__ */ s(
      Mi,
      {
        name: i.label,
        description: i.description || [],
        image: i.icon,
        onClick: i.onClick
      }
    ) })) })
  ] });
}, ep = Zd;
const Ys = Rt.isMobile(), tp = (h) => {
  const {
    classes: a,
    isLanding: i,
    loginProvider: r,
    loginUrl: d,
    onLogout: g,
    options: n,
    signUpUrl: v,
    theme: w
  } = h, l = jt(Ji), C = Rn(), f = jt(Qi), S = Qs.IAM[process.env.NODE_ENV] + lo.AUTH.ROOT + lo.AUTH.LOGOUT;
  return /* @__PURE__ */ s("div", { className: `ar-UserOptions${a ? " " + a : ""}`, children: i ? /* @__PURE__ */ _("div", { className: "ar-UserOptions__auth-buttons d-flex", children: [
    /* @__PURE__ */ s(
      it,
      {
        classes: "me-3",
        size: mt.SMALL,
        variant: st.LINKHOVEREFFECT,
        content: "Login",
        onClick: () => C(
          or({
            name: r || "LoginProvider",
            props: {
              // Discarded if loginProvider is available
              url: d || On.IAM[process.env.NODE_ENV] + "/login"
            }
          })
        )
      }
    ),
    /* @__PURE__ */ s(
      it,
      {
        size: mt.SMALL,
        variant: st.INFO,
        content: "Sign Up",
        onClick: () => C(
          or({
            name: r || "LoginProvider",
            props: {
              // Discarded if loginProvider is available
              url: v || On.IAM[process.env.NODE_ENV] + "/signup"
            }
          })
        )
      }
    )
  ] }) : /* @__PURE__ */ _(
    Qt,
    {
      position: Ys ? Vt.TOPLEFT : Vt.BOTTOMLEFT,
      version: "v1",
      animation: [en.FADEINOUT],
      children: [
        /* @__PURE__ */ _("span", { className: "ar-UserOptions__anchor cursor-pointer", slot: "anchor", children: [
          /* @__PURE__ */ s(
            Le,
            {
              classes: "h-100",
              icon: "fa.FaUserCircle",
              size: "1.5rem",
              color: w !== Ke.LIGHT1 ? "lightgrey" : "grey",
              hoverColor: w !== Ke.LIGHT1 ? "#FFD580" : "orange"
            }
          ),
          !Ys && /* @__PURE__ */ s(Le, { icon: "md.MdKeyboardArrowDown", color: "grey" })
        ] }),
        /* @__PURE__ */ _(
          "div",
          {
            className: "ar-UserOptions__popover flex-h-center flex-column",
            slot: lt.POPOVER,
            children: [
              !l && /* @__PURE__ */ s(
                it,
                {
                  classes: "w-100",
                  variant: st.SUCCESS,
                  content: "Login",
                  onClick: () => {
                    C(
                      or({
                        name: r || "LoginProvider",
                        props: {
                          // Discarded if loginProvider is available
                          url: d || On.IAM[process.env.NODE_ENV] + "/login"
                        }
                      })
                    );
                  }
                }
              ),
              /* @__PURE__ */ s(un, { data: n, theme: w }),
              l && /* @__PURE__ */ s(
                it,
                {
                  classes: "ar-UserOptions__btn-standout mt-2 w-100",
                  variant: st.LINK,
                  content: "Logout",
                  onClick: () => {
                    fo.post(S, f || {}).then((A) => {
                      A.status === 200 && (C(
                        ms({
                          show: !0,
                          message: "You've been logged out!",
                          uid: Wt()
                        })
                      ), C(Zi(!1))), g && g();
                    });
                  }
                }
              )
            ]
          }
        )
      ]
    }
  ) });
}, Di = tp;
export {
  lr as $,
  yc as A,
  ci as B,
  Ts as C,
  Ol as D,
  go as E,
  fu as F,
  Ci as G,
  vu as H,
  qt as I,
  un as J,
  Le as K,
  Ml as L,
  Si as M,
  Ri as N,
  Iu as O,
  Jl as P,
  Nu as Q,
  di as R,
  ui as S,
  Dl as T,
  Ns as U,
  vo as V,
  pc as W,
  Qt as X,
  co as Y,
  Ls as Z,
  xi as _,
  pi as a,
  Pi as a0,
  Ai as a1,
  Ju as a2,
  Ei as a3,
  dn as a4,
  vs as a5,
  Sn as a6,
  sd as a7,
  _s as a8,
  ys as a9,
  $c as aA,
  hs as aB,
  zc as aC,
  Wc as aD,
  Kc as aE,
  Bs as aF,
  kd as aG,
  Bd as aH,
  Od as aI,
  Md as aJ,
  ps as aK,
  Dd as aL,
  dd as aa,
  md as ab,
  gd as ac,
  Pd as ad,
  Ni as ae,
  Li as af,
  yo as ag,
  ks as ah,
  Id as ai,
  _i as aj,
  ki as ak,
  Os as al,
  Bi as am,
  Hd as an,
  zd as ao,
  Vd as ap,
  Oi as aq,
  bd as ar,
  qd as as,
  Mi as at,
  Qd as au,
  ep as av,
  Di as aw,
  kc as ax,
  Dc as ay,
  wi as az,
  fi as b,
  xs as c,
  ir as d,
  Wl as e,
  mi as f,
  Ps as g,
  ho as h,
  As as i,
  gi as j,
  vi as k,
  Es as l,
  wc as m,
  yi as n,
  bi as o,
  Is as p,
  Ac as q,
  Ic as r,
  it as s,
  Yc as t,
  Jc as u,
  Zc as v,
  tu as w,
  ru as x,
  su as y,
  au as z
};
